﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System.Xml;
//#if UNITY_EDITOR
using UnityEditor;
//#endif

//=============================================================================----
// Copyright © NaturalPoint, Inc. All Rights Reserved.
// 
// This software is provided by the copyright holders and contributors "as is" and
// any express or implied warranties, including, but not limited to, the implied
// warranties of merchantability and fitness for a particular purpose are disclaimed.
// In no event shall NaturalPoint, Inc. or contributors be liable for any direct,
// indirect, incidental, special, exemplary, or consequential damages
// (including, but not limited to, procurement of substitute goods or services;
// loss of use, data, or profits; or business interruption) however caused
// and on any theory of liability, whether in contract, strict liability,
// or tort (including negligence or otherwise) arising in any way out of
// the use of this software, even if advised of the possibility of such damage.
//=============================================================================----

[RequireComponent(typeof(LivePoseAnimator))]

public class SampleMocapData : MonoBehaviour 
{

    [Range(1, 293)]
    public int MocapFrame = 1;
    private int currentFrame = 1;

    [InspectorButton("OnButtonClicked")]
    public bool BuildAvatar;

    private void OnButtonClicked()
    {
        this.gameObject.GetComponent<LivePoseAnimator>().OnSamplePacket("<?xml version=\"1.0\" ?><SkeletonDescriptions><SkeletonDescription ID=\"7\" Name=\"Trent\" BoneCount=\"21\"><BoneDefs ID=\"1\" ParentID=\"0\" Name=\"Trent_Hip\" x=\"0.000000\" y=\"0.858212\" z=\"0.000000\" /><BoneDefs ID=\"2\" ParentID=\"1\" Name=\"Trent_Ab\" x=\"0.000000\" y=\"0.076079\" z=\"0.000000\" /><BoneDefs ID=\"3\" ParentID=\"2\" Name=\"Trent_Chest\" x=\"0.000000\" y=\"0.203848\" z=\"0.000000\" /><BoneDefs ID=\"4\" ParentID=\"3\" Name=\"Trent_Neck\" x=\"0.000000\" y=\"0.203011\" z=\"0.018456\" /><BoneDefs ID=\"5\" ParentID=\"4\" Name=\"Trent_Head\" x=\"0.000000\" y=\"0.129892\" z=\"-0.018556\" /><BoneDefs ID=\"6\" ParentID=\"3\" Name=\"Trent_LShoulder\" x=\"-0.037239\" y=\"0.180833\" z=\"-0.001992\" /><BoneDefs ID=\"7\" ParentID=\"6\" Name=\"Trent_LUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"8\" ParentID=\"7\" Name=\"Trent_LFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"9\" ParentID=\"8\" Name=\"Trent_LHand\" x=\"-0.228390\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"10\" ParentID=\"3\" Name=\"Trent_RShoulder\" x=\"0.036927\" y=\"0.180833\" z=\"-0.001992\" /><BoneDefs ID=\"11\" ParentID=\"10\" Name=\"Trent_RUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"12\" ParentID=\"11\" Name=\"Trent_RFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"13\" ParentID=\"12\" Name=\"Trent_RHand\" x=\"0.228390\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"14\" ParentID=\"1\" Name=\"Trent_LThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"15\" ParentID=\"14\" Name=\"Trent_LShin\" x=\"0.000000\" y=\"-0.407353\" z=\"0.000000\" /><BoneDefs ID=\"16\" ParentID=\"15\" Name=\"Trent_LFoot\" x=\"0.000000\" y=\"-0.421415\" z=\"0.000000\" /><BoneDefs ID=\"18\" ParentID=\"1\" Name=\"Trent_RThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" /><BoneDefs ID=\"19\" ParentID=\"18\" Name=\"Trent_RShin\" x=\"0.000000\" y=\"-0.407353\" z=\"0.000000\" /><BoneDefs ID=\"20\" ParentID=\"19\" Name=\"Trent_RFoot\" x=\"0.000000\" y=\"-0.421415\" z=\"0.000000\" /><BoneDefs ID=\"17\" ParentID=\"16\" Name=\"Trent_LToe\" x=\"0.000000\" y=\"-0.060307\" z=\"0.139170\" /><BoneDefs ID=\"21\" ParentID=\"20\" Name=\"Trent_RToe\" x=\"0.000000\" y=\"-0.060307\" z=\"0.139170\" /></SkeletonDescription></SkeletonDescriptions>");
    }

	void Start ()
    {
	}
	
	void Update () 
    {
        if (currentFrame == MocapFrame )
        {
            return;
        }

        currentFrame = MocapFrame;
        
        this.gameObject.GetComponent<LivePoseAnimator>().OnSamplePacket( MocapFrameData(currentFrame) );
    }

    public string MocapFrameData( int frame )
    {
        switch (frame)
        {
            case 1: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051606\" y=\"0.931730\" z=\"-0.919502\" qx=\"0.008706\" qy=\"-0.017620\" qz=\"0.002009\" qw=\"0.999805\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.056680\" qy=\"0.001289\" qz=\"0.009020\" qw=\"-0.998351\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202216\" z=\"0.000545\" qx=\"-0.011276\" qy=\"0.000378\" qz=\"-0.005330\" qw=\"-0.999922\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143687\" qy=\"-0.015635\" qz=\"-0.015829\" qw=\"-0.989373\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118764\" z=\"-0.016657\" qx=\"0.110203\" qy=\"-0.010403\" qz=\"0.028685\" qw=\"-0.993441\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.008883\" qy=\"0.018596\" qz=\"0.136810\" qw=\"0.990383\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.037503\" qy=\"-0.017238\" qz=\"-0.209112\" qw=\"0.977020\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016944\" qy=\"-0.008671\" qz=\"-0.029684\" qw=\"-0.999378\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226592\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.016957\" qy=\"0.003121\" qz=\"0.018902\" qw=\"-0.999673\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013095\" qy=\"0.015422\" qz=\"-0.118970\" qw=\"0.992692\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.041386\" qy=\"0.031023\" qz=\"0.183423\" qw=\"0.981673\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022546\" qy=\"-0.008371\" qz=\"0.039701\" qw=\"-0.998922\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224777\" y=\"-0.000035\" z=\"-0.000143\" qx=\"-0.022523\" qy=\"-0.017896\" qz=\"-0.036906\" qw=\"-0.998905\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.006009\" qy=\"0.006185\" qz=\"0.037243\" qw=\"0.999269\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.101547\" qy=\"-0.024237\" qz=\"-0.047246\" qw=\"0.993413\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000636\" y=\"-0.424335\" z=\"0.000489\" qx=\"-0.118319\" qy=\"0.113080\" qz=\"-0.010551\" qw=\"0.986460\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.045906\" qy=\"-0.021963\" qz=\"-0.031257\" qw=\"0.998215\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.193387\" qy=\"-0.036933\" qz=\"0.001519\" qw=\"0.980426\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000002\" y=\"-0.423600\" z=\"-0.000153\" qx=\"-0.154415\" qy=\"-0.054471\" qz=\"0.045644\" qw=\"0.985447\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005206\" qy=\"-0.000112\" qz=\"0.000029\" qw=\"-0.999986\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020707\" qy=\"0.008587\" qz=\"-0.000879\" qw=\"-0.999748\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 2: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051543\" y=\"0.931706\" z=\"-0.919527\" qx=\"0.008713\" qy=\"-0.017675\" qz=\"0.001897\" qw=\"0.999804\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.056719\" qy=\"0.001162\" qz=\"0.009272\" qw=\"-0.998346\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202223\" z=\"0.000545\" qx=\"-0.011903\" qy=\"0.000343\" qz=\"-0.005470\" qw=\"-0.999914\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143378\" qy=\"-0.015573\" qz=\"-0.015932\" qw=\"-0.989417\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118698\" z=\"-0.016648\" qx=\"0.111058\" qy=\"-0.010341\" qz=\"0.028527\" qw=\"-0.993351\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.008850\" qy=\"0.018641\" qz=\"0.136856\" qw=\"0.990376\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.037201\" qy=\"-0.017452\" qz=\"-0.209172\" qw=\"0.977015\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016896\" qy=\"-0.008522\" qz=\"-0.029961\" qw=\"-0.999372\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226593\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.016909\" qy=\"0.003193\" qz=\"0.019988\" qw=\"-0.999652\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013090\" qy=\"0.015569\" qz=\"-0.119018\" qw=\"0.992684\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.041039\" qy=\"0.030942\" qz=\"0.183266\" qw=\"0.981719\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022185\" qy=\"-0.008603\" qz=\"0.040076\" qw=\"-0.998913\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224781\" y=\"-0.000035\" z=\"-0.000143\" qx=\"-0.022162\" qy=\"-0.017908\" qz=\"-0.036545\" qw=\"-0.998926\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005995\" qy=\"0.006316\" qz=\"0.037338\" qw=\"0.999265\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.101566\" qy=\"-0.024455\" qz=\"-0.047291\" qw=\"0.993403\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000642\" y=\"-0.424295\" z=\"0.000491\" qx=\"-0.118349\" qy=\"0.113215\" qz=\"-0.010439\" qw=\"0.986442\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046084\" qy=\"-0.022066\" qz=\"-0.031157\" qw=\"0.998208\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.193655\" qy=\"-0.036727\" qz=\"0.001447\" qw=\"0.980381\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000007\" y=\"-0.423632\" z=\"-0.000154\" qx=\"-0.154510\" qy=\"-0.054523\" qz=\"0.045767\" qw=\"0.985423\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005285\" qy=\"-0.000166\" qz=\"0.000042\" qw=\"-0.999986\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020624\" qy=\"0.008532\" qz=\"-0.000873\" qw=\"-0.999750\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 3: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051495\" y=\"0.931722\" z=\"-0.919545\" qx=\"0.008787\" qy=\"-0.017773\" qz=\"0.001751\" qw=\"0.999802\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.056880\" qy=\"0.001036\" qz=\"0.009375\" qw=\"-0.998336\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202242\" z=\"0.000546\" qx=\"-0.012597\" qy=\"0.000305\" qz=\"-0.005428\" qw=\"-0.999906\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.142823\" qy=\"-0.015497\" qz=\"-0.015992\" qw=\"-0.989498\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118605\" z=\"-0.016635\" qx=\"0.111518\" qy=\"-0.010281\" qz=\"0.028296\" qw=\"-0.993306\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.009114\" qy=\"0.018861\" qz=\"0.136744\" qw=\"0.990385\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036934\" qy=\"-0.017632\" qz=\"-0.209054\" qw=\"0.977047\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016466\" qy=\"-0.008189\" qz=\"-0.030577\" qw=\"-0.999363\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226539\" y=\"-0.000126\" z=\"-0.000025\" qx=\"0.016478\" qy=\"0.003369\" qz=\"0.022001\" qw=\"-0.999616\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013111\" qy=\"0.015506\" qz=\"-0.118965\" qw=\"0.992691\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.040769\" qy=\"0.031074\" qz=\"0.183201\" qw=\"0.981738\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.021664\" qy=\"-0.009095\" qz=\"0.040745\" qw=\"-0.998893\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224712\" y=\"-0.000034\" z=\"-0.000143\" qx=\"-0.021640\" qy=\"-0.018127\" qz=\"-0.037336\" qw=\"-0.998904\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005944\" qy=\"0.006480\" qz=\"0.037480\" qw=\"0.999259\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.101559\" qy=\"-0.024469\" qz=\"-0.047314\" qw=\"0.993403\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000642\" y=\"-0.424300\" z=\"0.000494\" qx=\"-0.118455\" qy=\"0.113118\" qz=\"-0.010460\" qw=\"0.986440\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046271\" qy=\"-0.021986\" qz=\"-0.031049\" qw=\"0.998204\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.193825\" qy=\"-0.036755\" qz=\"0.001427\" qw=\"0.980346\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000009\" y=\"-0.423698\" z=\"-0.000151\" qx=\"-0.154547\" qy=\"-0.054380\" qz=\"0.045861\" qw=\"0.985421\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005301\" qy=\"-0.000142\" qz=\"0.000036\" qw=\"-0.999986\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020674\" qy=\"0.008673\" qz=\"-0.000888\" qw=\"-0.999748\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 4: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051435\" y=\"0.931724\" z=\"-0.919563\" qx=\"0.008918\" qy=\"-0.017935\" qz=\"0.001673\" qw=\"0.999798\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.056891\" qy=\"0.000932\" qz=\"0.009546\" qw=\"-0.998334\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202251\" z=\"0.000546\" qx=\"-0.012635\" qy=\"0.000256\" qz=\"-0.005496\" qw=\"-0.999905\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.142711\" qy=\"-0.015400\" qz=\"-0.016016\" qw=\"-0.989515\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118594\" z=\"-0.016633\" qx=\"0.111453\" qy=\"-0.010157\" qz=\"0.028396\" qw=\"-0.993312\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.009373\" qy=\"0.019189\" qz=\"0.136608\" qw=\"0.990395\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036354\" qy=\"-0.017787\" qz=\"-0.209282\" qw=\"0.977017\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016739\" qy=\"-0.007784\" qz=\"-0.031581\" qw=\"-0.999331\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226536\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.016751\" qy=\"0.003835\" qz=\"0.023203\" qw=\"-0.999583\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013133\" qy=\"0.015345\" qz=\"-0.118874\" qw=\"0.992704\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.041303\" qy=\"0.031119\" qz=\"0.183241\" qw=\"0.981707\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.020670\" qy=\"-0.010311\" qz=\"0.042176\" qw=\"-0.998843\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224624\" y=\"-0.000035\" z=\"-0.000143\" qx=\"-0.020645\" qy=\"-0.018754\" qz=\"-0.039544\" qw=\"-0.998828\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005863\" qy=\"0.006500\" qz=\"0.037544\" qw=\"0.999257\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.101513\" qy=\"-0.024520\" qz=\"-0.047386\" qw=\"0.993403\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000647\" y=\"-0.424289\" z=\"0.000503\" qx=\"-0.118551\" qy=\"0.113323\" qz=\"-0.010482\" qw=\"0.986404\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046590\" qy=\"-0.022294\" qz=\"-0.031007\" qw=\"0.998184\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.194088\" qy=\"-0.036253\" qz=\"0.001395\" qw=\"0.980313\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000011\" y=\"-0.423761\" z=\"-0.000147\" qx=\"-0.154638\" qy=\"-0.054425\" qz=\"0.045951\" qw=\"0.985400\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005387\" qy=\"-0.000120\" qz=\"0.000031\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020760\" qy=\"0.008522\" qz=\"-0.000872\" qw=\"-0.999748\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 5: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051355\" y=\"0.931704\" z=\"-0.919502\" qx=\"0.009059\" qy=\"-0.018107\" qz=\"0.001654\" qw=\"0.999794\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.057180\" qy=\"0.000746\" qz=\"0.009682\" qw=\"-0.998317\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202217\" z=\"0.000546\" qx=\"-0.012736\" qy=\"0.000201\" qz=\"-0.005486\" qw=\"-0.999904\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.142715\" qy=\"-0.015365\" qz=\"-0.015883\" qw=\"-0.989517\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118691\" z=\"-0.016647\" qx=\"0.110688\" qy=\"-0.010141\" qz=\"0.028381\" qw=\"-0.993398\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.009545\" qy=\"0.019377\" qz=\"0.136484\" qw=\"0.990407\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036705\" qy=\"-0.017553\" qz=\"-0.209447\" qw=\"0.976973\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016788\" qy=\"-0.006943\" qz=\"-0.032335\" qw=\"-0.999312\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226510\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.016799\" qy=\"0.003572\" qz=\"0.025028\" qw=\"-0.999539\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013185\" qy=\"0.015277\" qz=\"-0.118800\" qw=\"0.992713\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.041555\" qy=\"0.030972\" qz=\"0.183555\" qw=\"0.981642\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019721\" qy=\"-0.012086\" qz=\"0.044056\" qw=\"-0.998761\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224399\" y=\"-0.000035\" z=\"-0.000143\" qx=\"-0.019695\" qy=\"-0.018844\" qz=\"-0.041834\" qw=\"-0.998753\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005979\" qy=\"0.006435\" qz=\"0.037501\" qw=\"0.999258\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.101181\" qy=\"-0.024128\" qz=\"-0.047348\" qw=\"0.993448\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000649\" y=\"-0.424258\" z=\"0.000500\" qx=\"-0.118550\" qy=\"0.113157\" qz=\"-0.010557\" qw=\"0.986423\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046808\" qy=\"-0.022381\" qz=\"-0.031050\" qw=\"0.998170\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.194269\" qy=\"-0.035765\" qz=\"0.001477\" qw=\"0.980295\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000003\" y=\"-0.423805\" z=\"-0.000141\" qx=\"-0.154854\" qy=\"-0.054693\" qz=\"0.045813\" qw=\"0.985358\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005487\" qy=\"-0.000024\" qz=\"0.000006\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020767\" qy=\"0.008559\" qz=\"-0.000876\" qw=\"-0.999747\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 6: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051291\" y=\"0.931650\" z=\"-0.919340\" qx=\"0.009055\" qy=\"-0.018264\" qz=\"0.001567\" qw=\"0.999791\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.057600\" qy=\"0.000518\" qz=\"0.009735\" qw=\"-0.998292\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202161\" z=\"0.000546\" qx=\"-0.013019\" qy=\"0.000112\" qz=\"-0.005543\" qw=\"-0.999900\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143055\" qy=\"-0.015415\" qz=\"-0.015691\" qw=\"-0.989470\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118809\" z=\"-0.016663\" qx=\"0.110185\" qy=\"-0.010202\" qz=\"0.028549\" qw=\"-0.993449\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.009756\" qy=\"0.019607\" qz=\"0.136184\" qw=\"0.990441\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.037185\" qy=\"-0.017412\" qz=\"-0.209500\" qw=\"0.976946\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016145\" qy=\"-0.005803\" qz=\"-0.033279\" qw=\"-0.999299\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226486\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.016155\" qy=\"0.003540\" qz=\"0.028297\" qw=\"-0.999463\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013295\" qy=\"0.015077\" qz=\"-0.118827\" qw=\"0.992712\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.041134\" qy=\"0.031140\" qz=\"0.183995\" qw=\"0.981572\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019868\" qy=\"-0.013856\" qz=\"0.045749\" qw=\"-0.998659\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224210\" y=\"-0.000035\" z=\"-0.000143\" qx=\"-0.019843\" qy=\"-0.019157\" qz=\"-0.042688\" qw=\"-0.998708\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.006353\" qy=\"0.005937\" qz=\"0.037537\" qw=\"0.999257\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.100758\" qy=\"-0.023610\" qz=\"-0.047413\" qw=\"0.993500\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000658\" y=\"-0.424197\" z=\"0.000506\" qx=\"-0.118674\" qy=\"0.113276\" qz=\"-0.010551\" qw=\"0.986394\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046867\" qy=\"-0.022309\" qz=\"-0.030995\" qw=\"0.998171\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.194549\" qy=\"-0.035644\" qz=\"0.001433\" qw=\"0.980244\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000008\" y=\"-0.423838\" z=\"-0.000139\" qx=\"-0.155103\" qy=\"-0.054673\" qz=\"0.045954\" qw=\"0.985313\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005413\" qy=\"-0.000082\" qz=\"0.000021\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020811\" qy=\"0.008590\" qz=\"-0.000879\" qw=\"-0.999746\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 7: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051221\" y=\"0.931596\" z=\"-0.919153\" qx=\"0.008995\" qy=\"-0.018386\" qz=\"0.001530\" qw=\"0.999789\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.058023\" qy=\"0.000124\" qz=\"0.009845\" qw=\"-0.998267\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202101\" z=\"0.000546\" qx=\"-0.013249\" qy=\"0.000096\" qz=\"-0.005627\" qw=\"-0.999896\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143627\" qy=\"-0.015676\" qz=\"-0.015854\" qw=\"-0.989381\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118944\" z=\"-0.016682\" qx=\"0.109784\" qy=\"-0.010355\" qz=\"0.029306\" qw=\"-0.993469\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.010085\" qy=\"0.020075\" qz=\"0.135906\" qw=\"0.990467\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036994\" qy=\"-0.017864\" qz=\"-0.209796\" qw=\"0.976882\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015284\" qy=\"-0.004349\" qz=\"-0.034721\" qw=\"-0.999271\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226396\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.015291\" qy=\"0.003403\" qz=\"0.032811\" qw=\"-0.999339\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013415\" qy=\"0.014945\" qz=\"-0.118863\" qw=\"0.992708\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.040946\" qy=\"0.031109\" qz=\"0.184376\" qw=\"0.981510\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019627\" qy=\"-0.015589\" qz=\"0.047185\" qw=\"-0.998572\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224092\" y=\"-0.000035\" z=\"-0.000142\" qx=\"-0.019601\" qy=\"-0.019814\" qz=\"-0.043964\" qw=\"-0.998644\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.006715\" qy=\"0.005609\" qz=\"0.037496\" qw=\"0.999259\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.100484\" qy=\"-0.023244\" qz=\"-0.047397\" qw=\"0.993537\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000661\" y=\"-0.424152\" z=\"0.000508\" qx=\"-0.118769\" qy=\"0.113297\" qz=\"-0.010551\" qw=\"0.986381\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.047229\" qy=\"-0.022519\" qz=\"-0.031022\" qw=\"0.998148\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.195507\" qy=\"-0.034973\" qz=\"0.001372\" qw=\"0.980078\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000014\" y=\"-0.423949\" z=\"-0.000133\" qx=\"-0.155591\" qy=\"-0.054861\" qz=\"0.046149\" qw=\"0.985217\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005548\" qy=\"-0.000143\" qz=\"0.000037\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020848\" qy=\"0.008507\" qz=\"-0.000871\" qw=\"-0.999746\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 8: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.051097\" y=\"0.931569\" z=\"-0.918936\" qx=\"0.008856\" qy=\"-0.018518\" qz=\"0.001525\" qw=\"0.999788\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.058378\" qy=\"-0.000189\" qz=\"0.009741\" qw=\"-0.998247\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.202044\" z=\"0.000546\" qx=\"-0.013299\" qy=\"-0.000130\" qz=\"-0.005442\" qw=\"-0.999897\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.144369\" qy=\"-0.016050\" qz=\"-0.015964\" qw=\"-0.989265\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.119073\" z=\"-0.016700\" qx=\"0.109414\" qy=\"-0.010694\" qz=\"0.029662\" qw=\"-0.993496\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.010128\" qy=\"0.020163\" qz=\"0.135520\" qw=\"0.990518\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036321\" qy=\"-0.017917\" qz=\"-0.210132\" qw=\"0.976834\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.014171\" qy=\"-0.002536\" qz=\"-0.036318\" qw=\"-0.999237\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226323\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.014176\" qy=\"0.004009\" qz=\"0.037622\" qw=\"-0.999183\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013499\" qy=\"0.014895\" qz=\"-0.118799\" qw=\"0.992715\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.042300\" qy=\"0.030603\" qz=\"0.184528\" qw=\"0.981440\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019734\" qy=\"-0.017551\" qz=\"0.048087\" qw=\"-0.998494\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223928\" y=\"-0.000035\" z=\"-0.000143\" qx=\"-0.019706\" qy=\"-0.020075\" qz=\"-0.047134\" qw=\"-0.998492\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.007017\" qy=\"0.005280\" qz=\"0.037356\" qw=\"0.999263\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.100483\" qy=\"-0.023010\" qz=\"-0.047361\" qw=\"0.993545\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000667\" y=\"-0.424163\" z=\"0.000516\" qx=\"-0.118986\" qy=\"0.113545\" qz=\"-0.010460\" qw=\"0.986327\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.047867\" qy=\"-0.023074\" qz=\"-0.031082\" qw=\"0.998103\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.197096\" qy=\"-0.034009\" qz=\"0.001147\" qw=\"0.979793\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000020\" y=\"-0.424152\" z=\"-0.000129\" qx=\"-0.156217\" qy=\"-0.054970\" qz=\"0.046456\" qw=\"0.985097\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005640\" qy=\"-0.000023\" qz=\"0.000006\" qw=\"-0.999984\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020972\" qy=\"0.008486\" qz=\"-0.000869\" qw=\"-0.999744\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 9: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.050933\" y=\"0.931563\" z=\"-0.918663\" qx=\"0.008165\" qy=\"-0.018614\" qz=\"0.001504\" qw=\"0.999792\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.058071\" qy=\"-0.000525\" qz=\"0.009432\" qw=\"-0.998268\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.201942\" z=\"0.000546\" qx=\"-0.013198\" qy=\"-0.000234\" qz=\"-0.005121\" qw=\"-0.999900\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.144777\" qy=\"-0.016300\" qz=\"-0.016040\" qw=\"-0.989200\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.119188\" z=\"-0.016716\" qx=\"0.108809\" qy=\"-0.010874\" qz=\"0.030237\" qw=\"-0.993543\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.010320\" qy=\"0.020447\" qz=\"0.134963\" qw=\"0.990586\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.035741\" qy=\"-0.018083\" qz=\"-0.210609\" qw=\"0.976750\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.013810\" qy=\"-0.000513\" qz=\"-0.037949\" qw=\"-0.999184\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226317\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.013812\" qy=\"0.004798\" qz=\"0.042698\" qw=\"-0.998981\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013695\" qy=\"0.014841\" qz=\"-0.118494\" qw=\"0.992750\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.045121\" qy=\"0.029678\" qz=\"0.184634\" qw=\"0.981322\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019960\" qy=\"-0.020602\" qz=\"0.049449\" qw=\"-0.998365\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223720\" y=\"-0.000036\" z=\"-0.000143\" qx=\"-0.019931\" qy=\"-0.019955\" qz=\"-0.050670\" qw=\"-0.998317\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.007715\" qy=\"0.004438\" qz=\"0.037302\" qw=\"0.999264\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.100797\" qy=\"-0.023262\" qz=\"-0.047718\" qw=\"0.993490\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000690\" y=\"-0.424232\" z=\"0.000539\" qx=\"-0.119397\" qy=\"0.114837\" qz=\"-0.010121\" qw=\"0.986131\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048603\" qy=\"-0.023293\" qz=\"-0.031231\" qw=\"0.998058\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.199996\" qy=\"-0.032526\" qz=\"0.001082\" qw=\"0.979256\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000029\" y=\"-0.424562\" z=\"-0.000110\" qx=\"-0.157408\" qy=\"-0.055739\" qz=\"0.046899\" qw=\"0.984843\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005548\" qy=\"0.000134\" qz=\"-0.000034\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021187\" qy=\"0.008468\" qz=\"-0.000867\" qw=\"-0.999739\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 10: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.050728\" y=\"0.931519\" z=\"-0.918545\" qx=\"0.007348\" qy=\"-0.018748\" qz=\"0.001559\" qw=\"0.999796\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.057453\" qy=\"-0.000820\" qz=\"0.009118\" qw=\"-0.998306\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.201908\" z=\"0.000546\" qx=\"-0.013510\" qy=\"-0.000339\" qz=\"-0.004979\" qw=\"-0.999896\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.144356\" qy=\"-0.016688\" qz=\"-0.016169\" qw=\"-0.989253\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.119179\" z=\"-0.016716\" qx=\"0.108645\" qy=\"-0.011081\" qz=\"0.031570\" qw=\"-0.993517\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.011071\" qy=\"0.021046\" qz=\"0.133831\" qw=\"0.990719\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034551\" qy=\"-0.018479\" qz=\"-0.212283\" qw=\"0.976422\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015471\" qy=\"0.002416\" qz=\"-0.041613\" qw=\"-0.999011\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226240\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.015468\" qy=\"0.004954\" qz=\"0.051136\" qw=\"-0.998560\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013949\" qy=\"0.014587\" qz=\"-0.117836\" qw=\"0.992828\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046125\" qy=\"0.029240\" qz=\"0.185598\" qw=\"0.981107\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019028\" qy=\"-0.024607\" qz=\"0.054135\" qw=\"-0.998049\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223360\" y=\"-0.000036\" z=\"-0.000142\" qx=\"-0.018995\" qy=\"-0.020361\" qz=\"-0.058979\" qw=\"-0.997871\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.008268\" qy=\"0.002966\" qz=\"0.037180\" qw=\"0.999270\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.101456\" qy=\"-0.023555\" qz=\"-0.048205\" qw=\"0.993392\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000697\" y=\"-0.424251\" z=\"0.000575\" qx=\"-0.119770\" qy=\"0.116575\" qz=\"-0.009733\" qw=\"0.985886\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050724\" qy=\"-0.023670\" qz=\"-0.031674\" qw=\"0.997930\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.205483\" qy=\"-0.029955\" qz=\"0.001271\" qw=\"0.978201\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000044\" y=\"-0.425245\" z=\"-0.000070\" qx=\"-0.159348\" qy=\"-0.057077\" qz=\"0.047463\" qw=\"0.984428\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005555\" qy=\"0.000133\" qz=\"-0.000034\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021568\" qy=\"0.008533\" qz=\"-0.000873\" qw=\"-0.999731\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 11: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.050407\" y=\"0.931436\" z=\"-0.918570\" qx=\"0.006009\" qy=\"-0.018889\" qz=\"0.001953\" qw=\"0.999802\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.056115\" qy=\"-0.000914\" qz=\"0.008753\" qw=\"-0.998386\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.201954\" z=\"0.000546\" qx=\"-0.014189\" qy=\"-0.000365\" qz=\"-0.004393\" qw=\"-0.999890\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143639\" qy=\"-0.017383\" qz=\"-0.016845\" qw=\"-0.989334\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.119090\" z=\"-0.016703\" qx=\"0.109561\" qy=\"-0.011405\" qz=\"0.033831\" qw=\"-0.993339\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.012471\" qy=\"0.022040\" qz=\"0.132318\" qw=\"0.990884\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033196\" qy=\"-0.018915\" qz=\"-0.215106\" qw=\"0.975843\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016606\" qy=\"0.006384\" qz=\"-0.045775\" qw=\"-0.998793\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226076\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.016596\" qy=\"0.005395\" qz=\"0.059261\" qw=\"-0.998090\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.015023\" qy=\"0.014319\" qz=\"-0.116861\" qw=\"0.992931\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.045566\" qy=\"0.029522\" qz=\"0.188119\" qw=\"0.980644\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.015552\" qy=\"-0.030011\" qz=\"0.060437\" qw=\"-0.997600\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.222937\" y=\"-0.000035\" z=\"-0.000142\" qx=\"-0.015517\" qy=\"-0.020274\" qz=\"-0.066001\" qw=\"-0.997493\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.009155\" qy=\"0.001793\" qz=\"0.036507\" qw=\"0.999290\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.102272\" qy=\"-0.023578\" qz=\"-0.048393\" qw=\"0.993299\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000706\" y=\"-0.424279\" z=\"0.000601\" qx=\"-0.120088\" qy=\"0.117775\" qz=\"-0.009222\" qw=\"0.985709\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.055136\" qy=\"-0.025148\" qz=\"-0.031624\" qw=\"0.997661\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.215585\" qy=\"-0.024737\" qz=\"-0.000339\" qw=\"0.976172\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000049\" y=\"-0.426316\" z=\"0.000014\" qx=\"-0.162028\" qy=\"-0.059966\" qz=\"0.048793\" qw=\"0.983753\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005508\" qy=\"0.000048\" qz=\"-0.000012\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021954\" qy=\"0.008621\" qz=\"-0.000882\" qw=\"-0.999721\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 12: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.050027\" y=\"0.931538\" z=\"-0.918756\" qx=\"0.003832\" qy=\"-0.018743\" qz=\"0.002207\" qw=\"0.999815\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.053796\" qy=\"-0.000737\" qz=\"0.008036\" qw=\"-0.998519\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.201957\" z=\"0.000546\" qx=\"-0.015408\" qy=\"-0.000299\" qz=\"-0.003794\" qw=\"-0.999874\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143009\" qy=\"-0.018571\" qz=\"-0.018139\" qw=\"-0.989381\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118904\" z=\"-0.016677\" qx=\"0.111745\" qy=\"-0.011923\" qz=\"0.037806\" qw=\"-0.992946\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.013599\" qy=\"0.022825\" qz=\"0.130731\" qw=\"0.991062\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031213\" qy=\"-0.018813\" qz=\"-0.221174\" qw=\"0.974553\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016606\" qy=\"0.012535\" qz=\"-0.050707\" qw=\"-0.998497\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.225894\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.016596\" qy=\"0.004101\" qz=\"0.061430\" qw=\"-0.997965\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.016797\" qy=\"0.014000\" qz=\"-0.115394\" qw=\"0.993079\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.043674\" qy=\"0.029632\" qz=\"0.193466\" qw=\"0.979686\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007521\" qy=\"-0.037706\" qz=\"0.071256\" qw=\"-0.996717\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.222349\" y=\"-0.000035\" z=\"-0.000141\" qx=\"-0.007485\" qy=\"-0.022193\" qz=\"-0.074412\" qw=\"-0.996952\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.010414\" qy=\"0.000087\" qz=\"0.036116\" qw=\"0.999293\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.103549\" qy=\"-0.025485\" qz=\"-0.049147\" qw=\"0.993083\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000709\" y=\"-0.424482\" z=\"0.000684\" qx=\"-0.120477\" qy=\"0.120962\" qz=\"-0.008533\" qw=\"0.985282\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.060338\" qy=\"-0.026685\" qz=\"-0.031856\" qw=\"0.997313\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.228157\" qy=\"-0.019400\" qz=\"-0.001394\" qw=\"0.973430\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000098\" y=\"-0.427573\" z=\"0.000103\" qx=\"-0.163769\" qy=\"-0.062836\" qz=\"0.050943\" qw=\"0.983176\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005420\" qy=\"-0.000145\" qz=\"0.000037\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023227\" qy=\"0.008916\" qz=\"-0.000913\" qw=\"-0.999690\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 13: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.049634\" y=\"0.931947\" z=\"-0.919542\" qx=\"0.001745\" qy=\"-0.017353\" qz=\"0.002405\" qw=\"0.999845\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.051023\" qy=\"-0.000303\" qz=\"0.007467\" qw=\"-0.998670\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.201827\" z=\"0.000546\" qx=\"-0.016910\" qy=\"-0.000154\" qz=\"-0.004234\" qw=\"-0.999848\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.143689\" qy=\"-0.020692\" qz=\"-0.020337\" qw=\"-0.989198\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118521\" z=\"-0.016624\" qx=\"0.116974\" qy=\"-0.012776\" qz=\"0.045591\" qw=\"-0.992006\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.016021\" qy=\"0.024866\" qz=\"0.129442\" qw=\"0.991146\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.025238\" qy=\"-0.022123\" qz=\"-0.237722\" qw=\"0.970753\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.023224\" qy=\"0.025049\" qz=\"-0.064543\" qw=\"-0.997330\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226186\" y=\"-0.000127\" z=\"-0.000025\" qx=\"0.023240\" qy=\"-0.002211\" qz=\"0.053423\" qw=\"-0.998299\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.020609\" qy=\"0.013040\" qz=\"-0.112338\" qw=\"0.993371\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.040155\" qy=\"0.028935\" qz=\"0.203122\" qw=\"0.977902\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005679\" qy=\"-0.050289\" qz=\"0.092560\" qw=\"-0.994420\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221802\" y=\"-0.000035\" z=\"-0.000141\" qx=\"0.005740\" qy=\"-0.022235\" qz=\"-0.084376\" qw=\"-0.996169\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.010235\" qy=\"-0.001995\" qz=\"0.035995\" qw=\"0.999298\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.106381\" qy=\"-0.027466\" qz=\"-0.050055\" qw=\"0.992685\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000718\" y=\"-0.424996\" z=\"0.000740\" qx=\"-0.120934\" qy=\"0.123381\" qz=\"-0.007769\" qw=\"0.984932\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.067567\" qy=\"-0.028471\" qz=\"-0.032286\" qw=\"0.996786\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.243727\" qy=\"-0.015928\" qz=\"-0.002643\" qw=\"0.969710\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000103\" y=\"-0.429066\" z=\"0.000183\" qx=\"-0.164489\" qy=\"-0.064434\" qz=\"0.053444\" qw=\"0.982820\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005209\" qy=\"0.000027\" qz=\"-0.000007\" qw=\"-0.999986\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024740\" qy=\"0.008795\" qz=\"-0.000900\" qw=\"-0.999655\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 14: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.049331\" y=\"0.932381\" z=\"-0.920946\" qx=\"-0.000461\" qy=\"-0.014158\" qz=\"0.002702\" qw=\"0.999896\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.047315\" qy=\"0.000091\" qz=\"0.006934\" qw=\"-0.998856\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000556\" y=\"0.201553\" z=\"0.000546\" qx=\"-0.018324\" qy=\"-0.000072\" qz=\"-0.005213\" qw=\"-0.999819\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.145619\" qy=\"-0.024116\" qz=\"-0.023173\" qw=\"-0.988775\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118208\" z=\"-0.016580\" qx=\"0.124796\" qy=\"-0.014667\" qz=\"0.055353\" qw=\"-0.990529\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.020447\" qy=\"0.028188\" qz=\"0.124413\" qw=\"0.991619\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013668\" qy=\"-0.032339\" qz=\"-0.264023\" qw=\"0.963877\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.044023\" qy=\"0.042923\" qz=\"-0.091378\" qw=\"-0.993916\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226664\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.044209\" qy=\"-0.009584\" qz=\"0.034602\" qw=\"-0.998377\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.025050\" qy=\"0.011702\" qz=\"-0.107088\" qw=\"0.993865\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033617\" qy=\"0.026412\" qz=\"0.218868\" qw=\"0.974818\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024371\" qy=\"-0.066935\" qz=\"0.124625\" qw=\"-0.989644\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220916\" y=\"-0.000036\" z=\"-0.000141\" qx=\"0.024573\" qy=\"-0.027250\" qz=\"-0.093164\" qw=\"-0.994974\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.008482\" qy=\"-0.003731\" qz=\"0.036223\" qw=\"0.999301\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.111115\" qy=\"-0.031103\" qz=\"-0.051377\" qw=\"0.991991\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000719\" y=\"-0.425621\" z=\"0.000805\" qx=\"-0.121609\" qy=\"0.125305\" qz=\"-0.007153\" qw=\"0.984611\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.077437\" qy=\"-0.031741\" qz=\"-0.032772\" qw=\"0.995953\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.263262\" qy=\"-0.015269\" qz=\"-0.005326\" qw=\"0.964589\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000061\" y=\"-0.430521\" z=\"0.000182\" qx=\"-0.163130\" qy=\"-0.063202\" qz=\"0.057925\" qw=\"0.982873\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005235\" qy=\"-0.000698\" qz=\"0.000178\" qw=\"-0.999986\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027005\" qy=\"0.008675\" qz=\"-0.000888\" qw=\"-0.999597\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 15: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.049663\" y=\"0.932831\" z=\"-0.923201\" qx=\"-0.002967\" qy=\"-0.009513\" qz=\"0.002701\" qw=\"0.999947\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.042529\" qy=\"0.000973\" qz=\"0.006592\" qw=\"-0.999073\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000555\" y=\"0.200962\" z=\"0.000544\" qx=\"-0.020056\" qy=\"0.000286\" qz=\"-0.006451\" qw=\"-0.999778\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.146870\" qy=\"-0.028219\" qz=\"-0.026259\" qw=\"-0.988404\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118084\" z=\"-0.016563\" qx=\"0.132006\" qy=\"-0.017425\" qz=\"0.063918\" qw=\"-0.989033\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.027298\" qy=\"0.031996\" qz=\"0.114970\" qw=\"0.992478\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.002861\" qy=\"-0.050056\" qz=\"-0.298724\" qw=\"0.953022\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083307\" qy=\"0.063379\" qz=\"-0.129995\" qw=\"-0.985974\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.227155\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.084169\" qy=\"-0.013676\" qz=\"0.002280\" qw=\"-0.996355\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.029245\" qy=\"0.010706\" qz=\"-0.101038\" qw=\"0.994395\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.026707\" qy=\"0.025141\" qz=\"0.244014\" qw=\"0.969078\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.047336\" qy=\"-0.083720\" qz=\"0.163330\" qw=\"-0.981873\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219632\" y=\"-0.000036\" z=\"-0.000140\" qx=\"0.047978\" qy=\"-0.035246\" qz=\"-0.100060\" qw=\"-0.993199\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005336\" qy=\"-0.003979\" qz=\"0.038081\" qw=\"0.999253\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.117584\" qy=\"-0.037965\" qz=\"-0.054095\" qw=\"0.990861\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000739\" y=\"-0.426332\" z=\"0.000889\" qx=\"-0.122470\" qy=\"0.127009\" qz=\"-0.006505\" qw=\"0.984290\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.091179\" qy=\"-0.031417\" qz=\"-0.033077\" qw=\"0.994789\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.288823\" qy=\"-0.020890\" qz=\"-0.008706\" qw=\"0.957115\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000093\" y=\"-0.431802\" z=\"0.000151\" qx=\"-0.157523\" qy=\"-0.058580\" qz=\"0.065030\" qw=\"0.983629\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004758\" qy=\"-0.000298\" qz=\"0.000076\" qw=\"-0.999989\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031392\" qy=\"0.009576\" qz=\"-0.000980\" qw=\"-0.999461\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 16: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.050918\" y=\"0.932993\" z=\"-0.925921\" qx=\"-0.007238\" qy=\"-0.004254\" qz=\"0.003130\" qw=\"0.999960\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.035862\" qy=\"0.002235\" qz=\"0.006679\" qw=\"-0.999332\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000553\" y=\"0.200403\" z=\"0.000542\" qx=\"-0.022791\" qy=\"0.000708\" qz=\"-0.005537\" qw=\"-0.999725\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.146658\" qy=\"-0.032841\" qz=\"-0.033255\" qw=\"-0.988083\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118155\" z=\"-0.016573\" qx=\"0.136574\" qy=\"-0.019927\" qz=\"0.073957\" qw=\"-0.987664\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.037913\" qy=\"0.035966\" qz=\"0.102644\" qw=\"0.993345\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016860\" qy=\"-0.074612\" qz=\"-0.337071\" qw=\"0.938367\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.130556\" qy=\"0.084610\" qz=\"-0.175048\" qw=\"-0.972191\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226930\" y=\"-0.000128\" z=\"-0.000025\" qx=\"0.133052\" qy=\"-0.015515\" qz=\"-0.014396\" qw=\"-0.990883\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.035732\" qy=\"0.010565\" qz=\"-0.092027\" qw=\"0.995059\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022237\" qy=\"0.027059\" qz=\"0.278882\" qw=\"0.959687\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078024\" qy=\"-0.101847\" qz=\"0.201674\" qw=\"-0.971013\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.218669\" y=\"-0.000035\" z=\"-0.000139\" qx=\"0.079897\" qy=\"-0.037944\" qz=\"-0.080899\" qw=\"-0.992790\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.003508\" qy=\"-0.002565\" qz=\"0.040500\" qw=\"0.999170\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.124128\" qy=\"-0.046029\" qz=\"-0.057351\" qw=\"0.989538\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000755\" y=\"-0.426905\" z=\"0.000945\" qx=\"-0.122908\" qy=\"0.127680\" qz=\"-0.005895\" qw=\"0.984153\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.107123\" qy=\"-0.025174\" qz=\"-0.034530\" qw=\"0.993327\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.320276\" qy=\"-0.022445\" qz=\"-0.008918\" qw=\"0.947016\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000032\" y=\"-0.433069\" z=\"0.000301\" qx=\"-0.148681\" qy=\"-0.060498\" qz=\"0.074074\" qw=\"0.984249\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004357\" qy=\"-0.000216\" qz=\"0.000055\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.036523\" qy=\"0.009089\" qz=\"-0.000930\" qw=\"-0.999291\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 17: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.053203\" y=\"0.932475\" z=\"-0.928775\" qx=\"-0.012417\" qy=\"0.000992\" qz=\"0.004898\" qw=\"0.999910\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.028409\" qy=\"0.003449\" qz=\"0.009256\" qw=\"-0.999548\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000552\" y=\"0.199967\" z=\"0.000541\" qx=\"-0.026151\" qy=\"0.001120\" qz=\"-0.005733\" qw=\"-0.999641\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.144077\" qy=\"-0.036081\" qz=\"-0.036325\" qw=\"-0.988241\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.118289\" z=\"-0.016591\" qx=\"0.136103\" qy=\"-0.022360\" qz=\"0.078044\" qw=\"-0.987363\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.048094\" qy=\"0.038723\" qz=\"0.088037\" qw=\"0.994202\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.026475\" qy=\"-0.100151\" qz=\"-0.378033\" qw=\"0.919978\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.165855\" qy=\"0.108283\" qz=\"-0.213748\" qw=\"-0.956597\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.225469\" y=\"-0.000128\" z=\"-0.000024\" qx=\"0.170725\" qy=\"-0.016871\" qz=\"-0.027865\" qw=\"-0.984780\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.043616\" qy=\"0.010317\" qz=\"-0.081597\" qw=\"0.995657\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.027335\" qy=\"0.031423\" qz=\"0.315208\" qw=\"0.948108\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.103354\" qy=\"-0.120828\" qz=\"0.226132\" qw=\"-0.961032\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216981\" y=\"-0.000036\" z=\"-0.000138\" qx=\"0.106830\" qy=\"-0.037041\" qz=\"-0.055411\" qw=\"-0.992041\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.003627\" qy=\"-0.003616\" qz=\"0.042265\" qw=\"0.999093\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.128562\" qy=\"-0.051792\" qz=\"-0.061068\" qw=\"0.988464\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000787\" y=\"-0.426970\" z=\"0.000993\" qx=\"-0.122417\" qy=\"0.128522\" qz=\"-0.005860\" qw=\"0.984105\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.124564\" qy=\"-0.015547\" qz=\"-0.038471\" qw=\"0.991344\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.354365\" qy=\"-0.019150\" qz=\"-0.006688\" qw=\"0.934887\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000023\" y=\"-0.433141\" z=\"0.000447\" qx=\"-0.134592\" qy=\"-0.061428\" qz=\"0.084725\" qw=\"0.985360\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003882\" qy=\"0.000357\" qz=\"-0.000091\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.039982\" qy=\"0.009252\" qz=\"-0.000947\" qw=\"-0.999157\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 18: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.056298\" y=\"0.931799\" z=\"-0.931009\" qx=\"-0.018546\" qy=\"0.006443\" qz=\"0.006960\" qw=\"0.999783\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.020533\" qy=\"0.004980\" qz=\"0.010317\" qw=\"-0.999724\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.199011\" z=\"0.000538\" qx=\"-0.028800\" qy=\"0.001641\" qz=\"-0.004411\" qw=\"-0.999574\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.142362\" qy=\"-0.038359\" qz=\"-0.035518\" qw=\"-0.988433\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.119297\" z=\"-0.016732\" qx=\"0.133660\" qy=\"-0.024578\" qz=\"0.080475\" qw=\"-0.987449\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.054582\" qy=\"0.041948\" qz=\"0.073356\" qw=\"0.994927\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.020649\" qy=\"-0.116397\" qz=\"-0.410817\" qw=\"0.904021\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.166922\" qy=\"0.140408\" qz=\"-0.202281\" qw=\"-0.954728\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220604\" y=\"-0.000126\" z=\"-0.000024\" qx=\"0.171756\" qy=\"-0.015255\" qz=\"-0.069298\" qw=\"-0.982581\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.049574\" qy=\"0.009637\" qz=\"-0.072446\" qw=\"0.996093\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031405\" qy=\"0.038958\" qz=\"0.353178\" qw=\"0.934217\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.111320\" qy=\"-0.135584\" qz=\"0.238760\" qw=\"-0.955101\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215402\" y=\"-0.000035\" z=\"-0.000137\" qx=\"0.115733\" qy=\"-0.034173\" qz=\"-0.044841\" qw=\"-0.991679\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.006469\" qy=\"-0.006062\" qz=\"0.043678\" qw=\"0.999006\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.130349\" qy=\"-0.055273\" qz=\"-0.063761\" qw=\"0.987871\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000810\" y=\"-0.426740\" z=\"0.000992\" qx=\"-0.121028\" qy=\"0.128467\" qz=\"-0.006582\" qw=\"0.984279\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.139806\" qy=\"-0.008604\" qz=\"-0.044007\" qw=\"0.989163\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.384960\" qy=\"-0.000106\" qz=\"-0.002398\" qw=\"0.922930\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000093\" y=\"-0.431904\" z=\"0.000352\" qx=\"-0.115945\" qy=\"-0.058954\" qz=\"0.095147\" qw=\"0.986929\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003494\" qy=\"0.000604\" qz=\"-0.000154\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.040628\" qy=\"0.010746\" qz=\"-0.001100\" qw=\"-0.999116\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 19: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.060672\" y=\"0.931365\" z=\"-0.932537\" qx=\"-0.023635\" qy=\"0.013267\" qz=\"0.008578\" qw=\"0.999596\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.015334\" qy=\"0.006885\" qz=\"0.009206\" qw=\"-0.999816\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197911\" z=\"0.000535\" qx=\"-0.031915\" qy=\"0.002280\" qz=\"-0.003191\" qw=\"-0.999483\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.139984\" qy=\"-0.039741\" qz=\"-0.030598\" qw=\"-0.988883\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.120756\" z=\"-0.016937\" qx=\"0.126058\" qy=\"-0.025944\" qz=\"0.086268\" qw=\"-0.987924\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.062739\" qy=\"0.046707\" qz=\"0.060095\" qw=\"0.995124\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.030642\" qy=\"-0.142394\" qz=\"-0.439000\" qw=\"0.886602\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.142408\" qy=\"0.160520\" qz=\"-0.168089\" qw=\"-0.962133\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216900\" y=\"-0.000123\" z=\"-0.000023\" qx=\"0.145707\" qy=\"-0.010962\" qz=\"-0.093797\" qw=\"-0.984810\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.056853\" qy=\"0.006996\" qz=\"-0.064237\" qw=\"0.996289\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.026022\" qy=\"0.054344\" qz=\"0.388589\" qw=\"0.919439\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.109555\" qy=\"-0.142939\" qz=\"0.238617\" qw=\"-0.954268\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214343\" y=\"-0.000034\" z=\"-0.000137\" qx=\"0.114042\" qy=\"-0.029297\" qz=\"-0.044493\" qw=\"-0.992047\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.009349\" qy=\"-0.008644\" qz=\"0.046226\" qw=\"0.998850\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.130312\" qy=\"-0.057655\" qz=\"-0.065642\" qw=\"0.987616\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000804\" y=\"-0.426641\" z=\"0.000972\" qx=\"-0.119155\" qy=\"0.125857\" qz=\"-0.008403\" qw=\"0.984831\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.151207\" qy=\"-0.004613\" qz=\"-0.048722\" qw=\"0.987290\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.407700\" qy=\"0.031903\" qz=\"0.001160\" qw=\"0.912558\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000294\" y=\"-0.431291\" z=\"0.000386\" qx=\"-0.102243\" qy=\"-0.050993\" qz=\"0.103861\" qw=\"0.988008\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003222\" qy=\"0.000704\" qz=\"-0.000180\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.036453\" qy=\"0.012112\" qz=\"-0.001240\" qw=\"-0.999261\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 20: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.066579\" y=\"0.931314\" z=\"-0.933070\" qx=\"-0.027353\" qy=\"0.022099\" qz=\"0.010640\" qw=\"0.999325\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.014386\" qy=\"0.009062\" qz=\"0.007783\" qw=\"-0.999825\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197097\" z=\"0.000533\" qx=\"-0.037623\" qy=\"0.003005\" qz=\"-0.002788\" qw=\"-0.999284\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.136894\" qy=\"-0.041269\" qz=\"-0.024446\" qw=\"-0.989424\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.122292\" z=\"-0.017152\" qx=\"0.114020\" qy=\"-0.026910\" qz=\"0.097010\" qw=\"-0.988364\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.071415\" qy=\"0.051731\" qz=\"0.048539\" qw=\"0.994921\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073897\" qy=\"-0.188982\" qz=\"-0.463332\" qw=\"0.862640\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.102900\" qy=\"0.158418\" qz=\"-0.149700\" qw=\"-0.970518\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216044\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.105223\" qy=\"-0.000898\" qz=\"-0.053126\" qw=\"-0.993028\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.067151\" qy=\"0.004732\" qz=\"-0.056497\" qw=\"0.996131\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014233\" qy=\"0.073887\" qz=\"0.414188\" qw=\"0.907076\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.101488\" qy=\"-0.147455\" qz=\"0.212477\" qw=\"-0.960630\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213401\" y=\"-0.000033\" z=\"-0.000136\" qx=\"0.105033\" qy=\"-0.024717\" qz=\"-0.048916\" qw=\"-0.992957\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011555\" qy=\"-0.010420\" qz=\"0.048663\" qw=\"0.998694\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.129263\" qy=\"-0.061700\" qz=\"-0.065847\" qw=\"0.987496\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000786\" y=\"-0.426865\" z=\"0.000918\" qx=\"-0.116671\" qy=\"0.122313\" qz=\"-0.012109\" qw=\"0.985536\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.154388\" qy=\"0.000104\" qz=\"-0.053175\" qw=\"0.986578\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.417464\" qy=\"0.060181\" qz=\"0.000853\" qw=\"0.906698\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000512\" y=\"-0.432414\" z=\"0.000271\" qx=\"-0.113208\" qy=\"-0.040500\" qz=\"0.106080\" qw=\"0.987062\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003360\" qy=\"0.000356\" qz=\"-0.000091\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034682\" qy=\"0.010803\" qz=\"-0.001106\" qw=\"-0.999339\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 21: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.074500\" y=\"0.931207\" z=\"-0.932772\" qx=\"-0.030033\" qy=\"0.032161\" qz=\"0.012210\" qw=\"0.998957\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.014854\" qy=\"0.011311\" qz=\"0.006516\" qw=\"-0.999804\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.196360\" z=\"0.000530\" qx=\"-0.041835\" qy=\"0.003753\" qz=\"-0.004086\" qw=\"-0.999109\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.133479\" qy=\"-0.043455\" qz=\"-0.017794\" qw=\"-0.989939\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.124408\" z=\"-0.017449\" qx=\"0.094623\" qy=\"-0.028579\" qz=\"0.108065\" qw=\"-0.989218\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078311\" qy=\"0.056898\" qz=\"0.038243\" qw=\"0.994569\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.124442\" qy=\"-0.235946\" qz=\"-0.483966\" qw=\"0.833439\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.059050\" qy=\"0.154853\" qz=\"-0.145355\" qw=\"-0.975400\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216006\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.060251\" qy=\"0.021995\" qz=\"0.056192\" qw=\"-0.996358\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078020\" qy=\"0.003843\" qz=\"-0.049517\" qw=\"0.995714\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.021641\" qy=\"0.107147\" qz=\"0.433654\" qw=\"0.894425\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089414\" qy=\"-0.138618\" qz=\"0.192661\" qw=\"-0.967301\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214901\" y=\"-0.000034\" z=\"-0.000137\" qx=\"0.091739\" qy=\"-0.026911\" qz=\"-0.091430\" qw=\"-0.991212\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.012443\" qy=\"-0.010584\" qz=\"0.052175\" qw=\"0.998504\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.128905\" qy=\"-0.068807\" qz=\"-0.064488\" qw=\"0.987163\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000747\" y=\"-0.427113\" z=\"0.000843\" qx=\"-0.114577\" qy=\"0.118867\" qz=\"-0.017488\" qw=\"0.986122\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.150793\" qy=\"0.010492\" qz=\"-0.055870\" qw=\"0.986930\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.416094\" qy=\"0.074483\" qz=\"-0.002428\" qw=\"0.906263\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000414\" y=\"-0.433764\" z=\"0.000505\" qx=\"-0.134592\" qy=\"-0.049710\" qz=\"0.097304\" qw=\"0.984858\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003448\" qy=\"0.000451\" qz=\"-0.000115\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035006\" qy=\"0.010011\" qz=\"-0.001025\" qw=\"-0.999336\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 22: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.084396\" y=\"0.930848\" z=\"-0.931915\" qx=\"-0.031960\" qy=\"0.042623\" qz=\"0.014095\" qw=\"0.998480\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.015867\" qy=\"0.012561\" qz=\"0.004846\" qw=\"-0.999784\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.195390\" z=\"0.000528\" qx=\"-0.043990\" qy=\"0.004167\" qz=\"-0.003538\" qw=\"-0.999017\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.132191\" qy=\"-0.047487\" qz=\"-0.014776\" qw=\"-0.989976\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.126961\" z=\"-0.017807\" qx=\"0.070177\" qy=\"-0.031444\" qz=\"0.120603\" qw=\"-0.989718\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087075\" qy=\"0.063526\" qz=\"0.030497\" qw=\"0.993706\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.163407\" qy=\"-0.275417\" qz=\"-0.503367\" qw=\"0.802537\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016236\" qy=\"0.150325\" qz=\"-0.142840\" qw=\"-0.978129\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215887\" y=\"-0.000123\" z=\"-0.000023\" qx=\"0.016268\" qy=\"0.058341\" qz=\"0.166605\" qw=\"-0.984162\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087129\" qy=\"0.004101\" qz=\"-0.042514\" qw=\"0.995281\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069072\" qy=\"0.148367\" qz=\"0.450232\" qw=\"0.877786\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071243\" qy=\"-0.125290\" qz=\"0.184502\" qw=\"-0.972207\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.217490\" y=\"-0.000034\" z=\"-0.000139\" qx=\"0.072212\" qy=\"-0.036584\" qz=\"-0.158904\" qw=\"-0.983970\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011746\" qy=\"-0.012878\" qz=\"0.056140\" qw=\"0.998271\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.130157\" qy=\"-0.075721\" qz=\"-0.063045\" qw=\"0.986585\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000669\" y=\"-0.427646\" z=\"0.000786\" qx=\"-0.113604\" qy=\"0.116827\" qz=\"-0.023901\" qw=\"0.986344\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.142552\" qy=\"0.023456\" qz=\"-0.058230\" qw=\"0.987795\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.405552\" qy=\"0.073790\" qz=\"-0.008809\" qw=\"0.911046\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000270\" y=\"-0.435090\" z=\"0.000964\" qx=\"-0.148137\" qy=\"-0.067614\" qz=\"0.079654\" qw=\"0.983432\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003375\" qy=\"0.000486\" qz=\"-0.000124\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034346\" qy=\"0.011199\" qz=\"-0.001146\" qw=\"-0.999347\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 23: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.096773\" y=\"0.929510\" z=\"-0.931092\" qx=\"-0.033791\" qy=\"0.052678\" qz=\"0.017216\" qw=\"0.997891\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.017164\" qy=\"0.010282\" qz=\"0.003762\" qw=\"-0.999793\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000537\" y=\"0.194735\" z=\"0.000526\" qx=\"-0.046695\" qy=\"0.003413\" qz=\"-0.003436\" qw=\"-0.998897\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.136419\" qy=\"-0.051382\" qz=\"-0.010969\" qw=\"-0.989257\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.129626\" z=\"-0.018181\" qx=\"0.049270\" qy=\"-0.034193\" qz=\"0.133966\" qw=\"-0.989170\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096785\" qy=\"0.070799\" qz=\"0.022079\" qw=\"0.992538\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.194776\" qy=\"-0.308558\" qz=\"-0.521597\" qw=\"0.771227\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.026236\" qy=\"0.146330\" qz=\"-0.143813\" qw=\"-0.978375\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217326\" y=\"-0.000123\" z=\"-0.000023\" qx=\"0.025838\" qy=\"0.053423\" qz=\"0.251864\" qw=\"-0.965941\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.095797\" qy=\"0.000082\" qz=\"-0.038212\" qw=\"0.994667\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099582\" qy=\"0.187723\" qz=\"0.464607\" qw=\"0.859642\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.040992\" qy=\"-0.121257\" qz=\"0.168830\" qw=\"-0.977299\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.218688\" y=\"-0.000034\" z=\"-0.000139\" qx=\"0.040972\" qy=\"-0.051337\" qz=\"-0.214015\" qw=\"-0.974620\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.009216\" qy=\"-0.016570\" qz=\"0.060379\" qw=\"0.997995\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.134390\" qy=\"-0.081404\" qz=\"-0.062175\" qw=\"0.985620\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000588\" y=\"-0.428187\" z=\"0.000718\" qx=\"-0.114023\" qy=\"0.114968\" qz=\"-0.031672\" qw=\"0.986295\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.130948\" qy=\"0.035917\" qz=\"-0.060784\" qw=\"0.988872\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.388214\" qy=\"0.074928\" qz=\"-0.014811\" qw=\"0.918399\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000188\" y=\"-0.436270\" z=\"0.001228\" qx=\"-0.155989\" qy=\"-0.076446\" qz=\"0.069498\" qw=\"0.982341\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003359\" qy=\"0.000723\" qz=\"-0.000185\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035217\" qy=\"0.011810\" qz=\"-0.001209\" qw=\"-0.999309\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 24: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.111993\" y=\"0.927430\" z=\"-0.930271\" qx=\"-0.036794\" qy=\"0.064114\" qz=\"0.021217\" qw=\"0.997038\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.018153\" qy=\"0.004011\" qz=\"0.005368\" qw=\"-0.999813\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000536\" y=\"0.194295\" z=\"0.000525\" qx=\"-0.053048\" qy=\"0.001315\" qz=\"-0.002661\" qw=\"-0.998588\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.141040\" qy=\"-0.055003\" qz=\"-0.015303\" qw=\"-0.988356\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.131982\" z=\"-0.018511\" qx=\"0.028452\" qy=\"-0.035238\" qz=\"0.148350\" qw=\"-0.987897\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.104368\" qy=\"0.077486\" qz=\"0.020134\" qw=\"0.991311\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.217177\" qy=\"-0.334272\" qz=\"-0.540101\" qw=\"0.741207\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049014\" qy=\"0.135999\" qz=\"-0.137353\" qw=\"-0.979916\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218230\" y=\"-0.000124\" z=\"-0.000024\" qx=\"0.048117\" qy=\"0.036202\" qz=\"0.262275\" qw=\"-0.963113\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.103376\" qy=\"-0.002075\" qz=\"-0.030158\" qw=\"0.994183\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.130691\" qy=\"0.225488\" qz=\"0.475506\" qw=\"0.840220\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.025262\" qy=\"-0.125516\" qz=\"0.155524\" qw=\"-0.979500\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219428\" y=\"-0.000034\" z=\"-0.000140\" qx=\"0.025074\" qy=\"-0.057598\" qz=\"-0.238693\" qw=\"-0.969061\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005496\" qy=\"-0.020313\" qz=\"0.065565\" qw=\"0.997626\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.141645\" qy=\"-0.090116\" qz=\"-0.061866\" qw=\"0.983864\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000489\" y=\"-0.428964\" z=\"0.000676\" qx=\"-0.115626\" qy=\"0.114224\" qz=\"-0.040597\" qw=\"0.985868\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.116339\" qy=\"0.038877\" qz=\"-0.061174\" qw=\"0.990561\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.366397\" qy=\"0.097815\" qz=\"-0.018301\" qw=\"0.925122\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000204\" y=\"-0.436987\" z=\"0.001269\" qx=\"-0.150956\" qy=\"-0.079649\" qz=\"0.069646\" qw=\"0.982862\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003308\" qy=\"0.000877\" qz=\"-0.000224\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035476\" qy=\"0.011190\" qz=\"-0.001145\" qw=\"-0.999307\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 25: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.130696\" y=\"0.924638\" z=\"-0.930013\" qx=\"-0.039311\" qy=\"0.078172\" qz=\"0.024774\" qw=\"0.995856\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.019922\" qy=\"-0.004341\" qz=\"0.005378\" qw=\"-0.999778\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000535\" y=\"0.194043\" z=\"0.000524\" qx=\"-0.062464\" qy=\"-0.001471\" qz=\"-0.000755\" qw=\"-0.998046\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.144642\" qy=\"-0.056325\" qz=\"-0.014562\" qw=\"-0.987772\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.134236\" z=\"-0.018827\" qx=\"0.006055\" qy=\"-0.036151\" qz=\"0.151809\" qw=\"-0.987730\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109441\" qy=\"0.080842\" qz=\"0.017863\" qw=\"0.990539\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.235784\" qy=\"-0.349139\" qz=\"-0.547568\" qw=\"0.722964\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.068299\" qy=\"0.132241\" qz=\"-0.118862\" qw=\"-0.981692\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217955\" y=\"-0.000123\" z=\"-0.000023\" qx=\"0.067783\" qy=\"0.025225\" qz=\"0.209784\" qw=\"-0.975069\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.110102\" qy=\"-0.003103\" qz=\"-0.024674\" qw=\"0.993609\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.161423\" qy=\"0.267184\" qz=\"0.487060\" qw=\"0.815676\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.022844\" qy=\"-0.130318\" qz=\"0.150182\" qw=\"-0.979766\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219450\" y=\"-0.000035\" z=\"-0.000140\" qx=\"0.022730\" qy=\"-0.056863\" qz=\"-0.228671\" qw=\"-0.971576\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.002599\" qy=\"-0.022108\" qz=\"0.072836\" qw=\"0.997096\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.152740\" qy=\"-0.105832\" qz=\"-0.061415\" qw=\"0.980662\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000323\" y=\"-0.430019\" z=\"0.000676\" qx=\"-0.117559\" qy=\"0.115409\" qz=\"-0.051209\" qw=\"0.985007\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.100821\" qy=\"0.035259\" qz=\"-0.059629\" qw=\"0.992490\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.351517\" qy=\"0.110314\" qz=\"-0.023104\" qw=\"0.929372\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000562\" y=\"-0.437618\" z=\"0.000689\" qx=\"-0.169825\" qy=\"-0.067243\" qz=\"0.093709\" qw=\"0.978701\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003638\" qy=\"0.000928\" qz=\"-0.000237\" qw=\"-0.999993\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.038728\" qy=\"0.008175\" qz=\"-0.000837\" qw=\"-0.999216\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 26: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.152332\" y=\"0.921704\" z=\"-0.931330\" qx=\"-0.040418\" qy=\"0.096445\" qz=\"0.027341\" qw=\"0.994142\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.020980\" qy=\"-0.012942\" qz=\"0.002751\" qw=\"-0.999692\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000535\" y=\"0.194000\" z=\"0.000524\" qx=\"-0.072449\" qy=\"-0.004331\" qz=\"0.003469\" qw=\"-0.997357\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.148724\" qy=\"-0.056242\" qz=\"-0.015176\" qw=\"-0.987161\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.136615\" z=\"-0.019161\" qx=\"-0.013989\" qy=\"-0.035493\" qz=\"0.154351\" qw=\"-0.987279\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.111688\" qy=\"0.081381\" qz=\"0.016894\" qw=\"0.990261\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.245937\" qy=\"-0.351459\" qz=\"-0.547637\" qw=\"0.718391\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.068142\" qy=\"0.134662\" qz=\"-0.096346\" qw=\"-0.983840\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215887\" y=\"-0.000122\" z=\"-0.000023\" qx=\"0.068658\" qy=\"0.026907\" qz=\"0.100617\" qw=\"-0.992189\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113457\" qy=\"-0.001638\" qz=\"-0.020668\" qw=\"0.993327\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.198382\" qy=\"0.313263\" qz=\"0.494441\" qw=\"0.786154\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.032179\" qy=\"-0.135798\" qz=\"0.150425\" qw=\"-0.978722\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.218670\" y=\"-0.000035\" z=\"-0.000139\" qx=\"0.032342\" qy=\"-0.048884\" qz=\"-0.183370\" qw=\"-0.981295\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014730\" qy=\"-0.026499\" qz=\"0.081190\" qw=\"0.996237\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.163578\" qy=\"-0.121748\" qz=\"-0.058952\" qw=\"0.977213\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000060\" y=\"-0.431013\" z=\"0.000610\" qx=\"-0.116749\" qy=\"0.115129\" qz=\"-0.064053\" qw=\"0.984384\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.091548\" qy=\"0.031058\" qz=\"-0.058652\" qw=\"0.993587\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.344115\" qy=\"0.100424\" qz=\"-0.006319\" qw=\"0.933520\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000358\" y=\"-0.437231\" z=\"0.000887\" qx=\"-0.192029\" qy=\"-0.076128\" qz=\"0.067480\" qw=\"0.976102\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003530\" qy=\"0.000595\" qz=\"-0.000152\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032197\" qy=\"0.006577\" qz=\"-0.000673\" qw=\"-0.999460\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 27: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.176735\" y=\"0.920153\" z=\"-0.934601\" qx=\"-0.042024\" qy=\"0.117064\" qz=\"0.026269\" qw=\"0.991887\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.017095\" qy=\"-0.022448\" qz=\"-0.004837\" qw=\"-0.999590\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000535\" y=\"0.193755\" z=\"0.000524\" qx=\"-0.080328\" qy=\"-0.007485\" qz=\"0.009014\" qw=\"-0.996700\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.152255\" qy=\"-0.054402\" qz=\"-0.017221\" qw=\"-0.986693\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.138404\" z=\"-0.019411\" qx=\"-0.027645\" qy=\"-0.033067\" qz=\"0.154992\" qw=\"-0.986975\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.110514\" qy=\"0.081456\" qz=\"0.017127\" qw=\"0.990383\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.248732\" qy=\"-0.346362\" qz=\"-0.544774\" qw=\"0.722071\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084586\" qy=\"0.142091\" qz=\"-0.090546\" qw=\"-0.982067\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216159\" y=\"-0.000122\" z=\"-0.000023\" qx=\"0.085654\" qy=\"0.008609\" qz=\"0.045973\" qw=\"-0.995227\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.116329\" qy=\"0.002580\" qz=\"-0.017054\" qw=\"0.993061\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.237103\" qy=\"0.362102\" qz=\"0.493292\" qw=\"0.754538\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.045068\" qy=\"-0.142072\" qz=\"0.160063\" qw=\"-0.975789\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.217963\" y=\"-0.000035\" z=\"-0.000139\" qx=\"0.045846\" qy=\"-0.039235\" qz=\"-0.121281\" qw=\"-0.990782\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.028090\" qy=\"-0.035132\" qz=\"0.094320\" qw=\"0.994525\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.170895\" qy=\"-0.127145\" qz=\"-0.056256\" qw=\"0.975430\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000235\" y=\"-0.431436\" z=\"0.000336\" qx=\"-0.106405\" qy=\"0.106701\" qz=\"-0.079319\" qw=\"0.985394\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.085513\" qy=\"0.008068\" qz=\"-0.047239\" qw=\"0.995184\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.335143\" qy=\"0.084743\" qz=\"-0.005164\" qw=\"0.938334\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000421\" y=\"-0.436187\" z=\"0.000935\" qx=\"-0.200922\" qy=\"-0.074540\" qz=\"0.045762\" qw=\"0.975695\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004366\" qy=\"0.001106\" qz=\"-0.000282\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024182\" qy=\"0.007924\" qz=\"-0.000811\" qw=\"-0.999676\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 28: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.202979\" y=\"0.920114\" z=\"-0.940511\" qx=\"-0.039107\" qy=\"0.140092\" qz=\"0.025187\" qw=\"0.989045\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.012300\" qy=\"-0.031120\" qz=\"-0.010527\" qw=\"-0.999385\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000534\" y=\"0.193460\" z=\"0.000523\" qx=\"-0.083710\" qy=\"-0.010359\" qz=\"0.011334\" qw=\"-0.996372\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.155614\" qy=\"-0.050510\" qz=\"-0.016702\" qw=\"-0.986384\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.139174\" z=\"-0.019521\" qx=\"-0.035272\" qy=\"-0.029815\" qz=\"0.149425\" qw=\"-0.987694\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.106516\" qy=\"0.080496\" qz=\"0.019488\" qw=\"0.990856\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.241575\" qy=\"-0.335092\" qz=\"-0.543697\" qw=\"0.730581\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071613\" qy=\"0.142076\" qz=\"-0.097435\" qw=\"-0.982442\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216167\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.072519\" qy=\"0.007396\" qz=\"0.056120\" qw=\"-0.995759\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113567\" qy=\"0.011318\" qz=\"-0.016820\" qw=\"0.993324\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.274850\" qy=\"0.402658\" qz=\"0.486679\" qw=\"0.724891\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.052312\" qy=\"-0.150252\" qz=\"0.179760\" qw=\"-0.970760\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216962\" y=\"-0.000035\" z=\"-0.000138\" qx=\"0.053646\" qy=\"-0.040447\" qz=\"-0.090151\" qw=\"-0.993659\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.047338\" qy=\"-0.044853\" qz=\"0.106625\" qw=\"0.992158\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.173365\" qy=\"-0.124903\" qz=\"-0.051134\" qw=\"0.975566\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000467\" y=\"-0.431176\" z=\"-0.000074\" qx=\"-0.082441\" qy=\"0.090364\" qz=\"-0.097287\" qw=\"0.987711\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.087379\" qy=\"-0.003583\" qz=\"-0.029803\" qw=\"0.995723\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.328932\" qy=\"0.077246\" qz=\"-0.010531\" qw=\"0.941130\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000237\" y=\"-0.435380\" z=\"0.001206\" qx=\"-0.201737\" qy=\"-0.085079\" qz=\"0.033507\" qw=\"0.975162\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.008100\" qy=\"0.000347\" qz=\"-0.000089\" qw=\"-0.999967\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019304\" qy=\"0.007438\" qz=\"-0.000761\" qw=\"-0.999786\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 29: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.228995\" y=\"0.920703\" z=\"-0.947951\" qx=\"-0.031751\" qy=\"0.170158\" qz=\"0.025215\" qw=\"0.984582\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.008093\" qy=\"-0.033312\" qz=\"-0.012052\" qw=\"-0.999340\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000533\" y=\"0.193216\" z=\"0.000523\" qx=\"-0.080708\" qy=\"-0.011086\" qz=\"0.008649\" qw=\"-0.996639\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.158362\" qy=\"-0.046417\" qz=\"-0.014239\" qw=\"-0.986187\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.139389\" z=\"-0.019551\" qx=\"-0.042904\" qy=\"-0.027173\" qz=\"0.140164\" qw=\"-0.988825\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.104403\" qy=\"0.077722\" qz=\"0.022968\" qw=\"0.991228\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231108\" qy=\"-0.324605\" qz=\"-0.541490\" qw=\"0.740276\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.053611\" qy=\"0.139555\" qz=\"-0.097686\" qw=\"-0.983925\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216019\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.054223\" qy=\"0.004948\" qz=\"0.065722\" qw=\"-0.996351\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109572\" qy=\"0.018837\" qz=\"-0.020058\" qw=\"0.993598\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.297851\" qy=\"0.428552\" qz=\"0.477196\" qw=\"0.707045\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.052797\" qy=\"-0.169469\" qz=\"0.197966\" qw=\"-0.964003\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215412\" y=\"-0.000035\" z=\"-0.000137\" qx=\"0.054529\" qy=\"-0.044592\" qz=\"-0.087989\" qw=\"-0.993628\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.072416\" qy=\"-0.056248\" qz=\"0.114448\" qw=\"0.989188\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.171987\" qy=\"-0.113758\" qz=\"-0.046883\" qw=\"0.977385\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000547\" y=\"-0.430254\" z=\"-0.000396\" qx=\"-0.048641\" qy=\"0.076543\" qz=\"-0.112745\" qw=\"0.989477\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.093690\" qy=\"0.005357\" qz=\"-0.021632\" qw=\"0.995352\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.321031\" qy=\"0.046433\" qz=\"0.000237\" qw=\"0.945930\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000018\" y=\"-0.433671\" z=\"0.001430\" qx=\"-0.196788\" qy=\"-0.099021\" qz=\"0.017820\" qw=\"0.975270\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013829\" qy=\"-0.000504\" qz=\"0.000129\" qw=\"-0.999904\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017507\" qy=\"0.006829\" qz=\"-0.000699\" qw=\"-0.999823\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 30: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.253114\" y=\"0.921761\" z=\"-0.956543\" qx=\"-0.024028\" qy=\"0.201533\" qz=\"0.025938\" qw=\"0.978843\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.003930\" qy=\"-0.032423\" qz=\"-0.012410\" qw=\"-0.999389\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000533\" y=\"0.192959\" z=\"0.000522\" qx=\"-0.077078\" qy=\"-0.010789\" qz=\"0.003245\" qw=\"-0.996961\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.157102\" qy=\"-0.042780\" qz=\"-0.013409\" qw=\"-0.986564\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.139656\" z=\"-0.019588\" qx=\"-0.049753\" qy=\"-0.024213\" qz=\"0.134332\" qw=\"-0.989390\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.101202\" qy=\"0.072250\" qz=\"0.025080\" qw=\"0.991922\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229757\" qy=\"-0.320578\" qz=\"-0.536364\" qw=\"0.746160\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.054801\" qy=\"0.135997\" qz=\"-0.096174\" qw=\"-0.984506\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216197\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.055417\" qy=\"-0.002394\" qz=\"0.059197\" qw=\"-0.996704\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.104121\" qy=\"0.025807\" qz=\"-0.023961\" qw=\"0.993941\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.311810\" qy=\"0.439722\" qz=\"0.466162\" qw=\"0.701507\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.051862\" qy=\"-0.196245\" qz=\"0.218735\" qw=\"-0.954439\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213423\" y=\"-0.000034\" z=\"-0.000136\" qx=\"0.053973\" qy=\"-0.053453\" qz=\"-0.109759\" qw=\"-0.991051\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.097637\" qy=\"-0.065736\" qz=\"0.116445\" qw=\"0.986198\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.173258\" qy=\"-0.081017\" qz=\"-0.053097\" qw=\"0.980101\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000020\" y=\"-0.427945\" z=\"0.000066\" qx=\"-0.014074\" qy=\"0.089683\" qz=\"-0.105449\" qw=\"0.990272\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.102393\" qy=\"-0.012718\" qz=\"-0.015679\" qw=\"0.994539\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.312109\" qy=\"0.026534\" qz=\"0.000273\" qw=\"0.949676\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000171\" y=\"-0.431678\" z=\"0.001350\" qx=\"-0.188082\" qy=\"-0.096903\" qz=\"0.007705\" qw=\"0.977331\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015474\" qy=\"-0.000013\" qz=\"0.000003\" qw=\"-0.999880\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015553\" qy=\"0.007355\" qz=\"-0.000753\" qw=\"-0.999852\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 31: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.274166\" y=\"0.923643\" z=\"-0.964824\" qx=\"-0.020861\" qy=\"0.225718\" qz=\"0.030311\" qw=\"0.973498\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.000186\" qy=\"-0.034664\" qz=\"-0.010959\" qw=\"-0.999339\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000534\" y=\"0.193209\" z=\"0.000523\" qx=\"-0.079384\" qy=\"-0.011527\" qz=\"-0.002632\" qw=\"-0.996774\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.155193\" qy=\"-0.040665\" qz=\"-0.012305\" qw=\"-0.986970\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.139882\" z=\"-0.019620\" qx=\"-0.052247\" qy=\"-0.023104\" qz=\"0.127417\" qw=\"-0.990203\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.097066\" qy=\"0.066964\" qz=\"0.026035\" qw=\"0.992681\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231471\" qy=\"-0.322371\" qz=\"-0.530838\" qw=\"0.748805\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.065577\" qy=\"0.128412\" qz=\"-0.094382\" qw=\"-0.985039\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216828\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.066305\" qy=\"-0.005607\" qz=\"0.043161\" qw=\"-0.996850\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099100\" qy=\"0.033635\" qz=\"-0.027986\" qw=\"0.994115\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.318710\" qy=\"0.441626\" qz=\"0.454766\" qw=\"0.704683\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.056091\" qy=\"-0.220451\" qz=\"0.237429\" qw=\"-0.944395\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211987\" y=\"-0.000034\" z=\"-0.000135\" qx=\"0.058836\" qy=\"-0.061487\" qz=\"-0.126047\" qw=\"-0.988367\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.116167\" qy=\"-0.041742\" qz=\"0.105196\" qw=\"0.986761\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.191456\" qy=\"-0.059866\" qz=\"-0.058038\" qw=\"0.977953\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000264\" y=\"-0.428703\" z=\"0.000839\" qx=\"-0.026012\" qy=\"0.113558\" qz=\"-0.071712\" qw=\"0.990598\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.108737\" qy=\"-0.021687\" qz=\"-0.015699\" qw=\"0.993710\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.306818\" qy=\"0.015167\" qz=\"0.006378\" qw=\"0.951626\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000357\" y=\"-0.430902\" z=\"0.001478\" qx=\"-0.179088\" qy=\"-0.103164\" qz=\"-0.003328\" qw=\"0.978404\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015496\" qy=\"-0.000894\" qz=\"0.000229\" qw=\"-0.999879\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015454\" qy=\"0.007306\" qz=\"-0.000748\" qw=\"-0.999854\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 32: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.293737\" y=\"0.925507\" z=\"-0.972370\" qx=\"-0.019773\" qy=\"0.247517\" qz=\"0.034739\" qw=\"0.968059\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.002615\" qy=\"-0.035339\" qz=\"-0.010141\" qw=\"-0.999321\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000537\" y=\"0.194252\" z=\"0.000526\" qx=\"-0.080448\" qy=\"-0.011747\" qz=\"-0.005957\" qw=\"-0.996672\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.156110\" qy=\"-0.042938\" qz=\"-0.015751\" qw=\"-0.986680\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.140013\" z=\"-0.019638\" qx=\"-0.055304\" qy=\"-0.025178\" qz=\"0.126198\" qw=\"-0.990142\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092952\" qy=\"0.065038\" qz=\"0.028035\" qw=\"0.993149\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230293\" qy=\"-0.321849\" qz=\"-0.528056\" qw=\"0.751356\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070974\" qy=\"0.122502\" qz=\"-0.093270\" qw=\"-0.985524\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217195\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.071737\" qy=\"-0.009607\" qz=\"0.031397\" qw=\"-0.996883\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.094402\" qy=\"0.039650\" qz=\"-0.031131\" qw=\"0.994257\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.321355\" qy=\"0.440681\" qz=\"0.445600\" qw=\"0.709910\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.065514\" qy=\"-0.231936\" qz=\"0.248376\" qw=\"-0.938202\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211277\" y=\"-0.000034\" z=\"-0.000135\" qx=\"0.069061\" qy=\"-0.067337\" qz=\"-0.128709\" qw=\"-0.986980\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.128728\" qy=\"-0.003908\" qz=\"0.087438\" qw=\"0.987810\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.225545\" qy=\"-0.029237\" qz=\"-0.056351\" qw=\"0.972162\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000279\" y=\"-0.432350\" z=\"0.001264\" qx=\"-0.073737\" qy=\"0.128189\" qz=\"-0.054083\" qw=\"0.987525\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.110457\" qy=\"-0.026026\" qz=\"-0.014774\" qw=\"0.993430\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.297179\" qy=\"-0.001447\" qz=\"0.009080\" qw=\"0.954777\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000463\" y=\"-0.429568\" z=\"0.001489\" qx=\"-0.168734\" qy=\"-0.106165\" qz=\"-0.011696\" qw=\"0.979858\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016732\" qy=\"-0.001693\" qz=\"0.000433\" qw=\"-0.999858\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015474\" qy=\"0.006749\" qz=\"-0.000691\" qw=\"-0.999857\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 33: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.312684\" y=\"0.926761\" z=\"-0.978918\" qx=\"-0.018249\" qy=\"0.272503\" qz=\"0.035768\" qw=\"0.961317\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.001965\" qy=\"-0.031947\" qz=\"-0.011424\" qw=\"-0.999422\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.195249\" z=\"0.000529\" qx=\"-0.077156\" qy=\"-0.010624\" qz=\"-0.007828\" qw=\"-0.996932\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.160631\" qy=\"-0.048629\" qz=\"-0.020370\" qw=\"-0.985606\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.140401\" z=\"-0.019692\" qx=\"-0.060288\" qy=\"-0.030293\" qz=\"0.128067\" qw=\"-0.989468\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.091567\" qy=\"0.063241\" qz=\"0.030334\" qw=\"0.993326\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228844\" qy=\"-0.319149\" qz=\"-0.526217\" qw=\"0.754235\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072030\" qy=\"0.121231\" qz=\"-0.095634\" qw=\"-0.985378\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217365\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.072811\" qy=\"-0.013353\" qz=\"0.030533\" qw=\"-0.996789\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092069\" qy=\"0.041705\" qz=\"-0.032399\" qw=\"0.994351\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.316617\" qy=\"0.434098\" qz=\"0.442241\" qw=\"0.718147\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069709\" qy=\"-0.234826\" qz=\"0.252819\" qw=\"-0.935991\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211138\" y=\"-0.000034\" z=\"-0.000135\" qx=\"0.073663\" qy=\"-0.064712\" qz=\"-0.126294\" qw=\"-0.987135\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.142088\" qy=\"0.021556\" qz=\"0.073348\" qw=\"0.986897\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.273975\" qy=\"-0.021653\" qz=\"-0.062743\" qw=\"0.959444\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000299\" y=\"-0.433449\" z=\"0.002032\" qx=\"-0.092717\" qy=\"0.158179\" qz=\"-0.032596\" qw=\"0.982507\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.109066\" qy=\"-0.040383\" qz=\"-0.010100\" qw=\"0.993163\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.280690\" qy=\"-0.019756\" qz=\"0.006300\" qw=\"0.959574\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000666\" y=\"-0.427108\" z=\"0.001284\" qx=\"-0.156990\" qy=\"-0.100505\" qz=\"-0.018002\" qw=\"0.982308\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017266\" qy=\"-0.002227\" qz=\"0.000569\" qw=\"-0.999848\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015356\" qy=\"0.007403\" qz=\"-0.000758\" qw=\"-0.999854\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 34: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.330804\" y=\"0.927334\" z=\"-0.984825\" qx=\"-0.017376\" qy=\"0.296104\" qz=\"0.035031\" qw=\"0.954355\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.000500\" qy=\"-0.029845\" qz=\"-0.013487\" qw=\"-0.999463\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000540\" y=\"0.195741\" z=\"0.000530\" qx=\"-0.072581\" qy=\"-0.009932\" qz=\"-0.009356\" qw=\"-0.997269\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.165040\" qy=\"-0.057135\" qz=\"-0.026932\" qw=\"-0.984262\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.141150\" z=\"-0.019798\" qx=\"-0.065765\" qy=\"-0.037043\" qz=\"0.137175\" qw=\"-0.987667\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089814\" qy=\"0.062524\" qz=\"0.031549\" qw=\"0.993493\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229162\" qy=\"-0.317882\" qz=\"-0.521828\" qw=\"0.757715\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071577\" qy=\"0.123774\" qz=\"-0.095209\" qw=\"-0.985135\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217493\" y=\"-0.000123\" z=\"-0.000023\" qx=\"0.072367\" qy=\"-0.011700\" qz=\"0.032797\" qw=\"-0.996770\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.091893\" qy=\"0.039609\" qz=\"-0.032391\" qw=\"0.994453\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.306082\" qy=\"0.423089\" qz=\"0.443835\" qw=\"0.728231\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069657\" qy=\"-0.229234\" qz=\"0.254125\" qw=\"-0.937027\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211525\" y=\"-0.000034\" z=\"-0.000135\" qx=\"0.073637\" qy=\"-0.059492\" qz=\"-0.117147\" qw=\"-0.988592\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.151377\" qy=\"0.032637\" qz=\"0.064759\" qw=\"0.985812\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.330106\" qy=\"-0.016609\" qz=\"-0.075666\" qw=\"0.940760\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000307\" y=\"-0.432359\" z=\"0.002450\" qx=\"-0.089432\" qy=\"0.174275\" qz=\"-0.021539\" qw=\"0.980391\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.108175\" qy=\"-0.054017\" qz=\"-0.005798\" qw=\"0.992646\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.265410\" qy=\"-0.036705\" qz=\"0.007435\" qw=\"0.963408\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000843\" y=\"-0.425199\" z=\"0.001133\" qx=\"-0.146245\" qy=\"-0.095233\" qz=\"-0.026868\" qw=\"0.984287\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017269\" qy=\"-0.003309\" qz=\"0.000845\" qw=\"-0.999845\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015041\" qy=\"0.007879\" qz=\"-0.000807\" qw=\"-0.999855\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 35: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.347714\" y=\"0.927073\" z=\"-0.990395\" qx=\"-0.018656\" qy=\"0.316811\" qz=\"0.035110\" qw=\"0.947655\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.003508\" qy=\"-0.029254\" qz=\"-0.015714\" qw=\"-0.999442\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.195980\" z=\"0.000530\" qx=\"-0.070199\" qy=\"-0.009742\" qz=\"-0.008853\" qw=\"-0.997446\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.170100\" qy=\"-0.070445\" qz=\"-0.034543\" qw=\"-0.982298\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.142023\" z=\"-0.019920\" qx=\"-0.068086\" qy=\"-0.048033\" qz=\"0.151502\" qw=\"-0.984939\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087876\" qy=\"0.062799\" qz=\"0.032001\" qw=\"0.993635\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232018\" qy=\"-0.319744\" qz=\"-0.516574\" qw=\"0.759659\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071906\" qy=\"0.128192\" qz=\"-0.098337\" qw=\"-0.984239\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217561\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.072757\" qy=\"-0.009493\" qz=\"0.035337\" qw=\"-0.996678\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092909\" qy=\"0.037165\" qz=\"-0.031953\" qw=\"0.994468\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.289688\" qy=\"0.408813\" qz=\"0.448836\" qw=\"0.739932\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069841\" qy=\"-0.216978\" qz=\"0.247404\" qw=\"-0.941719\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212285\" y=\"-0.000034\" z=\"-0.000135\" qx=\"0.073635\" qy=\"-0.055819\" qz=\"-0.097244\" qw=\"-0.990962\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.149937\" qy=\"0.038028\" qz=\"0.057390\" qw=\"0.986296\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.382781\" qy=\"0.014315\" qz=\"0.089445\" qw=\"-0.919387\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000305\" y=\"-0.431120\" z=\"0.002433\" qx=\"-0.092961\" qy=\"0.174171\" qz=\"-0.021968\" qw=\"0.980072\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.106980\" qy=\"-0.059857\" qz=\"-0.002262\" qw=\"0.992455\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.253525\" qy=\"-0.055311\" qz=\"0.009796\" qw=\"0.965697\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001029\" y=\"-0.423442\" z=\"0.001084\" qx=\"-0.136622\" qy=\"-0.093530\" qz=\"-0.034334\" qw=\"0.985600\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017899\" qy=\"-0.002651\" qz=\"0.000677\" qw=\"-0.999836\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015839\" qy=\"0.007500\" qz=\"-0.000768\" qw=\"-0.999846\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 36: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.364382\" y=\"0.926076\" z=\"-0.995975\" qx=\"-0.019534\" qy=\"0.336191\" qz=\"0.035130\" qw=\"0.940936\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.008762\" qy=\"-0.029038\" qz=\"-0.016268\" qw=\"-0.999408\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196097\" z=\"0.000531\" qx=\"-0.069625\" qy=\"-0.009678\" qz=\"-0.008544\" qw=\"-0.997490\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.176161\" qy=\"-0.087107\" qz=\"-0.043236\" qw=\"-0.979546\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.142955\" z=\"-0.020051\" qx=\"-0.069050\" qy=\"-0.061687\" qz=\"0.171210\" qw=\"-0.980874\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.085889\" qy=\"0.063268\" qz=\"0.032473\" qw=\"0.993763\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230868\" qy=\"-0.320300\" qz=\"-0.514450\" qw=\"0.761216\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070984\" qy=\"0.135206\" qz=\"-0.102383\" qw=\"-0.982954\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217296\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.071925\" qy=\"-0.009425\" qz=\"0.032995\" qw=\"-0.996820\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.093613\" qy=\"0.036175\" qz=\"-0.031132\" qw=\"0.994464\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.272836\" qy=\"0.391377\" qz=\"0.455507\" qw=\"0.751597\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073571\" qy=\"-0.199981\" qz=\"0.235020\" qw=\"-0.948346\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213576\" y=\"-0.000034\" z=\"-0.000136\" qx=\"0.077173\" qy=\"-0.050694\" qz=\"-0.073313\" qw=\"-0.993026\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.141593\" qy=\"0.045503\" qz=\"0.048007\" qw=\"0.987713\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.426533\" qy=\"0.017157\" qz=\"0.098038\" qw=\"-0.898979\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000375\" y=\"-0.429917\" z=\"0.002359\" qx=\"-0.097004\" qy=\"0.173464\" qz=\"-0.020627\" qw=\"0.979834\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.106635\" qy=\"0.057677\" qz=\"-0.001241\" qw=\"-0.992623\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.242175\" qy=\"-0.078643\" qz=\"0.011377\" qw=\"0.966973\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002114\" y=\"-0.421145\" z=\"0.001846\" qx=\"-0.127241\" qy=\"-0.092977\" qz=\"-0.039780\" qw=\"0.986703\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017666\" qy=\"-0.002128\" qz=\"0.000544\" qw=\"-0.999842\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016429\" qy=\"0.007920\" qz=\"-0.000811\" qw=\"-0.999833\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 37: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.380926\" y=\"0.924716\" z=\"-1.001758\" qx=\"-0.021340\" qy=\"0.356043\" qz=\"0.034903\" qw=\"0.933574\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.014226\" qy=\"-0.028360\" qz=\"-0.016071\" qw=\"-0.999367\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196140\" z=\"0.000531\" qx=\"-0.070387\" qy=\"-0.009461\" qz=\"-0.008240\" qw=\"-0.997441\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.184004\" qy=\"-0.104914\" qz=\"-0.051172\" qw=\"-0.975970\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143788\" z=\"-0.020167\" qx=\"-0.068621\" qy=\"-0.076579\" qz=\"0.192280\" qw=\"-0.975938\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.085066\" qy=\"0.064415\" qz=\"0.032731\" qw=\"0.993752\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228249\" qy=\"-0.323133\" qz=\"-0.514410\" qw=\"0.760835\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073088\" qy=\"0.143297\" qz=\"-0.109509\" qw=\"-0.980883\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217109\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.074208\" qy=\"-0.010070\" qz=\"0.028593\" qw=\"-0.996782\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.093539\" qy=\"0.034262\" qz=\"-0.030400\" qw=\"0.994562\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.260185\" qy=\"0.374974\" qz=\"0.461551\" qw=\"0.760703\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081329\" qy=\"-0.176889\" qz=\"0.219963\" qw=\"-0.955883\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215556\" y=\"-0.000035\" z=\"-0.000137\" qx=\"0.084682\" qy=\"-0.047647\" qz=\"-0.054511\" qw=\"-0.993774\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.125465\" qy=\"0.049643\" qz=\"0.038483\" qw=\"0.990108\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.457373\" qy=\"0.020671\" qz=\"0.104798\" qw=\"-0.882836\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000396\" y=\"-0.429214\" z=\"0.002439\" qx=\"-0.101954\" qy=\"0.178196\" qz=\"-0.017112\" qw=\"0.978549\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.107757\" qy=\"0.059000\" qz=\"-0.004473\" qw=\"-0.992415\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.232981\" qy=\"-0.100899\" qz=\"0.014061\" qw=\"0.967131\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002160\" y=\"-0.419931\" z=\"0.001591\" qx=\"-0.119263\" qy=\"-0.092264\" qz=\"-0.047001\" qw=\"0.987449\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017392\" qy=\"-0.002799\" qz=\"0.000715\" qw=\"-0.999845\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016493\" qy=\"0.007252\" qz=\"-0.000742\" qw=\"-0.999837\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 38: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.397534\" y=\"0.923094\" z=\"-1.008426\" qx=\"-0.022533\" qy=\"0.374892\" qz=\"0.034433\" qw=\"0.926155\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.019947\" qy=\"-0.028756\" qz=\"-0.016246\" qw=\"-0.999255\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196237\" z=\"0.000531\" qx=\"-0.071167\" qy=\"-0.009603\" qz=\"-0.005745\" qw=\"-0.997402\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.190023\" qy=\"-0.122893\" qz=\"-0.058356\" qw=\"-0.972308\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.144478\" z=\"-0.020264\" qx=\"-0.074099\" qy=\"-0.091946\" qz=\"0.211137\" qw=\"-0.970297\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084341\" qy=\"0.065365\" qz=\"0.032517\" qw=\"0.993759\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.227520\" qy=\"-0.327534\" qz=\"-0.514281\" qw=\"0.759257\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.076142\" qy=\"0.153000\" qz=\"-0.118045\" qw=\"-0.978192\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216613\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.077505\" qy=\"-0.010131\" qz=\"0.026849\" qw=\"-0.996579\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.094659\" qy=\"0.031558\" qz=\"-0.029948\" qw=\"0.994559\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246941\" qy=\"0.358295\" qz=\"0.467584\" qw=\"0.769423\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087332\" qy=\"-0.152585\" qz=\"0.199175\" qw=\"-0.964064\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.217691\" y=\"-0.000035\" z=\"-0.000138\" qx=\"0.090165\" qy=\"-0.043333\" qz=\"-0.043163\" qw=\"-0.994047\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.103694\" qy=\"0.049437\" qz=\"0.030250\" qw=\"0.992919\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.474516\" qy=\"0.017484\" qz=\"0.108713\" qw=\"-0.873333\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000379\" y=\"-0.428651\" z=\"0.002285\" qx=\"-0.105607\" qy=\"0.171952\" qz=\"-0.020611\" qw=\"0.979211\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.111731\" qy=\"0.065823\" qz=\"-0.007774\" qw=\"-0.991526\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.226062\" qy=\"-0.114913\" qz=\"0.015165\" qw=\"0.967192\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001705\" y=\"-0.419099\" z=\"0.001100\" qx=\"-0.111080\" qy=\"-0.091523\" qz=\"-0.054398\" qw=\"0.988092\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018099\" qy=\"-0.003685\" qz=\"0.000942\" qw=\"-0.999829\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016805\" qy=\"0.007670\" qz=\"-0.000785\" qw=\"-0.999829\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 39: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.415066\" y=\"0.920962\" z=\"-1.015764\" qx=\"-0.023085\" qy=\"0.393368\" qz=\"0.033157\" qw=\"0.918493\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.025249\" qy=\"-0.029113\" qz=\"-0.015303\" qw=\"-0.999140\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196283\" z=\"0.000531\" qx=\"-0.070896\" qy=\"-0.009733\" qz=\"-0.003330\" qw=\"-0.997431\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.198266\" qy=\"-0.140953\" qz=\"-0.066630\" qw=\"-0.967669\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000029\" y=\"0.145496\" z=\"-0.020406\" qx=\"-0.080230\" qy=\"-0.107021\" qz=\"0.231868\" qw=\"-0.963508\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.082504\" qy=\"0.067077\" qz=\"0.033019\" qw=\"0.993783\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232041\" qy=\"-0.333771\" qz=\"-0.515180\" qw=\"0.754548\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079784\" qy=\"0.164314\" qz=\"-0.129989\" qw=\"-0.974545\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216138\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.081484\" qy=\"-0.010238\" qz=\"0.028909\" qw=\"-0.996203\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096343\" qy=\"0.028775\" qz=\"-0.029875\" qw=\"0.994484\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.238977\" qy=\"0.342798\" qz=\"0.472377\" qw=\"0.776041\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090814\" qy=\"-0.129710\" qz=\"0.177356\" qw=\"-0.971325\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219972\" y=\"-0.000036\" z=\"-0.000140\" qx=\"0.093058\" qy=\"-0.038584\" qz=\"-0.037687\" qw=\"-0.994199\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.078573\" qy=\"0.045875\" qz=\"0.025134\" qw=\"0.995535\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.477371\" qy=\"0.019366\" qz=\"0.115019\" qw=\"-0.870926\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000461\" y=\"-0.427842\" z=\"0.001790\" qx=\"-0.107354\" qy=\"0.153516\" qz=\"-0.030902\" qw=\"0.981811\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.117426\" qy=\"0.074462\" qz=\"-0.011164\" qw=\"-0.990223\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.219467\" qy=\"0.130403\" qz=\"-0.015588\" qw=\"-0.966740\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001871\" y=\"-0.418003\" z=\"0.001118\" qx=\"-0.102375\" qy=\"-0.088193\" qz=\"-0.061091\" qw=\"0.988944\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016638\" qy=\"-0.003021\" qz=\"0.000772\" qw=\"-0.999857\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017505\" qy=\"0.007480\" qz=\"-0.000766\" qw=\"-0.999819\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 40: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.433901\" y=\"0.918343\" z=\"-1.024203\" qx=\"-0.022634\" qy=\"0.413338\" qz=\"0.031551\" qw=\"0.909749\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.030978\" qy=\"-0.028474\" qz=\"-0.012426\" qw=\"-0.999037\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196275\" z=\"0.000530\" qx=\"-0.071858\" qy=\"-0.009536\" qz=\"-0.001289\" qw=\"-0.997368\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.206667\" qy=\"-0.157047\" qz=\"-0.070696\" qw=\"-0.963134\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145900\" z=\"-0.020463\" qx=\"-0.083391\" qy=\"-0.122016\" qz=\"0.244836\" qw=\"-0.958235\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.080789\" qy=\"0.067865\" qz=\"0.033321\" qw=\"0.993860\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.237535\" qy=\"-0.341352\" qz=\"-0.515363\" qw=\"0.749304\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081511\" qy=\"0.176521\" qz=\"-0.141780\" qw=\"-0.970616\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215531\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.083558\" qy=\"-0.009643\" qz=\"0.032641\" qw=\"-0.995921\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098227\" qy=\"0.026366\" qz=\"-0.030135\" qw=\"0.994358\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232279\" qy=\"0.327360\" qz=\"0.476058\" qw=\"0.782464\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087753\" qy=\"-0.110653\" qz=\"0.152383\" qw=\"-0.978179\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221839\" y=\"-0.000036\" z=\"-0.000141\" qx=\"0.089318\" qy=\"-0.034641\" qz=\"-0.038948\" qw=\"-0.994638\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.053715\" qy=\"0.044491\" qz=\"0.021049\" qw=\"0.997343\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.467636\" qy=\"0.033826\" qz=\"0.120149\" qw=\"-0.875064\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000517\" y=\"-0.427371\" z=\"0.001203\" qx=\"-0.106709\" qy=\"0.130421\" qz=\"-0.044447\" qw=\"0.984697\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.126536\" qy=\"0.080607\" qz=\"-0.013422\" qw=\"-0.988591\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.214925\" qy=\"0.145864\" qz=\"-0.016875\" qw=\"-0.965529\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002140\" y=\"-0.417411\" z=\"0.001209\" qx=\"-0.093850\" qy=\"-0.088735\" qz=\"-0.068374\" qw=\"0.989264\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018946\" qy=\"-0.003098\" qz=\"0.000791\" qw=\"-0.999815\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017941\" qy=\"0.007457\" qz=\"-0.000763\" qw=\"-0.999811\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 41: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.454608\" y=\"0.915230\" z=\"-1.034037\" qx=\"-0.021433\" qy=\"0.434829\" qz=\"0.029341\" qw=\"0.899780\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.036099\" qy=\"-0.027163\" qz=\"-0.009218\" qw=\"-0.998937\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.196283\" z=\"0.000530\" qx=\"-0.074386\" qy=\"-0.009113\" qz=\"0.002402\" qw=\"-0.997185\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.214595\" qy=\"-0.171516\" qz=\"-0.074464\" qw=\"-0.958638\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.146037\" z=\"-0.020483\" qx=\"-0.083639\" qy=\"-0.135783\" qz=\"0.255909\" qw=\"-0.953456\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.079753\" qy=\"0.068738\" qz=\"0.033604\" qw=\"0.993874\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.244141\" qy=\"-0.351722\" qz=\"-0.513445\" qw=\"0.743680\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082618\" qy=\"0.189123\" qz=\"-0.155384\" qw=\"-0.966055\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215156\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.085065\" qy=\"-0.009151\" qz=\"0.037150\" qw=\"-0.995641\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099282\" qy=\"0.025345\" qz=\"-0.030037\" qw=\"0.994283\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231059\" qy=\"0.313572\" qz=\"0.479825\" qw=\"0.786163\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.080754\" qy=\"-0.095094\" qz=\"0.130283\" qw=\"-0.983597\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223234\" y=\"-0.000036\" z=\"-0.000142\" qx=\"0.081772\" qy=\"-0.034205\" qz=\"-0.044503\" qw=\"-0.995069\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031762\" qy=\"0.047173\" qz=\"0.018388\" qw=\"0.998212\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.447840\" qy=\"0.051849\" qz=\"0.118455\" qw=\"-0.884714\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000441\" y=\"-0.427434\" z=\"0.000712\" qx=\"-0.101098\" qy=\"0.109865\" qz=\"-0.057634\" qw=\"0.987110\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.138676\" qy=\"0.084167\" qz=\"-0.014656\" qw=\"-0.986646\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.211000\" qy=\"0.163742\" qz=\"-0.018805\" qw=\"-0.963490\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002378\" y=\"-0.417116\" z=\"0.001391\" qx=\"-0.084114\" qy=\"-0.091112\" qz=\"-0.076218\" qw=\"0.989350\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019295\" qy=\"-0.003567\" qz=\"0.000911\" qw=\"-0.999807\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018471\" qy=\"0.007299\" qz=\"-0.000747\" qw=\"-0.999802\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 42: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.477355\" y=\"0.911580\" z=\"-1.045462\" qx=\"-0.020208\" qy=\"0.458822\" qz=\"0.026303\" qw=\"0.887909\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.039146\" qy=\"-0.024741\" qz=\"-0.006578\" qw=\"-0.998906\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.196501\" z=\"0.000531\" qx=\"-0.077658\" qy=\"-0.008317\" qz=\"0.007441\" qw=\"-0.996918\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.221935\" qy=\"-0.182419\" qz=\"-0.076422\" qw=\"-0.954792\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145852\" z=\"-0.020457\" qx=\"-0.080818\" qy=\"-0.146576\" qz=\"0.264172\" qw=\"-0.949840\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077406\" qy=\"0.068333\" qz=\"0.033956\" qw=\"0.994075\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.249835\" qy=\"-0.361045\" qz=\"-0.510932\" qw=\"0.739039\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081590\" qy=\"0.201727\" qz=\"-0.166158\" qw=\"-0.961790\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214592\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.084367\" qy=\"-0.006721\" qz=\"0.040854\" qw=\"-0.995574\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.102740\" qy=\"0.022588\" qz=\"-0.029735\" qw=\"0.994007\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229640\" qy=\"0.303715\" qz=\"0.483757\" qw=\"0.788037\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072304\" qy=\"-0.084829\" qz=\"0.111371\" qw=\"-0.987508\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224175\" y=\"-0.000036\" z=\"-0.000143\" qx=\"0.072962\" qy=\"-0.032972\" qz=\"-0.047986\" qw=\"-0.995634\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.012435\" qy=\"0.052349\" qz=\"0.016569\" qw=\"0.998414\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.418134\" qy=\"0.063666\" qz=\"0.107467\" qw=\"-0.899756\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000538\" y=\"-0.428442\" z=\"0.000147\" qx=\"-0.104405\" qy=\"0.099028\" qz=\"-0.045865\" qw=\"0.988529\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.151560\" qy=\"0.087968\" qz=\"-0.014949\" qw=\"-0.984412\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.204612\" qy=\"0.183938\" qz=\"-0.021374\" qw=\"-0.961168\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002635\" y=\"-0.416761\" z=\"0.001608\" qx=\"-0.072110\" qy=\"-0.093971\" qz=\"-0.085566\" qw=\"0.989266\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.040512\" qy=\"-0.001009\" qz=\"0.000258\" qw=\"-0.999179\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018955\" qy=\"0.007361\" qz=\"-0.000753\" qw=\"-0.999793\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 43: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.501626\" y=\"0.907474\" z=\"-1.058231\" qx=\"-0.021737\" qy=\"0.484376\" qz=\"0.024969\" qw=\"0.874234\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.037051\" qy=\"-0.021595\" qz=\"-0.003919\" qw=\"-0.999072\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197004\" z=\"0.000532\" qx=\"-0.082771\" qy=\"-0.007268\" qz=\"0.013367\" qw=\"-0.996452\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.227047\" qy=\"-0.190340\" qz=\"-0.077375\" qw=\"-0.951963\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145651\" z=\"-0.020429\" qx=\"-0.078808\" qy=\"-0.154578\" qz=\"0.269830\" qw=\"-0.947147\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.076614\" qy=\"0.067511\" qz=\"0.033555\" qw=\"0.994207\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.256144\" qy=\"-0.371997\" qz=\"-0.506619\" qw=\"0.734402\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082036\" qy=\"0.214139\" qz=\"-0.180127\" qw=\"-0.956540\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214246\" y=\"-0.000122\" z=\"-0.000024\" qx=\"0.085273\" qy=\"-0.005716\" qz=\"0.043779\" qw=\"-0.995379\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.106704\" qy=\"0.020127\" qz=\"-0.029536\" qw=\"0.993648\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230550\" qy=\"0.297794\" qz=\"0.490221\" qw=\"0.786033\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066531\" qy=\"-0.077227\" qz=\"0.103385\" qw=\"-0.989404\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224636\" y=\"-0.000037\" z=\"-0.000144\" qx=\"0.067005\" qy=\"-0.031991\" qz=\"-0.057435\" qw=\"-0.995584\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.010345\" qy=\"0.055712\" qz=\"0.014064\" qw=\"0.998294\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.368642\" qy=\"0.075195\" qz=\"0.092122\" qw=\"-0.921934\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000969\" y=\"-0.433409\" z=\"-0.000324\" qx=\"-0.132891\" qy=\"0.084366\" qz=\"0.011741\" qw=\"0.987464\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.160555\" qy=\"0.093747\" qz=\"-0.013277\" qw=\"-0.982475\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.194598\" qy=\"0.204234\" qz=\"-0.023938\" qw=\"-0.959087\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002888\" y=\"-0.416085\" z=\"0.001839\" qx=\"-0.058053\" qy=\"-0.096627\" qz=\"-0.093930\" qw=\"0.989177\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.073281\" qy=\"-0.004630\" qz=\"0.001183\" qw=\"-0.997300\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019889\" qy=\"0.006742\" qz=\"-0.000690\" qw=\"-0.999779\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 44: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.528279\" y=\"0.902969\" z=\"-1.073063\" qx=\"-0.023313\" qy=\"0.510482\" qz=\"0.026119\" qw=\"0.859175\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.029077\" qy=\"-0.018964\" qz=\"0.000787\" qw=\"-0.999397\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197566\" z=\"0.000533\" qx=\"-0.086908\" qy=\"-0.006379\" qz=\"0.018966\" qw=\"-0.996015\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.229969\" qy=\"-0.195511\" qz=\"-0.076456\" qw=\"-0.950287\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145142\" z=\"-0.020357\" qx=\"-0.077040\" qy=\"-0.160416\" qz=\"0.271349\" qw=\"-0.945886\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075079\" qy=\"0.066301\" qz=\"0.034075\" qw=\"0.994387\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.262032\" qy=\"-0.382468\" qz=\"-0.503221\" qw=\"0.729264\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083689\" qy=\"0.225731\" qz=\"-0.193331\" qw=\"-0.951139\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213934\" y=\"-0.000122\" z=\"-0.000025\" qx=\"0.087467\" qy=\"-0.004885\" qz=\"0.043578\" qw=\"-0.995202\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.111029\" qy=\"0.017261\" qz=\"-0.029914\" qw=\"0.993217\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228378\" qy=\"0.293413\" qz=\"0.498057\" qw=\"0.783385\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.063946\" qy=\"-0.074290\" qz=\"0.098544\" qw=\"-0.990294\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224707\" y=\"-0.000036\" z=\"-0.000144\" qx=\"0.064322\" qy=\"-0.031276\" qz=\"-0.065915\" qw=\"-0.995259\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024814\" qy=\"0.041789\" qz=\"0.006671\" qw=\"0.998796\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.328671\" qy=\"0.104427\" qz=\"0.085174\" qw=\"-0.934781\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001001\" y=\"-0.440071\" z=\"0.000693\" qx=\"-0.193348\" qy=\"0.105753\" qz=\"0.033043\" qw=\"0.974854\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.170898\" qy=\"0.094902\" qz=\"-0.008695\" qw=\"-0.980669\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.184396\" qy=\"0.223790\" qz=\"-0.024016\" qw=\"-0.956734\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.003172\" y=\"-0.415594\" z=\"0.002181\" qx=\"-0.041541\" qy=\"-0.104287\" qz=\"-0.100259\" qw=\"0.988608\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.058310\" qy=\"-0.001859\" qz=\"0.000475\" qw=\"-0.998297\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022397\" qy=\"0.006745\" qz=\"-0.000690\" qw=\"-0.999726\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 45: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.556601\" y=\"0.900138\" z=\"-1.088789\" qx=\"-0.021766\" qy=\"0.533212\" qz=\"0.033494\" qw=\"0.845038\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.019368\" qy=\"-0.020151\" qz=\"0.013215\" qw=\"-0.999522\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197528\" z=\"0.000533\" qx=\"-0.094986\" qy=\"-0.006755\" qz=\"0.022978\" qw=\"-0.995190\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.231936\" qy=\"-0.200005\" qz=\"-0.075998\" qw=\"-0.948909\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145528\" z=\"-0.020412\" qx=\"-0.076576\" qy=\"-0.164845\" qz=\"0.275492\" qw=\"-0.943963\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.071728\" qy=\"0.065095\" qz=\"0.033120\" qw=\"0.994747\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.269804\" qy=\"-0.391011\" qz=\"-0.498585\" qw=\"0.725071\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.086209\" qy=\"0.235968\" qz=\"-0.206901\" qw=\"-0.945558\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213651\" y=\"-0.000122\" z=\"-0.000025\" qx=\"0.090605\" qy=\"-0.004370\" qz=\"0.044301\" qw=\"-0.994891\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113748\" qy=\"0.014882\" qz=\"-0.029053\" qw=\"0.992973\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.225952\" qy=\"0.293200\" qz=\"0.504584\" qw=\"0.779984\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.063838\" qy=\"-0.071934\" qz=\"0.095635\" qw=\"-0.990759\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224649\" y=\"-0.000037\" z=\"-0.000144\" qx=\"0.064153\" qy=\"-0.031411\" qz=\"-0.072215\" qw=\"-0.994828\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028663\" qy=\"0.011840\" qz=\"-0.007950\" qw=\"0.999487\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.296366\" qy=\"0.116386\" qz=\"0.081874\" qw=\"-0.944414\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000823\" y=\"-0.441846\" z=\"0.001685\" qx=\"-0.224402\" qy=\"0.127085\" qz=\"0.047965\" qw=\"0.964983\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.184769\" qy=\"0.085168\" qz=\"0.003018\" qw=\"-0.979080\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.178496\" qy=\"0.247172\" qz=\"-0.019127\" qw=\"-0.952197\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.003203\" y=\"-0.416455\" z=\"0.002489\" qx=\"-0.026896\" qy=\"-0.111641\" qz=\"-0.096379\" qw=\"0.988698\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033873\" qy=\"-0.001857\" qz=\"0.000474\" qw=\"-0.999424\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026135\" qy=\"0.006491\" qz=\"-0.000664\" qw=\"-0.999637\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 46: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.585116\" y=\"0.899307\" z=\"-1.104589\" qx=\"-0.015020\" qy=\"0.549726\" qz=\"0.039654\" qw=\"0.834268\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.013079\" qy=\"-0.027158\" qz=\"0.022555\" qw=\"-0.999291\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197041\" z=\"0.000533\" qx=\"-0.100248\" qy=\"-0.009068\" qz=\"0.033103\" qw=\"-0.994370\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.235997\" qy=\"-0.203632\" qz=\"-0.074875\" qw=\"-0.947224\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000029\" y=\"0.145456\" z=\"-0.020402\" qx=\"-0.079332\" qy=\"-0.169400\" qz=\"0.274547\" qw=\"-0.943204\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.072064\" qy=\"0.065922\" qz=\"0.034480\" qw=\"0.994622\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.273001\" qy=\"-0.394355\" qz=\"-0.495070\" qw=\"0.724472\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087154\" qy=\"0.245836\" qz=\"-0.212098\" qw=\"-0.941798\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213367\" y=\"-0.000121\" z=\"-0.000025\" qx=\"0.091957\" qy=\"-0.003108\" qz=\"0.042443\" qw=\"-0.994853\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.117290\" qy=\"0.012333\" qz=\"-0.027908\" qw=\"0.992629\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228778\" qy=\"0.300724\" qz=\"0.511242\" qw=\"0.771918\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.065708\" qy=\"-0.068537\" qz=\"0.094399\" qw=\"-0.990996\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224750\" y=\"-0.000036\" z=\"-0.000144\" qx=\"0.065999\" qy=\"-0.031703\" qz=\"-0.073712\" qw=\"-0.994588\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.020643\" qy=\"-0.009534\" qz=\"-0.019701\" qw=\"0.999547\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.272515\" qy=\"0.117630\" qz=\"0.081008\" qw=\"-0.951492\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000618\" y=\"-0.441786\" z=\"0.002067\" qx=\"-0.234392\" qy=\"0.134310\" qz=\"0.056449\" qw=\"0.961163\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.202843\" qy=\"0.065721\" qz=\"0.022214\" qw=\"-0.976751\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.179915\" qy=\"0.269849\" qz=\"-0.018439\" qw=\"-0.945765\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.002700\" y=\"-0.418254\" z=\"0.002214\" qx=\"-0.022577\" qy=\"-0.109170\" qz=\"-0.058491\" qw=\"0.992044\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016420\" qy=\"-0.000980\" qz=\"0.000250\" qw=\"-0.999865\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028288\" qy=\"0.007749\" qz=\"-0.000793\" qw=\"-0.999569\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 47: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.612860\" y=\"0.900628\" z=\"-1.118772\" qx=\"-0.008848\" qy=\"0.564904\" qz=\"0.040557\" qw=\"0.824112\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.009452\" qy=\"-0.035852\" qz=\"0.024500\" qw=\"-0.999012\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.196521\" z=\"0.000530\" qx=\"-0.104449\" qy=\"-0.011939\" qz=\"0.045102\" qw=\"-0.993435\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.242453\" qy=\"-0.207318\" qz=\"-0.073372\" qw=\"-0.944909\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000029\" y=\"0.146041\" z=\"-0.020484\" qx=\"-0.086782\" qy=\"-0.173672\" qz=\"0.275813\" qw=\"-0.941400\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.070755\" qy=\"0.068198\" qz=\"0.033940\" qw=\"0.994581\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.270455\" qy=\"-0.386721\" qz=\"-0.494373\" qw=\"0.729998\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082457\" qy=\"0.254406\" qz=\"-0.203025\" qw=\"-0.941944\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212790\" y=\"-0.000121\" z=\"-0.000024\" qx=\"0.087032\" qy=\"-0.001754\" qz=\"0.036838\" qw=\"-0.995523\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.119238\" qy=\"0.009661\" qz=\"-0.026712\" qw=\"0.992459\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.236094\" qy=\"0.311003\" qz=\"0.518157\" qw=\"0.760953\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.064934\" qy=\"-0.065807\" qz=\"0.098353\" qw=\"-0.990848\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224670\" y=\"-0.000037\" z=\"-0.000143\" qx=\"0.065194\" qy=\"-0.032094\" qz=\"-0.082298\" qw=\"-0.993955\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.004252\" qy=\"-0.013082\" qz=\"-0.022358\" qw=\"0.999655\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.259425\" qy=\"0.136824\" qz=\"0.083209\" qw=\"-0.952394\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000563\" y=\"-0.439808\" z=\"0.002239\" qx=\"-0.228384\" qy=\"0.141885\" qz=\"0.061851\" qw=\"0.961189\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.219873\" qy=\"0.055611\" qz=\"0.040897\" qw=\"-0.973083\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.192088\" qy=\"0.257920\" qz=\"-0.020280\" qw=\"-0.946662\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001990\" y=\"-0.421237\" z=\"0.002067\" qx=\"-0.033563\" qy=\"-0.099788\" qz=\"0.031331\" qw=\"0.993949\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.009206\" qy=\"0.000183\" qz=\"-0.000047\" qw=\"-0.999958\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.029561\" qy=\"0.007591\" qz=\"-0.000777\" qw=\"-0.999534\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 48: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.639467\" y=\"0.905236\" z=\"-1.131019\" qx=\"-0.008724\" qy=\"0.583595\" qz=\"0.042339\" qw=\"0.810894\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.000931\" qy=\"-0.041894\" qz=\"0.023317\" qw=\"-0.998850\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.196410\" z=\"0.000530\" qx=\"-0.110785\" qy=\"-0.013907\" qz=\"0.056167\" qw=\"-0.992159\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.247119\" qy=\"-0.211652\" qz=\"-0.072709\" qw=\"-0.942788\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000029\" y=\"0.146759\" z=\"-0.020584\" qx=\"-0.100021\" qy=\"-0.177701\" qz=\"0.279214\" qw=\"-0.938327\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.072631\" qy=\"0.071138\" qz=\"0.031956\" qw=\"0.994305\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.266236\" qy=\"-0.380791\" qz=\"-0.492684\" qw=\"0.735785\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081868\" qy=\"0.248844\" qz=\"-0.190781\" qw=\"-0.946032\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213072\" y=\"-0.000121\" z=\"-0.000025\" qx=\"0.086082\" qy=\"0.000000\" qz=\"0.022504\" qw=\"-0.996034\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.119353\" qy=\"0.008844\" qz=\"-0.024759\" qw=\"0.992504\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246170\" qy=\"0.323948\" qz=\"0.522101\" qw=\"0.749579\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066454\" qy=\"-0.064481\" qz=\"0.104599\" qw=\"-0.990194\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224894\" y=\"-0.000037\" z=\"-0.000144\" qx=\"0.066675\" qy=\"-0.035020\" qz=\"-0.095445\" qw=\"-0.992582\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014253\" qy=\"-0.021315\" qz=\"-0.023667\" qw=\"0.999391\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.258692\" qy=\"0.145795\" qz=\"0.083244\" qw=\"-0.951258\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000540\" y=\"-0.438435\" z=\"0.002183\" qx=\"-0.210762\" qy=\"0.140552\" qz=\"0.061017\" qw=\"0.965454\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.225684\" qy=\"0.063093\" qz=\"0.054844\" qw=\"-0.970607\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.201505\" qy=\"0.226472\" qz=\"-0.019023\" qw=\"-0.952756\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000395\" y=\"-0.425511\" z=\"0.000449\" qx=\"-0.045732\" qy=\"-0.069143\" qz=\"0.102631\" qw=\"0.991259\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.007618\" qy=\"0.000749\" qz=\"-0.000191\" qw=\"-0.999971\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031546\" qy=\"0.006692\" qz=\"-0.000685\" qw=\"-0.999480\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 49: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.665323\" y=\"0.911347\" z=\"-1.140364\" qx=\"-0.014922\" qy=\"0.601977\" qz=\"0.039116\" qw=\"0.797415\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.009529\" qy=\"-0.048141\" qz=\"0.016414\" qw=\"-0.998660\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.196935\" z=\"0.000531\" qx=\"-0.115657\" qy=\"-0.015929\" qz=\"0.062636\" qw=\"-0.991184\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.252418\" qy=\"-0.215036\" qz=\"-0.070419\" qw=\"-0.940790\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.146467\" z=\"-0.020543\" qx=\"-0.111703\" qy=\"-0.181973\" qz=\"0.277440\" qw=\"-0.936715\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075215\" qy=\"0.074302\" qz=\"0.033132\" qw=\"0.993843\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.260761\" qy=\"-0.373897\" qz=\"-0.495828\" qw=\"0.739162\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084896\" qy=\"0.232564\" qz=\"-0.173724\" qw=\"-0.953167\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213808\" y=\"-0.000122\" z=\"-0.000025\" qx=\"0.088611\" qy=\"0.000363\" qz=\"0.004280\" qw=\"-0.996057\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.120883\" qy=\"0.010710\" qz=\"-0.025242\" qw=\"0.992288\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.260281\" qy=\"0.339228\" qz=\"0.523090\" qw=\"0.737262\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071808\" qy=\"-0.068459\" qz=\"0.117564\" qw=\"-0.988097\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224783\" y=\"-0.000037\" z=\"-0.000144\" qx=\"0.072044\" qy=\"-0.037632\" qz=\"-0.111911\" qw=\"-0.990389\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031718\" qy=\"-0.030874\" qz=\"-0.019870\" qw=\"0.998822\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.261705\" qy=\"0.161029\" qz=\"0.080637\" qw=\"-0.948197\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000402\" y=\"-0.438351\" z=\"0.002231\" qx=\"-0.192835\" qy=\"0.145810\" qz=\"0.058794\" qw=\"0.968554\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231653\" qy=\"0.076464\" qz=\"0.055008\" qw=\"-0.968227\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.229288\" qy=\"0.160807\" qz=\"-0.013381\" qw=\"-0.959890\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000448\" y=\"-0.427995\" z=\"0.000407\" qx=\"-0.053100\" qy=\"-0.057372\" qz=\"0.091141\" qw=\"0.992765\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.006472\" qy=\"0.000778\" qz=\"-0.000199\" qw=\"-0.999979\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032431\" qy=\"0.006687\" qz=\"-0.000684\" qw=\"-0.999451\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 50: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.689463\" y=\"0.916897\" z=\"-1.147307\" qx=\"-0.023986\" qy=\"0.618000\" qz=\"0.033364\" qw=\"0.785104\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.018022\" qy=\"-0.056469\" qz=\"0.009790\" qw=\"-0.998194\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197495\" z=\"0.000533\" qx=\"-0.120625\" qy=\"-0.018650\" qz=\"0.062478\" qw=\"-0.990555\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.259263\" qy=\"-0.217654\" qz=\"-0.071698\" qw=\"-0.938226\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145577\" z=\"-0.020418\" qx=\"-0.117515\" qy=\"-0.184792\" qz=\"0.278876\" qw=\"-0.935024\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077922\" qy=\"0.078128\" qz=\"0.035152\" qw=\"0.993272\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.254278\" qy=\"-0.363983\" qz=\"-0.500872\" qw=\"0.742958\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.085834\" qy=\"0.213286\" qz=\"-0.153194\" qw=\"-0.961079\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214455\" y=\"-0.000122\" z=\"-0.000026\" qx=\"0.088859\" qy=\"-0.003782\" qz=\"-0.003789\" qw=\"-0.996030\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.122431\" qy=\"0.013032\" qz=\"-0.027126\" qw=\"0.992021\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.273062\" qy=\"0.350572\" qz=\"0.520099\" qw=\"0.729406\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072372\" qy=\"-0.081015\" qz=\"0.134019\" qw=\"-0.985007\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223894\" y=\"-0.000036\" z=\"-0.000143\" qx=\"0.072639\" qy=\"-0.041209\" qz=\"-0.133099\" qw=\"-0.987578\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.041093\" qy=\"-0.042141\" qz=\"-0.012724\" qw=\"0.998185\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.255623\" qy=\"0.169274\" qz=\"0.075780\" qw=\"-0.948821\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000236\" y=\"-0.437292\" z=\"0.002175\" qx=\"-0.175723\" qy=\"0.148784\" qz=\"0.056310\" qw=\"0.971501\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.234006\" qy=\"0.074977\" qz=\"0.050613\" qw=\"-0.968018\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.271695\" qy=\"-0.124279\" qz=\"0.004493\" qw=\"0.954315\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000419\" y=\"-0.430444\" z=\"0.000621\" qx=\"-0.060176\" qy=\"-0.060130\" qz=\"0.097426\" qw=\"0.991601\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004336\" qy=\"0.001213\" qz=\"-0.000310\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033430\" qy=\"0.007031\" qz=\"-0.000720\" qw=\"-0.999416\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 51: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.712455\" y=\"0.921039\" z=\"-1.152785\" qx=\"-0.028911\" qy=\"0.633283\" qz=\"0.029400\" qw=\"0.772821\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.022016\" qy=\"-0.063795\" qz=\"0.011053\" qw=\"-0.997659\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.197101\" z=\"0.000532\" qx=\"-0.124629\" qy=\"-0.021063\" qz=\"0.058781\" qw=\"-0.990237\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.264543\" qy=\"-0.219843\" qz=\"-0.075110\" qw=\"-0.935973\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145428\" z=\"-0.020397\" qx=\"-0.121462\" qy=\"-0.187060\" qz=\"0.279087\" qw=\"-0.934005\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078779\" qy=\"0.080880\" qz=\"0.037157\" qw=\"0.992911\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.249463\" qy=\"-0.345581\" qz=\"-0.504663\" qw=\"0.750771\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.080062\" qy=\"0.198407\" qz=\"-0.130610\" qw=\"-0.968073\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215317\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.082326\" qy=\"-0.007543\" qz=\"-0.004906\" qw=\"-0.996565\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.122216\" qy=\"0.015788\" qz=\"-0.028123\" qw=\"0.991979\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.283134\" qy=\"0.357447\" qz=\"0.513587\" qw=\"0.726839\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069439\" qy=\"-0.101030\" qz=\"0.148666\" qw=\"-0.981259\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.222485\" y=\"-0.000036\" z=\"-0.000142\" qx=\"0.069905\" qy=\"-0.044080\" qz=\"-0.140455\" qw=\"-0.986632\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046841\" qy=\"-0.056890\" qz=\"-0.008235\" qw=\"0.997247\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.240667\" qy=\"0.171206\" qz=\"0.069420\" qw=\"-0.952863\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000384\" y=\"-0.434365\" z=\"0.001902\" qx=\"-0.155676\" qy=\"0.146270\" qz=\"0.048605\" qw=\"0.975709\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.233653\" qy=\"0.057235\" qz=\"0.053998\" qw=\"-0.969131\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.321720\" qy=\"-0.117882\" qz=\"0.004744\" qw=\"0.939456\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000443\" y=\"-0.431143\" z=\"0.000758\" qx=\"-0.062934\" qy=\"-0.063872\" qz=\"0.091991\" qw=\"0.991714\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004452\" qy=\"0.001479\" qz=\"-0.000378\" qw=\"-0.999989\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034060\" qy=\"0.007867\" qz=\"-0.000805\" qw=\"-0.999389\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 52: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.734454\" y=\"0.923694\" z=\"-1.157327\" qx=\"-0.029432\" qy=\"0.648159\" qz=\"0.027208\" qw=\"0.760450\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.022466\" qy=\"-0.069812\" qz=\"0.015439\" qw=\"-0.997188\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196487\" z=\"0.000530\" qx=\"-0.127155\" qy=\"-0.023050\" qz=\"0.058965\" qw=\"-0.989860\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.268050\" qy=\"-0.220842\" qz=\"-0.078305\" qw=\"-0.934476\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145530\" z=\"-0.020411\" qx=\"-0.124011\" qy=\"-0.188895\" qz=\"0.274291\" qw=\"-0.934721\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.080799\" qy=\"-0.081691\" qz=\"-0.039850\" qw=\"-0.992578\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.251074\" qy=\"-0.327303\" qz=\"-0.502265\" qw=\"0.759976\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.075819\" qy=\"0.181207\" qz=\"-0.110228\" qw=\"-0.974302\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215886\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.077496\" qy=\"-0.008511\" qz=\"-0.001705\" qw=\"-0.996955\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.119781\" qy=\"-0.017254\" qz=\"0.027450\" qw=\"-0.992271\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.287534\" qy=\"-0.362574\" qz=\"-0.506953\" qw=\"-0.727230\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.064632\" qy=\"-0.120951\" qz=\"0.158124\" qw=\"-0.977850\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220608\" y=\"-0.000036\" z=\"-0.000141\" qx=\"0.065400\" qy=\"-0.047264\" qz=\"-0.130825\" qw=\"-0.988116\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.055755\" qy=\"-0.069429\" qz=\"-0.003919\" qw=\"0.996020\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.226338\" qy=\"0.174375\" qz=\"0.069929\" qw=\"-0.955759\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000569\" y=\"-0.432209\" z=\"0.001739\" qx=\"-0.135664\" qy=\"0.142625\" qz=\"0.043097\" qw=\"0.979488\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231266\" qy=\"0.042567\" qz=\"0.059055\" qw=\"-0.970163\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.375660\" qy=\"-0.110755\" qz=\"0.008813\" qw=\"0.920074\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000418\" y=\"-0.430453\" z=\"0.001034\" qx=\"-0.064225\" qy=\"-0.073740\" qz=\"0.084846\" qw=\"0.991584\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.006161\" qy=\"0.002087\" qz=\"-0.000533\" qw=\"-0.999979\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032884\" qy=\"0.008731\" qz=\"-0.000894\" qw=\"-0.999421\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 53: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.755669\" y=\"0.924763\" z=\"-1.161803\" qx=\"-0.028847\" qy=\"0.661770\" qz=\"0.025341\" qw=\"0.748723\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.021834\" qy=\"-0.075645\" qz=\"0.016255\" qw=\"-0.996763\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196252\" z=\"0.000529\" qx=\"-0.128701\" qy=\"-0.024967\" qz=\"0.065188\" qw=\"-0.989224\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.271310\" qy=\"-0.222010\" qz=\"-0.081245\" qw=\"-0.933007\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145446\" z=\"-0.020401\" qx=\"-0.125976\" qy=\"-0.190749\" qz=\"0.270640\" qw=\"-0.935146\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.083190\" qy=\"-0.082131\" qz=\"-0.043863\" qw=\"-0.992175\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.255412\" qy=\"-0.308331\" qz=\"-0.496981\" qw=\"0.769875\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071051\" qy=\"0.166119\" qz=\"-0.091317\" qw=\"-0.979294\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216500\" y=\"-0.000124\" z=\"-0.000026\" qx=\"0.072280\" qy=\"-0.007950\" qz=\"-0.001974\" qw=\"-0.997351\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.116283\" qy=\"-0.018487\" qz=\"0.027452\" qw=\"-0.992665\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.290862\" qy=\"-0.369091\" qz=\"-0.503127\" qw=\"-0.725283\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.065924\" qy=\"-0.136725\" qz=\"0.174176\" qw=\"-0.972946\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219051\" y=\"-0.000036\" z=\"-0.000140\" qx=\"0.067171\" qy=\"-0.045557\" qz=\"-0.116236\" qw=\"-0.989900\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.067340\" qy=\"-0.074191\" qz=\"-0.001704\" qw=\"0.994967\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.217153\" qy=\"0.180423\" qz=\"0.069022\" qw=\"-0.956832\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000697\" y=\"-0.430460\" z=\"0.001530\" qx=\"-0.118389\" qy=\"0.135913\" qz=\"0.037728\" qw=\"0.982898\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.224090\" qy=\"0.039744\" qz=\"0.059302\" qw=\"-0.971950\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.428151\" qy=\"-0.095223\" qz=\"0.011648\" qw=\"0.898601\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000411\" y=\"-0.429439\" z=\"0.001223\" qx=\"-0.067705\" qy=\"-0.085816\" qz=\"0.078334\" qw=\"0.990917\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.008372\" qy=\"0.002073\" qz=\"-0.000530\" qw=\"-0.999963\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032310\" qy=\"0.007831\" qz=\"-0.000802\" qw=\"-0.999447\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 54: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.776116\" y=\"0.924417\" z=\"-1.166585\" qx=\"-0.028522\" qy=\"0.672730\" qz=\"0.024353\" qw=\"0.738937\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.021230\" qy=\"-0.083848\" qz=\"0.015467\" qw=\"-0.996132\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196395\" z=\"0.000530\" qx=\"-0.130121\" qy=\"-0.027662\" qz=\"0.071904\" qw=\"-0.988500\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.274574\" qy=\"-0.223777\" qz=\"-0.084108\" qw=\"-0.931375\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.145127\" z=\"-0.020356\" qx=\"-0.128653\" qy=\"-0.192931\" qz=\"0.268659\" qw=\"-0.934906\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.087077\" qy=\"-0.082484\" qz=\"-0.047681\" qw=\"-0.991635\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.258335\" qy=\"-0.291883\" qz=\"-0.493670\" qw=\"0.777405\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066127\" qy=\"0.148787\" qz=\"-0.080181\" qw=\"-0.983392\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216826\" y=\"-0.000124\" z=\"-0.000026\" qx=\"0.067018\" qy=\"-0.006847\" qz=\"0.000360\" qw=\"-0.997728\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.112633\" qy=\"-0.020856\" qz=\"0.028237\" qw=\"-0.993016\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.291554\" qy=\"-0.371790\" qz=\"-0.500817\" qw=\"-0.725225\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072498\" qy=\"-0.151815\" qz=\"0.193776\" qw=\"-0.966513\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.217766\" y=\"-0.000036\" z=\"-0.000140\" qx=\"0.074451\" qy=\"-0.041220\" qz=\"-0.102826\" qw=\"-0.991052\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.078799\" qy=\"-0.080572\" qz=\"-0.001877\" qw=\"0.993627\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.210769\" qy=\"0.182851\" qz=\"0.067171\" qw=\"-0.957930\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000825\" y=\"-0.428599\" z=\"0.001340\" qx=\"-0.103323\" qy=\"0.130458\" qz=\"0.030970\" qw=\"0.985569\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.209776\" qy=\"0.046138\" qz=\"0.054450\" qw=\"-0.975141\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.474570\" qy=\"-0.083198\" qz=\"0.009130\" qw=\"0.876229\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000455\" y=\"-0.428382\" z=\"0.001281\" qx=\"-0.071520\" qy=\"-0.091555\" qz=\"0.072482\" qw=\"0.990580\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010307\" qy=\"0.001969\" qz=\"-0.000503\" qw=\"-0.999945\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032186\" qy=\"0.009329\" qz=\"-0.000955\" qw=\"-0.999438\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 55: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.796621\" y=\"0.923279\" z=\"-1.170962\" qx=\"-0.026649\" qy=\"0.680812\" qz=\"0.023244\" qw=\"0.731604\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.020278\" qy=\"-0.094727\" qz=\"0.017295\" qw=\"-0.995147\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.196555\" z=\"0.000530\" qx=\"-0.129333\" qy=\"-0.031264\" qz=\"0.074572\" qw=\"-0.988299\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.278062\" qy=\"-0.224653\" qz=\"-0.086491\" qw=\"-0.929910\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.145026\" z=\"-0.020342\" qx=\"-0.132063\" qy=\"-0.193801\" qz=\"0.268593\" qw=\"-0.934269\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.087824\" qy=\"-0.084836\" qz=\"-0.051041\" qw=\"-0.991204\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.254370\" qy=\"-0.270112\" qz=\"-0.494881\" qw=\"0.785766\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.057896\" qy=\"0.138906\" qz=\"-0.065692\" qw=\"-0.986427\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217016\" y=\"-0.000125\" z=\"-0.000026\" qx=\"0.058518\" qy=\"-0.011486\" qz=\"-0.004569\" qw=\"-0.998210\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.109353\" qy=\"-0.023211\" qz=\"0.029020\" qw=\"-0.993308\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.291704\" qy=\"-0.372348\" qz=\"-0.496194\" qw=\"-0.728050\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.080917\" qy=\"-0.165635\" qz=\"0.212663\" qw=\"-0.959579\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216701\" y=\"-0.000036\" z=\"-0.000139\" qx=\"0.083723\" qy=\"-0.039025\" qz=\"-0.093052\" qw=\"-0.991367\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.092165\" qy=\"-0.084595\" qz=\"-0.002458\" qw=\"0.992141\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.206393\" qy=\"0.182567\" qz=\"0.066088\" qw=\"-0.959012\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001023\" y=\"-0.426955\" z=\"0.001136\" qx=\"-0.090142\" qy=\"0.124552\" qz=\"0.023164\" qw=\"0.987838\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.189450\" qy=\"0.056211\" qz=\"0.046059\" qw=\"-0.979198\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.510716\" qy=\"-0.074828\" qz=\"0.005173\" qw=\"0.856471\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000485\" y=\"-0.427063\" z=\"0.001226\" qx=\"-0.075504\" qy=\"-0.097297\" qz=\"0.068020\" qw=\"0.990053\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.011797\" qy=\"0.002331\" qz=\"-0.000596\" qw=\"-0.999928\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032348\" qy=\"0.010740\" qz=\"-0.001099\" qw=\"-0.999418\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 56: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.817478\" y=\"0.921371\" z=\"-1.174744\" qx=\"-0.023334\" qy=\"0.688767\" qz=\"0.020425\" qw=\"0.724319\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.017451\" qy=\"-0.104699\" qz=\"0.019722\" qw=\"-0.994155\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196790\" z=\"0.000531\" qx=\"-0.127255\" qy=\"-0.034585\" qz=\"0.075373\" qw=\"-0.988397\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.282764\" qy=\"-0.226494\" qz=\"-0.088098\" qw=\"-0.927892\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.144881\" z=\"-0.020322\" qx=\"-0.134316\" qy=\"-0.196254\" qz=\"0.267541\" qw=\"-0.933737\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.089301\" qy=\"-0.088769\" qz=\"-0.053814\" qw=\"-0.990581\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246728\" qy=\"-0.248892\" qz=\"-0.498487\" qw=\"0.792899\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.054158\" qy=\"0.132226\" qz=\"-0.054400\" qw=\"-0.988243\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216600\" y=\"-0.000125\" z=\"-0.000026\" qx=\"0.054645\" qy=\"-0.013770\" qz=\"-0.008931\" qw=\"-0.998371\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.104836\" qy=\"-0.026725\" qz=\"0.029873\" qw=\"-0.993682\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.289764\" qy=\"-0.369944\" qz=\"-0.491528\" qw=\"-0.733198\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087491\" qy=\"-0.177991\" qz=\"0.227675\" qw=\"-0.953325\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215932\" y=\"-0.000035\" z=\"-0.000139\" qx=\"0.091146\" qy=\"-0.039433\" qz=\"-0.082189\" qw=\"-0.991656\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.109362\" qy=\"-0.085280\" qz=\"-0.002359\" qw=\"0.990334\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.204636\" qy=\"0.185483\" qz=\"0.066275\" qw=\"-0.958816\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001216\" y=\"-0.426214\" z=\"0.001069\" qx=\"-0.079995\" qy=\"0.118835\" qz=\"0.015465\" qw=\"0.989565\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.163027\" qy=\"0.063961\" qz=\"0.036375\" qw=\"-0.983874\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.533713\" qy=\"-0.074207\" qz=\"0.005214\" qw=\"0.842387\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000481\" y=\"-0.426232\" z=\"0.001073\" qx=\"-0.083203\" qy=\"-0.095999\" qz=\"0.069596\" qw=\"0.989453\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013734\" qy=\"0.001742\" qz=\"-0.000445\" qw=\"-0.999904\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032467\" qy=\"0.010815\" qz=\"-0.001107\" qw=\"-0.999414\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 57: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.839268\" y=\"0.918920\" z=\"-1.178834\" qx=\"-0.018306\" qy=\"0.697602\" qz=\"0.017463\" qw=\"0.716038\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.014662\" qy=\"-0.112924\" qz=\"0.021716\" qw=\"-0.993258\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196775\" z=\"0.000531\" qx=\"-0.124588\" qy=\"-0.037330\" qz=\"0.077100\" qw=\"-0.988504\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.286091\" qy=\"-0.227387\" qz=\"-0.089863\" qw=\"-0.926484\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.144642\" z=\"-0.020288\" qx=\"-0.135400\" qy=\"-0.197880\" qz=\"0.264748\" qw=\"-0.934034\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.091411\" qy=\"-0.091864\" qz=\"-0.055557\" qw=\"-0.990009\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.240955\" qy=\"-0.230432\" qz=\"-0.502708\" qw=\"0.797575\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.053363\" qy=\"0.131546\" qz=\"-0.050387\" qw=\"-0.988589\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215857\" y=\"-0.000125\" z=\"-0.000026\" qx=\"0.053825\" qy=\"-0.014853\" qz=\"-0.006379\" qw=\"-0.998420\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.100315\" qy=\"-0.029332\" qz=\"0.030814\" qw=\"-0.994046\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.284441\" qy=\"-0.366432\" qz=\"-0.486904\" qw=\"-0.740098\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089513\" qy=\"-0.187793\" qz=\"0.240898\" qw=\"-0.947992\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215287\" y=\"-0.000036\" z=\"-0.000138\" qx=\"0.093797\" qy=\"-0.039572\" qz=\"-0.076918\" qw=\"-0.991827\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.128215\" qy=\"-0.087986\" qz=\"-0.003727\" qw=\"0.987829\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.201859\" qy=\"0.185155\" qz=\"0.066367\" qw=\"-0.959461\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001407\" y=\"-0.425240\" z=\"0.001008\" qx=\"-0.067651\" qy=\"0.110518\" qz=\"0.007455\" qw=\"0.991541\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.131493\" qy=\"0.067435\" qz=\"0.028246\" qw=\"-0.988617\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.542187\" qy=\"-0.080775\" qz=\"0.012106\" qw=\"0.836279\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000382\" y=\"-0.425540\" z=\"0.000710\" qx=\"-0.091437\" qy=\"-0.087547\" qz=\"0.075306\" qw=\"0.989092\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015150\" qy=\"0.001169\" qz=\"-0.000299\" qw=\"-0.999885\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032419\" qy=\"0.011299\" qz=\"-0.001157\" qw=\"-0.999410\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 58: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.862252\" y=\"0.915809\" z=\"-1.183143\" qx=\"-0.013137\" qy=\"0.704884\" qz=\"0.013992\" qw=\"0.709063\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011902\" qy=\"-0.121862\" qz=\"0.021165\" qw=\"-0.992250\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.196924\" z=\"0.000531\" qx=\"-0.123160\" qy=\"-0.040298\" qz=\"0.080241\" qw=\"-0.988316\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.287656\" qy=\"-0.226339\" qz=\"-0.091617\" qw=\"-0.926084\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.144389\" z=\"-0.020252\" qx=\"-0.134946\" qy=\"-0.197210\" qz=\"0.261974\" qw=\"-0.935023\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.093159\" qy=\"-0.093799\" qz=\"-0.056646\" qw=\"-0.989603\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.234288\" qy=\"-0.215041\" qz=\"-0.507371\" qw=\"0.800900\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.053550\" qy=\"0.135912\" qz=\"-0.047020\" qw=\"-0.988155\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215094\" y=\"-0.000124\" z=\"-0.000027\" qx=\"0.054033\" qy=\"-0.016608\" qz=\"-0.006730\" qw=\"-0.998378\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.095381\" qy=\"-0.032146\" qz=\"0.031677\" qw=\"-0.994417\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.278150\" qy=\"-0.361999\" qz=\"-0.482324\" qw=\"-0.747632\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090801\" qy=\"-0.196190\" qz=\"0.254087\" qw=\"-0.942711\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214868\" y=\"-0.000036\" z=\"-0.000138\" qx=\"0.095686\" qy=\"-0.038716\" qz=\"-0.075021\" qw=\"-0.991825\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.147418\" qy=\"-0.090891\" qz=\"-0.005622\" qw=\"0.984873\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.197985\" qy=\"-0.185837\" qz=\"-0.065919\" qw=\"0.960167\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001557\" y=\"-0.424275\" z=\"0.000899\" qx=\"-0.054440\" qy=\"0.105034\" qz=\"-0.001252\" qw=\"0.992977\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.097636\" qy=\"0.069873\" qz=\"0.017699\" qw=\"-0.992609\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.536044\" qy=\"-0.084234\" qz=\"0.022230\" qw=\"0.839683\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000327\" y=\"-0.425544\" z=\"0.000492\" qx=\"-0.100870\" qy=\"-0.080910\" qz=\"0.080054\" qw=\"0.988367\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016338\" qy=\"-0.000178\" qz=\"0.000045\" qw=\"-0.999867\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033237\" qy=\"0.011574\" qz=\"-0.001185\" qw=\"-0.999380\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 59: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.886994\" y=\"0.911942\" z=\"-1.187719\" qx=\"-0.008756\" qy=\"0.710281\" qz=\"0.010953\" qw=\"0.703779\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011179\" qy=\"-0.130334\" qz=\"0.019336\" qw=\"-0.991219\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.197115\" z=\"0.000532\" qx=\"-0.121595\" qy=\"-0.043110\" qz=\"0.082564\" qw=\"-0.988200\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.290123\" qy=\"-0.224280\" qz=\"-0.093116\" qw=\"-0.925665\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143654\" z=\"-0.020149\" qx=\"-0.131164\" qy=\"-0.195277\" qz=\"0.261657\" qw=\"-0.936055\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.095858\" qy=\"-0.096220\" qz=\"-0.056451\" qw=\"-0.989124\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.227609\" qy=\"-0.205532\" qz=\"-0.513943\" qw=\"0.801133\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.051979\" qy=\"0.142492\" qz=\"-0.047329\" qw=\"-0.987296\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214153\" y=\"-0.000124\" z=\"-0.000027\" qx=\"0.052491\" qy=\"-0.017569\" qz=\"-0.007760\" qw=\"-0.998437\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.090554\" qy=\"-0.036405\" qz=\"0.033199\" qw=\"-0.994672\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.273055\" qy=\"-0.358393\" qz=\"-0.476274\" qw=\"-0.755089\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094346\" qy=\"-0.202816\" qz=\"0.267141\" qw=\"-0.937337\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214466\" y=\"-0.000035\" z=\"-0.000138\" qx=\"0.099981\" qy=\"-0.037138\" qz=\"-0.072083\" qw=\"-0.991680\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.166247\" qy=\"0.095528\" qz=\"0.007488\" qw=\"-0.981418\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.193527\" qy=\"-0.186486\" qz=\"-0.065678\" qw=\"0.960967\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001885\" y=\"-0.423382\" z=\"0.000959\" qx=\"-0.040269\" qy=\"0.103881\" qz=\"-0.009707\" qw=\"0.993727\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.062678\" qy=\"-0.071833\" qz=\"-0.004866\" qw=\"0.995434\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.514616\" qy=\"-0.090762\" qz=\"0.026006\" qw=\"0.852206\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000131\" y=\"-0.426286\" z=\"0.000233\" qx=\"-0.110348\" qy=\"-0.070331\" qz=\"0.087606\" qw=\"0.987523\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017074\" qy=\"-0.001757\" qz=\"0.000449\" qw=\"-0.999853\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033771\" qy=\"0.012148\" qz=\"-0.001243\" qw=\"-0.999355\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 60: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.913300\" y=\"0.906837\" z=\"-1.193031\" qx=\"-0.004299\" qy=\"0.711604\" qz=\"0.009652\" qw=\"0.702502\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011378\" qy=\"-0.139897\" qz=\"0.016770\" qw=\"-0.989959\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.197415\" z=\"0.000532\" qx=\"-0.121025\" qy=\"-0.046279\" qz=\"0.084626\" qw=\"-0.987952\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.291064\" qy=\"-0.221801\" qz=\"-0.093262\" qw=\"-0.925953\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143176\" z=\"-0.020082\" qx=\"-0.129630\" qy=\"-0.193165\" qz=\"0.258924\" qw=\"-0.937466\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.098426\" qy=\"-0.098339\" qz=\"-0.056040\" qw=\"-0.988687\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.220426\" qy=\"-0.199140\" qz=\"-0.522520\" qw=\"0.799205\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049081\" qy=\"0.152921\" qz=\"-0.045366\" qw=\"-0.985976\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213044\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.049624\" qy=\"-0.020048\" qz=\"-0.008662\" qw=\"-0.998529\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.085735\" qy=\"-0.040981\" qz=\"0.034167\" qw=\"-0.994888\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.268990\" qy=\"-0.354434\" qz=\"-0.467414\" qw=\"-0.763901\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096743\" qy=\"-0.212032\" qz=\"0.279353\" qw=\"-0.931475\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214079\" y=\"-0.000035\" z=\"-0.000137\" qx=\"0.103149\" qy=\"-0.036109\" qz=\"-0.070833\" qw=\"-0.991483\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.183779\" qy=\"0.100304\" qz=\"0.009682\" qw=\"-0.977789\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.188069\" qy=\"-0.184086\" qz=\"-0.065356\" qw=\"0.962534\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002614\" y=\"-0.422142\" z=\"0.001307\" qx=\"-0.027389\" qy=\"0.105631\" qz=\"-0.018750\" qw=\"0.993851\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.031017\" qy=\"0.075366\" qz=\"-0.008335\" qw=\"-0.996639\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.480025\" qy=\"-0.089168\" qz=\"0.021417\" qw=\"0.872448\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000139\" y=\"-0.427846\" z=\"0.000461\" qx=\"-0.114392\" qy=\"-0.074008\" qz=\"0.085434\" qw=\"0.986985\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018745\" qy=\"-0.004546\" qz=\"0.001162\" qw=\"-0.999813\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034172\" qy=\"0.012333\" qz=\"-0.001262\" qw=\"-0.999339\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 61: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.942070\" y=\"0.900767\" z=\"-1.199574\" qx=\"0.002830\" qy=\"0.709660\" qz=\"0.008994\" qw=\"0.704482\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012274\" qy=\"-0.148362\" qz=\"0.014384\" qw=\"-0.988752\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.197199\" z=\"0.000532\" qx=\"-0.118324\" qy=\"-0.049096\" qz=\"0.087127\" qw=\"-0.987926\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.292452\" qy=\"-0.219165\" qz=\"-0.094047\" qw=\"-0.926063\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.142917\" z=\"-0.020045\" qx=\"-0.131109\" qy=\"-0.190207\" qz=\"0.258632\" qw=\"-0.937945\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.100073\" qy=\"-0.101212\" qz=\"-0.055676\" qw=\"-0.988252\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.223277\" qy=\"-0.201280\" qz=\"-0.535195\" qw=\"0.789430\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.050899\" qy=\"0.162101\" qz=\"-0.055418\" qw=\"-0.983901\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212247\" y=\"-0.000122\" z=\"-0.000026\" qx=\"0.051566\" qy=\"-0.021306\" qz=\"-0.001991\" qw=\"-0.998440\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.081405\" qy=\"-0.045078\" qz=\"0.035152\" qw=\"-0.995041\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.265435\" qy=\"-0.351723\" qz=\"-0.456475\" qw=\"-0.772959\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.097667\" qy=\"-0.223267\" qz=\"0.289966\" qw=\"-0.925490\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213461\" y=\"-0.000035\" z=\"-0.000137\" qx=\"0.104803\" qy=\"-0.036690\" qz=\"-0.069505\" qw=\"-0.991382\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.202282\" qy=\"0.106282\" qz=\"0.012955\" qw=\"-0.973457\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.179689\" qy=\"-0.174930\" qz=\"-0.064463\" qw=\"0.965896\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002824\" y=\"-0.421146\" z=\"0.001436\" qx=\"-0.015677\" qy=\"0.107048\" qz=\"-0.027055\" qw=\"0.993762\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.004062\" qy=\"0.077624\" qz=\"-0.017214\" qw=\"-0.996826\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.430569\" qy=\"-0.093504\" qz=\"0.008720\" qw=\"0.897659\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000151\" y=\"-0.430816\" z=\"0.000114\" qx=\"-0.130681\" qy=\"-0.074954\" qz=\"0.079017\" qw=\"0.985424\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019961\" qy=\"-0.006459\" qz=\"0.001650\" qw=\"-0.999779\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.057460\" qy=\"0.010169\" qz=\"-0.001041\" qw=\"-0.998295\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 62: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.973455\" y=\"0.893284\" z=\"-1.207165\" qx=\"0.009831\" qy=\"0.706640\" qz=\"0.009489\" qw=\"0.707442\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.016172\" qy=\"-0.153232\" qz=\"0.009589\" qw=\"-0.988011\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000542\" y=\"0.197182\" z=\"0.000532\" qx=\"-0.115153\" qy=\"-0.050708\" qz=\"0.090810\" qw=\"-0.987888\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.292663\" qy=\"-0.216765\" qz=\"-0.093937\" qw=\"-0.926573\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.142634\" z=\"-0.020005\" qx=\"-0.132492\" qy=\"-0.187456\" qz=\"0.258573\" qw=\"-0.938321\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.102788\" qy=\"-0.102802\" qz=\"-0.054115\" qw=\"-0.987896\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.227002\" qy=\"-0.208294\" qz=\"-0.545978\" qw=\"0.779096\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049805\" qy=\"0.173243\" qz=\"-0.063452\" qw=\"-0.981570\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211291\" y=\"-0.000122\" z=\"-0.000026\" qx=\"0.050570\" qy=\"-0.021466\" qz=\"0.010157\" qw=\"-0.998438\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.075153\" qy=\"-0.049536\" qz=\"0.036953\" qw=\"-0.995255\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.260562\" qy=\"-0.347752\" qz=\"-0.446280\" qw=\"-0.782311\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.095808\" qy=\"-0.238244\" qz=\"0.298907\" qw=\"-0.919084\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212473\" y=\"-0.000035\" z=\"-0.000136\" qx=\"0.103549\" qy=\"-0.037862\" qz=\"-0.068575\" qw=\"-0.991535\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.220610\" qy=\"-0.111016\" qz=\"-0.017199\" qw=\"0.968871\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.170133\" qy=\"-0.164710\" qz=\"-0.062381\" qw=\"0.969554\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002591\" y=\"-0.419996\" z=\"0.001192\" qx=\"-0.003950\" qy=\"0.108849\" qz=\"-0.034347\" qw=\"0.993457\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.021272\" qy=\"-0.080464\" qz=\"0.021832\" qw=\"0.996291\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.368770\" qy=\"-0.077735\" qz=\"0.002807\" qw=\"0.926260\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000120\" y=\"-0.437751\" z=\"-0.000426\" qx=\"-0.190148\" qy=\"-0.079052\" qz=\"0.087642\" qw=\"0.974635\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021292\" qy=\"-0.007990\" qz=\"0.002041\" qw=\"-0.999739\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.087497\" qy=\"0.008364\" qz=\"-0.000856\" qw=\"-0.996129\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 63: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.007877\" y=\"0.884694\" z=\"-1.215192\" qx=\"0.015534\" qy=\"0.705625\" qz=\"0.008099\" qw=\"0.708369\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.022298\" qy=\"-0.153015\" qz=\"0.000778\" qw=\"-0.987972\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197697\" z=\"0.000533\" qx=\"-0.112122\" qy=\"-0.050620\" qz=\"0.094152\" qw=\"-0.987928\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.290770\" qy=\"-0.213864\" qz=\"-0.093417\" qw=\"-0.927895\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.142922\" z=\"-0.020046\" qx=\"-0.131699\" qy=\"-0.183779\" qz=\"0.260193\" qw=\"-0.938712\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.103750\" qy=\"-0.103061\" qz=\"-0.051371\" qw=\"-0.987915\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.237485\" qy=\"-0.223841\" qz=\"-0.553250\" qw=\"0.766427\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.048108\" qy=\"0.185838\" qz=\"-0.074937\" qw=\"-0.978537\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210724\" y=\"-0.000121\" z=\"-0.000026\" qx=\"0.048976\" qy=\"-0.020245\" qz=\"0.030131\" qw=\"-0.998140\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.068828\" qy=\"-0.052852\" qz=\"0.039428\" qw=\"-0.995447\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.254973\" qy=\"-0.342505\" qz=\"-0.436861\" qw=\"-0.791727\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092232\" qy=\"-0.256399\" qz=\"0.309319\" qw=\"-0.911084\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211218\" y=\"-0.000034\" z=\"-0.000135\" qx=\"0.100589\" qy=\"-0.038750\" qz=\"-0.069877\" qw=\"-0.991714\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.240567\" qy=\"-0.112656\" qz=\"-0.020553\" qw=\"0.963854\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.161215\" qy=\"-0.156239\" qz=\"-0.058939\" qw=\"0.972690\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002166\" y=\"-0.419350\" z=\"0.000914\" qx=\"0.003395\" qy=\"0.108763\" qz=\"-0.039662\" qw=\"0.993270\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029763\" qy=\"-0.081865\" qz=\"0.024429\" qw=\"0.995899\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.329347\" qy=\"-0.070770\" qz=\"0.004685\" qw=\"0.941541\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000530\" y=\"-0.439185\" z=\"-0.000007\" qx=\"-0.253076\" qy=\"-0.083844\" qz=\"0.056161\" qw=\"0.962169\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022670\" qy=\"-0.009260\" qz=\"0.002366\" qw=\"-0.999697\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.071943\" qy=\"0.007385\" qz=\"-0.000756\" qw=\"-0.997381\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 64: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.042710\" y=\"0.878761\" z=\"-1.221621\" qx=\"0.014332\" qy=\"0.706641\" qz=\"0.004448\" qw=\"0.707413\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.029787\" qy=\"-0.149782\" qz=\"-0.011242\" qw=\"-0.988206\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.198252\" z=\"0.000534\" qx=\"-0.114430\" qy=\"-0.049522\" qz=\"0.091898\" qw=\"-0.987931\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.285907\" qy=\"-0.210395\" qz=\"-0.092889\" qw=\"-0.930249\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143655\" z=\"-0.020149\" qx=\"-0.130438\" qy=\"-0.179189\" qz=\"0.261788\" qw=\"-0.939332\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.103627\" qy=\"-0.100392\" qz=\"-0.046803\" qw=\"-0.988429\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.250810\" qy=\"-0.248261\" qz=\"-0.555123\" qw=\"0.753193\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.045973\" qy=\"0.198238\" qz=\"-0.089337\" qw=\"-0.974991\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210704\" y=\"-0.000121\" z=\"-0.000027\" qx=\"0.046938\" qy=\"-0.016862\" qz=\"0.047899\" qw=\"-0.997606\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.063736\" qy=\"-0.055255\" qz=\"0.039465\" qw=\"-0.995654\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.249497\" qy=\"-0.337061\" qz=\"-0.427721\" qw=\"-0.800747\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089916\" qy=\"-0.270838\" qz=\"0.321535\" qw=\"-0.902872\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210279\" y=\"-0.000033\" z=\"-0.000135\" qx=\"0.098992\" qy=\"-0.041816\" qz=\"-0.066888\" qw=\"-0.991957\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.254509\" qy=\"-0.108230\" qz=\"-0.017417\" qw=\"0.960837\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.152616\" qy=\"-0.141920\" qz=\"-0.053470\" qw=\"0.976580\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002903\" y=\"-0.420067\" z=\"0.000941\" qx=\"-0.004341\" qy=\"0.099766\" qz=\"-0.043487\" qw=\"0.994051\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024871\" qy=\"-0.081535\" qz=\"0.034936\" qw=\"0.995748\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.306839\" qy=\"-0.072281\" qz=\"0.004164\" qw=\"0.949004\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000620\" y=\"-0.437786\" z=\"0.000630\" qx=\"-0.288399\" qy=\"-0.100507\" qz=\"0.031291\" qw=\"0.951706\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023658\" qy=\"-0.007420\" qz=\"0.001896\" qw=\"-0.999691\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.047162\" qy=\"0.005999\" qz=\"-0.000614\" qw=\"-0.998869\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 65: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.074707\" y=\"0.878443\" z=\"-1.227618\" qx=\"0.013469\" qy=\"0.709467\" qz=\"0.000457\" qw=\"0.704610\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.032413\" qy=\"-0.141886\" qz=\"-0.017839\" qw=\"-0.989191\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.198114\" z=\"0.000534\" qx=\"-0.119604\" qy=\"-0.046892\" qz=\"0.084079\" qw=\"-0.988143\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.284569\" qy=\"-0.206611\" qz=\"-0.092007\" qw=\"-0.931594\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143712\" z=\"-0.020158\" qx=\"-0.128580\" qy=\"-0.175068\" qz=\"0.261487\" qw=\"-0.940448\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.103061\" qy=\"-0.097070\" qz=\"-0.044709\" qw=\"-0.988917\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.265008\" qy=\"-0.273723\" qz=\"-0.554246\" qw=\"0.740039\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.043837\" qy=\"0.212477\" qz=\"-0.101590\" qw=\"-0.970881\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210521\" y=\"-0.000121\" z=\"-0.000027\" qx=\"0.044931\" qy=\"-0.014760\" qz=\"0.052295\" qw=\"-0.997511\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.062939\" qy=\"-0.058815\" qz=\"0.040017\" qw=\"-0.995479\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.241563\" qy=\"-0.333545\" qz=\"-0.424301\" qw=\"-0.806452\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.088408\" qy=\"-0.278010\" qz=\"0.325115\" qw=\"-0.899552\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209620\" y=\"-0.000033\" z=\"-0.000134\" qx=\"0.097778\" qy=\"-0.047187\" qz=\"-0.050748\" qw=\"-0.992793\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.261039\" qy=\"0.098705\" qz=\"0.014660\" qw=\"-0.960157\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.139052\" qy=\"-0.127472\" qz=\"-0.049880\" qw=\"0.980779\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001686\" y=\"-0.423905\" z=\"0.000454\" qx=\"-0.035163\" qy=\"0.092583\" qz=\"-0.040513\" qw=\"0.994259\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.009732\" qy=\"0.080397\" qz=\"-0.040758\" qw=\"-0.995882\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.299200\" qy=\"-0.075021\" qz=\"0.005102\" qw=\"0.951223\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000716\" y=\"-0.437523\" z=\"0.001122\" qx=\"-0.302535\" qy=\"-0.110442\" qz=\"0.014833\" qw=\"0.946602\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022295\" qy=\"-0.006028\" qz=\"0.001540\" qw=\"-0.999732\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033220\" qy=\"0.005789\" qz=\"-0.000593\" qw=\"-0.999431\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 66: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.101984\" y=\"0.882689\" z=\"-1.233128\" qx=\"0.012084\" qy=\"0.713332\" qz=\"-0.000527\" qw=\"0.700722\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.036685\" qy=\"-0.130401\" qz=\"-0.018397\" qw=\"-0.990612\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.198289\" z=\"0.000534\" qx=\"-0.120316\" qy=\"-0.043103\" qz=\"0.073936\" qw=\"-0.989040\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.287063\" qy=\"-0.202643\" qz=\"-0.090507\" qw=\"-0.931847\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143450\" z=\"-0.020121\" qx=\"-0.130865\" qy=\"-0.171417\" qz=\"0.258838\" qw=\"-0.941538\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.102453\" qy=\"-0.094680\" qz=\"-0.045070\" qw=\"-0.989196\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.282582\" qy=\"-0.294032\" qz=\"-0.551081\" qw=\"0.728013\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.040511\" qy=\"0.228071\" qz=\"-0.121723\" qw=\"-0.965156\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210198\" y=\"-0.000120\" z=\"-0.000027\" qx=\"0.041746\" qy=\"-0.008692\" qz=\"0.059722\" qw=\"-0.997304\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.064527\" qy=\"-0.058107\" qz=\"0.039817\" qw=\"-0.995427\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.236110\" qy=\"-0.334103\" qz=\"-0.428747\" qw=\"-0.805483\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.086044\" qy=\"-0.278214\" qz=\"0.318579\" qw=\"-0.902054\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209258\" y=\"-0.000033\" z=\"-0.000134\" qx=\"0.094983\" qy=\"-0.049204\" qz=\"-0.034189\" qw=\"-0.993674\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.257738\" qy=\"0.082977\" qz=\"0.013929\" qw=\"-0.962545\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.122853\" qy=\"-0.110617\" qz=\"-0.047764\" qw=\"0.985084\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001288\" y=\"-0.429516\" z=\"0.000524\" qx=\"-0.078362\" qy=\"0.096035\" qz=\"-0.031271\" qw=\"0.991796\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005134\" qy=\"0.084955\" qz=\"-0.038632\" qw=\"-0.995622\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.298748\" qy=\"-0.070677\" qz=\"0.010037\" qw=\"0.951658\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000777\" y=\"-0.436951\" z=\"0.001302\" qx=\"-0.299571\" qy=\"-0.114790\" qz=\"0.006430\" qw=\"0.947122\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021300\" qy=\"-0.003888\" qz=\"0.000993\" qw=\"-0.999765\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.030171\" qy=\"0.006237\" qz=\"-0.000638\" qw=\"-0.999525\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 67: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.125508\" y=\"0.889577\" z=\"-1.239002\" qx=\"0.013117\" qy=\"0.715111\" qz=\"-0.001591\" qw=\"0.698886\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.040654\" qy=\"-0.119628\" qz=\"-0.015853\" qw=\"-0.991859\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198825\" z=\"0.000536\" qx=\"-0.114945\" qy=\"-0.039569\" qz=\"0.066584\" qw=\"-0.990348\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.289451\" qy=\"-0.199504\" qz=\"-0.087946\" qw=\"-0.932031\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000028\" y=\"0.143164\" z=\"-0.020082\" qx=\"-0.135593\" qy=\"-0.169345\" qz=\"0.252559\" qw=\"-0.942948\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.102784\" qy=\"-0.094237\" qz=\"-0.046893\" qw=\"-0.989119\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.288477\" qy=\"-0.299204\" qz=\"-0.545823\" qw=\"0.727554\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.033032\" qy=\"0.249812\" qz=\"-0.133062\" qw=\"-0.958539\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.209492\" y=\"-0.000120\" z=\"-0.000028\" qx=\"0.034207\" qy=\"-0.006334\" qz=\"0.078435\" qw=\"-0.996312\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.071765\" qy=\"-0.053056\" qz=\"0.038391\" qw=\"-0.995269\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.235219\" qy=\"-0.337055\" qz=\"-0.438726\" qw=\"-0.799115\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083255\" qy=\"-0.274347\" qz=\"0.308503\" qw=\"-0.906989\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209180\" y=\"-0.000033\" z=\"-0.000134\" qx=\"0.091456\" qy=\"-0.045866\" qz=\"-0.031856\" qw=\"-0.994242\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.256269\" qy=\"0.068141\" qz=\"0.013620\" qw=\"-0.964105\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.121299\" qy=\"-0.077701\" qz=\"-0.047450\" qw=\"0.988432\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001063\" y=\"-0.430412\" z=\"0.000765\" qx=\"-0.087310\" qy=\"0.114172\" qz=\"-0.044237\" qw=\"0.988628\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.021936\" qy=\"0.087481\" qz=\"-0.035592\" qw=\"-0.995288\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.299561\" qy=\"-0.070241\" qz=\"0.009897\" qw=\"0.951437\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000831\" y=\"-0.436766\" z=\"0.001359\" qx=\"-0.287623\" qy=\"-0.114394\" qz=\"0.004537\" qw=\"0.950877\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019610\" qy=\"-0.003611\" qz=\"0.000923\" qw=\"-0.999801\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.029283\" qy=\"0.006094\" qz=\"-0.000624\" qw=\"-0.999552\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 68: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.146338\" y=\"0.897596\" z=\"-1.245941\" qx=\"0.018655\" qy=\"0.715775\" qz=\"-0.001541\" qw=\"0.698080\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.042994\" qy=\"-0.109593\" qz=\"-0.011105\" qw=\"-0.992984\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.199025\" z=\"0.000537\" qx=\"-0.107979\" qy=\"-0.036270\" qz=\"0.064532\" qw=\"-0.991393\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.289496\" qy=\"-0.197351\" qz=\"-0.085396\" qw=\"-0.932712\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.142671\" z=\"-0.020012\" qx=\"-0.135039\" qy=\"-0.168063\" qz=\"0.248318\" qw=\"-0.944382\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.101403\" qy=\"-0.092555\" qz=\"-0.049985\" qw=\"-0.989269\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.286979\" qy=\"-0.293421\" qz=\"-0.540563\" qw=\"0.734396\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029665\" qy=\"0.270509\" qz=\"-0.138687\" qw=\"-0.952214\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.209068\" y=\"-0.000120\" z=\"-0.000028\" qx=\"0.030870\" qy=\"-0.005225\" qz=\"0.090895\" qw=\"-0.995368\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.082384\" qy=\"-0.045613\" qz=\"0.036434\" qw=\"-0.994889\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.239922\" qy=\"-0.338489\" qz=\"-0.451947\" qw=\"-0.789688\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.080345\" qy=\"-0.269222\" qz=\"0.296365\" qw=\"-0.912815\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209416\" y=\"-0.000033\" z=\"-0.000134\" qx=\"0.087715\" qy=\"-0.041894\" qz=\"-0.039333\" qw=\"-0.994487\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.259987\" qy=\"0.061224\" qz=\"0.014647\" qw=\"-0.963558\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.142517\" qy=\"-0.062148\" qz=\"-0.048503\" qw=\"0.986648\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001105\" y=\"-0.431047\" z=\"0.001130\" qx=\"-0.085165\" qy=\"0.126148\" qz=\"-0.027574\" qw=\"0.987964\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.040054\" qy=\"0.085390\" qz=\"-0.028971\" qw=\"-0.995121\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.299271\" qy=\"-0.074687\" qz=\"0.008223\" qw=\"0.951205\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000829\" y=\"-0.437011\" z=\"0.001429\" qx=\"-0.273280\" qy=\"-0.112866\" qz=\"0.004784\" qw=\"0.955278\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019619\" qy=\"-0.003813\" qz=\"0.000974\" qw=\"-0.999800\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028997\" qy=\"0.006614\" qz=\"-0.000677\" qw=\"-0.999557\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 69: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.164388\" y=\"0.905065\" z=\"-1.253827\" qx=\"0.023706\" qy=\"0.715598\" qz=\"0.000845\" qw=\"0.698109\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.045644\" qy=\"-0.100298\" qz=\"-0.007434\" qw=\"-0.993882\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198843\" z=\"0.000537\" qx=\"-0.103134\" qy=\"-0.033197\" qz=\"0.065291\" qw=\"-0.991967\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.287290\" qy=\"-0.195842\" qz=\"-0.081351\" qw=\"-0.934073\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.141912\" z=\"-0.019906\" qx=\"-0.129343\" qy=\"-0.167388\" qz=\"0.246129\" qw=\"-0.945871\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.099164\" qy=\"-0.090079\" qz=\"-0.051143\" qw=\"-0.989665\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.283830\" qy=\"-0.286595\" qz=\"-0.532836\" qw=\"0.743902\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.036862\" qy=\"0.282719\" qz=\"-0.145039\" qw=\"-0.947457\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.209040\" y=\"-0.000120\" z=\"-0.000029\" qx=\"0.038551\" qy=\"-0.005978\" qz=\"0.096290\" qw=\"-0.994588\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.093662\" qy=\"-0.038815\" qz=\"0.034922\" qw=\"-0.994234\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.250515\" qy=\"-0.337636\" qz=\"-0.463761\" qw=\"-0.779852\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078048\" qy=\"-0.260841\" qz=\"0.278486\" qw=\"-0.921041\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209640\" y=\"-0.000033\" z=\"-0.000134\" qx=\"0.084435\" qy=\"-0.041824\" qz=\"-0.047141\" qw=\"-0.994434\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.264963\" qy=\"0.063238\" qz=\"0.014647\" qw=\"-0.962071\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.184625\" qy=\"-0.073434\" qz=\"-0.049489\" qw=\"0.978812\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001028\" y=\"-0.432478\" z=\"0.001365\" qx=\"-0.087241\" qy=\"0.131345\" qz=\"-0.025551\" qw=\"0.987160\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.051928\" qy=\"-0.083841\" qz=\"0.020780\" qw=\"0.994908\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.294631\" qy=\"-0.076587\" qz=\"0.006091\" qw=\"0.952518\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000837\" y=\"-0.437109\" z=\"0.001480\" qx=\"-0.259997\" qy=\"-0.111575\" qz=\"0.005136\" qw=\"0.959128\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019567\" qy=\"-0.005177\" qz=\"0.001323\" qw=\"-0.999794\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027778\" qy=\"0.005982\" qz=\"-0.000612\" qw=\"-0.999596\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 70: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.180441\" y=\"0.911111\" z=\"-1.262569\" qx=\"0.027872\" qy=\"0.711298\" qz=\"0.003714\" qw=\"0.702328\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.047332\" qy=\"-0.094403\" qz=\"-0.005155\" qw=\"-0.994395\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198488\" z=\"0.000536\" qx=\"-0.100105\" qy=\"-0.031242\" qz=\"0.067390\" qw=\"-0.992200\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.285176\" qy=\"-0.195061\" qz=\"-0.077661\" qw=\"-0.935198\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.141388\" z=\"-0.019832\" qx=\"-0.123930\" qy=\"-0.166923\" qz=\"0.247008\" qw=\"-0.946449\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.096586\" qy=\"-0.086350\" qz=\"-0.051798\" qw=\"-0.990218\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.277490\" qy=\"-0.280519\" qz=\"-0.526771\" qw=\"0.752875\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.048013\" qy=\"0.281292\" qz=\"-0.152287\" qw=\"-0.946244\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.209509\" y=\"-0.000120\" z=\"-0.000027\" qx=\"0.050333\" qy=\"-0.005965\" qz=\"0.088653\" qw=\"-0.994772\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.102053\" qy=\"-0.034050\" qz=\"0.034100\" qw=\"-0.993611\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.265383\" qy=\"-0.334879\" qz=\"-0.473021\" qw=\"-0.770506\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.075058\" qy=\"-0.246376\" qz=\"0.251859\" qw=\"-0.932863\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210672\" y=\"-0.000033\" z=\"-0.000135\" qx=\"0.080162\" qy=\"-0.042892\" qz=\"-0.052863\" qw=\"-0.994455\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.268004\" qy=\"0.065650\" qz=\"0.010403\" qw=\"-0.961122\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.234406\" qy=\"-0.099107\" qz=\"-0.054939\" qw=\"0.965512\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001068\" y=\"-0.433192\" z=\"0.001403\" qx=\"-0.087335\" qy=\"0.125290\" qz=\"-0.027119\" qw=\"0.987897\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.061259\" qy=\"-0.081914\" qz=\"0.012114\" qw=\"0.994681\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.289545\" qy=\"-0.072763\" qz=\"0.004467\" qw=\"0.954384\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000810\" y=\"-0.436797\" z=\"0.001516\" qx=\"-0.248509\" qy=\"-0.111029\" qz=\"0.004988\" qw=\"0.962232\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019183\" qy=\"-0.004463\" qz=\"0.001140\" qw=\"-0.999805\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026602\" qy=\"0.005724\" qz=\"-0.000586\" qw=\"-0.999630\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 71: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.194718\" y=\"0.915663\" z=\"-1.272017\" qx=\"0.030818\" qy=\"0.702331\" qz=\"0.005966\" qw=\"0.711158\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.048040\" qy=\"-0.091037\" qz=\"-0.002737\" qw=\"-0.994684\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197996\" z=\"0.000535\" qx=\"-0.096693\" qy=\"-0.030133\" qz=\"0.067985\" qw=\"-0.992532\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.284717\" qy=\"-0.194466\" qz=\"-0.073735\" qw=\"-0.935779\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.141083\" z=\"-0.019789\" qx=\"-0.121759\" qy=\"-0.166564\" qz=\"0.248588\" qw=\"-0.946380\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.094668\" qy=\"-0.085182\" qz=\"-0.051536\" qw=\"-0.990518\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.266708\" qy=\"-0.275676\" qz=\"-0.523009\" qw=\"0.761139\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.058351\" qy=\"0.269454\" qz=\"-0.155979\" qw=\"-0.948504\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210188\" y=\"-0.000120\" z=\"-0.000027\" qx=\"0.061138\" qy=\"-0.008769\" qz=\"0.064771\" qw=\"-0.995987\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.107400\" qy=\"-0.032138\" qz=\"0.033904\" qw=\"-0.993118\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.282000\" qy=\"-0.332235\" qz=\"-0.477748\" qw=\"-0.762793\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070896\" qy=\"-0.222808\" qz=\"0.215987\" qw=\"-0.947987\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212588\" y=\"-0.000033\" z=\"-0.000136\" qx=\"0.074481\" qy=\"-0.044493\" qz=\"-0.062351\" qw=\"-0.994276\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.267472\" qy=\"-0.073564\" qz=\"-0.000685\" qw=\"0.960753\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.284064\" qy=\"-0.119177\" qz=\"-0.064339\" qw=\"0.949192\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000976\" y=\"-0.432873\" z=\"0.001267\" qx=\"-0.084656\" qy=\"0.114692\" qz=\"-0.034960\" qw=\"0.989170\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070762\" qy=\"0.075098\" qz=\"-0.003752\" qw=\"-0.994655\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.287087\" qy=\"-0.066856\" qz=\"0.004812\" qw=\"0.955556\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000782\" y=\"-0.436413\" z=\"0.001564\" qx=\"-0.238329\" qy=\"-0.111148\" qz=\"0.004086\" qw=\"0.964795\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019648\" qy=\"-0.004268\" qz=\"0.001091\" qw=\"-0.999797\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026152\" qy=\"0.006630\" qz=\"-0.000679\" qw=\"-0.999636\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 72: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.207767\" y=\"0.918727\" z=\"-1.281884\" qx=\"0.031298\" qy=\"0.690530\" qz=\"0.007629\" qw=\"0.722586\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.049987\" qy=\"-0.087842\" qz=\"-0.000098\" qw=\"-0.994880\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197668\" z=\"0.000535\" qx=\"-0.092452\" qy=\"-0.029087\" qz=\"0.065991\" qw=\"-0.993102\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.284883\" qy=\"-0.193313\" qz=\"-0.069920\" qw=\"-0.936260\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.140920\" z=\"-0.019766\" qx=\"-0.120841\" qy=\"-0.165536\" qz=\"0.250309\" qw=\"-0.946225\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.092172\" qy=\"-0.084230\" qz=\"-0.050671\" qw=\"-0.990880\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.255545\" qy=\"-0.269934\" qz=\"-0.523280\" qw=\"0.766818\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067241\" qy=\"0.250416\" qz=\"-0.160592\" qw=\"-0.952355\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211105\" y=\"-0.000121\" z=\"-0.000026\" qx=\"0.070266\" qy=\"-0.012057\" qz=\"0.033138\" qw=\"-0.996905\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.110997\" qy=\"-0.031911\" qz=\"0.033955\" qw=\"-0.992728\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.295756\" qy=\"-0.330540\" qz=\"-0.478268\" qw=\"-0.757979\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.063815\" qy=\"-0.190379\" qz=\"0.177748\" qw=\"-0.963374\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215537\" y=\"-0.000034\" z=\"-0.000138\" qx=\"0.065900\" qy=\"-0.045839\" qz=\"-0.082113\" qw=\"-0.993385\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.262024\" qy=\"-0.086459\" qz=\"0.012851\" qw=\"0.961095\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.331443\" qy=\"0.129107\" qz=\"0.077165\" qw=\"-0.931409\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000935\" y=\"-0.432164\" z=\"0.001214\" qx=\"-0.085546\" qy=\"0.109529\" qz=\"-0.038119\" qw=\"0.989562\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081318\" qy=\"0.068317\" qz=\"0.002503\" qw=\"-0.994341\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.289549\" qy=\"-0.060415\" qz=\"0.003283\" qw=\"0.955249\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000799\" y=\"-0.436303\" z=\"0.001575\" qx=\"-0.229595\" qy=\"-0.108393\" qz=\"0.005629\" qw=\"0.967215\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020000\" qy=\"-0.004690\" qz=\"0.001198\" qw=\"-0.999788\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025322\" qy=\"0.005920\" qz=\"-0.000606\" qw=\"-0.999662\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 73: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.219745\" y=\"0.920675\" z=\"-1.294159\" qx=\"0.031381\" qy=\"0.676546\" qz=\"0.008250\" qw=\"0.735686\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.050881\" qy=\"-0.084080\" qz=\"-0.001119\" qw=\"-0.995159\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197472\" z=\"0.000534\" qx=\"-0.089188\" qy=\"-0.027840\" qz=\"0.067552\" qw=\"-0.993331\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.283137\" qy=\"-0.191950\" qz=\"-0.068260\" qw=\"-0.937192\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.140876\" z=\"-0.019759\" qx=\"-0.122751\" qy=\"-0.163930\" qz=\"0.250486\" qw=\"-0.946211\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.089804\" qy=\"-0.082383\" qz=\"-0.050125\" qw=\"-0.991280\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246164\" qy=\"-0.263669\" qz=\"-0.524979\" qw=\"0.770895\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078060\" qy=\"0.230870\" qz=\"-0.163913\" qw=\"-0.955897\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212270\" y=\"-0.000122\" z=\"-0.000026\" qx=\"0.081268\" qy=\"-0.019666\" qz=\"0.003102\" qw=\"-0.996493\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.113181\" qy=\"-0.031461\" qz=\"0.033411\" qw=\"-0.992514\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.301721\" qy=\"-0.327799\" qz=\"-0.478300\" qw=\"-0.756796\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.052215\" qy=\"-0.151673\" qz=\"0.143683\" qw=\"-0.976537\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219337\" y=\"-0.000035\" z=\"-0.000141\" qx=\"0.053095\" qy=\"-0.046869\" qz=\"-0.108404\" qw=\"-0.991581\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.252590\" qy=\"-0.098987\" qz=\"0.024210\" qw=\"0.962192\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.373972\" qy=\"0.127113\" qz=\"0.085484\" qw=\"-0.914702\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000983\" y=\"-0.430903\" z=\"0.001128\" qx=\"-0.086428\" qy=\"0.108417\" qz=\"-0.037990\" qw=\"0.989613\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094260\" qy=\"0.067498\" qz=\"0.009362\" qw=\"-0.993213\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.295933\" qy=\"-0.042153\" qz=\"0.002641\" qw=\"0.954275\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000739\" y=\"-0.436545\" z=\"0.001667\" qx=\"-0.222612\" qy=\"-0.107542\" qz=\"0.006744\" qw=\"0.968934\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020641\" qy=\"-0.005167\" qz=\"0.001320\" qw=\"-0.999773\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024966\" qy=\"0.006276\" qz=\"-0.000642\" qw=\"-0.999668\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 74: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.231154\" y=\"0.921751\" z=\"-1.305766\" qx=\"0.031341\" qy=\"0.662377\" qz=\"0.007219\" qw=\"0.748480\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.051766\" qy=\"-0.078489\" qz=\"0.001540\" qw=\"-0.995569\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197329\" z=\"0.000533\" qx=\"-0.084632\" qy=\"-0.025997\" qz=\"0.065299\" qw=\"-0.993930\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.281277\" qy=\"-0.189824\" qz=\"-0.066670\" qw=\"-0.938299\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.140688\" z=\"-0.019733\" qx=\"-0.121920\" qy=\"-0.162076\" qz=\"0.248030\" qw=\"-0.947285\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.089272\" qy=\"-0.081237\" qz=\"-0.049924\" qw=\"-0.991433\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.239540\" qy=\"-0.259591\" qz=\"-0.525346\" qw=\"0.774109\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.088913\" qy=\"0.212904\" qz=\"-0.164606\" qw=\"-0.958995\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213411\" y=\"-0.000123\" z=\"-0.000025\" qx=\"0.092185\" qy=\"-0.024845\" qz=\"-0.015310\" qw=\"-0.995314\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.115670\" qy=\"-0.031604\" qz=\"0.032440\" qw=\"-0.992255\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.292406\" qy=\"-0.318420\" qz=\"-0.481462\" qw=\"-0.762432\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.037775\" qy=\"-0.113765\" qz=\"0.114734\" qw=\"-0.986137\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223147\" y=\"-0.000035\" z=\"-0.000143\" qx=\"0.037997\" qy=\"-0.044800\" qz=\"-0.125230\" qw=\"-0.990387\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.240812\" qy=\"-0.099768\" qz=\"0.033386\" qw=\"0.964853\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.409582\" qy=\"0.135778\" qz=\"0.089774\" qw=\"-0.897634\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001035\" y=\"-0.430236\" z=\"0.001322\" qx=\"-0.089617\" qy=\"0.116273\" qz=\"-0.031054\" qw=\"0.988678\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.108208\" qy=\"0.065213\" qz=\"0.012434\" qw=\"-0.991909\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.301957\" qy=\"-0.027427\" qz=\"-0.000873\" qw=\"0.952927\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000691\" y=\"-0.436665\" z=\"0.001710\" qx=\"-0.215482\" qy=\"-0.104747\" qz=\"0.009294\" qw=\"0.970829\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019558\" qy=\"-0.004802\" qz=\"0.001227\" qw=\"-0.999796\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023956\" qy=\"0.006051\" qz=\"-0.000619\" qw=\"-0.999694\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 75: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.241459\" y=\"0.922210\" z=\"-1.317853\" qx=\"0.030261\" qy=\"0.647677\" qz=\"0.005453\" qw=\"0.761294\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.053336\" qy=\"-0.072312\" qz=\"0.004360\" qw=\"-0.995946\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197254\" z=\"0.000533\" qx=\"-0.080347\" qy=\"-0.023958\" qz=\"0.062135\" qw=\"-0.994540\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.278601\" qy=\"-0.185848\" qz=\"-0.064235\" qw=\"-0.940062\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.140238\" z=\"-0.019670\" qx=\"-0.118217\" qy=\"-0.158710\" qz=\"0.243523\" qw=\"-0.949491\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.087384\" qy=\"-0.079274\" qz=\"-0.050286\" qw=\"-0.991742\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.235726\" qy=\"-0.253946\" qz=\"-0.524610\" qw=\"0.777644\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.095922\" qy=\"0.199784\" qz=\"-0.159193\" qw=\"-0.962051\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214231\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.099081\" qy=\"-0.024519\" qz=\"-0.017705\" qw=\"-0.994620\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.116868\" qy=\"-0.030640\" qz=\"0.031490\" qw=\"-0.992175\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.274756\" qy=\"-0.303215\" qz=\"-0.487837\" qw=\"-0.771094\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.035308\" qy=\"-0.083180\" qz=\"0.096364\" qw=\"-0.991236\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226110\" y=\"-0.000036\" z=\"-0.000145\" qx=\"0.035380\" qy=\"-0.034181\" qz=\"-0.117669\" qw=\"-0.991834\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.223182\" qy=\"-0.093950\" qz=\"0.042558\" qw=\"0.969305\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.430744\" qy=\"0.145362\" qz=\"0.088417\" qw=\"-0.886291\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000989\" y=\"-0.429535\" z=\"0.001258\" qx=\"-0.091682\" qy=\"0.118151\" qz=\"-0.026381\" qw=\"0.988402\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.121172\" qy=\"0.058919\" qz=\"0.014615\" qw=\"-0.990774\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.307474\" qy=\"-0.015738\" qz=\"-0.002442\" qw=\"0.951423\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000709\" y=\"-0.436475\" z=\"0.001697\" qx=\"-0.207495\" qy=\"-0.102689\" qz=\"0.012105\" qw=\"0.972756\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020346\" qy=\"-0.005224\" qz=\"0.001335\" qw=\"-0.999778\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023681\" qy=\"0.005831\" qz=\"-0.000597\" qw=\"-0.999702\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 76: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.251798\" y=\"0.922427\" z=\"-1.330619\" qx=\"0.029681\" qy=\"0.633440\" qz=\"0.001768\" qw=\"0.773221\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.054621\" qy=\"-0.064344\" qz=\"0.007074\" qw=\"-0.996407\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197258\" z=\"0.000533\" qx=\"-0.075806\" qy=\"-0.021320\" qz=\"0.058970\" qw=\"-0.995149\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.274150\" qy=\"-0.180294\" qz=\"-0.058457\" qw=\"-0.942825\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.139455\" z=\"-0.019560\" qx=\"-0.112708\" qy=\"-0.155013\" qz=\"0.233110\" qw=\"-0.953377\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.088585\" qy=\"0.076179\" qz=\"0.050849\" qw=\"0.991849\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229399\" qy=\"-0.247661\" qz=\"-0.522000\" qw=\"0.783298\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094559\" qy=\"0.194020\" qz=\"-0.146732\" qw=\"-0.965342\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214504\" y=\"-0.000124\" z=\"-0.000024\" qx=\"0.097365\" qy=\"-0.022936\" qz=\"-0.014167\" qw=\"-0.994884\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.118103\" qy=\"0.030483\" qz=\"-0.030368\" qw=\"0.992069\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.254362\" qy=\"-0.285811\" qz=\"-0.493100\" qw=\"-0.781322\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.047578\" qy=\"-0.064961\" qz=\"0.088519\" qw=\"-0.992815\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227533\" y=\"-0.000036\" z=\"-0.000146\" qx=\"0.047690\" qy=\"-0.021989\" qz=\"-0.094717\" qw=\"-0.994118\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.201463\" qy=\"-0.081642\" qz=\"0.051368\" qw=\"0.974735\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.431878\" qy=\"0.159184\" qz=\"0.080992\" qw=\"-0.884071\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000939\" y=\"-0.429923\" z=\"0.001259\" qx=\"-0.090245\" qy=\"0.116659\" qz=\"-0.026582\" qw=\"0.988706\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.134466\" qy=\"0.051872\" qz=\"0.015611\" qw=\"-0.989437\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.310359\" qy=\"-0.005194\" qz=\"-0.003029\" qw=\"0.950600\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000688\" y=\"-0.436242\" z=\"0.001714\" qx=\"-0.199143\" qy=\"-0.101197\" qz=\"0.014324\" qw=\"0.974626\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020969\" qy=\"-0.005515\" qz=\"0.001409\" qw=\"-0.999764\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023452\" qy=\"0.005843\" qz=\"-0.000598\" qw=\"-0.999708\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 77: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.261871\" y=\"0.922202\" z=\"-1.344314\" qx=\"0.029483\" qy=\"0.619121\" qz=\"-0.002616\" qw=\"0.784738\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.057508\" qy=\"-0.056119\" qz=\"0.010400\" qw=\"-0.996712\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197418\" z=\"0.000533\" qx=\"-0.069627\" qy=\"-0.018596\" qz=\"0.055415\" qw=\"-0.995859\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.271453\" qy=\"-0.173473\" qz=\"-0.056160\" qw=\"-0.945022\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.139047\" z=\"-0.019503\" qx=\"-0.106521\" qy=\"-0.148467\" qz=\"0.229185\" qw=\"-0.956078\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089670\" qy=\"0.074949\" qz=\"0.050916\" qw=\"0.991841\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.237736\" qy=\"-0.252552\" qz=\"-0.517274\" qw=\"0.782385\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094292\" qy=\"0.186142\" qz=\"-0.146590\" qw=\"-0.966939\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214829\" y=\"-0.000124\" z=\"-0.000023\" qx=\"0.096954\" qy=\"-0.019565\" qz=\"-0.001071\" qw=\"-0.995096\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.117407\" qy=\"0.029816\" qz=\"-0.030822\" qw=\"0.992158\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.240049\" qy=\"0.270409\" qz=\"0.496587\" qw=\"0.789086\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067603\" qy=\"-0.060919\" qz=\"0.089348\" qw=\"-0.991834\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227818\" y=\"-0.000036\" z=\"-0.000146\" qx=\"0.067873\" qy=\"-0.017388\" qz=\"-0.070601\" qw=\"-0.995041\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.175182\" qy=\"-0.068410\" qz=\"0.058873\" qw=\"0.980390\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.410958\" qy=\"0.176841\" qz=\"0.070458\" qw=\"-0.891558\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000894\" y=\"-0.430516\" z=\"0.001193\" qx=\"-0.078118\" qy=\"0.114395\" qz=\"-0.029669\" qw=\"0.989915\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.147862\" qy=\"0.042352\" qz=\"0.015890\" qw=\"-0.987973\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.311837\" qy=\"0.000849\" qz=\"-0.004699\" qw=\"0.950124\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000644\" y=\"-0.435734\" z=\"0.001625\" qx=\"-0.190047\" qy=\"-0.097784\" qz=\"0.018356\" qw=\"0.976721\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023362\" qy=\"-0.005003\" qz=\"0.001278\" qw=\"-0.999714\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023660\" qy=\"0.005624\" qz=\"-0.000576\" qw=\"-0.999704\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 78: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.272165\" y=\"0.921491\" z=\"-1.359604\" qx=\"0.030766\" qy=\"0.604615\" qz=\"-0.008470\" qw=\"0.795879\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.059910\" qy=\"-0.048678\" qz=\"0.012314\" qw=\"-0.996940\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197674\" z=\"0.000533\" qx=\"-0.062804\" qy=\"-0.016127\" qz=\"0.053518\" qw=\"-0.996459\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.267120\" qy=\"-0.165703\" qz=\"-0.051340\" qw=\"-0.947921\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.138294\" z=\"-0.019399\" qx=\"-0.101285\" qy=\"-0.141964\" qz=\"0.219944\" qw=\"-0.959798\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.088868\" qy=\"0.071144\" qz=\"0.050647\" qw=\"0.992208\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.242261\" qy=\"0.252559\" qz=\"0.513239\" qw=\"-0.783651\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087829\" qy=\"0.186269\" qz=\"-0.143104\" qw=\"-0.968045\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214752\" y=\"-0.000124\" z=\"-0.000024\" qx=\"0.090253\" qy=\"-0.016586\" qz=\"0.013873\" qw=\"-0.995684\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.117248\" qy=\"0.028973\" qz=\"-0.032255\" qw=\"0.992156\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229641\" qy=\"0.259780\" qz=\"0.496741\" qw=\"0.795631\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083338\" qy=\"-0.069287\" qz=\"0.094424\" qw=\"-0.989615\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226797\" y=\"-0.000036\" z=\"-0.000145\" qx=\"0.083821\" qy=\"-0.018421\" qz=\"-0.056754\" qw=\"-0.994693\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.143887\" qy=\"-0.063150\" qz=\"0.066297\" qw=\"0.985349\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.366975\" qy=\"0.185512\" qz=\"0.057410\" qw=\"-0.909736\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000161\" y=\"-0.434994\" z=\"0.000703\" qx=\"-0.110463\" qy=\"0.107384\" qz=\"-0.066292\" qw=\"0.985836\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.164584\" qy=\"0.034901\" qz=\"0.015276\" qw=\"-0.985627\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.314345\" qy=\"0.010986\" qz=\"-0.007358\" qw=\"0.949217\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000602\" y=\"-0.435516\" z=\"0.001612\" qx=\"-0.180754\" qy=\"-0.096454\" qz=\"0.022943\" qw=\"0.978518\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.038393\" qy=\"-0.000889\" qz=\"0.000227\" qw=\"-0.999262\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023612\" qy=\"0.005841\" qz=\"-0.000598\" qw=\"-0.999704\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 79: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.281977\" y=\"0.919813\" z=\"-1.376464\" qx=\"0.031196\" qy=\"0.588014\" qz=\"-0.014950\" qw=\"0.808111\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.061978\" qy=\"-0.043688\" qz=\"0.011939\" qw=\"-0.997049\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198137\" z=\"0.000534\" qx=\"-0.058439\" qy=\"-0.014467\" qz=\"0.053661\" qw=\"-0.996743\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.261016\" qy=\"-0.156963\" qz=\"-0.046142\" qw=\"-0.951370\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.137342\" z=\"-0.019266\" qx=\"-0.094522\" qy=\"-0.134527\" qz=\"0.209786\" qw=\"-0.963825\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087397\" qy=\"0.067774\" qz=\"0.050886\" qw=\"0.992562\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.247107\" qy=\"0.255288\" qz=\"0.510435\" qw=\"-0.783085\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084552\" qy=\"0.190691\" qz=\"-0.144947\" qw=\"-0.967201\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214812\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.086970\" qy=\"-0.015782\" qz=\"0.021697\" qw=\"-0.995850\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.116742\" qy=\"0.030873\" qz=\"-0.033893\" qw=\"0.992103\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229605\" qy=\"0.255813\" qz=\"0.494560\" qw=\"0.798281\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.088304\" qy=\"-0.085817\" qz=\"0.109109\" qw=\"-0.986374\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225230\" y=\"-0.000036\" z=\"-0.000144\" qx=\"0.089071\" qy=\"-0.021867\" qz=\"-0.055576\" qw=\"-0.994233\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.113356\" qy=\"-0.068562\" qz=\"0.071964\" qw=\"0.988570\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.314531\" qy=\"0.181924\" qz=\"0.056260\" qw=\"-0.929951\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000349\" y=\"-0.438482\" z=\"0.000741\" qx=\"-0.153432\" qy=\"0.109220\" qz=\"-0.051244\" qw=\"0.980767\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.181702\" qy=\"0.025452\" qz=\"0.013713\" qw=\"-0.982929\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.317285\" qy=\"0.021698\" qz=\"-0.009837\" qw=\"0.948031\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000559\" y=\"-0.435221\" z=\"0.001590\" qx=\"-0.171328\" qy=\"-0.094939\" qz=\"0.028480\" qw=\"0.980215\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.037622\" qy=\"-0.003172\" qz=\"0.000811\" qw=\"-0.999287\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023398\" qy=\"0.006031\" qz=\"-0.000617\" qw=\"-0.999708\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 80: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.292161\" y=\"0.918148\" z=\"-1.394814\" qx=\"0.033488\" qy=\"0.569934\" qz=\"-0.021968\" qw=\"0.820714\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.063402\" qy=\"-0.040751\" qz=\"0.012748\" qw=\"-0.997074\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198305\" z=\"0.000534\" qx=\"-0.054317\" qy=\"-0.013491\" qz=\"0.052946\" qw=\"-0.997028\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.253435\" qy=\"-0.146671\" qz=\"-0.041471\" qw=\"-0.955269\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.137023\" z=\"-0.019221\" qx=\"-0.090403\" qy=\"-0.124770\" qz=\"0.201755\" qw=\"-0.967241\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084789\" qy=\"0.065987\" qz=\"0.049667\" qw=\"0.992970\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.250356\" qy=\"0.260356\" qz=\"0.507499\" qw=\"-0.782292\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083989\" qy=\"0.197968\" qz=\"-0.148740\" qw=\"-0.965210\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214673\" y=\"-0.000123\" z=\"-0.000023\" qx=\"0.086566\" qy=\"-0.015705\" qz=\"0.022571\" qw=\"-0.995867\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.115778\" qy=\"0.032569\" qz=\"-0.035293\" qw=\"0.992114\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230553\" qy=\"0.256355\" qz=\"0.490099\" qw=\"0.800581\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082863\" qy=\"-0.105062\" qz=\"0.125119\" qw=\"-0.983077\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223166\" y=\"-0.000036\" z=\"-0.000143\" qx=\"0.083887\" qy=\"-0.026932\" qz=\"-0.058830\" qw=\"-0.994372\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.095612\" qy=\"-0.070032\" qz=\"0.075825\" qw=\"0.990053\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.274260\" qy=\"0.156661\" qz=\"0.064592\" qw=\"-0.946608\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000208\" y=\"-0.439380\" z=\"0.001118\" qx=\"-0.180771\" qy=\"0.121108\" qz=\"-0.028933\" qw=\"0.975611\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.200775\" qy=\"0.013752\" qz=\"0.012439\" qw=\"-0.979462\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.318835\" qy=\"0.033445\" qz=\"-0.011803\" qw=\"0.947146\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000469\" y=\"-0.435072\" z=\"0.001594\" qx=\"-0.160446\" qy=\"-0.095473\" qz=\"0.034509\" qw=\"0.981810\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024645\" qy=\"-0.003561\" qz=\"0.000910\" qw=\"-0.999690\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023234\" qy=\"0.006183\" qz=\"-0.000633\" qw=\"-0.999711\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 81: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.303564\" y=\"0.918260\" z=\"-1.414709\" qx=\"0.039638\" qy=\"0.555778\" qz=\"-0.025751\" qw=\"0.829986\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.067057\" qy=\"-0.035746\" qz=\"0.017147\" qw=\"-0.996961\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198215\" z=\"0.000533\" qx=\"-0.048981\" qy=\"-0.011822\" qz=\"0.053251\" qw=\"-0.997309\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.243444\" qy=\"-0.133897\" qz=\"-0.033351\" qw=\"-0.960049\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.136530\" z=\"-0.019151\" qx=\"-0.086452\" qy=\"-0.113690\" qz=\"0.187667\" qw=\"-0.971793\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.082569\" qy=\"0.061215\" qz=\"0.047936\" qw=\"0.993548\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.264489\" qy=\"0.274040\" qz=\"0.503924\" qw=\"-0.775247\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094203\" qy=\"0.201964\" qz=\"-0.172242\" qw=\"-0.959515\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215084\" y=\"-0.000123\" z=\"-0.000024\" qx=\"0.097580\" qy=\"-0.017134\" qz=\"0.023652\" qw=\"-0.994799\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.114217\" qy=\"0.033894\" qz=\"-0.035318\" qw=\"0.992249\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.226366\" qy=\"0.258284\" qz=\"0.486938\" qw=\"0.803081\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.074303\" qy=\"-0.125507\" qz=\"0.139450\" qw=\"-0.979429\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220963\" y=\"-0.000035\" z=\"-0.000142\" qx=\"0.075551\" qy=\"-0.031041\" qz=\"-0.059921\" qw=\"-0.994856\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.094452\" qy=\"-0.046850\" qz=\"0.071016\" qw=\"0.991887\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.248981\" qy=\"0.138340\" qz=\"0.061077\" qw=\"-0.956630\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000082\" y=\"-0.438636\" z=\"0.000929\" qx=\"-0.185579\" qy=\"0.108657\" qz=\"-0.019373\" qw=\"0.976411\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.218327\" qy=\"0.004381\" qz=\"0.016851\" qw=\"-0.975720\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.314013\" qy=\"0.042195\" qz=\"-0.013975\" qw=\"0.948378\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000393\" y=\"-0.434769\" z=\"0.001554\" qx=\"-0.146264\" qy=\"-0.094713\" qz=\"0.041379\" qw=\"0.983831\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014173\" qy=\"-0.003503\" qz=\"0.000895\" qw=\"-0.999893\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024630\" qy=\"0.006537\" qz=\"-0.000669\" qw=\"-0.999675\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 82: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.315145\" y=\"0.919986\" z=\"-1.435156\" qx=\"0.046280\" qy=\"0.545191\" qz=\"-0.028176\" qw=\"0.836559\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.072842\" qy=\"-0.030358\" qz=\"0.020235\" qw=\"-0.996676\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.197974\" z=\"0.000533\" qx=\"-0.043057\" qy=\"-0.010022\" qz=\"0.055203\" qw=\"-0.997496\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.234900\" qy=\"-0.117702\" qz=\"-0.026012\" qw=\"-0.964516\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.135726\" z=\"-0.019038\" qx=\"-0.080431\" qy=\"-0.098656\" qz=\"0.175574\" qw=\"-0.976203\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.082242\" qy=\"0.056777\" qz=\"0.046912\" qw=\"0.993887\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.268687\" qy=\"0.286435\" qz=\"0.498450\" qw=\"-0.772859\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099479\" qy=\"0.211792\" qz=\"-0.189104\" qw=\"-0.953671\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215033\" y=\"-0.000122\" z=\"-0.000023\" qx=\"0.103625\" qy=\"-0.016328\" qz=\"0.019755\" qw=\"-0.994286\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113736\" qy=\"0.034513\" qz=\"-0.035469\" qw=\"0.992278\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.223378\" qy=\"0.263632\" qz=\"0.487989\" qw=\"0.801541\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072161\" qy=\"-0.146538\" qz=\"0.159800\" qw=\"-0.973542\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.218453\" y=\"-0.000035\" z=\"-0.000141\" qx=\"0.073840\" qy=\"-0.031755\" qz=\"-0.059872\" qw=\"-0.994965\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.106352\" qy=\"-0.028854\" qz=\"0.061842\" qw=\"0.991984\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.242136\" qy=\"0.152346\" qz=\"0.061677\" qw=\"-0.956220\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000105\" y=\"-0.439046\" z=\"0.001271\" qx=\"-0.184020\" qy=\"0.120908\" qz=\"-0.010724\" qw=\"0.975399\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230468\" qy=\"-0.003376\" qz=\"0.023570\" qw=\"-0.972789\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.300785\" qy=\"0.048735\" qz=\"-0.015826\" qw=\"0.952314\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000385\" y=\"-0.434390\" z=\"0.001417\" qx=\"-0.130402\" qy=\"-0.094132\" qz=\"0.048328\" qw=\"0.985799\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010729\" qy=\"-0.002649\" qz=\"0.000677\" qw=\"-0.999939\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028118\" qy=\"0.006392\" qz=\"-0.000654\" qw=\"-0.999584\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 83: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.326149\" y=\"0.921401\" z=\"-1.454949\" qx=\"0.050958\" qy=\"0.532699\" qz=\"-0.031945\" qw=\"0.844165\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.076910\" qy=\"-0.029502\" qz=\"0.019344\" qw=\"-0.996414\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.197970\" z=\"0.000533\" qx=\"-0.040925\" qy=\"-0.009734\" qz=\"0.057842\" qw=\"-0.997439\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.226647\" qy=\"-0.099236\" qz=\"-0.014998\" qw=\"-0.968792\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.134695\" z=\"-0.018893\" qx=\"-0.071340\" qy=\"-0.082311\" qz=\"0.160636\" qw=\"-0.980985\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078071\" qy=\"0.051050\" qz=\"0.047027\" qw=\"0.994529\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.273380\" qy=\"0.294171\" qz=\"0.494271\" qw=\"-0.770989\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.102219\" qy=\"0.229561\" qz=\"-0.209457\" qw=\"-0.944976\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214622\" y=\"-0.000122\" z=\"-0.000025\" qx=\"0.107405\" qy=\"-0.018174\" qz=\"0.022020\" qw=\"-0.993805\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.112459\" qy=\"0.035238\" qz=\"-0.038371\" qw=\"0.992290\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.225669\" qy=\"0.272960\" qz=\"0.492926\" qw=\"0.794727\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.075976\" qy=\"-0.168491\" qz=\"0.186082\" qw=\"-0.964993\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215927\" y=\"-0.000034\" z=\"-0.000139\" qx=\"0.078409\" qy=\"-0.029095\" qz=\"-0.062393\" qw=\"-0.994541\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.120254\" qy=\"-0.014550\" qz=\"0.055538\" qw=\"0.991082\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.241804\" qy=\"0.153179\" qz=\"0.062869\" qw=\"-0.956093\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000084\" y=\"-0.438937\" z=\"0.001460\" qx=\"-0.180062\" qy=\"0.125872\" qz=\"-0.002326\" qw=\"0.975566\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.239322\" qy=\"-0.013683\" qz=\"0.027477\" qw=\"-0.970455\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.283984\" qy=\"0.058443\" qz=\"-0.016374\" qw=\"0.956906\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000425\" y=\"-0.433959\" z=\"0.001349\" qx=\"-0.116774\" qy=\"-0.097388\" qz=\"0.054727\" qw=\"0.986856\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.007478\" qy=\"-0.002124\" qz=\"0.000543\" qw=\"-0.999970\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031668\" qy=\"0.007844\" qz=\"-0.000803\" qw=\"-0.999467\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 84: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.335617\" y=\"0.921513\" z=\"-1.473077\" qx=\"0.051481\" qy=\"0.517290\" qz=\"-0.034673\" qw=\"0.853556\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.080115\" qy=\"-0.031164\" qz=\"0.018564\" qw=\"-0.996126\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.198052\" z=\"0.000533\" qx=\"-0.042734\" qy=\"-0.010286\" qz=\"0.058459\" qw=\"-0.997322\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.218008\" qy=\"-0.082269\" qz=\"-0.005139\" qw=\"-0.972460\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.134589\" z=\"-0.018878\" qx=\"-0.065306\" qy=\"-0.066896\" qz=\"0.149049\" qw=\"-0.984401\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077703\" qy=\"0.048683\" qz=\"0.046650\" qw=\"0.994694\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.275097\" qy=\"0.300485\" qz=\"0.489673\" qw=\"-0.770876\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.103850\" qy=\"0.254104\" qz=\"-0.232770\" qw=\"-0.932987\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213898\" y=\"-0.000121\" z=\"-0.000024\" qx=\"0.110459\" qy=\"-0.020426\" qz=\"0.026502\" qw=\"-0.993317\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109281\" qy=\"0.036359\" qz=\"-0.040928\" qw=\"0.992502\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.235196\" qy=\"0.286711\" qz=\"0.493070\" qw=\"0.786995\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079410\" qy=\"-0.191895\" qz=\"0.211178\" qw=\"-0.955131\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213802\" y=\"-0.000033\" z=\"-0.000138\" qx=\"0.082739\" qy=\"-0.027608\" qz=\"-0.070618\" qw=\"-0.993683\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.129327\" qy=\"-0.008610\" qz=\"0.050546\" qw=\"0.990276\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.244188\" qy=\"0.147701\" qz=\"0.063955\" qw=\"-0.956277\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000021\" y=\"-0.438650\" z=\"0.001754\" qx=\"-0.179682\" qy=\"0.135474\" qz=\"0.005631\" qw=\"0.974335\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.244372\" qy=\"-0.023682\" qz=\"0.029140\" qw=\"-0.968954\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.269751\" qy=\"0.069667\" qz=\"-0.016466\" qw=\"0.960265\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000347\" y=\"-0.433459\" z=\"0.001164\" qx=\"-0.114653\" qy=\"-0.097332\" qz=\"0.064963\" qw=\"0.986489\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003677\" qy=\"-0.001631\" qz=\"0.000417\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034014\" qy=\"0.010157\" qz=\"-0.001040\" qw=\"-0.999369\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 85: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.343599\" y=\"0.921189\" z=\"-1.489987\" qx=\"0.051315\" qy=\"0.500318\" qz=\"-0.036044\" qw=\"0.863568\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.081289\" qy=\"-0.033248\" qz=\"0.018859\" qw=\"-0.995957\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197816\" z=\"0.000531\" qx=\"-0.044879\" qy=\"-0.010980\" qz=\"0.059062\" qw=\"-0.997185\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.210575\" qy=\"-0.066578\" qz=\"0.002265\" qw=\"-0.975305\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.134802\" z=\"-0.018908\" qx=\"-0.059297\" qy=\"-0.052410\" qz=\"0.138785\" qw=\"-0.987155\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.076584\" qy=\"0.047164\" qz=\"0.046143\" qw=\"0.994878\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.276732\" qy=\"0.300671\" qz=\"0.487714\" qw=\"-0.771460\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105903\" qy=\"0.281060\" qz=\"-0.254204\" qw=\"-0.919332\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213130\" y=\"-0.000121\" z=\"-0.000025\" qx=\"0.114262\" qy=\"-0.021343\" qz=\"0.024381\" qw=\"-0.992922\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.105718\" qy=\"0.038636\" qz=\"-0.041121\" qw=\"0.992794\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.243141\" qy=\"0.299717\" qz=\"0.489718\" qw=\"0.781811\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.074776\" qy=\"-0.215493\" qz=\"0.231481\" qw=\"-0.945721\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212033\" y=\"-0.000033\" z=\"-0.000135\" qx=\"0.078635\" qy=\"-0.031087\" qz=\"-0.084486\" qw=\"-0.992830\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.135236\" qy=\"-0.015071\" qz=\"0.046513\" qw=\"0.989606\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.244853\" qy=\"0.134924\" qz=\"0.067583\" qw=\"-0.957745\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000024\" y=\"-0.436947\" z=\"0.002061\" qx=\"-0.176071\" qy=\"0.150826\" qz=\"0.011934\" qw=\"0.972681\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.250270\" qy=\"-0.028480\" qz=\"0.031184\" qw=\"-0.967255\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.261230\" qy=\"0.080872\" qz=\"-0.015316\" qw=\"0.961761\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000213\" y=\"-0.433414\" z=\"0.000849\" qx=\"-0.122554\" qy=\"-0.090983\" qz=\"0.071782\" qw=\"0.985672\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002219\" qy=\"-0.001065\" qz=\"0.000272\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034795\" qy=\"0.009536\" qz=\"-0.000976\" qw=\"-0.999348\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 86: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.351070\" y=\"0.921581\" z=\"-1.505565\" qx=\"0.053043\" qy=\"0.481114\" qz=\"-0.036521\" qw=\"0.874290\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.080536\" qy=\"-0.036423\" qz=\"0.021888\" qw=\"-0.995845\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197484\" z=\"0.000530\" qx=\"-0.044913\" qy=\"-0.012041\" qz=\"0.058461\" qw=\"-0.997206\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.203677\" qy=\"-0.053423\" qz=\"0.007094\" qw=\"-0.977554\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000027\" y=\"0.134760\" z=\"-0.018902\" qx=\"-0.054615\" qy=\"-0.039796\" qz=\"0.132068\" qw=\"-0.988935\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075188\" qy=\"0.046496\" qz=\"0.045324\" qw=\"0.995053\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.278808\" qy=\"0.299076\" qz=\"0.486851\" qw=\"-0.771878\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.109256\" qy=\"0.302066\" qz=\"-0.268837\" qw=\"-0.908045\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212569\" y=\"-0.000120\" z=\"-0.000024\" qx=\"0.119291\" qy=\"-0.019944\" qz=\"0.016478\" qw=\"-0.992522\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.103478\" qy=\"0.041825\" qz=\"-0.040628\" qw=\"0.992921\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.247570\" qy=\"0.311200\" qz=\"0.486630\" qw=\"0.777853\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.064977\" qy=\"-0.237637\" qz=\"0.248143\" qw=\"-0.936873\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210250\" y=\"-0.000033\" z=\"-0.000135\" qx=\"0.068965\" qy=\"-0.038894\" qz=\"-0.095182\" qw=\"-0.992306\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.142173\" qy=\"-0.013569\" qz=\"0.042152\" qw=\"0.988851\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.245330\" qy=\"0.121813\" qz=\"0.069370\" qw=\"-0.959251\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000079\" y=\"-0.436070\" z=\"0.002232\" qx=\"-0.171028\" qy=\"0.159207\" qz=\"0.016203\" qw=\"0.972183\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.261332\" qy=\"-0.025759\" qz=\"0.030342\" qw=\"-0.964428\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.260083\" qy=\"0.099058\" qz=\"-0.015803\" qw=\"0.960362\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000123\" y=\"-0.435084\" z=\"0.000888\" qx=\"-0.134170\" qy=\"-0.087138\" qz=\"0.070778\" qw=\"0.984579\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001528\" qy=\"-0.000955\" qz=\"0.000244\" qw=\"-0.999998\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034649\" qy=\"0.009701\" qz=\"-0.000993\" qw=\"-0.999352\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 87: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.357716\" y=\"0.921939\" z=\"-1.519039\" qx=\"0.052205\" qy=\"0.465121\" qz=\"-0.036495\" qw=\"0.882953\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.081768\" qy=\"-0.037793\" qz=\"0.022018\" qw=\"-0.995691\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000546\" y=\"0.197920\" z=\"0.000531\" qx=\"-0.042015\" qy=\"-0.012502\" qz=\"0.058422\" qw=\"-0.997329\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.199463\" qy=\"-0.041559\" qz=\"0.013758\" qw=\"-0.978927\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.134053\" z=\"-0.018803\" qx=\"-0.048980\" qy=\"-0.029416\" qz=\"0.122229\" qw=\"-0.990856\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075340\" qy=\"0.045606\" qz=\"0.044806\" qw=\"0.995106\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.280313\" qy=\"0.298384\" qz=\"0.485064\" qw=\"-0.772725\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.112420\" qy=\"0.313261\" qz=\"-0.273867\" qw=\"-0.902345\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212293\" y=\"-0.000120\" z=\"-0.000025\" qx=\"0.123470\" qy=\"-0.019246\" qz=\"0.009762\" qw=\"-0.992114\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.102708\" qy=\"0.043267\" qz=\"-0.040710\" qw=\"0.992936\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.252254\" qy=\"0.322400\" qz=\"0.486315\" qw=\"0.771961\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.057548\" qy=\"-0.259341\" qz=\"0.262478\" qw=\"-0.927651\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208517\" y=\"-0.000033\" z=\"-0.000134\" qx=\"0.061712\" qy=\"-0.041227\" qz=\"-0.098771\" qw=\"-0.992339\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.146686\" qy=\"-0.005055\" qz=\"0.039547\" qw=\"0.988379\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.245858\" qy=\"0.116656\" qz=\"0.070560\" qw=\"-0.959670\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000146\" y=\"-0.435361\" z=\"0.002334\" qx=\"-0.166324\" qy=\"0.164531\" qz=\"0.020180\" qw=\"0.972038\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.270733\" qy=\"-0.018411\" qz=\"0.026114\" qw=\"-0.962124\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.265901\" qy=\"0.101834\" qz=\"-0.018565\" qw=\"0.958427\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000171\" y=\"-0.436951\" z=\"0.001041\" qx=\"-0.140837\" qy=\"-0.085590\" qz=\"0.064950\" qw=\"0.984185\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001225\" qy=\"-0.000785\" qz=\"0.000200\" qw=\"-0.999999\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034380\" qy=\"0.009836\" qz=\"-0.001007\" qw=\"-0.999360\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 88: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.363233\" y=\"0.922039\" z=\"-1.530040\" qx=\"0.049122\" qy=\"0.454397\" qz=\"-0.034706\" qw=\"0.888767\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.082428\" qy=\"-0.036155\" qz=\"0.021165\" qw=\"-0.995716\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.198551\" z=\"0.000533\" qx=\"-0.040913\" qy=\"-0.011958\" qz=\"0.057910\" qw=\"-0.997411\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.194527\" qy=\"-0.032068\" qz=\"0.018228\" qw=\"-0.980203\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133792\" z=\"-0.018766\" qx=\"-0.046562\" qy=\"-0.020808\" qz=\"0.115305\" qw=\"-0.992020\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075346\" qy=\"0.043994\" qz=\"0.045348\" qw=\"0.995154\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.279761\" qy=\"0.298208\" qz=\"0.482999\" qw=\"-0.774286\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.112143\" qy=\"0.314837\" qz=\"-0.270233\" qw=\"-0.902926\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212129\" y=\"-0.000120\" z=\"-0.000026\" qx=\"0.123088\" qy=\"-0.017995\" qz=\"0.014908\" qw=\"-0.992121\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.102663\" qy=\"0.043630\" qz=\"-0.041259\" qw=\"0.992902\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.261742\" qy=\"0.334833\" qz=\"0.486402\" qw=\"0.763407\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.057847\" qy=\"-0.277694\" qz=\"0.278211\" qw=\"-0.917681\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207399\" y=\"-0.000032\" z=\"-0.000134\" qx=\"0.062691\" qy=\"-0.038213\" qz=\"-0.103324\" qw=\"-0.991934\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.147544\" qy=\"0.002233\" qz=\"0.036891\" qw=\"0.988365\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.245202\" qy=\"0.115546\" qz=\"0.071385\" qw=\"-0.959911\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000195\" y=\"-0.434489\" z=\"0.002412\" qx=\"-0.161384\" qy=\"0.169309\" qz=\"0.023934\" qw=\"0.971965\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.274904\" qy=\"-0.016127\" qz=\"0.025133\" qw=\"-0.961008\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.285664\" qy=\"0.058090\" qz=\"-0.017765\" qw=\"0.956403\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000029\" y=\"-0.436766\" z=\"0.001097\" qx=\"-0.134390\" qy=\"-0.088716\" qz=\"0.081841\" qw=\"0.983550\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.000890\" qy=\"-0.000314\" qz=\"0.000080\" qw=\"-1.000000\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034915\" qy=\"0.010011\" qz=\"-0.001025\" qw=\"-0.999340\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 89: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.367782\" y=\"0.922377\" z=\"-1.538960\" qx=\"0.047225\" qy=\"0.445710\" qz=\"-0.031369\" qw=\"0.893381\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.080681\" qy=\"-0.033867\" qz=\"0.021624\" qw=\"-0.995930\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.198936\" z=\"0.000533\" qx=\"-0.039543\" qy=\"-0.011197\" qz=\"0.056795\" qw=\"-0.997540\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.191303\" qy=\"-0.025210\" qz=\"0.024045\" qw=\"-0.980913\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133708\" z=\"-0.018754\" qx=\"-0.043835\" qy=\"-0.015693\" qz=\"0.105558\" qw=\"-0.993323\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.074317\" qy=\"0.043279\" qz=\"0.045055\" qw=\"0.995276\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.281590\" qy=\"0.299255\" qz=\"0.480860\" qw=\"-0.774549\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.110227\" qy=\"0.306507\" qz=\"-0.263808\" qw=\"-0.907914\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212251\" y=\"-0.000120\" z=\"-0.000026\" qx=\"0.120346\" qy=\"-0.017284\" qz=\"0.022208\" qw=\"-0.992333\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.103783\" qy=\"0.043266\" qz=\"-0.040786\" qw=\"0.992821\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.269291\" qy=\"0.343470\" qz=\"0.486390\" qw=\"0.756925\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.058578\" qy=\"-0.295379\" qz=\"0.285909\" qw=\"-0.909712\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.206566\" y=\"-0.000032\" z=\"-0.000134\" qx=\"0.064032\" qy=\"-0.036197\" qz=\"-0.104386\" qw=\"-0.991813\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.146631\" qy=\"0.005806\" qz=\"0.032983\" qw=\"0.988624\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.242092\" qy=\"0.112293\" qz=\"0.071760\" qw=\"-0.961058\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000263\" y=\"-0.433932\" z=\"0.002436\" qx=\"-0.155951\" qy=\"0.172778\" qz=\"0.026749\" qw=\"0.972169\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.276871\" qy=\"-0.003826\" qz=\"0.022562\" qw=\"-0.960635\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.317949\" qy=\"0.015291\" qz=\"-0.018967\" qw=\"0.947795\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000199\" y=\"-0.435651\" z=\"0.001153\" qx=\"-0.130526\" qy=\"-0.087814\" qz=\"0.077535\" qw=\"0.984500\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001010\" qy=\"-0.000797\" qz=\"0.000204\" qw=\"-0.999999\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035543\" qy=\"0.011420\" qz=\"-0.001169\" qw=\"-0.999302\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 90: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.371980\" y=\"0.922603\" z=\"-1.546500\" qx=\"0.047413\" qy=\"0.436428\" qz=\"-0.027134\" qw=\"0.898079\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.078627\" qy=\"-0.033104\" qz=\"0.023441\" qw=\"-0.996079\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000550\" y=\"0.199316\" z=\"0.000534\" qx=\"-0.035058\" qy=\"-0.010945\" qz=\"0.055586\" qw=\"-0.997778\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.186489\" qy=\"-0.021758\" qz=\"0.024766\" qw=\"-0.981904\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133695\" z=\"-0.018752\" qx=\"-0.043126\" qy=\"-0.012492\" qz=\"0.102432\" qw=\"-0.993726\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.074278\" qy=\"0.043205\" qz=\"0.044556\" qw=\"0.995304\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.282107\" qy=\"-0.298623\" qz=\"-0.480593\" qw=\"0.774771\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.107703\" qy=\"0.294875\" qz=\"-0.252813\" qw=\"-0.915169\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212427\" y=\"-0.000120\" z=\"-0.000027\" qx=\"0.116703\" qy=\"-0.015585\" qz=\"0.026434\" qw=\"-0.992693\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.105710\" qy=\"0.041939\" qz=\"-0.040386\" qw=\"0.992691\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.274796\" qy=\"0.347916\" qz=\"0.486988\" qw=\"0.752519\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.057237\" qy=\"-0.311570\" qz=\"0.285087\" qw=\"-0.904640\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205719\" y=\"-0.000031\" z=\"-0.000133\" qx=\"0.062934\" qy=\"-0.034546\" qz=\"-0.103479\" qw=\"-0.992037\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.145251\" qy=\"0.007663\" qz=\"0.028009\" qw=\"0.988969\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.236717\" qy=\"0.104952\" qz=\"0.071395\" qw=\"-0.963251\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000380\" y=\"-0.433095\" z=\"0.002409\" qx=\"-0.149831\" qy=\"0.174800\" qz=\"0.027679\" qw=\"0.972743\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.278684\" qy=\"0.017988\" qz=\"0.014858\" qw=\"-0.960099\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.357212\" qy=\"0.007524\" qz=\"-0.025215\" qw=\"0.933653\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000194\" y=\"-0.435382\" z=\"0.001445\" qx=\"-0.129032\" qy=\"-0.097342\" qz=\"0.072531\" qw=\"0.984182\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001883\" qy=\"-0.000260\" qz=\"0.000066\" qw=\"-0.999998\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034195\" qy=\"0.010929\" qz=\"-0.001119\" qw=\"-0.999355\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 91: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.375614\" y=\"0.922580\" z=\"-1.552556\" qx=\"0.047784\" qy=\"0.427383\" qz=\"-0.021887\" qw=\"0.902542\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.076716\" qy=\"-0.032798\" qz=\"0.024520\" qw=\"-0.996212\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000550\" y=\"0.199609\" z=\"0.000535\" qx=\"-0.030955\" qy=\"-0.010845\" qz=\"0.056185\" qw=\"-0.997881\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.180669\" qy=\"-0.020821\" qz=\"0.023833\" qw=\"-0.983035\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133573\" z=\"-0.018736\" qx=\"-0.040809\" qy=\"-0.011507\" qz=\"0.101015\" qw=\"-0.993981\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075408\" qy=\"0.044569\" qz=\"0.044040\" qw=\"0.995182\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.281478\" qy=\"-0.297244\" qz=\"-0.481587\" qw=\"0.774913\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.106478\" qy=\"0.281738\" qz=\"-0.240850\" qw=\"-0.922647\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212724\" y=\"-0.000120\" z=\"-0.000027\" qx=\"0.114471\" qy=\"-0.015427\" qz=\"0.027121\" qw=\"-0.992936\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.106987\" qy=\"0.040750\" qz=\"-0.040206\" qw=\"0.992611\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.281365\" qy=\"0.351833\" qz=\"0.487753\" qw=\"0.747759\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.055187\" qy=\"-0.320617\" qz=\"0.280717\" qw=\"-0.902971\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205225\" y=\"-0.000031\" z=\"-0.000133\" qx=\"0.060812\" qy=\"-0.034086\" qz=\"-0.102030\" qw=\"-0.992336\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.142619\" qy=\"0.007937\" qz=\"0.022860\" qw=\"0.989482\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.230614\" qy=\"0.096233\" qz=\"0.071203\" qw=\"-0.965653\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000474\" y=\"-0.432385\" z=\"0.002393\" qx=\"-0.144523\" qy=\"0.176074\" qz=\"0.028576\" qw=\"0.973291\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.274237\" qy=\"0.027808\" qz=\"0.010534\" qw=\"-0.961202\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.391991\" qy=\"0.010050\" qz=\"-0.027131\" qw=\"0.919514\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000219\" y=\"-0.434767\" z=\"0.001489\" qx=\"-0.127464\" qy=\"-0.098594\" qz=\"0.069290\" qw=\"0.984495\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002206\" qy=\"-0.000453\" qz=\"0.000116\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033998\" qy=\"0.011867\" qz=\"-0.001215\" qw=\"-0.999351\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 92: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.379627\" y=\"0.922376\" z=\"-1.557625\" qx=\"0.049266\" qy=\"0.420889\" qz=\"-0.018241\" qw=\"0.905590\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073223\" qy=\"-0.032055\" qz=\"0.023243\" qw=\"-0.996529\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.199925\" z=\"0.000537\" qx=\"-0.028163\" qy=\"-0.010599\" qz=\"0.057193\" qw=\"-0.997910\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.175315\" qy=\"-0.020941\" qz=\"0.021714\" qw=\"-0.984050\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133529\" z=\"-0.018729\" qx=\"-0.037764\" qy=\"-0.011360\" qz=\"0.100494\" qw=\"-0.994156\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.076314\" qy=\"0.045836\" qz=\"0.043253\" qw=\"0.995090\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.279170\" qy=\"-0.295019\" qz=\"-0.484040\" qw=\"0.775070\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105280\" qy=\"0.267548\" qz=\"-0.227851\" qw=\"-0.930279\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212976\" y=\"-0.000121\" z=\"-0.000027\" qx=\"0.112285\" qy=\"-0.014938\" qz=\"0.028265\" qw=\"-0.993162\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.108827\" qy=\"0.039841\" qz=\"-0.039694\" qw=\"0.992469\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.286156\" qy=\"0.355165\" qz=\"0.487368\" qw=\"0.744610\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.053402\" qy=\"-0.322503\" qz=\"0.272471\" qw=\"-0.904931\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.204973\" y=\"-0.000031\" z=\"-0.000134\" qx=\"0.058730\" qy=\"-0.032583\" qz=\"-0.101688\" qw=\"-0.992547\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.143327\" qy=\"0.009084\" qz=\"0.019559\" qw=\"0.989440\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.227051\" qy=\"0.089901\" qz=\"0.072108\" qw=\"-0.967040\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000568\" y=\"-0.431810\" z=\"0.002360\" qx=\"-0.139863\" qy=\"0.176252\" qz=\"0.029088\" qw=\"0.973924\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.263855\" qy=\"0.017993\" qz=\"0.013175\" qw=\"-0.964305\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.415530\" qy=\"-0.004729\" qz=\"-0.018070\" qw=\"0.909388\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000160\" y=\"-0.433668\" z=\"0.001295\" qx=\"-0.127174\" qy=\"-0.092601\" qz=\"0.071666\" qw=\"0.984944\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002495\" qy=\"-0.000154\" qz=\"0.000039\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033960\" qy=\"0.011616\" qz=\"-0.001189\" qw=\"-0.999355\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 93: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.383753\" y=\"0.921699\" z=\"-1.561504\" qx=\"0.050720\" qy=\"0.417531\" qz=\"-0.013850\" qw=\"0.907140\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.070360\" qy=\"-0.030323\" qz=\"0.022599\" qw=\"-0.996805\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000552\" y=\"0.200301\" z=\"0.000537\" qx=\"-0.026422\" qy=\"-0.010024\" qz=\"0.056610\" qw=\"-0.997996\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.170758\" qy=\"-0.020553\" qz=\"0.019498\" qw=\"-0.984906\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133512\" z=\"-0.018725\" qx=\"-0.035418\" qy=\"-0.010624\" qz=\"0.100202\" qw=\"-0.994280\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077889\" qy=\"0.046893\" qz=\"0.042127\" qw=\"0.994967\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.276362\" qy=\"-0.293444\" qz=\"-0.487019\" qw=\"0.774808\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104210\" qy=\"0.253103\" qz=\"-0.214655\" qw=\"-0.937551\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213358\" y=\"-0.000121\" z=\"-0.000027\" qx=\"0.110321\" qy=\"-0.015144\" qz=\"0.024622\" qw=\"-0.993476\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109515\" qy=\"0.039367\" qz=\"-0.038642\" qw=\"0.992453\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.288741\" qy=\"0.355115\" qz=\"0.487387\" qw=\"0.743623\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.050120\" qy=\"-0.319047\" qz=\"0.261241\" qw=\"-0.909643\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.204968\" y=\"-0.000032\" z=\"-0.000134\" qx=\"0.054841\" qy=\"-0.032343\" qz=\"-0.102980\" qw=\"-0.992644\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.145743\" qy=\"0.012278\" qz=\"0.015149\" qw=\"0.989130\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.227094\" qy=\"0.091262\" qz=\"0.072666\" qw=\"-0.966860\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000582\" y=\"-0.431735\" z=\"0.002409\" qx=\"-0.136877\" qy=\"0.178744\" qz=\"0.030016\" qw=\"0.973866\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.247049\" qy=\"0.004523\" qz=\"0.018067\" qw=\"-0.968824\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.426385\" qy=\"-0.023620\" qz=\"-0.005180\" qw=\"0.904219\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000193\" y=\"-0.432564\" z=\"0.001152\" qx=\"-0.129059\" qy=\"-0.092651\" qz=\"0.071243\" qw=\"0.984725\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002753\" qy=\"-0.000391\" qz=\"0.000100\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033604\" qy=\"0.010533\" qz=\"-0.001078\" qw=\"-0.999379\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 94: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.388477\" y=\"0.920942\" z=\"-1.564619\" qx=\"0.051822\" qy=\"0.415795\" qz=\"-0.010681\" qw=\"0.907918\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.068644\" qy=\"-0.029131\" qz=\"0.020325\" qw=\"-0.997009\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000552\" y=\"0.200346\" z=\"0.000538\" qx=\"-0.025567\" qy=\"-0.009629\" qz=\"0.055216\" qw=\"-0.998101\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.166558\" qy=\"-0.018397\" qz=\"0.019915\" qw=\"-0.985659\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133342\" z=\"-0.018702\" qx=\"-0.032489\" qy=\"-0.009237\" qz=\"0.094109\" qw=\"-0.994989\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.079394\" qy=\"0.047579\" qz=\"0.041083\" qw=\"0.994859\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.274167\" qy=\"-0.293026\" qz=\"-0.489976\" qw=\"0.773881\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.102840\" qy=\"0.239746\" qz=\"-0.202921\" qw=\"-0.943806\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213701\" y=\"-0.000122\" z=\"-0.000027\" qx=\"0.108176\" qy=\"-0.015339\" qz=\"0.025069\" qw=\"-0.993697\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.110777\" qy=\"0.038790\" qz=\"-0.038780\" qw=\"0.992331\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.288455\" qy=\"0.354456\" qz=\"0.488021\" qw=\"0.743633\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.046437\" qy=\"-0.310024\" qz=\"0.249647\" qw=\"-0.916190\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205365\" y=\"-0.000032\" z=\"-0.000135\" qx=\"0.050452\" qy=\"-0.033492\" qz=\"-0.104679\" qw=\"-0.992661\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.149731\" qy=\"0.012696\" qz=\"0.012414\" qw=\"0.988567\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.229235\" qy=\"0.091131\" qz=\"0.073127\" qw=\"-0.966333\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000563\" y=\"-0.431824\" z=\"0.002425\" qx=\"-0.134918\" qy=\"0.180446\" qz=\"0.029746\" qw=\"0.973833\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.225776\" qy=\"0.002008\" qz=\"0.017391\" qw=\"-0.974022\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.421690\" qy=\"-0.033379\" qz=\"-0.000626\" qw=\"0.906125\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000224\" y=\"-0.432602\" z=\"0.001112\" qx=\"-0.131159\" qy=\"-0.093296\" qz=\"0.071416\" qw=\"0.984374\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002748\" qy=\"-0.000872\" qz=\"0.000223\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033521\" qy=\"0.010907\" qz=\"-0.001117\" qw=\"-0.999378\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 95: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.394655\" y=\"0.919954\" z=\"-1.566768\" qx=\"0.054344\" qy=\"0.412345\" qz=\"-0.008504\" qw=\"0.909366\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066575\" qy=\"-0.030438\" qz=\"0.019838\" qw=\"-0.997120\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000552\" y=\"0.200340\" z=\"0.000537\" qx=\"-0.025162\" qy=\"-0.010070\" qz=\"0.051415\" qw=\"-0.998309\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.163460\" qy=\"-0.015469\" qz=\"0.020019\" qw=\"-0.986226\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000026\" y=\"0.133287\" z=\"-0.018695\" qx=\"-0.029275\" qy=\"-0.006911\" qz=\"0.088526\" qw=\"-0.995620\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.080520\" qy=\"0.047860\" qz=\"0.040005\" qw=\"0.994799\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.273551\" qy=\"-0.292701\" qz=\"-0.492476\" qw=\"0.772634\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.101774\" qy=\"0.229600\" qz=\"-0.192641\" qw=\"-0.948586\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214112\" y=\"-0.000122\" z=\"-0.000027\" qx=\"0.106539\" qy=\"-0.015733\" qz=\"0.023664\" qw=\"-0.993902\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.110682\" qy=\"0.039039\" qz=\"-0.038235\" qw=\"0.992353\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.286798\" qy=\"0.352098\" qz=\"0.488901\" qw=\"0.744815\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.044452\" qy=\"-0.296683\" qz=\"0.238507\" qw=\"-0.923644\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.206033\" y=\"-0.000031\" z=\"-0.000135\" qx=\"0.047908\" qy=\"-0.033872\" qz=\"-0.105075\" qw=\"-0.992732\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.156006\" qy=\"0.014020\" qz=\"0.011471\" qw=\"0.987590\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.232574\" qy=\"0.088312\" qz=\"0.073604\" qw=\"-0.965760\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000578\" y=\"-0.431794\" z=\"0.002430\" qx=\"-0.133461\" qy=\"0.180264\" qz=\"0.027911\" qw=\"0.974122\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.201374\" qy=\"0.005296\" qz=\"0.011955\" qw=\"-0.979427\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.397608\" qy=\"-0.036977\" qz=\"-0.003979\" qw=\"0.916801\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000383\" y=\"-0.434613\" z=\"0.000837\" qx=\"-0.162558\" qy=\"-0.091620\" qz=\"0.061486\" qw=\"0.980510\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002842\" qy=\"-0.000783\" qz=\"0.000200\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.044931\" qy=\"0.009037\" qz=\"-0.000925\" qw=\"-0.998949\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 96: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.401870\" y=\"0.919188\" z=\"-1.568559\" qx=\"0.056587\" qy=\"0.408951\" qz=\"-0.006874\" qw=\"0.910774\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.065610\" qy=\"-0.032407\" qz=\"0.018110\" qw=\"-0.997154\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.200206\" z=\"0.000537\" qx=\"-0.026378\" qy=\"-0.010730\" qz=\"0.048491\" qw=\"-0.998418\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.160334\" qy=\"-0.012270\" qz=\"0.020648\" qw=\"-0.986770\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.133341\" z=\"-0.018702\" qx=\"-0.027651\" qy=\"-0.004632\" qz=\"0.081126\" qw=\"-0.996309\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.080729\" qy=\"0.048297\" qz=\"0.039308\" qw=\"0.994789\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.272934\" qy=\"-0.292503\" qz=\"-0.494015\" qw=\"0.771944\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099306\" qy=\"0.222205\" qz=\"-0.183847\" qw=\"-0.952346\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214206\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.103575\" qy=\"-0.014384\" qz=\"0.025188\" qw=\"-0.994199\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.110455\" qy=\"0.039867\" qz=\"-0.037074\" qw=\"0.992389\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.286608\" qy=\"0.352661\" qz=\"0.488996\" qw=\"0.744560\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.047266\" qy=\"-0.276781\" qz=\"0.234123\" qw=\"-0.930776\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207344\" y=\"-0.000031\" z=\"-0.000136\" qx=\"0.050526\" qy=\"-0.034817\" qz=\"-0.106662\" qw=\"-0.992400\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.162635\" qy=\"0.013991\" qz=\"0.011051\" qw=\"0.986525\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.236087\" qy=\"0.083914\" qz=\"0.072585\" qw=\"-0.965377\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000585\" y=\"-0.431844\" z=\"0.002416\" qx=\"-0.131768\" qy=\"0.179589\" qz=\"0.024986\" qw=\"0.974557\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.178089\" qy=\"-0.015465\" qz=\"-0.004882\" qw=\"0.983881\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.356666\" qy=\"-0.030348\" qz=\"-0.009600\" qw=\"0.933690\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000571\" y=\"-0.436428\" z=\"0.001103\" qx=\"-0.195286\" qy=\"-0.093410\" qz=\"0.039899\" qw=\"0.975472\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003199\" qy=\"-0.000924\" qz=\"0.000236\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.039285\" qy=\"0.008671\" qz=\"-0.000888\" qw=\"-0.999190\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 97: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.410412\" y=\"0.919082\" z=\"-1.570470\" qx=\"0.058372\" qy=\"0.404680\" qz=\"-0.007478\" qw=\"0.912563\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.065893\" qy=\"-0.034995\" qz=\"0.014155\" qw=\"-0.997112\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.200104\" z=\"0.000538\" qx=\"-0.028405\" qy=\"-0.011597\" qz=\"0.045051\" qw=\"-0.998513\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.157702\" qy=\"-0.010432\" qz=\"0.018015\" qw=\"-0.987267\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.133582\" z=\"-0.018736\" qx=\"-0.027054\" qy=\"-0.002408\" qz=\"0.080067\" qw=\"-0.996419\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.082857\" qy=\"0.049175\" qz=\"0.037893\" qw=\"0.994626\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.271833\" qy=\"-0.295151\" qz=\"-0.494443\" qw=\"0.771050\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.097831\" qy=\"0.215905\" qz=\"-0.178684\" qw=\"-0.954927\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214338\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.101775\" qy=\"-0.013395\" qz=\"0.027796\" qw=\"-0.994329\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109525\" qy=\"0.041404\" qz=\"-0.036422\" qw=\"0.992453\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.283210\" qy=\"0.353353\" qz=\"0.488253\" qw=\"0.746018\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049412\" qy=\"-0.255476\" qz=\"0.228723\" qw=\"-0.938071\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208752\" y=\"-0.000031\" z=\"-0.000137\" qx=\"0.052413\" qy=\"-0.035395\" qz=\"-0.103946\" qw=\"-0.992570\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.170022\" qy=\"0.014515\" qz=\"0.013058\" qw=\"0.985247\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.238880\" qy=\"0.083201\" qz=\"0.071677\" qw=\"-0.964819\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000555\" y=\"-0.431990\" z=\"0.002464\" qx=\"-0.129219\" qy=\"0.182750\" qz=\"0.022302\" qw=\"0.974376\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.164601\" qy=\"-0.019396\" qz=\"0.002436\" qw=\"0.986167\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.325496\" qy=\"-0.024663\" qz=\"-0.011903\" qw=\"0.945147\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000667\" y=\"-0.436576\" z=\"0.001317\" qx=\"-0.209636\" qy=\"-0.099213\" qz=\"0.022654\" qw=\"0.972469\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003561\" qy=\"-0.000999\" qz=\"0.000255\" qw=\"-0.999993\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031848\" qy=\"0.008925\" qz=\"-0.000914\" qw=\"-0.999452\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 98: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.419395\" y=\"0.919919\" z=\"-1.573112\" qx=\"0.060253\" qy=\"0.399119\" qz=\"-0.009116\" qw=\"0.914872\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.067393\" qy=\"-0.037297\" qz=\"0.008538\" qw=\"-0.996993\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.199999\" z=\"0.000538\" qx=\"-0.030828\" qy=\"-0.012369\" qz=\"0.042306\" qw=\"-0.998552\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.154567\" qy=\"-0.009497\" qz=\"0.015470\" qw=\"-0.987816\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.133454\" z=\"-0.018718\" qx=\"-0.027200\" qy=\"-0.001255\" qz=\"0.078368\" qw=\"-0.996553\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084226\" qy=\"0.049707\" qz=\"0.037598\" qw=\"0.994496\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.273513\" qy=\"-0.298019\" qz=\"-0.497418\" qw=\"0.767431\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.098966\" qy=\"0.211756\" qz=\"-0.179294\" qw=\"-0.955625\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214524\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.102871\" qy=\"-0.013656\" qz=\"0.027711\" qw=\"-0.994215\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.105898\" qy=\"0.044124\" qz=\"-0.036733\" qw=\"0.992718\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.281409\" qy=\"0.354136\" qz=\"0.487240\" qw=\"0.746990\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.053155\" qy=\"-0.233498\" qz=\"0.226031\" qw=\"-0.944226\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210478\" y=\"-0.000031\" z=\"-0.000138\" qx=\"0.056010\" qy=\"-0.037369\" qz=\"-0.100970\" qw=\"-0.992608\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.176049\" qy=\"0.013220\" qz=\"0.015840\" qw=\"0.984165\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.238071\" qy=\"0.072745\" qz=\"0.067999\" qw=\"-0.966130\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000569\" y=\"-0.432058\" z=\"0.002370\" qx=\"-0.124714\" qy=\"0.178735\" qz=\"0.018087\" qw=\"0.975794\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.161701\" qy=\"-0.023786\" qz=\"0.007818\" qw=\"0.986522\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.307669\" qy=\"-0.016114\" qz=\"-0.011886\" qw=\"0.951283\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000624\" y=\"-0.436158\" z=\"0.001450\" qx=\"-0.209718\" qy=\"-0.102066\" qz=\"0.011969\" qw=\"0.972346\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004605\" qy=\"-0.001490\" qz=\"0.000381\" qw=\"-0.999988\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027101\" qy=\"0.007904\" qz=\"-0.000809\" qw=\"-0.999601\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 99: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.428474\" y=\"0.920882\" z=\"-1.576294\" qx=\"0.063522\" qy=\"0.395044\" qz=\"-0.009955\" qw=\"0.916409\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.069526\" qy=\"-0.036999\" qz=\"0.004728\" qw=\"-0.996883\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.199929\" z=\"0.000537\" qx=\"-0.031906\" qy=\"-0.012274\" qz=\"0.037958\" qw=\"-0.998694\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.150933\" qy=\"-0.009258\" qz=\"0.013034\" qw=\"-0.988415\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.133176\" z=\"-0.018678\" qx=\"-0.028155\" qy=\"-0.000749\" qz=\"0.077465\" qw=\"-0.996597\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.086444\" qy=\"0.050854\" qz=\"0.037077\" qw=\"0.994267\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.275618\" qy=\"-0.301101\" qz=\"-0.500282\" qw=\"0.763604\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099000\" qy=\"0.211113\" qz=\"-0.179976\" qw=\"-0.955635\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214392\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.102904\" qy=\"-0.014379\" qz=\"0.027653\" qw=\"-0.994203\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.103649\" qy=\"0.046533\" qz=\"-0.037273\" qw=\"0.992826\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.278795\" qy=\"0.353613\" qz=\"0.484411\" qw=\"0.750052\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.057344\" qy=\"-0.216735\" qz=\"0.226287\" qw=\"-0.947909\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211838\" y=\"-0.000032\" z=\"-0.000138\" qx=\"0.060169\" qy=\"-0.038242\" qz=\"-0.100072\" qw=\"-0.992423\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.181991\" qy=\"0.009888\" qz=\"0.017711\" qw=\"0.983091\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.234902\" qy=\"0.061440\" qz=\"0.065178\" qw=\"-0.967883\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000648\" y=\"-0.432129\" z=\"0.002264\" qx=\"-0.119869\" qy=\"0.174704\" qz=\"0.013206\" qw=\"0.977208\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.167292\" qy=\"-0.031759\" qz=\"0.008331\" qw=\"0.985361\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.301990\" qy=\"-0.005300\" qz=\"-0.007050\" qw=\"0.953270\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000604\" y=\"-0.435607\" z=\"0.001547\" qx=\"-0.204728\" qy=\"-0.103401\" qz=\"0.004039\" qw=\"0.973334\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.007511\" qy=\"-0.001093\" qz=\"0.000279\" qw=\"-0.999971\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025476\" qy=\"0.007613\" qz=\"-0.000779\" qw=\"-0.999646\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 100: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.436790\" y=\"0.921149\" z=\"-1.579346\" qx=\"0.066112\" qy=\"0.392962\" qz=\"-0.008813\" qw=\"0.917133\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.071436\" qy=\"-0.035198\" qz=\"0.003240\" qw=\"-0.996819\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000550\" y=\"0.200055\" z=\"0.000537\" qx=\"-0.035132\" qy=\"-0.011676\" qz=\"0.030980\" qw=\"-0.998834\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.145487\" qy=\"-0.008587\" qz=\"0.011878\" qw=\"-0.989252\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.132936\" z=\"-0.018644\" qx=\"-0.029064\" qy=\"0.000001\" qz=\"0.076361\" qw=\"-0.996656\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.088214\" qy=\"0.049871\" qz=\"0.035229\" qw=\"0.994228\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.275388\" qy=\"-0.302440\" qz=\"-0.501435\" qw=\"0.762401\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096353\" qy=\"0.214819\" qz=\"-0.175591\" qw=\"-0.955896\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214018\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.100142\" qy=\"-0.014404\" qz=\"0.029904\" qw=\"-0.994419\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.101057\" qy=\"0.048160\" qz=\"-0.038916\" qw=\"0.992952\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.271862\" qy=\"0.347881\" qz=\"0.482563\" qw=\"0.756441\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.059637\" qy=\"-0.209535\" qz=\"0.226330\" qw=\"-0.949375\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212613\" y=\"-0.000032\" z=\"-0.000139\" qx=\"0.062482\" qy=\"-0.036856\" qz=\"-0.097750\" qw=\"-0.992564\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.187219\" qy=\"0.007011\" qz=\"0.018488\" qw=\"0.982119\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.233713\" qy=\"0.053855\" qz=\"0.064574\" qw=\"-0.968663\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000764\" y=\"-0.432357\" z=\"0.002220\" qx=\"-0.118021\" qy=\"0.171370\" qz=\"0.009852\" qw=\"0.978062\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.174306\" qy=\"-0.038707\" qz=\"0.006889\" qw=\"0.983906\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.302430\" qy=\"0.003036\" qz=\"-0.003186\" qw=\"0.953161\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000651\" y=\"-0.435161\" z=\"0.001611\" qx=\"-0.201071\" qy=\"-0.103663\" qz=\"-0.001935\" qw=\"0.974074\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.011381\" qy=\"-0.002101\" qz=\"0.000537\" qw=\"-0.999933\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024133\" qy=\"0.007885\" qz=\"-0.000807\" qw=\"-0.999677\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 101: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.444090\" y=\"0.920548\" z=\"-1.581647\" qx=\"0.068629\" qy=\"0.393081\" qz=\"-0.007261\" qw=\"0.916910\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.072729\" qy=\"-0.031266\" qz=\"0.002422\" qw=\"-0.996859\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.200117\" z=\"0.000537\" qx=\"-0.036819\" qy=\"-0.010366\" qz=\"0.023996\" qw=\"-0.998980\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.141599\" qy=\"-0.007324\" qz=\"0.012172\" qw=\"-0.989822\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.132892\" z=\"-0.018638\" qx=\"-0.027470\" qy=\"0.000669\" qz=\"0.071879\" qw=\"-0.997035\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089311\" qy=\"0.050321\" qz=\"0.034435\" qw=\"0.994136\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.278517\" qy=\"-0.305726\" qz=\"-0.500607\" qw=\"0.760495\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092221\" qy=\"0.219440\" qz=\"-0.170558\" qw=\"-0.956165\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213635\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.095839\" qy=\"-0.012986\" qz=\"0.034985\" qw=\"-0.994697\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098727\" qy=\"0.049212\" qz=\"-0.038981\" qw=\"0.993132\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.267172\" qy=\"0.339669\" qz=\"0.480226\" qw=\"0.763300\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.062996\" qy=\"-0.207389\" qz=\"0.227812\" qw=\"-0.949275\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212891\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.066020\" qy=\"-0.037278\" qz=\"-0.092572\" qw=\"-0.992815\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.194477\" qy=\"0.009095\" qz=\"0.018918\" qw=\"0.980682\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.238349\" qy=\"0.054517\" qz=\"0.066080\" qw=\"-0.967394\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000771\" y=\"-0.433210\" z=\"0.002230\" qx=\"-0.122312\" qy=\"0.166211\" qz=\"0.007684\" qw=\"0.978445\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.180923\" qy=\"0.042841\" qz=\"-0.006725\" qw=\"-0.982541\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.304262\" qy=\"0.005082\" qz=\"-0.003652\" qw=\"0.952568\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000692\" y=\"-0.434373\" z=\"0.001581\" qx=\"-0.198754\" qy=\"-0.102009\" qz=\"-0.003656\" qw=\"0.974719\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015720\" qy=\"-0.003144\" qz=\"0.000803\" qw=\"-0.999871\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023983\" qy=\"0.007724\" qz=\"-0.000791\" qw=\"-0.999682\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 102: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.449759\" y=\"0.920046\" z=\"-1.583367\" qx=\"0.069878\" qy=\"0.394738\" qz=\"-0.006416\" qw=\"0.916110\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073460\" qy=\"-0.026695\" qz=\"-0.000612\" qw=\"-0.996941\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.199955\" z=\"0.000535\" qx=\"-0.037440\" qy=\"-0.008842\" qz=\"0.018739\" qw=\"-0.999084\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.138501\" qy=\"-0.006238\" qz=\"0.012558\" qw=\"-0.990263\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.133094\" z=\"-0.018667\" qx=\"-0.027689\" qy=\"0.000876\" qz=\"0.065613\" qw=\"-0.997460\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090234\" qy=\"0.050290\" qz=\"0.033956\" qw=\"0.994070\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.280298\" qy=\"-0.309489\" qz=\"-0.498311\" qw=\"0.759827\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084943\" qy=\"0.222641\" qz=\"-0.163661\" qw=\"-0.957304\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213175\" y=\"-0.000124\" z=\"-0.000025\" qx=\"0.088188\" qy=\"-0.009934\" qz=\"0.045033\" qw=\"-0.995036\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.097746\" qy=\"0.049531\" qz=\"-0.038571\" qw=\"0.993230\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.262035\" qy=\"0.331199\" qz=\"0.478495\" qw=\"0.769862\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066658\" qy=\"-0.205818\" qz=\"0.227792\" qw=\"-0.949372\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213052\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.069884\" qy=\"-0.038709\" qz=\"-0.082449\" qw=\"-0.993388\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.202215\" qy=\"0.015860\" qz=\"0.018416\" qw=\"0.979040\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.251783\" qy=\"0.074222\" qz=\"0.068910\" qw=\"-0.962470\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000800\" y=\"-0.434206\" z=\"0.002073\" qx=\"-0.130066\" qy=\"0.158504\" qz=\"-0.002013\" qw=\"0.978752\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.186019\" qy=\"0.042293\" qz=\"-0.005974\" qw=\"-0.981617\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.306596\" qy=\"-0.001001\" qz=\"-0.003160\" qw=\"0.951834\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000749\" y=\"-0.433937\" z=\"0.001523\" qx=\"-0.196841\" qy=\"-0.098331\" qz=\"-0.004654\" qw=\"0.975481\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015966\" qy=\"-0.005546\" qz=\"0.001417\" qw=\"-0.999856\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023461\" qy=\"0.007727\" qz=\"-0.000791\" qw=\"-0.999695\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 103: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.453601\" y=\"0.919896\" z=\"-1.584985\" qx=\"0.070691\" qy=\"0.395792\" qz=\"-0.005265\" qw=\"0.915600\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073751\" qy=\"-0.022308\" qz=\"-0.003405\" qw=\"-0.997021\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000550\" y=\"0.199907\" z=\"0.000537\" qx=\"-0.037173\" qy=\"-0.007381\" qz=\"0.013893\" qw=\"-0.999185\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.136422\" qy=\"-0.004966\" qz=\"0.013324\" qw=\"-0.990549\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.133127\" z=\"-0.018672\" qx=\"-0.026502\" qy=\"0.001308\" qz=\"0.059946\" qw=\"-0.997849\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090479\" qy=\"0.050041\" qz=\"0.032779\" qw=\"0.994100\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.282384\" qy=\"-0.312472\" qz=\"-0.497958\" qw=\"0.758063\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077330\" qy=\"0.224111\" qz=\"-0.163668\" qw=\"-0.957605\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213046\" y=\"-0.000123\" z=\"-0.000025\" qx=\"0.080248\" qy=\"-0.007479\" qz=\"0.058484\" qw=\"-0.995030\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.097269\" qy=\"0.049200\" qz=\"-0.038850\" qw=\"0.993282\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.256625\" qy=\"0.323658\" qz=\"0.476908\" qw=\"0.775853\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069598\" qy=\"-0.203234\" qz=\"0.224786\" qw=\"-0.950433\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213242\" y=\"-0.000034\" z=\"-0.000139\" qx=\"0.072910\" qy=\"-0.037991\" qz=\"-0.073987\" qw=\"-0.993865\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.209069\" qy=\"0.020570\" qz=\"0.015874\" qw=\"0.977556\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.274184\" qy=\"0.096551\" qz=\"0.074652\" qw=\"-0.953902\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000682\" y=\"-0.435184\" z=\"0.002139\" qx=\"-0.142167\" qy=\"0.154604\" qz=\"-0.000952\" qw=\"0.977694\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.190440\" qy=\"0.043286\" qz=\"-0.004328\" qw=\"-0.980735\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.309646\" qy=\"-0.003921\" qz=\"-0.002325\" qw=\"0.950841\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000780\" y=\"-0.433883\" z=\"0.001512\" qx=\"-0.194947\" qy=\"-0.095426\" qz=\"-0.005035\" qw=\"0.976148\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016770\" qy=\"-0.004930\" qz=\"0.001260\" qw=\"-0.999846\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022772\" qy=\"0.007482\" qz=\"-0.000766\" qw=\"-0.999712\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 104: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.456218\" y=\"0.920449\" z=\"-1.586301\" qx=\"0.071566\" qy=\"0.394577\" qz=\"-0.003618\" qw=\"0.916064\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073956\" qy=\"-0.019717\" qz=\"-0.004311\" qw=\"-0.997057\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000550\" y=\"0.199886\" z=\"0.000537\" qx=\"-0.036009\" qy=\"-0.006517\" qz=\"0.009323\" qw=\"-0.999287\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.134267\" qy=\"-0.004694\" qz=\"0.011929\" qw=\"-0.990862\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.133219\" z=\"-0.018685\" qx=\"-0.025314\" qy=\"0.001535\" qz=\"0.058038\" qw=\"-0.997992\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090308\" qy=\"0.050177\" qz=\"0.031413\" qw=\"0.994153\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.284397\" qy=\"-0.315776\" qz=\"-0.497772\" qw=\"0.756060\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073880\" qy=\"0.225759\" qz=\"-0.164907\" qw=\"-0.957278\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212946\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.076684\" qy=\"-0.007381\" qz=\"0.064031\" qw=\"-0.994970\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096817\" qy=\"0.048219\" qz=\"-0.038939\" qw=\"0.993371\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.251891\" qy=\"0.317614\" qz=\"0.475885\" qw=\"0.780516\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069741\" qy=\"-0.198278\" qz=\"0.221861\" qw=\"-0.952155\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213641\" y=\"-0.000034\" z=\"-0.000139\" qx=\"0.072953\" qy=\"-0.036783\" qz=\"-0.069619\" qw=\"-0.994222\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.212038\" qy=\"0.019676\" qz=\"0.012175\" qw=\"0.976987\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.296341\" qy=\"0.101925\" qz=\"0.078365\" qw=\"-0.946389\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000720\" y=\"-0.435331\" z=\"0.002157\" qx=\"-0.147522\" qy=\"0.152389\" qz=\"-0.000473\" qw=\"0.977248\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.193511\" qy=\"0.045408\" qz=\"-0.002795\" qw=\"-0.980043\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.311053\" qy=\"-0.003627\" qz=\"-0.002946\" qw=\"0.950381\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000820\" y=\"-0.433775\" z=\"0.001426\" qx=\"-0.191577\" qy=\"-0.091699\" qz=\"-0.005684\" qw=\"0.977168\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017942\" qy=\"-0.004333\" qz=\"0.001107\" qw=\"-0.999829\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022000\" qy=\"0.007520\" qz=\"-0.000770\" qw=\"-0.999729\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 105: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.457717\" y=\"0.921725\" z=\"-1.587075\" qx=\"0.071636\" qy=\"0.391156\" qz=\"-0.003133\" qw=\"0.917527\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073757\" qy=\"-0.018900\" qz=\"-0.005295\" qw=\"-0.997083\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.199677\" z=\"0.000537\" qx=\"-0.034984\" qy=\"-0.006246\" qz=\"0.005360\" qw=\"-0.999354\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.131858\" qy=\"-0.003942\" qz=\"0.012537\" qw=\"-0.991181\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.132908\" z=\"-0.018642\" qx=\"-0.023066\" qy=\"0.001389\" qz=\"0.052043\" qw=\"-0.998377\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090573\" qy=\"0.050131\" qz=\"0.030365\" qw=\"0.994164\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.285949\" qy=\"-0.319390\" qz=\"-0.497844\" qw=\"0.753906\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.075035\" qy=\"0.227659\" qz=\"-0.168626\" qw=\"-0.956089\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212806\" y=\"-0.000123\" z=\"-0.000027\" qx=\"0.077969\" qy=\"-0.007479\" qz=\"0.064928\" qw=\"-0.994811\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096569\" qy=\"0.048017\" qz=\"-0.039026\" qw=\"0.993401\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.247136\" qy=\"0.311819\" qz=\"0.475688\" qw=\"0.784483\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.068705\" qy=\"-0.193652\" qz=\"0.217808\" qw=\"-0.954117\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213931\" y=\"-0.000034\" z=\"-0.000140\" qx=\"0.071752\" qy=\"-0.034922\" qz=\"-0.065739\" qw=\"-0.994641\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.209327\" qy=\"0.013111\" qz=\"0.010811\" qw=\"0.977698\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.311723\" qy=\"0.096405\" qz=\"0.082312\" qw=\"-0.941679\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000667\" y=\"-0.435359\" z=\"0.002207\" qx=\"-0.150426\" qy=\"0.152894\" qz=\"-0.000077\" qw=\"0.976727\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.195322\" qy=\"0.046436\" qz=\"-0.003775\" qw=\"-0.979632\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.310258\" qy=\"-0.000593\" qz=\"-0.003974\" qw=\"0.950644\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001117\" y=\"-0.431939\" z=\"0.001374\" qx=\"-0.181090\" qy=\"-0.093224\" qz=\"-0.004193\" qw=\"0.979029\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018385\" qy=\"-0.005083\" qz=\"0.001299\" qw=\"-0.999817\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025001\" qy=\"0.005399\" qz=\"-0.000553\" qw=\"-0.999673\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 106: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.458588\" y=\"0.923050\" z=\"-1.588254\" qx=\"0.073087\" qy=\"0.385501\" qz=\"-0.003645\" qw=\"0.919801\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073689\" qy=\"-0.018422\" qz=\"-0.006818\" qw=\"-0.997088\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.199510\" z=\"0.000537\" qx=\"-0.031443\" qy=\"-0.006089\" qz=\"0.004919\" qw=\"-0.999475\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.129173\" qy=\"-0.004575\" qz=\"0.010373\" qw=\"-0.991557\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132552\" z=\"-0.018592\" qx=\"-0.020388\" qy=\"0.000557\" qz=\"0.048678\" qw=\"-0.998606\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090853\" qy=\"0.051455\" qz=\"0.032086\" qw=\"0.994016\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.287384\" qy=\"-0.321377\" qz=\"-0.498940\" qw=\"0.751788\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077230\" qy=\"0.233690\" qz=\"-0.173601\" qw=\"-0.953565\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212662\" y=\"-0.000124\" z=\"-0.000027\" qx=\"0.080461\" qy=\"-0.009581\" qz=\"0.061875\" qw=\"-0.994789\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.097953\" qy=\"0.048015\" qz=\"-0.038283\" qw=\"0.993295\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.244103\" qy=\"0.308931\" qz=\"0.475306\" qw=\"0.786803\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.068107\" qy=\"-0.190824\" qz=\"0.215359\" qw=\"-0.955284\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214126\" y=\"-0.000033\" z=\"-0.000140\" qx=\"0.071053\" qy=\"-0.033340\" qz=\"-0.064744\" qw=\"-0.994811\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.203849\" qy=\"0.007336\" qz=\"0.008785\" qw=\"0.978935\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.318468\" qy=\"0.092590\" qz=\"0.083627\" qw=\"-0.939687\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000712\" y=\"-0.435146\" z=\"0.002200\" qx=\"-0.148093\" qy=\"0.152949\" qz=\"-0.002086\" qw=\"0.977073\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.197330\" qy=\"0.045496\" qz=\"-0.004036\" qw=\"-0.979273\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.308820\" qy=\"0.000414\" qz=\"-0.005886\" qw=\"0.951102\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000826\" y=\"-0.433700\" z=\"0.001238\" qx=\"-0.180653\" qy=\"-0.084141\" qz=\"-0.004393\" qw=\"0.979931\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017553\" qy=\"-0.004947\" qz=\"0.001264\" qw=\"-0.999833\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021438\" qy=\"0.007494\" qz=\"-0.000767\" qw=\"-0.999742\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 107: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.458981\" y=\"0.924064\" z=\"-1.589028\" qx=\"0.073619\" qy=\"0.380287\" qz=\"-0.004656\" qw=\"0.921922\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.072576\" qy=\"-0.017349\" qz=\"-0.006879\" qw=\"-0.997188\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.199437\" z=\"0.000536\" qx=\"-0.030114\" qy=\"-0.005732\" qz=\"0.002391\" qw=\"-0.999527\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.126357\" qy=\"-0.004786\" qz=\"0.009544\" qw=\"-0.991927\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.132265\" z=\"-0.018551\" qx=\"-0.018341\" qy=\"0.000154\" qz=\"0.046555\" qw=\"-0.998747\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.091347\" qy=\"0.051971\" qz=\"0.031969\" qw=\"0.993948\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.287478\" qy=\"-0.322844\" qz=\"-0.497855\" qw=\"0.751844\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078094\" qy=\"0.241154\" qz=\"-0.178908\" qw=\"-0.950651\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212383\" y=\"-0.000124\" z=\"-0.000026\" qx=\"0.081609\" qy=\"-0.010577\" qz=\"0.059671\" qw=\"-0.994820\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098151\" qy=\"0.047945\" qz=\"-0.038609\" qw=\"0.993266\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.243633\" qy=\"0.307460\" qz=\"0.475314\" qw=\"0.787520\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067979\" qy=\"-0.189264\" qz=\"0.214797\" qw=\"-0.955730\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214203\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.070889\" qy=\"-0.033202\" qz=\"-0.064431\" qw=\"-0.994847\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.193387\" qy=\"0.003059\" qz=\"0.007146\" qw=\"0.981092\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.313621\" qy=\"0.094547\" qz=\"0.082465\" qw=\"-0.941224\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000692\" y=\"-0.434779\" z=\"0.002049\" qx=\"-0.137751\" qy=\"0.149164\" qz=\"-0.009271\" qw=\"0.979127\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.199203\" qy=\"0.042685\" qz=\"-0.004852\" qw=\"-0.979016\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.308106\" qy=\"0.002729\" qz=\"-0.004904\" qw=\"0.951336\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000868\" y=\"-0.433779\" z=\"0.001239\" qx=\"-0.176063\" qy=\"-0.084089\" qz=\"-0.004673\" qw=\"0.980770\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018601\" qy=\"-0.005510\" qz=\"0.001408\" qw=\"-0.999811\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021130\" qy=\"0.007723\" qz=\"-0.000791\" qw=\"-0.999747\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 108: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.458653\" y=\"0.924353\" z=\"-1.589737\" qx=\"0.073863\" qy=\"0.375335\" qz=\"-0.005770\" qw=\"0.923923\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.069786\" qy=\"-0.015023\" qz=\"-0.006054\" qw=\"-0.997431\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000548\" y=\"0.199427\" z=\"0.000537\" qx=\"-0.030730\" qy=\"-0.004956\" qz=\"0.000038\" qw=\"-0.999515\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.125326\" qy=\"-0.004937\" qz=\"0.008295\" qw=\"-0.992069\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.132127\" z=\"-0.018532\" qx=\"-0.015799\" qy=\"0.000222\" qz=\"0.046855\" qw=\"-0.998777\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092011\" qy=\"0.050697\" qz=\"0.031975\" qw=\"0.993952\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.285320\" qy=\"-0.322360\" qz=\"-0.496733\" qw=\"0.753614\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077418\" qy=\"0.249659\" qz=\"-0.184452\" qw=\"-0.947446\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212138\" y=\"-0.000124\" z=\"-0.000026\" qx=\"0.081182\" qy=\"-0.011684\" qz=\"0.058164\" qw=\"-0.994932\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098423\" qy=\"0.048751\" qz=\"-0.038700\" qw=\"0.993196\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.241953\" qy=\"0.305810\" qz=\"0.474666\" qw=\"0.789070\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067057\" qy=\"-0.191604\" qz=\"0.212833\" qw=\"-0.955768\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213972\" y=\"-0.000033\" z=\"-0.000140\" qx=\"0.069926\" qy=\"-0.033181\" qz=\"-0.065150\" qw=\"-0.994869\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.179235\" qy=\"0.001789\" qz=\"0.004628\" qw=\"0.983794\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.298454\" qy=\"0.099330\" qz=\"0.080474\" qw=\"-0.945824\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000933\" y=\"-0.434129\" z=\"0.001856\" qx=\"-0.131640\" qy=\"0.144411\" qz=\"0.016236\" qw=\"0.980588\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.200755\" qy=\"0.041512\" qz=\"-0.006042\" qw=\"-0.978743\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.308222\" qy=\"0.005856\" qz=\"-0.005011\" qw=\"0.951283\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000872\" y=\"-0.433641\" z=\"0.001210\" qx=\"-0.173250\" qy=\"-0.082937\" qz=\"-0.004560\" qw=\"0.981369\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025356\" qy=\"-0.004345\" qz=\"0.001110\" qw=\"-0.999668\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021059\" qy=\"0.007944\" qz=\"-0.000813\" qw=\"-0.999746\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 109: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.458288\" y=\"0.924314\" z=\"-1.590444\" qx=\"0.073083\" qy=\"0.371888\" qz=\"-0.006634\" qw=\"0.925373\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.068267\" qy=\"-0.011580\" qz=\"-0.005414\" qw=\"-0.997585\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.199249\" z=\"0.000537\" qx=\"-0.031770\" qy=\"-0.003807\" qz=\"-0.000567\" qw=\"-0.999488\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.124951\" qy=\"-0.004653\" qz=\"0.008204\" qw=\"-0.992118\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132214\" z=\"-0.018546\" qx=\"-0.013734\" qy=\"0.000460\" qz=\"0.046317\" qw=\"-0.998832\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089967\" qy=\"0.048174\" qz=\"0.033322\" qw=\"0.994221\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.286062\" qy=\"-0.322715\" qz=\"-0.495172\" qw=\"0.754207\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079629\" qy=\"0.255487\" qz=\"-0.192127\" qw=\"-0.944178\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212221\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.083773\" qy=\"-0.012418\" qz=\"0.057992\" qw=\"-0.994718\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098448\" qy=\"0.048685\" qz=\"-0.038215\" qw=\"0.993216\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.242286\" qy=\"0.306210\" qz=\"0.475265\" qw=\"0.788452\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067383\" qy=\"-0.194222\" qz=\"0.215746\" qw=\"-0.954563\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213641\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.070352\" qy=\"-0.033956\" qz=\"-0.065035\" qw=\"-0.994821\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.162453\" qy=\"-0.000250\" qz=\"0.002437\" qw=\"0.986713\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.273328\" qy=\"0.098895\" qz=\"0.074445\" qw=\"-0.953923\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000811\" y=\"-0.436496\" z=\"0.002076\" qx=\"-0.148056\" qy=\"0.150073\" qz=\"0.020457\" qw=\"0.977312\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.200992\" qy=\"0.040192\" qz=\"-0.007440\" qw=\"-0.978740\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.308451\" qy=\"0.008425\" qz=\"-0.005571\" qw=\"0.951187\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000898\" y=\"-0.433460\" z=\"0.001179\" qx=\"-0.171716\" qy=\"-0.082688\" qz=\"-0.003819\" qw=\"0.981663\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019279\" qy=\"-0.003903\" qz=\"0.000997\" qw=\"-0.999806\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021399\" qy=\"0.008161\" qz=\"-0.000835\" qw=\"-0.999737\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 110: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.458672\" y=\"0.924478\" z=\"-1.591840\" qx=\"0.073467\" qy=\"0.369069\" qz=\"-0.008650\" qw=\"0.926453\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.067384\" qy=\"-0.007907\" qz=\"-0.004494\" qw=\"-0.997686\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.198973\" z=\"0.000535\" qx=\"-0.031215\" qy=\"-0.002582\" qz=\"-0.001550\" qw=\"-0.999508\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.123444\" qy=\"-0.004261\" qz=\"0.009320\" qw=\"-0.992298\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132491\" z=\"-0.018585\" qx=\"-0.015320\" qy=\"0.000882\" qz=\"0.047490\" qw=\"-0.998754\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.086808\" qy=\"0.046183\" qz=\"0.033185\" qw=\"0.994601\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.288384\" qy=\"-0.325426\" qz=\"-0.491015\" qw=\"0.754876\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083396\" qy=\"0.257959\" qz=\"-0.199130\" qw=\"-0.941727\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212292\" y=\"-0.000123\" z=\"-0.000026\" qx=\"0.087952\" qy=\"-0.012579\" qz=\"0.055316\" qw=\"-0.994508\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.097755\" qy=\"0.047122\" qz=\"-0.038113\" qw=\"0.993364\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.241520\" qy=\"0.306772\" qz=\"0.476853\" qw=\"0.787509\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066882\" qy=\"-0.198527\" qz=\"0.219213\" qw=\"-0.952922\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213130\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.069958\" qy=\"-0.033965\" qz=\"-0.063952\" qw=\"-0.994918\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.149736\" qy=\"-0.003309\" qz=\"0.003726\" qw=\"0.988713\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.250392\" qy=\"0.091196\" qz=\"0.072148\" qw=\"-0.961136\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000723\" y=\"-0.436251\" z=\"0.002013\" qx=\"-0.153539\" qy=\"0.149244\" qz=\"0.023724\" qw=\"0.976519\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.202917\" qy=\"0.037274\" qz=\"-0.009735\" qw=\"-0.978438\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.308251\" qy=\"0.008961\" qz=\"-0.006579\" qw=\"0.951240\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000921\" y=\"-0.433803\" z=\"0.001203\" qx=\"-0.170811\" qy=\"-0.082722\" qz=\"-0.002952\" qw=\"0.981821\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017749\" qy=\"-0.003281\" qz=\"0.000838\" qw=\"-0.999837\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022133\" qy=\"0.008170\" qz=\"-0.000836\" qw=\"-0.999721\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 111: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.459007\" y=\"0.924720\" z=\"-1.593825\" qx=\"0.074712\" qy=\"0.368358\" qz=\"-0.008770\" qw=\"0.926636\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066693\" qy=\"-0.003041\" qz=\"-0.001512\" qw=\"-0.997768\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.198600\" z=\"0.000534\" qx=\"-0.030876\" qy=\"-0.000956\" qz=\"-0.002033\" qw=\"-0.999521\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.123842\" qy=\"-0.004677\" qz=\"0.009989\" qw=\"-0.992241\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.132826\" z=\"-0.018632\" qx=\"-0.013733\" qy=\"0.000782\" qz=\"0.050585\" qw=\"-0.998625\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083819\" qy=\"0.043186\" qz=\"0.033473\" qw=\"0.994982\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.289479\" qy=\"-0.328729\" qz=\"-0.487637\" qw=\"0.755215\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087409\" qy=\"0.258589\" qz=\"-0.209263\" qw=\"-0.938989\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212656\" y=\"-0.000124\" z=\"-0.000027\" qx=\"0.092429\" qy=\"-0.012765\" qz=\"0.054272\" qw=\"-0.994157\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099259\" qy=\"0.044901\" qz=\"-0.037415\" qw=\"0.993344\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.238049\" qy=\"0.307710\" qz=\"0.477975\" qw=\"0.787520\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066052\" qy=\"-0.204300\" qz=\"0.225685\" qw=\"-0.950245\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212329\" y=\"-0.000033\" z=\"-0.000138\" qx=\"0.069278\" qy=\"-0.035351\" qz=\"-0.066673\" qw=\"-0.994739\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.141952\" qy=\"-0.000535\" qz=\"0.001609\" qw=\"0.989872\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.233753\" qy=\"0.093943\" qz=\"0.069757\" qw=\"-0.965230\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000639\" y=\"-0.436394\" z=\"0.002061\" qx=\"-0.155100\" qy=\"0.151841\" qz=\"0.027061\" qw=\"0.975785\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.205080\" qy=\"0.035491\" qz=\"-0.008999\" qw=\"-0.978060\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.308321\" qy=\"0.007278\" qz=\"-0.007310\" qw=\"0.951227\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000952\" y=\"-0.434003\" z=\"0.001189\" qx=\"-0.170940\" qy=\"-0.081263\" qz=\"-0.001588\" qw=\"0.981923\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013788\" qy=\"-0.003136\" qz=\"0.000801\" qw=\"-0.999900\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023408\" qy=\"0.008106\" qz=\"-0.000830\" qw=\"-0.999693\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 112: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.459522\" y=\"0.924765\" z=\"-1.596083\" qx=\"0.076222\" qy=\"0.368299\" qz=\"-0.010379\" qw=\"0.926519\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066300\" qy=\"0.001363\" qz=\"0.000202\" qw=\"-0.997799\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.198093\" z=\"0.000531\" qx=\"-0.029352\" qy=\"0.000520\" qz=\"-0.002955\" qw=\"-0.999565\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.124008\" qy=\"-0.005010\" qz=\"0.010371\" qw=\"-0.992214\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.132654\" z=\"-0.018608\" qx=\"-0.009317\" qy=\"0.001047\" qz=\"0.055348\" qw=\"-0.998423\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.081175\" qy=\"0.041363\" qz=\"0.033788\" qw=\"0.995268\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.287231\" qy=\"-0.331803\" qz=\"-0.484772\" qw=\"0.756572\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089440\" qy=\"0.260100\" qz=\"-0.215676\" qw=\"-0.936927\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212734\" y=\"-0.000125\" z=\"-0.000028\" qx=\"0.094785\" qy=\"-0.012854\" qz=\"0.050675\" qw=\"-0.994124\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099605\" qy=\"0.042719\" qz=\"-0.037730\" qw=\"0.993393\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.233794\" qy=\"0.305393\" qz=\"0.480041\" qw=\"0.788439\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.065184\" qy=\"-0.215196\" qz=\"0.230637\" qw=\"-0.946704\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211202\" y=\"-0.000033\" z=\"-0.000137\" qx=\"0.068658\" qy=\"-0.034941\" qz=\"-0.060417\" qw=\"-0.995196\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.138580\" qy=\"0.003569\" qz=\"0.001491\" qw=\"0.990344\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.223139\" qy=\"0.098482\" qz=\"0.068268\" qw=\"-0.967393\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000547\" y=\"-0.437336\" z=\"0.002192\" qx=\"-0.158452\" qy=\"0.152032\" qz=\"0.029433\" qw=\"0.975148\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.208461\" qy=\"0.033697\" qz=\"-0.008940\" qw=\"-0.977409\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.309173\" qy=\"0.005148\" qz=\"-0.007289\" qw=\"0.950964\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000997\" y=\"-0.434245\" z=\"0.001178\" qx=\"-0.171316\" qy=\"-0.079714\" qz=\"0.000064\" qw=\"0.981986\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.009930\" qy=\"-0.002266\" qz=\"0.000579\" qw=\"-0.999948\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025490\" qy=\"0.007907\" qz=\"-0.000809\" qw=\"-0.999643\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 113: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.460018\" y=\"0.923850\" z=\"-1.597625\" qx=\"0.075995\" qy=\"0.366083\" qz=\"-0.013880\" qw=\"0.927370\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066278\" qy=\"0.003202\" qz=\"0.001158\" qw=\"-0.997795\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197830\" z=\"0.000532\" qx=\"-0.027888\" qy=\"0.001136\" qz=\"-0.005102\" qw=\"-0.999597\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.121689\" qy=\"-0.005434\" qz=\"0.009713\" qw=\"-0.992506\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.132427\" z=\"-0.018575\" qx=\"-0.005629\" qy=\"0.001093\" qz=\"0.058141\" qw=\"-0.998292\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078771\" qy=\"0.039923\" qz=\"0.033942\" qw=\"0.995515\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.285719\" qy=\"-0.333509\" qz=\"-0.482734\" qw=\"0.757697\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090609\" qy=\"0.265684\" qz=\"-0.223600\" qw=\"-0.933384\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212717\" y=\"-0.000125\" z=\"-0.000028\" qx=\"0.096388\" qy=\"-0.016087\" qz=\"0.046518\" qw=\"-0.994126\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.100982\" qy=\"0.041271\" qz=\"-0.038249\" qw=\"0.993296\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232127\" qy=\"0.304645\" qz=\"0.480211\" qw=\"0.789117\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067272\" qy=\"-0.224772\" qz=\"0.240944\" qw=\"-0.941752\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210233\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.071229\" qy=\"-0.037503\" qz=\"-0.057234\" qw=\"-0.995110\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.135247\" qy=\"0.008528\" qz=\"0.004457\" qw=\"0.990765\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.214492\" qy=\"0.113762\" qz=\"0.071388\" qw=\"-0.967448\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000453\" y=\"-0.436354\" z=\"0.002560\" qx=\"-0.159934\" qy=\"0.166453\" qz=\"0.035573\" qw=\"0.972342\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.212526\" qy=\"0.029609\" qz=\"-0.011641\" qw=\"-0.976637\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.313700\" qy=\"0.006989\" qz=\"-0.006484\" qw=\"0.949474\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001124\" y=\"-0.434553\" z=\"0.001180\" qx=\"-0.173260\" qy=\"-0.080933\" qz=\"0.002846\" qw=\"0.981541\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.006900\" qy=\"-0.001987\" qz=\"0.000508\" qw=\"-0.999974\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028581\" qy=\"0.007718\" qz=\"-0.000790\" qw=\"-0.999561\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 114: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.460490\" y=\"0.923268\" z=\"-1.598750\" qx=\"0.076013\" qy=\"0.362794\" qz=\"-0.014719\" qw=\"0.928647\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066865\" qy=\"0.004319\" qz=\"0.005314\" qw=\"-0.997739\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197482\" z=\"0.000531\" qx=\"-0.027078\" qy=\"0.001511\" qz=\"-0.007167\" qw=\"-0.999606\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.119867\" qy=\"-0.006204\" qz=\"0.007712\" qw=\"-0.992741\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.132508\" z=\"-0.018586\" qx=\"0.003305\" qy=\"0.000563\" qz=\"0.058113\" qw=\"-0.998304\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077254\" qy=\"0.038858\" qz=\"0.034249\" qw=\"0.995665\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.283725\" qy=\"-0.333995\" qz=\"-0.480321\" qw=\"0.759763\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090377\" qy=\"0.273677\" qz=\"-0.232174\" qw=\"-0.928993\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212517\" y=\"-0.000125\" z=\"-0.000028\" qx=\"0.096591\" qy=\"-0.016103\" qz=\"0.046601\" qw=\"-0.994102\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.100294\" qy=\"0.041508\" qz=\"-0.037824\" qw=\"0.993372\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.227794\" qy=\"0.301778\" qz=\"0.479147\" qw=\"0.792122\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066537\" qy=\"-0.234930\" qz=\"0.249928\" qw=\"-0.936972\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209419\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.070825\" qy=\"-0.039747\" qz=\"-0.053713\" qw=\"-0.995248\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.134194\" qy=\"0.002759\" qz=\"0.005559\" qw=\"0.990936\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.211659\" qy=\"0.098879\" qz=\"0.070157\" qw=\"-0.969795\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000538\" y=\"-0.435125\" z=\"0.002396\" qx=\"-0.158576\" qy=\"0.160761\" qz=\"0.034317\" qw=\"0.973566\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.218539\" qy=\"0.025580\" qz=\"-0.012469\" qw=\"-0.975413\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.323816\" qy=\"0.020474\" qz=\"-0.005225\" qw=\"0.945884\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001154\" y=\"-0.435370\" z=\"0.001334\" qx=\"-0.177733\" qy=\"-0.086964\" qz=\"0.010610\" qw=\"0.980171\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005767\" qy=\"-0.001208\" qz=\"0.000309\" qw=\"-0.999983\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032069\" qy=\"0.007963\" qz=\"-0.000815\" qw=\"-0.999454\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 115: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.461186\" y=\"0.923353\" z=\"-1.598616\" qx=\"0.076639\" qy=\"0.362454\" qz=\"-0.015708\" qw=\"0.928713\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066836\" qy=\"0.005996\" qz=\"0.007522\" qw=\"-0.997718\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.197101\" z=\"0.000530\" qx=\"-0.025265\" qy=\"0.002074\" qz=\"-0.007923\" qw=\"-0.999647\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.117696\" qy=\"-0.006130\" qz=\"0.006923\" qw=\"-0.993007\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132000\" z=\"-0.018515\" qx=\"0.010263\" qy=\"0.000332\" qz=\"0.055147\" qw=\"-0.998425\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075375\" qy=\"0.037781\" qz=\"0.035216\" qw=\"0.995817\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.285753\" qy=\"-0.335998\" qz=\"-0.476607\" qw=\"0.760458\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.091969\" qy=\"0.278898\" qz=\"-0.241229\" qw=\"-0.924968\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212548\" y=\"-0.000124\" z=\"-0.000028\" qx=\"0.098684\" qy=\"-0.013935\" qz=\"0.050629\" qw=\"-0.993732\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099828\" qy=\"0.041591\" qz=\"-0.038568\" qw=\"0.993387\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.221120\" qy=\"0.298579\" qz=\"0.479592\" qw=\"0.794951\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066503\" qy=\"-0.246780\" qz=\"0.258385\" qw=\"-0.931619\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208487\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.071245\" qy=\"-0.036136\" qz=\"-0.043652\" qw=\"-0.995848\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.136428\" qy=\"-0.002922\" qz=\"0.009646\" qw=\"0.990599\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.212264\" qy=\"0.102706\" qz=\"0.077984\" qw=\"-0.968666\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000471\" y=\"-0.435622\" z=\"0.002611\" qx=\"-0.158752\" qy=\"0.170601\" qz=\"0.038044\" qw=\"0.971723\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.223009\" qy=\"0.024469\" qz=\"-0.013662\" qw=\"-0.974414\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.333627\" qy=\"0.044284\" qz=\"-0.006665\" qw=\"0.941641\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000746\" y=\"-0.436714\" z=\"0.001379\" qx=\"-0.184382\" qy=\"-0.087183\" qz=\"0.026697\" qw=\"0.978616\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005250\" qy=\"-0.001053\" qz=\"0.000269\" qw=\"-0.999986\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033415\" qy=\"0.008918\" qz=\"-0.000913\" qw=\"-0.999401\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 116: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.461293\" y=\"0.923228\" z=\"-1.596428\" qx=\"0.075533\" qy=\"0.361659\" qz=\"-0.016472\" qw=\"0.929100\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.066570\" qy=\"0.005515\" qz=\"0.007490\" qw=\"-0.997738\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000544\" y=\"0.197037\" z=\"0.000530\" qx=\"-0.023808\" qy=\"0.001909\" qz=\"-0.007254\" qw=\"-0.999688\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.116751\" qy=\"-0.004739\" qz=\"0.006625\" qw=\"-0.993128\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.131746\" z=\"-0.018479\" qx=\"0.014639\" qy=\"0.001386\" qz=\"0.051863\" qw=\"-0.998546\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075147\" qy=\"0.036565\" qz=\"0.035328\" qw=\"0.995875\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.284686\" qy=\"-0.336263\" qz=\"-0.472096\" qw=\"0.763549\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090112\" qy=\"0.283915\" qz=\"-0.247555\" qw=\"-0.921948\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212464\" y=\"-0.000124\" z=\"-0.000027\" qx=\"0.096988\" qy=\"-0.012217\" qz=\"0.056904\" qw=\"-0.993582\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099764\" qy=\"0.042001\" qz=\"-0.039416\" qw=\"0.993343\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.217462\" qy=\"0.296981\" qz=\"0.479671\" qw=\"0.796510\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069471\" qy=\"-0.257117\" qz=\"0.271064\" qw=\"-0.924980\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207810\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.074979\" qy=\"-0.033098\" qz=\"-0.032449\" qw=\"-0.996107\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.134743\" qy=\"-0.000013\" qz=\"0.011664\" qw=\"0.990812\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.212635\" qy=\"0.103584\" qz=\"0.077736\" qw=\"-0.968511\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000437\" y=\"-0.435650\" z=\"0.002575\" qx=\"-0.160187\" qy=\"0.169206\" qz=\"0.037630\" qw=\"0.971747\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.222826\" qy=\"0.013240\" qz=\"-0.016440\" qw=\"-0.974630\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.344198\" qy=\"0.064016\" qz=\"-0.009902\" qw=\"0.936660\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000427\" y=\"-0.437545\" z=\"0.001455\" qx=\"-0.190457\" qy=\"-0.099091\" qz=\"0.039987\" qw=\"0.975863\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004936\" qy=\"-0.001129\" qz=\"0.000289\" qw=\"-0.999987\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034084\" qy=\"0.009331\" qz=\"-0.000955\" qw=\"-0.999375\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 117: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.460750\" y=\"0.923217\" z=\"-1.592228\" qx=\"0.075011\" qy=\"0.363804\" qz=\"-0.016661\" qw=\"0.928301\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.064460\" qy=\"0.006943\" qz=\"0.007147\" qw=\"-0.997871\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.196819\" z=\"0.000531\" qx=\"-0.022700\" qy=\"0.002386\" qz=\"-0.006436\" qw=\"-0.999719\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.114922\" qy=\"-0.003697\" qz=\"0.005728\" qw=\"-0.993351\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.131981\" z=\"-0.018511\" qx=\"0.014208\" qy=\"0.002272\" qz=\"0.049339\" qw=\"-0.998678\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075101\" qy=\"0.037616\" qz=\"0.035264\" qw=\"0.995842\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.281556\" qy=\"-0.334583\" qz=\"-0.469009\" qw=\"0.767340\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087251\" qy=\"0.290442\" qz=\"-0.250627\" qw=\"-0.919357\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212141\" y=\"-0.000123\" z=\"-0.000028\" qx=\"0.094196\" qy=\"-0.011688\" qz=\"0.056527\" qw=\"-0.993879\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.097540\" qy=\"0.041911\" qz=\"-0.039440\" qw=\"0.993566\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.216946\" qy=\"0.296644\" qz=\"0.477636\" qw=\"0.797998\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073757\" qy=\"-0.265318\" qz=\"0.285914\" qw=\"-0.917834\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207362\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.080198\" qy=\"-0.034438\" qz=\"-0.029359\" qw=\"-0.995751\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.132202\" qy=\"0.000677\" qz=\"0.011345\" qw=\"0.991158\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.212392\" qy=\"0.107889\" qz=\"0.074350\" qw=\"-0.968360\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000366\" y=\"-0.435691\" z=\"0.002535\" qx=\"-0.161853\" qy=\"0.170340\" qz=\"0.035401\" qw=\"0.971357\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.215079\" qy=\"-0.001924\" qz=\"-0.015579\" qw=\"-0.976470\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.345535\" qy=\"0.047567\" qz=\"-0.015195\" qw=\"0.937076\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000492\" y=\"-0.437811\" z=\"0.001625\" qx=\"-0.193615\" qy=\"-0.107824\" qz=\"0.032946\" qw=\"0.974578\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004936\" qy=\"-0.001173\" qz=\"0.000300\" qw=\"-0.999987\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035574\" qy=\"0.009757\" qz=\"-0.000999\" qw=\"-0.999319\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 118: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.459308\" y=\"0.923208\" z=\"-1.586344\" qx=\"0.075989\" qy=\"0.368346\" qz=\"-0.016389\" qw=\"0.926433\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.059586\" qy=\"0.008814\" qz=\"0.006074\" qw=\"-0.998166\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196409\" z=\"0.000531\" qx=\"-0.020908\" qy=\"0.003004\" qz=\"-0.005504\" qw=\"-0.999762\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.116408\" qy=\"-0.001842\" qz=\"0.006274\" qw=\"-0.993180\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132264\" z=\"-0.018551\" qx=\"0.013874\" qy=\"0.003619\" qz=\"0.045513\" qw=\"-0.998861\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075895\" qy=\"0.037432\" qz=\"0.035119\" qw=\"0.995794\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.279489\" qy=\"-0.332726\" qz=\"-0.466672\" qw=\"0.770323\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087556\" qy=\"0.295877\" qz=\"-0.253189\" qw=\"-0.916889\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212119\" y=\"-0.000123\" z=\"-0.000028\" qx=\"0.094800\" qy=\"-0.010811\" qz=\"0.051444\" qw=\"-0.994107\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.095958\" qy=\"0.040876\" qz=\"-0.039714\" qw=\"0.993753\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.213088\" qy=\"0.294841\" qz=\"0.474736\" qw=\"0.801429\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.075798\" qy=\"-0.275587\" qz=\"0.296851\" qw=\"-0.911145\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.206728\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.083028\" qy=\"-0.034053\" qz=\"-0.019274\" qw=\"-0.995779\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.129902\" qy=\"-0.004140\" qz=\"0.010192\" qw=\"0.991466\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.211745\" qy=\"0.108933\" qz=\"0.070601\" qw=\"-0.968666\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000344\" y=\"-0.436059\" z=\"0.002551\" qx=\"-0.164583\" qy=\"0.171023\" qz=\"0.032352\" qw=\"0.970885\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.197887\" qy=\"-0.007153\" qz=\"-0.010978\" qw=\"-0.980137\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.326931\" qy=\"0.027371\" qz=\"-0.017538\" qw=\"0.944489\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000605\" y=\"-0.437894\" z=\"0.001417\" qx=\"-0.197321\" qy=\"-0.100793\" qz=\"0.027436\" qw=\"0.974758\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005438\" qy=\"-0.001277\" qz=\"0.000326\" qw=\"-0.999984\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.037094\" qy=\"0.008201\" qz=\"-0.000840\" qw=\"-0.999278\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 119: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.458215\" y=\"0.922770\" z=\"-1.579167\" qx=\"0.077585\" qy=\"0.369946\" qz=\"-0.016209\" qw=\"0.925666\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.055039\" qy=\"0.006872\" qz=\"0.005902\" qw=\"-0.998443\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.196116\" z=\"0.000530\" qx=\"-0.017631\" qy=\"0.002349\" qz=\"-0.005316\" qw=\"-0.999828\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.117207\" qy=\"0.000139\" qz=\"0.007442\" qw=\"-0.993080\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132661\" z=\"-0.018606\" qx=\"0.011074\" qy=\"0.004919\" qz=\"0.041052\" qw=\"-0.999084\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.076640\" qy=\"0.038254\" qz=\"0.034073\" qw=\"0.995742\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.276480\" qy=\"-0.330427\" qz=\"-0.463435\" qw=\"0.774341\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.086986\" qy=\"0.301217\" qz=\"-0.258437\" qw=\"-0.913735\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212077\" y=\"-0.000123\" z=\"-0.000029\" qx=\"0.094494\" qy=\"-0.009530\" qz=\"0.054607\" qw=\"-0.993981\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.093655\" qy=\"0.040626\" qz=\"-0.039729\" qw=\"0.993982\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.207302\" qy=\"0.289721\" qz=\"0.472052\" qw=\"0.806383\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.076784\" qy=\"-0.288138\" qz=\"0.310142\" qw=\"-0.902714\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.206138\" y=\"-0.000032\" z=\"-0.000136\" qx=\"0.084899\" qy=\"-0.032633\" qz=\"-0.012783\" qw=\"-0.995773\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.129972\" qy=\"-0.006857\" qz=\"0.010903\" qw=\"0.991434\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.215915\" qy=\"0.107388\" qz=\"0.068996\" qw=\"-0.968033\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000317\" y=\"-0.437082\" z=\"0.002553\" qx=\"-0.170773\" qy=\"0.169788\" qz=\"0.028593\" qw=\"0.970150\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.181579\" qy=\"-0.005638\" qz=\"0.013020\" qw=\"0.983274\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.304460\" qy=\"0.048640\" qz=\"-0.013798\" qw=\"0.951182\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000653\" y=\"-0.436887\" z=\"0.001666\" qx=\"-0.204637\" qy=\"-0.111235\" qz=\"0.010672\" qw=\"0.972438\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.007326\" qy=\"-0.001897\" qz=\"0.000485\" qw=\"-0.999971\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.030786\" qy=\"0.008060\" qz=\"-0.000825\" qw=\"-0.999493\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 120: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.457970\" y=\"0.922396\" z=\"-1.571941\" qx=\"0.078459\" qy=\"0.367081\" qz=\"-0.019263\" qw=\"0.926674\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.052070\" qy=\"0.001334\" qz=\"0.002969\" qw=\"-0.998638\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000540\" y=\"0.195826\" z=\"0.000530\" qx=\"-0.014129\" qy=\"0.000495\" qz=\"-0.004695\" qw=\"-0.999889\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.117095\" qy=\"0.001341\" qz=\"0.007457\" qw=\"-0.993092\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132892\" z=\"-0.018639\" qx=\"0.008914\" qy=\"0.005684\" qz=\"0.037374\" qw=\"-0.999245\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.076864\" qy=\"0.039116\" qz=\"0.033308\" qw=\"0.995717\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.265507\" qy=\"-0.322914\" qz=\"-0.461179\" qw=\"0.782654\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081164\" qy=\"0.311989\" qz=\"-0.261169\" qw=\"-0.909871\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211610\" y=\"-0.000123\" z=\"-0.000030\" qx=\"0.088565\" qy=\"-0.007133\" qz=\"0.057305\" qw=\"-0.994395\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090716\" qy=\"0.042170\" qz=\"-0.039732\" qw=\"0.994190\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.199675\" qy=\"0.286259\" qz=\"0.466114\" qw=\"0.812972\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081161\" qy=\"-0.300036\" qz=\"0.322098\" qw=\"-0.894228\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205924\" y=\"-0.000032\" z=\"-0.000137\" qx=\"0.090552\" qy=\"-0.032224\" qz=\"-0.000116\" qw=\"-0.995370\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.135184\" qy=\"-0.003412\" qz=\"0.013793\" qw=\"0.990719\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.229969\" qy=\"0.102040\" qz=\"0.063922\" qw=\"-0.965720\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000305\" y=\"-0.439054\" z=\"0.002476\" qx=\"-0.181716\" qy=\"0.162958\" qz=\"0.021814\" qw=\"0.969509\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.170988\" qy=\"-0.011486\" qz=\"0.017400\" qw=\"0.985053\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.286924\" qy=\"0.036862\" qz=\"-0.015464\" qw=\"0.957119\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000604\" y=\"-0.434929\" z=\"0.001333\" qx=\"-0.203202\" qy=\"-0.095359\" qz=\"0.004902\" qw=\"0.974470\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010676\" qy=\"-0.002143\" qz=\"0.000548\" qw=\"-0.999941\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026598\" qy=\"0.007863\" qz=\"-0.000805\" qw=\"-0.999615\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 121: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.457135\" y=\"0.921750\" z=\"-1.565741\" qx=\"0.077304\" qy=\"0.362968\" qz=\"-0.023168\" qw=\"0.928300\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.052091\" qy=\"-0.002632\" qz=\"-0.002563\" qw=\"-0.998636\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.195534\" z=\"0.000529\" qx=\"-0.011505\" qy=\"-0.000833\" qz=\"-0.003011\" qw=\"-0.999929\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.116371\" qy=\"0.001012\" qz=\"0.005889\" qw=\"-0.993188\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132988\" z=\"-0.018651\" qx=\"0.008614\" qy=\"0.005455\" qz=\"0.036651\" qw=\"-0.999276\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077148\" qy=\"0.039654\" qz=\"0.033633\" qw=\"0.995663\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.253092\" qy=\"-0.312039\" qz=\"-0.460125\" qw=\"0.791746\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079463\" qy=\"0.327591\" qz=\"-0.268120\" qw=\"-0.902486\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211164\" y=\"-0.000122\" z=\"-0.000030\" qx=\"0.087408\" qy=\"-0.006292\" qz=\"0.059217\" qw=\"-0.994391\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.085607\" qy=\"0.046123\" qz=\"-0.040782\" qw=\"0.994425\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.190957\" qy=\"0.286069\" qz=\"0.455270\" qw=\"0.821236\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084861\" qy=\"-0.307987\" qz=\"0.335355\" qw=\"-0.886273\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205764\" y=\"-0.000031\" z=\"-0.000137\" qx=\"0.095467\" qy=\"-0.036809\" qz=\"0.009988\" qw=\"-0.994702\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.144550\" qy=\"-0.000975\" qz=\"0.016121\" qw=\"0.989366\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.253832\" qy=\"0.100580\" qz=\"0.061308\" qw=\"-0.960049\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000547\" y=\"-0.439570\" z=\"0.002485\" qx=\"-0.187810\" qy=\"0.170168\" qz=\"0.017680\" qw=\"0.967191\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.165750\" qy=\"-0.008243\" qz=\"0.019706\" qw=\"0.985937\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.281945\" qy=\"0.042236\" qz=\"-0.006789\" qw=\"0.958477\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000761\" y=\"-0.434522\" z=\"0.001501\" qx=\"-0.204409\" qy=\"-0.100031\" qz=\"0.000797\" qw=\"0.973761\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016209\" qy=\"-0.001838\" qz=\"0.000470\" qw=\"-0.999867\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026295\" qy=\"0.007058\" qz=\"-0.000723\" qw=\"-0.999629\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 122: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.454954\" y=\"0.920299\" z=\"-1.559188\" qx=\"0.075180\" qy=\"0.361249\" qz=\"-0.023543\" qw=\"0.929135\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.051640\" qy=\"-0.002431\" qz=\"-0.003248\" qw=\"-0.998658\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.195724\" z=\"0.000528\" qx=\"-0.013386\" qy=\"-0.000766\" qz=\"-0.004081\" qw=\"-0.999902\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.115603\" qy=\"-0.000271\" qz=\"0.004434\" qw=\"-0.993286\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.133350\" z=\"-0.018703\" qx=\"0.008970\" qy=\"0.004272\" qz=\"0.036399\" qw=\"-0.999288\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.076198\" qy=\"0.039355\" qz=\"0.034371\" qw=\"0.995723\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.243107\" qy=\"-0.301502\" qz=\"-0.457242\" qw=\"0.800578\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082263\" qy=\"0.341217\" qz=\"-0.281401\" qw=\"-0.893094\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211070\" y=\"-0.000121\" z=\"-0.000031\" qx=\"0.091379\" qy=\"-0.005205\" qz=\"0.064503\" qw=\"-0.993711\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077413\" qy=\"0.052294\" qz=\"-0.042001\" qw=\"0.994741\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.182280\" qy=\"0.287478\" qz=\"0.440256\" qw=\"0.830846\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089293\" qy=\"-0.314140\" qz=\"0.352673\" qw=\"-0.876906\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205904\" y=\"-0.000032\" z=\"-0.000136\" qx=\"0.101434\" qy=\"-0.040673\" qz=\"0.021261\" qw=\"-0.993783\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.157417\" qy=\"-0.004835\" qz=\"0.016994\" qw=\"0.987374\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.285763\" qy=\"0.094335\" qz=\"0.068047\" qw=\"-0.951215\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000527\" y=\"-0.439210\" z=\"0.002916\" qx=\"-0.185181\" qy=\"0.186572\" qz=\"0.022634\" qw=\"0.964565\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.156873\" qy=\"-0.016048\" qz=\"0.020043\" qw=\"0.987285\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.276374\" qy=\"0.042246\" qz=\"-0.004713\" qw=\"0.960110\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000857\" y=\"-0.432959\" z=\"0.001267\" qx=\"-0.206848\" qy=\"-0.090533\" qz=\"-0.000641\" qw=\"0.974175\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.018055\" qy=\"-0.004317\" qz=\"0.001103\" qw=\"-0.999827\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026912\" qy=\"0.007105\" qz=\"-0.000727\" qw=\"-0.999612\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 123: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.452309\" y=\"0.919987\" z=\"-1.552896\" qx=\"0.076977\" qy=\"0.360077\" qz=\"-0.026227\" qw=\"0.929372\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.048276\" qy=\"-0.002783\" qz=\"-0.005036\" qw=\"-0.998818\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000540\" y=\"0.195615\" z=\"0.000528\" qx=\"-0.012502\" qy=\"-0.000890\" qz=\"-0.005009\" qw=\"-0.999909\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.118093\" qy=\"0.000057\" qz=\"0.004718\" qw=\"-0.992991\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.134114\" z=\"-0.018809\" qx=\"0.008293\" qy=\"0.004275\" qz=\"0.034342\" qw=\"-0.999367\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.072481\" qy=\"0.037948\" qz=\"0.035683\" qw=\"0.996009\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.235676\" qy=\"-0.292542\" qz=\"-0.450613\" qw=\"0.809830\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084825\" qy=\"0.350127\" qz=\"-0.295303\" qw=\"-0.884879\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211102\" y=\"-0.000121\" z=\"-0.000030\" qx=\"0.095055\" qy=\"-0.002581\" qz=\"0.067126\" qw=\"-0.993203\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.068290\" qy=\"0.058621\" qz=\"-0.043969\" qw=\"0.994971\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.167141\" qy=\"0.284574\" qz=\"0.425573\" qw=\"0.842597\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092050\" qy=\"-0.325502\" qz=\"0.366846\" qw=\"-0.866602\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205364\" y=\"-0.000033\" z=\"-0.000136\" qx=\"0.105703\" qy=\"-0.043261\" qz=\"0.037350\" qw=\"-0.992754\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.175518\" qy=\"-0.011307\" qz=\"0.019574\" qw=\"0.984217\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.316339\" qy=\"0.087648\" qz=\"0.078679\" qw=\"-0.941306\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000531\" y=\"-0.438306\" z=\"0.003145\" qx=\"-0.179048\" qy=\"0.186037\" qz=\"0.032637\" qw=\"0.965540\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.152772\" qy=\"-0.018820\" qz=\"0.022563\" qw=\"0.987825\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.271384\" qy=\"0.045697\" qz=\"-0.003673\" qw=\"0.961379\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000923\" y=\"-0.432836\" z=\"0.001262\" qx=\"-0.209308\" qy=\"-0.089902\" qz=\"-0.001403\" qw=\"0.973707\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017180\" qy=\"-0.006259\" qz=\"0.001599\" qw=\"-0.999832\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027432\" qy=\"0.007388\" qz=\"-0.000756\" qw=\"-0.999596\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 124: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.446988\" y=\"0.920356\" z=\"-1.546058\" qx=\"0.078686\" qy=\"0.359982\" qz=\"-0.026472\" qw=\"0.929258\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.045795\" qy=\"-0.004370\" qz=\"-0.006826\" qw=\"-0.998918\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000540\" y=\"0.195722\" z=\"0.000527\" qx=\"-0.010444\" qy=\"-0.001423\" qz=\"-0.003899\" qw=\"-0.999937\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.119977\" qy=\"0.000976\" qz=\"0.005769\" qw=\"-0.992759\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.135065\" z=\"-0.018942\" qx=\"-0.000278\" qy=\"0.004815\" qz=\"0.032154\" qw=\"-0.999471\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.068496\" qy=\"0.035742\" qz=\"0.037204\" qw=\"0.996317\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.221927\" qy=\"-0.282972\" qz=\"-0.440878\" qw=\"0.822376\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081386\" qy=\"0.359379\" qz=\"-0.306995\" qw=\"-0.877483\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210831\" y=\"-0.000121\" z=\"-0.000030\" qx=\"0.091989\" qy=\"-0.000429\" qz=\"0.066535\" qw=\"-0.993535\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.060088\" qy=\"0.063304\" qz=\"-0.046123\" qw=\"0.995116\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.149031\" qy=\"0.277878\" qz=\"0.411848\" qw=\"0.854959\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094021\" qy=\"-0.341316\" qz=\"0.386831\" qw=\"-0.851484\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205279\" y=\"-0.000033\" z=\"-0.000136\" qx=\"0.109774\" qy=\"-0.045189\" qz=\"0.049530\" qw=\"-0.991693\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.187095\" qy=\"-0.014821\" qz=\"0.015707\" qw=\"0.982104\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.335738\" qy=\"0.099476\" qz=\"0.085245\" qw=\"-0.932801\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000591\" y=\"-0.437264\" z=\"0.002862\" qx=\"-0.181880\" qy=\"0.176275\" qz=\"0.024360\" qw=\"0.967085\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.144837\" qy=\"-0.018668\" qz=\"0.020516\" qw=\"0.989067\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.263219\" qy=\"0.040129\" qz=\"-0.002091\" qw=\"0.963899\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000936\" y=\"-0.432718\" z=\"0.001122\" qx=\"-0.212278\" qy=\"-0.083853\" qz=\"-0.001340\" qw=\"0.973604\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019024\" qy=\"-0.005564\" qz=\"0.001422\" qw=\"-0.999803\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027701\" qy=\"0.007273\" qz=\"-0.000744\" qw=\"-0.999590\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 125: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.439403\" y=\"0.921138\" z=\"-1.538881\" qx=\"0.081336\" qy=\"0.359414\" qz=\"-0.025346\" qw=\"0.929281\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.044041\" qy=\"-0.007875\" qz=\"-0.008313\" qw=\"-0.998964\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.195650\" z=\"0.000526\" qx=\"-0.005720\" qy=\"-0.002592\" qz=\"-0.001717\" qw=\"-0.999979\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.124018\" qy=\"0.002147\" qz=\"0.007262\" qw=\"-0.992251\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.136030\" z=\"-0.019079\" qx=\"-0.011102\" qy=\"0.005674\" qz=\"0.031135\" qw=\"-0.999437\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063807\" qy=\"0.032588\" qz=\"0.039444\" qw=\"0.996650\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.206391\" qy=\"-0.272351\" qz=\"-0.429022\" qw=\"0.836162\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078381\" qy=\"0.372058\" qz=\"-0.321413\" qw=\"-0.867251\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210736\" y=\"-0.000121\" z=\"-0.000030\" qx=\"0.089674\" qy=\"-0.001495\" qz=\"0.061691\" qw=\"-0.994058\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.049784\" qy=\"0.067690\" qz=\"-0.048332\" qw=\"0.995291\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.134024\" qy=\"0.269087\" qz=\"0.395453\" qw=\"0.867898\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099522\" qy=\"-0.358899\" qz=\"0.410635\" qw=\"-0.832265\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205148\" y=\"-0.000033\" z=\"-0.000137\" qx=\"0.118703\" qy=\"-0.044009\" qz=\"0.059679\" qw=\"-0.990157\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.193803\" qy=\"-0.018414\" qz=\"0.007050\" qw=\"0.980842\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.343175\" qy=\"0.114611\" qz=\"0.084822\" qw=\"-0.928386\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000567\" y=\"-0.436688\" z=\"0.002405\" qx=\"-0.180869\" qy=\"0.163019\" qz=\"0.014478\" qw=\"0.969795\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.135748\" qy=\"-0.017470\" qz=\"0.017372\" qw=\"0.990437\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.253836\" qy=\"0.038060\" qz=\"-0.001658\" qw=\"0.966497\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000971\" y=\"-0.432724\" z=\"0.001052\" qx=\"-0.214648\" qy=\"-0.082252\" qz=\"-0.000094\" qw=\"0.973222\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019404\" qy=\"-0.005329\" qz=\"0.001362\" qw=\"-0.999797\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028120\" qy=\"0.007079\" qz=\"-0.000725\" qw=\"-0.999579\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 126: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.430031\" y=\"0.921184\" z=\"-1.530297\" qx=\"0.082324\" qy=\"0.360052\" qz=\"-0.024868\" qw=\"0.928960\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.042743\" qy=\"-0.011407\" qz=\"-0.010230\" qw=\"-0.998969\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000540\" y=\"0.195367\" z=\"0.000526\" qx=\"-0.001524\" qy=\"-0.003773\" qz=\"-0.000629\" qw=\"-0.999991\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.129823\" qy=\"0.003077\" qz=\"0.008697\" qw=\"-0.991494\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.137346\" z=\"-0.019264\" qx=\"-0.022245\" qy=\"0.006389\" qz=\"0.030704\" qw=\"-0.999261\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.056978\" qy=\"0.029687\" qz=\"0.042463\" qw=\"0.997030\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.191389\" qy=\"-0.261817\" qz=\"-0.414558\" qw=\"0.850273\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.080105\" qy=\"0.387722\" qz=\"-0.341112\" qw=\"-0.852583\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.210824\" y=\"-0.000121\" z=\"-0.000032\" qx=\"0.093221\" qy=\"-0.002055\" qz=\"0.056823\" qw=\"-0.994021\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.037221\" qy=\"0.071492\" qz=\"-0.051663\" qw=\"0.995407\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.118111\" qy=\"0.258292\" qz=\"0.375621\" qw=\"0.882181\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.103154\" qy=\"-0.377137\" qz=\"0.436549\" qw=\"-0.810279\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205438\" y=\"-0.000033\" z=\"-0.000138\" qx=\"0.126206\" qy=\"-0.040735\" qz=\"0.069602\" qw=\"-0.988721\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.196970\" qy=\"-0.031975\" qz=\"0.000933\" qw=\"0.979887\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.345770\" qy=\"0.116313\" qz=\"0.086523\" qw=\"-0.927054\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000708\" y=\"-0.435869\" z=\"0.002322\" qx=\"-0.179514\" qy=\"0.160448\" qz=\"0.011439\" qw=\"0.970515\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.122734\" qy=\"-0.017590\" qz=\"0.014665\" qw=\"0.992175\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.242283\" qy=\"0.034425\" qz=\"-0.000980\" qw=\"0.969594\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000940\" y=\"-0.432310\" z=\"0.000930\" qx=\"-0.217580\" qy=\"-0.078632\" qz=\"0.002620\" qw=\"0.972866\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021095\" qy=\"-0.005149\" qz=\"0.001316\" qw=\"-0.999763\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028137\" qy=\"0.006963\" qz=\"-0.000713\" qw=\"-0.999580\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 127: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.419130\" y=\"0.920189\" z=\"-1.520439\" qx=\"0.084028\" qy=\"0.360452\" qz=\"-0.025540\" qw=\"0.928634\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.038453\" qy=\"-0.015443\" qz=\"-0.010901\" qw=\"-0.999082\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.195005\" z=\"0.000524\" qx=\"0.001555\" qy=\"-0.005122\" qz=\"-0.001470\" qw=\"-0.999985\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.137070\" qy=\"0.003660\" qz=\"0.010234\" qw=\"-0.990502\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.139028\" z=\"-0.019500\" qx=\"-0.036357\" qy=\"0.006459\" qz=\"0.028443\" qw=\"-0.998913\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.049132\" qy=\"0.025710\" qz=\"0.046361\" qw=\"0.997384\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.177183\" qy=\"-0.251657\" qz=\"-0.396490\" qw=\"0.864911\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082253\" qy=\"0.403110\" qz=\"-0.367508\" qw=\"-0.834071\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211256\" y=\"-0.000121\" z=\"-0.000031\" qx=\"0.097832\" qy=\"-0.004534\" qz=\"0.051444\" qw=\"-0.993862\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.025484\" qy=\"0.077066\" qz=\"-0.055992\" qw=\"0.995126\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096352\" qy=\"0.244521\" qz=\"0.350734\" qw=\"0.898839\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104825\" qy=\"-0.393223\" qz=\"0.462221\" qw=\"-0.787870\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205713\" y=\"-0.000033\" z=\"-0.000137\" qx=\"0.131769\" qy=\"-0.038218\" qz=\"0.075789\" qw=\"-0.987640\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.199101\" qy=\"-0.044403\" qz=\"-0.002616\" qw=\"0.978969\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.348496\" qy=\"0.115400\" qz=\"0.090286\" qw=\"-0.925787\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000619\" y=\"-0.436464\" z=\"0.002486\" qx=\"-0.180602\" qy=\"0.163518\" qz=\"0.014513\" qw=\"0.969760\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.110681\" qy=\"-0.016353\" qz=\"0.012500\" qw=\"0.993643\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.232847\" qy=\"0.031178\" qz=\"0.000643\" qw=\"0.972013\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000926\" y=\"-0.432100\" z=\"0.000822\" qx=\"-0.222066\" qy=\"-0.076787\" qz=\"0.003895\" qw=\"0.971996\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021075\" qy=\"-0.005515\" qz=\"0.001409\" qw=\"-0.999762\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028803\" qy=\"0.006840\" qz=\"-0.000700\" qw=\"-0.999561\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 128: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.406576\" y=\"0.917439\" z=\"-1.508906\" qx=\"0.084223\" qy=\"0.362039\" qz=\"-0.026299\" qw=\"0.927978\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.034516\" qy=\"-0.019320\" qz=\"-0.011175\" qw=\"-0.999155\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.195126\" z=\"0.000524\" qx=\"0.004293\" qy=\"-0.006418\" qz=\"-0.002580\" qw=\"-0.999967\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.145830\" qy=\"0.005252\" qz=\"0.010980\" qw=\"-0.989235\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.140664\" z=\"-0.019730\" qx=\"-0.050125\" qy=\"0.007469\" qz=\"0.024412\" qw=\"-0.998417\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.041301\" qy=\"0.022086\" qz=\"0.051101\" qw=\"0.997595\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.160387\" qy=\"-0.243635\" qz=\"-0.373379\" qw=\"0.880628\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084160\" qy=\"0.418740\" qz=\"-0.394101\" qw=\"-0.813793\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.211616\" y=\"-0.000121\" z=\"-0.000031\" qx=\"0.102623\" qy=\"-0.006892\" qz=\"0.034369\" qw=\"-0.994103\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.011970\" qy=\"0.082826\" qz=\"-0.061256\" qw=\"0.994608\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.068916\" qy=\"0.224651\" qz=\"0.323743\" qw=\"0.916500\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104051\" qy=\"-0.414428\" qz=\"0.483548\" qw=\"-0.763940\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.205984\" y=\"-0.000033\" z=\"-0.000137\" qx=\"0.134784\" qy=\"-0.035416\" qz=\"0.083618\" qw=\"-0.986705\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.197870\" qy=\"-0.047926\" qz=\"-0.005122\" qw=\"0.979042\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.354235\" qy=\"0.117477\" qz=\"0.092160\" qw=\"-0.923159\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000387\" y=\"-0.437408\" z=\"0.002665\" qx=\"-0.180262\" qy=\"0.158430\" qz=\"0.015060\" qw=\"0.970659\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.099014\" qy=\"-0.016076\" qz=\"0.011399\" qw=\"0.994891\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.229747\" qy=\"0.025513\" qz=\"0.001114\" qw=\"0.972915\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000911\" y=\"-0.432374\" z=\"0.000709\" qx=\"-0.230451\" qy=\"-0.072872\" qz=\"0.004958\" qw=\"0.970339\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019356\" qy=\"-0.006162\" qz=\"0.001575\" qw=\"-0.999792\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.029640\" qy=\"0.006844\" qz=\"-0.000701\" qw=\"-0.999537\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 129: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.392264\" y=\"0.912801\" z=\"-1.496051\" qx=\"0.083712\" qy=\"0.364498\" qz=\"-0.026912\" qw=\"0.927043\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.031004\" qy=\"-0.023180\" qz=\"-0.011665\" qw=\"-0.999182\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.195759\" z=\"0.000523\" qx=\"0.007975\" qy=\"-0.007707\" qz=\"-0.001911\" qw=\"-0.999937\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.157353\" qy=\"0.007394\" qz=\"0.009965\" qw=\"-0.987465\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.141836\" z=\"-0.019894\" qx=\"-0.060646\" qy=\"0.009202\" qz=\"0.019414\" qw=\"-0.997928\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.031086\" qy=\"0.016609\" qz=\"0.057109\" qw=\"0.997746\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.146956\" qy=\"-0.237415\" qz=\"-0.347477\" qw=\"0.895152\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.088843\" qy=\"0.429661\" qz=\"-0.427780\" qw=\"-0.790255\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.212458\" y=\"-0.000120\" z=\"-0.000031\" qx=\"0.111519\" qy=\"-0.009509\" qz=\"0.015683\" qw=\"-0.993593\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.000720\" qy=\"0.086910\" qz=\"-0.067341\" qw=\"0.993937\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.042263\" qy=\"0.205572\" qz=\"0.291851\" qw=\"0.933154\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.102953\" qy=\"-0.430692\" qz=\"0.507958\" qw=\"-0.738840\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.206447\" y=\"-0.000033\" z=\"-0.000137\" qx=\"0.137709\" qy=\"-0.028913\" qz=\"0.097883\" qw=\"-0.985200\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.193810\" qy=\"-0.045411\" qz=\"-0.007528\" qw=\"0.979958\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.364469\" qy=\"0.123774\" qz=\"0.097091\" qw=\"-0.917832\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000770\" y=\"-0.435139\" z=\"0.002345\" qx=\"-0.161737\" qy=\"0.159592\" qz=\"0.029143\" qw=\"0.973408\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.092297\" qy=\"-0.021185\" qz=\"0.011763\" qw=\"0.995437\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.240070\" qy=\"0.029054\" qz=\"-0.000153\" qw=\"0.970321\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000862\" y=\"-0.434141\" z=\"0.000773\" qx=\"-0.245082\" qy=\"-0.074164\" qz=\"0.005083\" qw=\"0.966648\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024205\" qy=\"-0.004194\" qz=\"0.001072\" qw=\"-0.999698\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.030024\" qy=\"0.005848\" qz=\"-0.000599\" qw=\"-0.999532\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 130: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.375641\" y=\"0.905944\" z=\"-1.482001\" qx=\"0.081031\" qy=\"0.367524\" qz=\"-0.025247\" qw=\"0.926133\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.029647\" qy=\"-0.025326\" qz=\"-0.012496\" qw=\"-0.999161\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.196697\" z=\"0.000525\" qx=\"0.011862\" qy=\"-0.008421\" qz=\"0.002964\" qw=\"-0.999890\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.172538\" qy=\"0.009508\" qz=\"0.006070\" qw=\"-0.984938\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.142300\" z=\"-0.019959\" qx=\"-0.065943\" qy=\"0.011515\" qz=\"0.015478\" qw=\"-0.997637\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.017916\" qy=\"0.009818\" qz=\"0.065647\" qw=\"0.997634\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.131440\" qy=\"-0.229309\" qz=\"-0.320879\" qw=\"0.909493\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.095438\" qy=\"0.440794\" qz=\"-0.462093\" qw=\"-0.763585\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213274\" y=\"-0.000121\" z=\"-0.000031\" qx=\"0.123829\" qy=\"-0.013706\" qz=\"-0.000017\" qw=\"-0.992209\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.012085\" qy=\"0.089444\" qz=\"-0.075118\" qw=\"0.993081\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027288\" qy=\"0.192369\" qz=\"0.259273\" qw=\"0.946059\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.108648\" qy=\"-0.432752\" qz=\"0.540026\" qw=\"-0.713648\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208123\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.150089\" qy=\"-0.025738\" qz=\"0.105424\" qw=\"-0.982699\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.182537\" qy=\"-0.036986\" qz=\"-0.012101\" qw=\"0.982429\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.374830\" qy=\"0.127924\" qz=\"0.097705\" qw=\"-0.913012\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000774\" y=\"-0.437279\" z=\"0.002401\" qx=\"-0.174255\" qy=\"0.157820\" qz=\"0.049565\" qw=\"0.970707\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.090576\" qy=\"-0.028371\" qz=\"0.013320\" qw=\"0.995396\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.267642\" qy=\"0.038450\" qz=\"-0.006813\" qw=\"0.962727\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000714\" y=\"-0.437460\" z=\"0.000868\" qx=\"-0.265401\" qy=\"-0.078053\" qz=\"0.008131\" qw=\"0.960939\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035158\" qy=\"-0.002183\" qz=\"0.000558\" qw=\"-0.999379\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031785\" qy=\"0.006741\" qz=\"-0.000690\" qw=\"-0.999472\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 131: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.358156\" y=\"0.897026\" z=\"-1.468399\" qx=\"0.078783\" qy=\"0.370949\" qz=\"-0.022996\" qw=\"0.925020\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.030654\" qy=\"-0.024570\" qz=\"-0.012935\" qw=\"-0.999144\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.197758\" z=\"0.000529\" qx=\"0.017810\" qy=\"-0.008165\" qz=\"0.008868\" qw=\"-0.999769\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.188215\" qy=\"0.010196\" qz=\"0.002185\" qw=\"-0.982072\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.142594\" z=\"-0.020000\" qx=\"-0.070984\" qy=\"0.012337\" qz=\"0.011649\" qw=\"-0.997333\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.000346\" qy=\"0.000071\" qz=\"0.074501\" qw=\"0.997221\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113843\" qy=\"-0.216353\" qz=\"-0.292321\" qw=\"0.924543\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.097795\" qy=\"0.451190\" qz=\"-0.495323\" qw=\"-0.735879\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214082\" y=\"-0.000122\" z=\"-0.000031\" qx=\"0.131500\" qy=\"-0.020552\" qz=\"-0.020152\" qw=\"-0.990898\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.024877\" qy=\"0.091773\" qz=\"-0.085320\" qw=\"0.991806\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.006750\" qy=\"0.175768\" qz=\"0.222268\" qw=\"0.958988\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104365\" qy=\"-0.447056\" qz=\"0.549431\" qw=\"-0.698122\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208330\" y=\"-0.000033\" z=\"-0.000139\" qx=\"0.147124\" qy=\"-0.019093\" qz=\"0.126327\" qw=\"-0.980832\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.172051\" qy=\"-0.019307\" qz=\"-0.020014\" qw=\"0.984696\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.389581\" qy=\"0.147922\" qz=\"0.093971\" qw=\"-0.904165\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000712\" y=\"-0.437741\" z=\"0.002154\" qx=\"-0.190197\" qy=\"0.160655\" qz=\"0.057500\" qw=\"0.966803\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.104275\" qy=\"-0.026479\" qz=\"0.014417\" qw=\"0.994092\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.321034\" qy=\"0.028357\" qz=\"-0.016857\" qw=\"0.946493\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000683\" y=\"-0.439847\" z=\"0.000708\" qx=\"-0.278034\" qy=\"-0.073138\" qz=\"0.022701\" qw=\"0.957514\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042922\" qy=\"-0.002621\" qz=\"0.000670\" qw=\"-0.999075\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.037701\" qy=\"0.007173\" qz=\"-0.000734\" qw=\"-0.999263\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 132: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.341001\" y=\"0.886094\" z=\"-1.455651\" qx=\"0.075708\" qy=\"0.373106\" qz=\"-0.019402\" qw=\"0.924491\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.036403\" qy=\"-0.021056\" qz=\"-0.011643\" qw=\"-0.999048\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.199301\" z=\"0.000533\" qx=\"0.022586\" qy=\"-0.006986\" qz=\"0.014061\" qw=\"-0.999622\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.198991\" qy=\"0.009422\" qz=\"-0.000972\" qw=\"-0.979956\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.142537\" z=\"-0.019994\" qx=\"-0.076031\" qy=\"0.011912\" qz=\"0.010958\" qw=\"-0.996974\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.016692\" qy=\"-0.010958\" qz=\"0.083875\" qw=\"0.996276\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.085232\" qy=\"-0.200813\" qz=\"-0.257519\" qw=\"0.941326\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.101896\" qy=\"0.461770\" qz=\"-0.519872\" qw=\"-0.711420\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214780\" y=\"-0.000122\" z=\"-0.000031\" qx=\"0.141442\" qy=\"-0.023332\" qz=\"-0.040699\" qw=\"-0.988834\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.042237\" qy=\"0.095570\" qz=\"-0.100108\" qw=\"0.989475\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024770\" qy=\"0.165777\" qz=\"0.183721\" qw=\"0.968582\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105731\" qy=\"-0.441098\" qz=\"0.566599\" qw=\"-0.687909\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209212\" y=\"-0.000033\" z=\"-0.000140\" qx=\"0.150856\" qy=\"-0.015476\" qz=\"0.142536\" qw=\"-0.978103\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.160820\" qy=\"-0.008843\" qz=\"-0.026429\" qw=\"0.986590\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.402875\" qy=\"0.161254\" qz=\"0.094381\" qw=\"-0.895981\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000628\" y=\"-0.440269\" z=\"0.002672\" qx=\"-0.214412\" qy=\"0.164229\" qz=\"0.067568\" qw=\"0.960464\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.142239\" qy=\"-0.008870\" qz=\"0.010373\" qw=\"0.989738\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.411211\" qy=\"0.010549\" qz=\"-0.017041\" qw=\"0.911320\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000434\" y=\"-0.437861\" z=\"0.000386\" qx=\"-0.258218\" qy=\"-0.072843\" qz=\"0.048610\" qw=\"0.962109\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.044050\" qy=\"-0.002782\" qz=\"0.000711\" qw=\"-0.999025\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.051396\" qy=\"0.007985\" qz=\"-0.000817\" qw=\"-0.998646\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 133: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.324725\" y=\"0.874415\" z=\"-1.442580\" qx=\"0.073727\" qy=\"0.370448\" qz=\"-0.014043\" qw=\"0.925816\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.045523\" qy=\"-0.017360\" qz=\"-0.006611\" qw=\"-0.998791\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000554\" y=\"0.201153\" z=\"0.000537\" qx=\"0.025904\" qy=\"-0.005744\" qz=\"0.021509\" qw=\"-0.999416\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.204468\" qy=\"0.007303\" qz=\"-0.008100\" qw=\"-0.978812\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.142119\" z=\"-0.019935\" qx=\"-0.080314\" qy=\"0.011081\" qz=\"0.013525\" qw=\"-0.996616\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.037585\" qy=\"-0.023049\" qz=\"0.098351\" qw=\"0.994175\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.050021\" qy=\"-0.182263\" qz=\"-0.211933\" qw=\"0.958834\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.100816\" qy=\"0.470980\" qz=\"-0.531242\" qw=\"-0.696991\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214867\" y=\"-0.000122\" z=\"-0.000031\" qx=\"0.142584\" qy=\"-0.027942\" qz=\"-0.067457\" qw=\"-0.987086\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.060368\" qy=\"0.098887\" qz=\"-0.115758\" qw=\"0.986498\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.047095\" qy=\"0.157573\" qz=\"0.142489\" qw=\"0.976038\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.107851\" qy=\"-0.437980\" qz=\"0.567648\" qw=\"-0.688707\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209627\" y=\"-0.000033\" z=\"-0.000140\" qx=\"0.153190\" qy=\"-0.010772\" qz=\"0.161278\" qw=\"-0.974888\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.140158\" qy=\"-0.000471\" qz=\"-0.030481\" qw=\"0.989660\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.401920\" qy=\"0.169683\" qz=\"0.098073\" qw=\"-0.894455\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000582\" y=\"-0.441499\" z=\"0.002812\" qx=\"-0.241960\" qy=\"0.165469\" qz=\"0.079076\" qw=\"0.952797\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.203351\" qy=\"-0.009890\" qz=\"-0.002354\" qw=\"-0.979053\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.522663\" qy=\"0.004930\" qz=\"-0.008978\" qw=\"0.852478\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000118\" y=\"-0.430921\" z=\"0.000100\" qx=\"-0.203018\" qy=\"-0.081468\" qz=\"0.073086\" qw=\"0.973039\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.041330\" qy=\"-0.003154\" qz=\"0.000806\" qw=\"-0.999140\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.048166\" qy=\"0.010014\" qz=\"-0.001025\" qw=\"-0.998789\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 134: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.309764\" y=\"0.865838\" z=\"-1.428133\" qx=\"0.074321\" qy=\"0.366031\" qz=\"-0.013710\" qw=\"0.927529\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.058482\" qy=\"-0.011754\" qz=\"-0.002070\" qw=\"-0.998217\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000560\" y=\"0.203252\" z=\"0.000543\" qx=\"0.038046\" qy=\"-0.003862\" qz=\"0.027185\" qw=\"-0.998899\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.215261\" qy=\"0.004188\" qz=\"-0.013855\" qw=\"-0.976449\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.141266\" z=\"-0.019816\" qx=\"-0.078774\" qy=\"0.008435\" qz=\"0.012217\" qw=\"-0.996782\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.065561\" qy=\"-0.035987\" qz=\"0.122916\" qw=\"0.989595\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029526\" qy=\"-0.166180\" qz=\"-0.165123\" qw=\"0.971723\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092240\" qy=\"0.463923\" qz=\"-0.537148\" qw=\"-0.698384\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214952\" y=\"-0.000122\" z=\"-0.000032\" qx=\"0.129981\" qy=\"-0.030491\" qz=\"-0.104132\" qw=\"-0.985562\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.078485\" qy=\"0.103897\" qz=\"-0.133231\" qw=\"0.982494\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050171\" qy=\"0.153533\" qz=\"0.102967\" qw=\"0.981483\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.116034\" qy=\"-0.417494\" qz=\"0.568034\" qw=\"-0.699695\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210055\" y=\"-0.000032\" z=\"-0.000139\" qx=\"0.161768\" qy=\"-0.009030\" qz=\"0.168230\" qw=\"-0.972342\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.114843\" qy=\"0.007063\" qz=\"-0.028133\" qw=\"0.992960\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.385053\" qy=\"0.173306\" qz=\"0.100707\" qw=\"-0.900865\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000616\" y=\"-0.442232\" z=\"0.002913\" qx=\"-0.266673\" qy=\"0.163723\" qz=\"0.090897\" qw=\"0.945419\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.279052\" qy=\"-0.008583\" qz=\"-0.006866\" qw=\"-0.960213\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.636869\" qy=\"0.015042\" qz=\"-0.005846\" qw=\"0.770803\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000397\" y=\"-0.425154\" z=\"0.000385\" qx=\"-0.176386\" qy=\"-0.096847\" qz=\"0.050621\" qw=\"0.978236\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035655\" qy=\"-0.003435\" qz=\"0.000878\" qw=\"-0.999358\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.030596\" qy=\"0.013983\" qz=\"-0.001431\" qw=\"-0.999433\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 135: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.295123\" y=\"0.868767\" z=\"-1.411037\" qx=\"0.078858\" qy=\"0.369089\" qz=\"-0.022068\" qw=\"0.925780\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.071698\" qy=\"-0.001453\" qz=\"-0.002165\" qw=\"-0.997423\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000566\" y=\"0.205201\" z=\"0.000550\" qx=\"0.053964\" qy=\"-0.000424\" qz=\"0.025416\" qw=\"-0.998219\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.228343\" qy=\"0.002302\" qz=\"-0.015629\" qw=\"-0.973453\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.140008\" z=\"-0.019639\" qx=\"-0.072856\" qy=\"0.006679\" qz=\"0.012113\" qw=\"-0.997247\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.085071\" qy=\"-0.048555\" qz=\"0.151433\" qw=\"0.983602\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.020935\" qy=\"-0.160558\" qz=\"-0.128761\" qw=\"0.978368\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.093266\" qy=\"0.439937\" qz=\"-0.547814\" qw=\"-0.705448\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215810\" y=\"-0.000123\" z=\"-0.000032\" qx=\"0.129862\" qy=\"-0.031968\" qz=\"-0.121578\" qw=\"-0.983531\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.091912\" qy=\"0.104081\" qz=\"-0.150336\" qw=\"0.978835\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.052050\" qy=\"0.154385\" qz=\"0.064706\" qw=\"0.984515\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.120435\" qy=\"-0.395117\" qz=\"0.564187\" qw=\"-0.714892\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210549\" y=\"-0.000032\" z=\"-0.000141\" qx=\"0.164416\" qy=\"-0.005838\" qz=\"0.162396\" qw=\"-0.972913\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.091880\" qy=\"0.005968\" qz=\"-0.019326\" qw=\"0.995565\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.354079\" qy=\"0.179639\" qz=\"0.098042\" qw=\"-0.912549\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000642\" y=\"-0.442983\" z=\"0.002896\" qx=\"-0.268325\" qy=\"0.162987\" qz=\"0.092497\" qw=\"0.944924\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.354837\" qy=\"-0.027302\" qz=\"-0.005121\" qw=\"-0.934515\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.726545\" qy=\"-0.016694\" qz=\"0.010776\" qw=\"0.686831\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001570\" y=\"-0.421269\" z=\"-0.000614\" qx=\"-0.175196\" qy=\"-0.101199\" qz=\"0.046077\" qw=\"0.978234\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033985\" qy=\"-0.003211\" qz=\"0.000820\" qw=\"-0.999417\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031999\" qy=\"0.014942\" qz=\"-0.001530\" qw=\"-0.999375\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 136: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.278535\" y=\"0.886926\" z=\"-1.389648\" qx=\"0.086786\" qy=\"0.374506\" qz=\"-0.034815\" qw=\"0.922497\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.080724\" qy=\"0.009376\" qz=\"-0.002827\" qw=\"-0.996688\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000573\" y=\"0.207712\" z=\"0.000557\" qx=\"0.063560\" qy=\"0.003202\" qz=\"0.015555\" qw=\"-0.997852\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.245173\" qy=\"0.000013\" qz=\"-0.014349\" qw=\"-0.969373\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.136948\" z=\"-0.019209\" qx=\"-0.061213\" qy=\"0.004680\" qz=\"0.016790\" qw=\"-0.997973\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.094444\" qy=\"-0.057035\" qz=\"0.174564\" qw=\"0.978445\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011184\" qy=\"-0.159550\" qz=\"-0.108416\" qw=\"0.981155\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096472\" qy=\"0.422339\" qz=\"-0.561688\" qw=\"-0.704861\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217043\" y=\"-0.000124\" z=\"-0.000033\" qx=\"0.134221\" qy=\"-0.048425\" qz=\"-0.125854\" qw=\"-0.981734\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.104363\" qy=\"0.100766\" qz=\"-0.164619\" qw=\"0.975631\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.061340\" qy=\"0.161058\" qz=\"0.039054\" qw=\"0.984262\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.116337\" qy=\"-0.384601\" qz=\"0.560762\" qw=\"-0.723943\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210549\" y=\"-0.000032\" z=\"-0.000141\" qx=\"0.157398\" qy=\"-0.008546\" qz=\"0.148054\" qw=\"-0.976336\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.063707\" qy=\"-0.002402\" qz=\"-0.005149\" qw=\"0.997953\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.298785\" qy=\"0.180188\" qz=\"0.091039\" qw=\"-0.932723\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000936\" y=\"-0.442571\" z=\"0.002221\" qx=\"-0.230251\" qy=\"0.158125\" qz=\"0.081304\" qw=\"0.956750\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.418494\" qy=\"-0.044660\" qz=\"-0.000179\" qw=\"-0.907121\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.779781\" qy=\"-0.038676\" qz=\"0.045887\" qw=\"0.623169\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000537\" y=\"-0.419399\" z=\"-0.000889\" qx=\"-0.176997\" qy=\"-0.104915\" qz=\"0.042118\" qw=\"0.977697\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042251\" qy=\"-0.003897\" qz=\"0.000996\" qw=\"-0.999099\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032353\" qy=\"0.014192\" qz=\"-0.001453\" qw=\"-0.999375\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 137: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.259565\" y=\"0.916560\" z=\"-1.365175\" qx=\"0.096265\" qy=\"0.381094\" qz=\"-0.049920\" qw=\"0.918155\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.085824\" qy=\"0.018887\" qz=\"-0.007314\" qw=\"-0.996104\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000581\" y=\"0.210687\" z=\"0.000565\" qx=\"0.063858\" qy=\"0.006377\" qz=\"0.005872\" qw=\"-0.997921\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.258872\" qy=\"-0.002075\" qz=\"-0.014474\" qw=\"-0.965801\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.133309\" z=\"-0.018700\" qx=\"-0.057121\" qy=\"0.003495\" qz=\"0.024682\" qw=\"-0.998056\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.097258\" qy=\"-0.061704\" qz=\"0.190427\" qw=\"0.974921\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.001778\" qy=\"-0.163728\" qz=\"-0.098562\" qw=\"0.981568\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096244\" qy=\"0.414039\" qz=\"-0.574899\" qw=\"-0.699142\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217844\" y=\"-0.000126\" z=\"-0.000033\" qx=\"0.134753\" qy=\"-0.059918\" qz=\"-0.134488\" qw=\"-0.979880\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.105433\" qy=\"0.095650\" qz=\"-0.166630\" qw=\"0.975689\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.069501\" qy=\"0.174233\" qz=\"0.012020\" qw=\"0.982175\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.114635\" qy=\"-0.371001\" qz=\"0.566163\" qw=\"-0.727101\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210945\" y=\"-0.000033\" z=\"-0.000142\" qx=\"0.154824\" qy=\"-0.014850\" qz=\"0.133309\" qw=\"-0.978794\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034191\" qy=\"-0.007853\" qz=\"0.011289\" qw=\"0.999321\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.229946\" qy=\"0.157477\" qz=\"0.074184\" qw=\"-0.957509\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001439\" y=\"-0.440255\" z=\"0.000641\" qx=\"-0.148295\" qy=\"0.128854\" qz=\"0.053880\" qw=\"0.979031\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.463269\" qy=\"-0.035346\" qz=\"-0.006106\" qw=\"-0.885491\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.800102\" qy=\"-0.034652\" qz=\"0.062828\" qw=\"0.595557\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000561\" y=\"-0.418464\" z=\"-0.001032\" qx=\"-0.172902\" qy=\"-0.098572\" qz=\"0.047380\" qw=\"0.978848\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.066841\" qy=\"-0.003406\" qz=\"0.000870\" qw=\"-0.997757\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032775\" qy=\"0.013878\" qz=\"-0.001421\" qw=\"-0.999365\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 138: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.239618\" y=\"0.949682\" z=\"-1.339557\" qx=\"0.107845\" qy=\"0.389942\" qz=\"-0.061644\" qw=\"0.912422\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.090923\" qy=\"0.025413\" qz=\"-0.011080\" qw=\"-0.995472\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000589\" y=\"0.213337\" z=\"0.000573\" qx=\"0.059580\" qy=\"0.008564\" qz=\"-0.000927\" qw=\"-0.998186\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.272949\" qy=\"-0.001996\" qz=\"-0.012631\" qw=\"-0.961944\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.128485\" z=\"-0.018022\" qx=\"-0.047235\" qy=\"0.002982\" qz=\"0.022389\" qw=\"-0.998628\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.097532\" qy=\"-0.067831\" qz=\"0.202039\" qw=\"0.972146\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.008202\" qy=\"-0.175189\" qz=\"-0.092028\" qw=\"0.980190\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.095616\" qy=\"0.402319\" qz=\"-0.584595\" qw=\"-0.698029\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218540\" y=\"-0.000126\" z=\"-0.000033\" qx=\"0.133667\" qy=\"-0.061599\" qz=\"-0.156164\" qw=\"-0.976704\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.106907\" qy=\"0.089574\" qz=\"-0.166589\" qw=\"0.976112\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.071175\" qy=\"0.188293\" qz=\"-0.009324\" qw=\"0.979486\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.114093\" qy=\"-0.358238\" qz=\"0.564773\" qw=\"-0.734629\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211203\" y=\"-0.000032\" z=\"-0.000142\" qx=\"0.152599\" qy=\"-0.017227\" qz=\"0.131663\" qw=\"-0.979327\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.017787\" qy=\"-0.000997\" qz=\"0.024443\" qw=\"0.999542\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.173469\" qy=\"0.117040\" qz=\"0.057419\" qw=\"-0.976173\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001155\" y=\"-0.439289\" z=\"-0.000745\" qx=\"-0.042380\" qy=\"0.073783\" qz=\"0.021571\" qw=\"0.996140\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.492161\" qy=\"-0.033233\" qz=\"-0.005684\" qw=\"-0.869851\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.795564\" qy=\"-0.033091\" qz=\"0.081644\" qw=\"0.599431\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000566\" y=\"-0.418281\" z=\"-0.001206\" qx=\"-0.166191\" qy=\"-0.094214\" qz=\"0.052400\" qw=\"0.980183\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.089957\" qy=\"-0.004316\" qz=\"0.001103\" qw=\"-0.995936\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034238\" qy=\"0.013622\" qz=\"-0.001394\" qw=\"-0.999320\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 139: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.219043\" y=\"0.977863\" z=\"-1.314450\" qx=\"0.121175\" qy=\"0.394687\" qz=\"-0.069092\" qw=\"0.908166\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.094298\" qy=\"0.026886\" qz=\"-0.013832\" qw=\"-0.995085\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000594\" y=\"0.215224\" z=\"0.000578\" qx=\"0.051326\" qy=\"0.009063\" qz=\"-0.001094\" qw=\"-0.998640\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.282080\" qy=\"-0.001125\" qz=\"-0.010392\" qw=\"-0.959334\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123819\" z=\"-0.017368\" qx=\"-0.037120\" qy=\"0.002594\" qz=\"0.015167\" qw=\"-0.999192\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.093739\" qy=\"-0.072335\" qz=\"0.210039\" qw=\"0.970497\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007178\" qy=\"-0.197121\" qz=\"-0.076289\" qw=\"0.977380\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.100647\" qy=\"0.380185\" qz=\"-0.584167\" qw=\"-0.709985\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219008\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.137779\" qy=\"-0.056591\" qz=\"-0.178252\" qw=\"-0.972646\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.105333\" qy=\"0.091928\" qz=\"-0.166491\" qw=\"0.976081\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.074889\" qy=\"0.197229\" qz=\"-0.029367\" qw=\"0.977052\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113190\" qy=\"-0.340214\" qz=\"0.551547\" qw=\"-0.753152\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210995\" y=\"-0.000032\" z=\"-0.000143\" qx=\"0.147836\" qy=\"-0.021712\" qz=\"0.127762\" qw=\"-0.980485\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.021133\" qy=\"0.012037\" qz=\"0.026534\" qw=\"0.999352\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.149801\" qy=\"0.102271\" qz=\"0.045745\" qw=\"-0.982348\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001120\" y=\"-0.434786\" z=\"-0.000854\" qx=\"0.051782\" qy=\"0.058436\" qz=\"-0.019328\" qw=\"0.996760\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.510286\" qy=\"-0.048934\" qz=\"0.002705\" qw=\"-0.858607\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.773379\" qy=\"-0.042126\" qz=\"0.100868\" qw=\"0.624448\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000444\" y=\"-0.418601\" z=\"-0.001193\" qx=\"-0.157239\" qy=\"-0.090816\" qz=\"0.057966\" qw=\"0.981666\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.084306\" qy=\"-0.005269\" qz=\"0.001346\" qw=\"-0.996425\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034121\" qy=\"0.013017\" qz=\"-0.001333\" qw=\"-0.999332\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 140: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.198097\" y=\"0.996235\" z=\"-1.290109\" qx=\"0.130733\" qy=\"0.394820\" qz=\"-0.073524\" qw=\"0.906433\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.102894\" qy=\"0.025541\" qz=\"-0.017170\" qw=\"-0.994216\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000598\" y=\"0.216753\" z=\"0.000582\" qx=\"0.044404\" qy=\"0.008624\" qz=\"0.003070\" qw=\"-0.998972\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.283552\" qy=\"-0.000769\" qz=\"-0.009365\" qw=\"-0.958911\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121356\" z=\"-0.017022\" qx=\"-0.033372\" qy=\"0.002362\" qz=\"0.011868\" qw=\"-0.999370\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.093641\" qy=\"-0.071754\" qz=\"0.214221\" qw=\"0.969635\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.001355\" qy=\"-0.226383\" qz=\"-0.053605\" qw=\"0.972561\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104387\" qy=\"0.359733\" qz=\"-0.567496\" qw=\"-0.733242\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219202\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.137920\" qy=\"-0.059246\" qz=\"-0.194135\" qw=\"-0.969422\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.102861\" qy=\"0.098788\" qz=\"-0.171503\" qw=\"0.974806\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.068817\" qy=\"0.211126\" qz=\"-0.041035\" qw=\"0.974169\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113755\" qy=\"-0.307270\" qz=\"0.534879\" qw=\"-0.778813\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211255\" y=\"-0.000031\" z=\"-0.000144\" qx=\"0.143813\" qy=\"-0.028782\" qz=\"0.123119\" qw=\"-0.981494\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.038575\" qy=\"0.021138\" qz=\"0.024426\" qw=\"0.998734\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.172352\" qy=\"0.096584\" qz=\"0.049346\" qw=\"-0.979046\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000648\" y=\"-0.433590\" z=\"0.000583\" qx=\"0.086183\" qy=\"0.096861\" qz=\"-0.062764\" qw=\"0.989571\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.515711\" qy=\"-0.056139\" qz=\"0.000980\" qw=\"-0.854921\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.740344\" qy=\"-0.046926\" qz=\"0.098364\" qw=\"0.663334\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000431\" y=\"-0.419458\" z=\"-0.001020\" qx=\"-0.147310\" qy=\"-0.088632\" qz=\"0.060955\" qw=\"0.983224\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.043301\" qy=\"-0.001376\" qz=\"0.000352\" qw=\"-0.999061\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034722\" qy=\"0.013027\" qz=\"-0.001334\" qw=\"-0.999311\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 141: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.175986\" y=\"1.004393\" z=\"-1.265190\" qx=\"0.136607\" qy=\"0.394922\" qz=\"-0.074606\" qw=\"0.905433\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.114125\" qy=\"0.023761\" qz=\"-0.019355\" qw=\"-0.992994\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000601\" y=\"0.217976\" z=\"0.000585\" qx=\"0.039656\" qy=\"0.008041\" qz=\"0.006951\" qw=\"-0.999157\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.285030\" qy=\"-0.000323\" qz=\"-0.007016\" qw=\"-0.958493\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.119562\" z=\"-0.016770\" qx=\"-0.031548\" qy=\"0.002087\" qz=\"0.008968\" qw=\"-0.999460\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.093812\" qy=\"-0.074095\" qz=\"0.213808\" qw=\"0.969534\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005870\" qy=\"-0.256126\" qz=\"-0.033972\" qw=\"0.966029\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105348\" qy=\"0.344149\" qz=\"-0.540135\" qw=\"-0.760735\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219004\" y=\"-0.000126\" z=\"-0.000033\" qx=\"0.133986\" qy=\"-0.055455\" qz=\"-0.204104\" qw=\"-0.968150\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.098469\" qy=\"0.106615\" qz=\"-0.175770\" qw=\"0.973675\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.052524\" qy=\"0.230792\" qz=\"-0.048951\" qw=\"0.970351\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.114304\" qy=\"-0.276314\" qz=\"0.511335\" qw=\"-0.805681\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211699\" y=\"-0.000031\" z=\"-0.000145\" qx=\"0.139608\" qy=\"-0.036870\" qz=\"0.129089\" qw=\"-0.981064\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.058365\" qy=\"0.030846\" qz=\"0.017380\" qw=\"0.997667\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.216715\" qy=\"0.088990\" qz=\"0.054509\" qw=\"-0.970641\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000480\" y=\"-0.432643\" z=\"0.001680\" qx=\"0.098049\" qy=\"0.138815\" qz=\"-0.073561\" qw=\"0.982703\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.507468\" qy=\"-0.050563\" qz=\"-0.006694\" qw=\"-0.860160\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.696386\" qy=\"-0.045726\" qz=\"0.081248\" qw=\"0.711586\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000682\" y=\"-0.420971\" z=\"-0.001481\" qx=\"-0.138607\" qy=\"-0.086058\" qz=\"0.065010\" qw=\"0.984457\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026445\" qy=\"-0.001434\" qz=\"0.000367\" qw=\"-0.999649\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034896\" qy=\"0.012767\" qz=\"-0.001307\" qw=\"-0.999309\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 142: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.152370\" y=\"1.002358\" z=\"-1.238973\" qx=\"0.143001\" qy=\"0.395473\" qz=\"-0.075676\" qw=\"0.904115\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.120705\" qy=\"0.022560\" qz=\"-0.021006\" qw=\"-0.992210\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000601\" y=\"0.217905\" z=\"0.000585\" qx=\"0.034306\" qy=\"0.007644\" qz=\"0.008629\" qw=\"-0.999345\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.286529\" qy=\"0.000665\" qz=\"-0.000870\" qw=\"-0.958071\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.118361\" z=\"-0.016602\" qx=\"-0.030686\" qy=\"0.001334\" qz=\"0.002746\" qw=\"-0.999524\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.094209\" qy=\"-0.074437\" qz=\"0.211296\" qw=\"0.970019\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.014233\" qy=\"-0.291134\" qz=\"-0.023959\" qw=\"0.956276\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.097104\" qy=\"0.328588\" qz=\"-0.509682\" qw=\"-0.789193\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218525\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.119297\" qy=\"-0.048890\" qz=\"-0.204754\" qw=\"-0.970285\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.091883\" qy=\"0.116069\" qz=\"-0.178637\" qw=\"0.972715\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034226\" qy=\"0.253101\" qz=\"-0.051481\" qw=\"0.965463\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.109431\" qy=\"-0.257538\" qz=\"0.485074\" qw=\"-0.828494\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211270\" y=\"-0.000031\" z=\"-0.000144\" qx=\"0.130201\" qy=\"-0.047327\" qz=\"0.121985\" qw=\"-0.982816\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.071277\" qy=\"0.037038\" qz=\"0.010583\" qw=\"0.996713\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.254033\" qy=\"0.093604\" qz=\"0.062084\" qw=\"-0.960652\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000517\" y=\"-0.436082\" z=\"0.002030\" qx=\"0.051202\" qy=\"0.149076\" qz=\"-0.050300\" qw=\"0.986217\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.492999\" qy=\"-0.042067\" qz=\"-0.014474\" qw=\"-0.868892\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.643184\" qy=\"-0.044618\" qz=\"0.062822\" qw=\"0.761824\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000608\" y=\"-0.423349\" z=\"-0.001141\" qx=\"-0.126250\" qy=\"-0.084657\" qz=\"0.071364\" qw=\"0.985800\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028965\" qy=\"-0.002546\" qz=\"0.000650\" qw=\"-0.999577\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034657\" qy=\"0.012127\" qz=\"-0.001241\" qw=\"-0.999325\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 143: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.127080\" y=\"0.989647\" z=\"-1.211280\" qx=\"0.147969\" qy=\"0.396846\" qz=\"-0.076329\" qw=\"0.902658\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.124502\" qy=\"0.022257\" qz=\"-0.022215\" qw=\"-0.991721\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000599\" y=\"0.217368\" z=\"0.000584\" qx=\"0.027534\" qy=\"0.007546\" qz=\"0.009763\" qw=\"-0.999545\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.287337\" qy=\"0.001100\" qz=\"0.001181\" qw=\"-0.957828\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.118015\" z=\"-0.016553\" qx=\"-0.036429\" qy=\"0.001238\" qz=\"0.000918\" qw=\"-0.999335\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.096629\" qy=\"-0.079701\" qz=\"0.206337\" qw=\"0.970431\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.035329\" qy=\"-0.325599\" qz=\"-0.021121\" qw=\"0.944612\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089358\" qy=\"0.311981\" qz=\"-0.480695\" qw=\"-0.814626\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218013\" y=\"-0.000127\" z=\"-0.000032\" qx=\"0.106713\" qy=\"-0.042824\" qz=\"-0.196950\" qw=\"-0.973647\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.082251\" qy=\"0.124880\" qz=\"-0.176411\" qw=\"0.972892\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014691\" qy=\"0.278732\" qz=\"-0.047447\" qw=\"0.959083\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096819\" qy=\"-0.251839\" qz=\"0.457845\" qw=\"-0.847102\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210546\" y=\"-0.000031\" z=\"-0.000143\" qx=\"0.112870\" qy=\"-0.054507\" qz=\"0.122932\" qw=\"-0.984468\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.072134\" qy=\"0.041023\" qz=\"0.004250\" qw=\"0.996542\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.264708\" qy=\"0.107400\" qz=\"0.065494\" qw=\"-0.956089\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000468\" y=\"-0.438442\" z=\"0.001921\" qx=\"0.001470\" qy=\"0.140211\" qz=\"-0.035240\" qw=\"0.989493\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.471821\" qy=\"-0.029404\" qz=\"-0.023950\" qw=\"-0.880878\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.585184\" qy=\"-0.039042\" qz=\"0.044492\" qw=\"0.808737\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000199\" y=\"-0.425478\" z=\"0.000181\" qx=\"-0.125955\" qy=\"-0.083127\" qz=\"0.076129\" qw=\"0.985611\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028966\" qy=\"-0.003361\" qz=\"0.000859\" qw=\"-0.999574\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033645\" qy=\"0.011764\" qz=\"-0.001204\" qw=\"-0.999364\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 144: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.100822\" y=\"0.966790\" z=\"-1.182865\" qx=\"0.153434\" qy=\"0.399436\" qz=\"-0.076503\" qw=\"0.900586\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.127768\" qy=\"0.022872\" qz=\"-0.023849\" qw=\"-0.991254\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000596\" y=\"0.216457\" z=\"0.000581\" qx=\"0.022907\" qy=\"0.007752\" qz=\"0.011957\" qw=\"-0.999636\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.286384\" qy=\"0.001053\" qz=\"0.003738\" qw=\"-0.958107\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.117186\" z=\"-0.016436\" qx=\"-0.046653\" qy=\"0.000099\" qz=\"-0.003837\" qw=\"-0.998904\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.094078\" qy=\"-0.086012\" qz=\"0.199260\" qw=\"0.971621\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.055180\" qy=\"-0.363042\" qz=\"-0.023214\" qw=\"0.929848\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077748\" qy=\"0.294546\" qz=\"-0.448546\" qw=\"-0.840241\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217702\" y=\"-0.000126\" z=\"-0.000033\" qx=\"0.090411\" qy=\"-0.034920\" qz=\"-0.184519\" qw=\"-0.978038\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.071253\" qy=\"0.132858\" qz=\"-0.170068\" qw=\"0.973832\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.014093\" qy=\"0.309521\" qz=\"-0.033234\" qw=\"0.950207\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.085967\" qy=\"-0.248789\" qz=\"0.439694\" qw=\"-0.858710\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209976\" y=\"-0.000030\" z=\"-0.000142\" qx=\"0.098986\" qy=\"-0.065070\" qz=\"0.121714\" qw=\"-0.985471\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.065451\" qy=\"0.035003\" qz=\"-0.002467\" qw=\"0.997239\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.248491\" qy=\"0.117818\" qz=\"0.065823\" qw=\"-0.959186\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000363\" y=\"-0.440920\" z=\"0.001718\" qx=\"-0.035961\" qy=\"0.134506\" qz=\"-0.037239\" qw=\"0.989560\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.453225\" qy=\"-0.021240\" qz=\"-0.029642\" qw=\"-0.890650\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.532007\" qy=\"-0.034158\" qz=\"0.030850\" qw=\"0.845488\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000255\" y=\"-0.428803\" z=\"0.000692\" qx=\"-0.136116\" qy=\"-0.085579\" qz=\"0.079277\" qw=\"0.983801\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.029711\" qy=\"-0.002852\" qz=\"0.000729\" qw=\"-0.999554\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034196\" qy=\"0.012607\" qz=\"-0.001291\" qw=\"-0.999335\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 145: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.075992\" y=\"0.934422\" z=\"-1.154512\" qx=\"0.156956\" qy=\"0.402732\" qz=\"-0.077470\" qw=\"0.898426\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.138654\" qy=\"0.024750\" qz=\"-0.023412\" qw=\"-0.989755\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000591\" y=\"0.214645\" z=\"0.000576\" qx=\"0.019226\" qy=\"0.008401\" qz=\"0.006926\" qw=\"-0.999756\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.280044\" qy=\"0.001514\" qz=\"0.011122\" qw=\"-0.959921\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.115088\" z=\"-0.016142\" qx=\"-0.050868\" qy=\"-0.000982\" qz=\"-0.007430\" qw=\"-0.998677\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.087622\" qy=\"-0.089632\" qz=\"0.185354\" qw=\"0.974645\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069072\" qy=\"-0.397358\" qz=\"-0.019003\" qw=\"0.914863\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.065512\" qy=\"0.281854\" qz=\"-0.402460\" qw=\"-0.868500\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217394\" y=\"-0.000126\" z=\"-0.000032\" qx=\"0.073877\" qy=\"-0.027454\" qz=\"-0.179258\" qw=\"-0.980640\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.056971\" qy=\"0.141741\" qz=\"-0.165635\" qw=\"0.974284\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.036059\" qy=\"0.342863\" qz=\"-0.013315\" qw=\"0.938599\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072545\" qy=\"-0.248251\" qz=\"0.420026\" qw=\"-0.869878\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209304\" y=\"-0.000030\" z=\"-0.000143\" qx=\"0.082591\" qy=\"-0.069113\" qz=\"0.122004\" qw=\"-0.986670\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.057858\" qy=\"0.023640\" qz=\"-0.006988\" qw=\"0.998020\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.226394\" qy=\"0.106453\" qz=\"0.065315\" qw=\"-0.965996\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000983\" y=\"-0.440040\" z=\"0.000493\" qx=\"-0.043705\" qy=\"0.134191\" qz=\"-0.011016\" qw=\"0.989930\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.442736\" qy=\"-0.022314\" qz=\"-0.031957\" qw=\"-0.895805\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.497497\" qy=\"-0.047167\" qz=\"0.019601\" qw=\"0.865961\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000076\" y=\"-0.431144\" z=\"0.000950\" qx=\"-0.146090\" qy=\"-0.085900\" qz=\"0.074240\" qw=\"0.982734\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.085609\" qy=\"-0.010508\" qz=\"0.002685\" qw=\"-0.996270\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034539\" qy=\"0.011661\" qz=\"-0.001194\" qw=\"-0.999335\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 146: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.054854\" y=\"0.893622\" z=\"-1.127218\" qx=\"0.160282\" qy=\"0.411086\" qz=\"-0.081715\" qw=\"0.893667\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.157667\" qy=\"0.031135\" qz=\"-0.023128\" qw=\"-0.986730\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000586\" y=\"0.212862\" z=\"0.000572\" qx=\"0.017052\" qy=\"0.010609\" qz=\"-0.000762\" qw=\"-0.999798\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.270651\" qy=\"0.000220\" qz=\"0.007039\" qw=\"-0.962652\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.113910\" z=\"-0.015977\" qx=\"-0.055353\" qy=\"-0.001024\" qz=\"-0.001492\" qw=\"-0.998465\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.086297\" qy=\"-0.101308\" qz=\"0.178245\" qw=\"0.974945\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089090\" qy=\"-0.424721\" qz=\"-0.017994\" qw=\"0.900750\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.052020\" qy=\"0.256883\" qz=\"-0.345576\" qw=\"-0.901045\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218643\" y=\"-0.000128\" z=\"-0.000032\" qx=\"0.056542\" qy=\"-0.017980\" qz=\"-0.184967\" qw=\"-0.980952\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.038368\" qy=\"0.161003\" qz=\"-0.149682\" qw=\"0.974783\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.059500\" qy=\"0.371591\" qz=\"0.002759\" qw=\"0.926484\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.064207\" qy=\"-0.231767\" qz=\"0.393586\" qw=\"-0.887272\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210724\" y=\"-0.000030\" z=\"-0.000144\" qx=\"0.071680\" qy=\"-0.080390\" qz=\"0.122083\" qw=\"-0.986659\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.061839\" qy=\"0.005566\" qz=\"-0.005884\" qw=\"0.998053\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.278714\" qy=\"0.101745\" qz=\"0.075377\" qw=\"-0.951990\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000422\" y=\"-0.452802\" z=\"0.001110\" qx=\"-0.138901\" qy=\"0.154318\" qz=\"0.025996\" qw=\"0.977863\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.447610\" qy=\"-0.017689\" qz=\"-0.038618\" qw=\"-0.893219\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.493295\" qy=\"-0.054589\" qz=\"0.008428\" qw=\"0.868106\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000233\" y=\"-0.431127\" z=\"0.001097\" qx=\"-0.153325\" qy=\"-0.095765\" qz=\"0.065891\" qw=\"0.981315\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.109350\" qy=\"-0.014820\" qz=\"0.003787\" qw=\"-0.993886\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034239\" qy=\"0.012338\" qz=\"-0.001263\" qw=\"-0.999337\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 147: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.036523\" y=\"0.853129\" z=\"-1.100890\" qx=\"0.169263\" qy=\"0.418408\" qz=\"-0.091092\" qw=\"0.887686\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.188508\" qy=\"0.030714\" qz=\"-0.016905\" qw=\"-0.981446\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000581\" y=\"0.211275\" z=\"0.000568\" qx=\"0.017698\" qy=\"0.010590\" qz=\"-0.025471\" qw=\"-0.999463\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.260765\" qy=\"0.001390\" qz=\"0.004794\" qw=\"-0.965389\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.114531\" z=\"-0.016064\" qx=\"-0.048818\" qy=\"0.001313\" qz=\"0.003222\" qw=\"-0.998802\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.083190\" qy=\"-0.117806\" qz=\"0.171871\" qw=\"0.974506\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.101373\" qy=\"-0.449212\" qz=\"-0.025239\" qw=\"0.887297\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.040478\" qy=\"0.217132\" qz=\"-0.296370\" qw=\"-0.929183\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.222853\" y=\"-0.000130\" z=\"-0.000033\" qx=\"0.042743\" qy=\"-0.011375\" qz=\"-0.178396\" qw=\"-0.982964\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.021248\" qy=\"0.186809\" qz=\"-0.141272\" qw=\"0.971953\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.074888\" qy=\"0.392209\" qz=\"0.032371\" qw=\"0.916251\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.059929\" qy=\"-0.201054\" qz=\"0.357204\" qw=\"-0.910160\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215381\" y=\"-0.000031\" z=\"-0.000148\" qx=\"0.065052\" qy=\"-0.092034\" qz=\"0.136625\" qw=\"-0.984191\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.061535\" qy=\"0.014325\" qz=\"0.004418\" qw=\"0.997992\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.312020\" qy=\"0.141081\" qz=\"0.081838\" qw=\"-0.935971\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000256\" y=\"-0.453879\" z=\"0.001715\" qx=\"-0.208990\" qy=\"0.169321\" qz=\"0.036344\" qw=\"0.962462\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.468113\" qy=\"-0.020711\" qz=\"-0.046126\" qw=\"-0.882221\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.523365\" qy=\"-0.071531\" qz=\"0.006856\" qw=\"0.849073\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000741\" y=\"-0.429359\" z=\"0.000870\" qx=\"-0.184607\" qy=\"-0.097343\" qz=\"0.010373\" qw=\"0.977925\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.109244\" qy=\"-0.014755\" qz=\"0.003770\" qw=\"-0.993898\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025843\" qy=\"0.012410\" qz=\"-0.001270\" qw=\"-0.999588\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 148: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-1.018107\" y=\"0.831554\" z=\"-1.076537\" qx=\"0.210654\" qy=\"0.422295\" qz=\"-0.107659\" qw=\"0.875044\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.214956\" qy=\"0.027657\" qz=\"-0.020588\" qw=\"-0.976015\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000582\" y=\"0.211585\" z=\"0.000569\" qx=\"0.008615\" qy=\"0.009642\" qz=\"-0.032372\" qw=\"-0.999392\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.230978\" qy=\"0.004249\" qz=\"0.000956\" qw=\"-0.972949\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000018\" y=\"0.111994\" z=\"-0.015708\" qx=\"-0.047470\" qy=\"0.005754\" qz=\"0.008352\" qw=\"-0.998821\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.085516\" qy=\"-0.131589\" qz=\"0.167673\" qw=\"0.973271\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094116\" qy=\"-0.467104\" qz=\"-0.029316\" qw=\"0.878690\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.039706\" qy=\"0.174529\" qz=\"-0.245410\" qw=\"-0.952752\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.227943\" y=\"-0.000133\" z=\"-0.000034\" qx=\"0.040802\" qy=\"-0.002423\" qz=\"-0.192403\" qw=\"-0.980464\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.007392\" qy=\"0.212828\" qz=\"-0.121020\" qw=\"0.969538\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073509\" qy=\"0.402984\" qz=\"0.044972\" qw=\"0.911141\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.062015\" qy=\"-0.154934\" qz=\"0.308359\" qw=\"-0.936517\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223299\" y=\"-0.000032\" z=\"-0.000153\" qx=\"0.065228\" qy=\"-0.095029\" qz=\"0.150413\" qw=\"-0.981881\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.081895\" qy=\"0.012952\" qz=\"0.008625\" qw=\"0.996519\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.306799\" qy=\"0.150292\" qz=\"0.081749\" qw=\"-0.936271\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000246\" y=\"-0.455470\" z=\"0.001797\" qx=\"-0.234899\" qy=\"0.164792\" qz=\"0.036339\" qw=\"0.957259\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.505507\" qy=\"-0.049402\" qz=\"-0.037676\" qw=\"-0.860583\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.553468\" qy=\"-0.090039\" qz=\"0.023429\" qw=\"0.827658\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000590\" y=\"-0.430570\" z=\"0.001138\" qx=\"-0.239443\" qy=\"-0.122222\" qz=\"0.000895\" qw=\"0.963186\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.110445\" qy=\"-0.012440\" qz=\"0.003179\" qw=\"-0.993799\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027393\" qy=\"0.011429\" qz=\"-0.001170\" qw=\"-0.999559\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 149: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.996131\" y=\"0.842614\" z=\"-1.049785\" qx=\"0.297912\" qy=\"0.418889\" qz=\"-0.135923\" qw=\"0.846939\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.245097\" qy=\"0.019600\" qz=\"-0.031292\" qw=\"-0.968795\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000586\" y=\"0.212968\" z=\"0.000573\" qx=\"0.011493\" qy=\"0.006966\" qz=\"-0.036917\" qw=\"-0.999228\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.163440\" qy=\"0.006781\" qz=\"0.011520\" qw=\"-0.986463\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.051446\" qy=\"0.005828\" qz=\"0.001870\" qw=\"-0.998657\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.092267\" qy=\"-0.131506\" qz=\"0.171027\" qw=\"0.972082\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.076285\" qy=\"-0.478425\" qz=\"-0.031977\" qw=\"0.874224\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.051581\" qy=\"0.133643\" qz=\"-0.216246\" qw=\"-0.965772\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.232688\" y=\"-0.000136\" z=\"-0.000035\" qx=\"0.052348\" qy=\"-0.012551\" qz=\"-0.187181\" qw=\"-0.980849\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.001400\" qy=\"0.224967\" qz=\"-0.114647\" qw=\"0.967597\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049328\" qy=\"0.411257\" qz=\"0.028371\" qw=\"0.909742\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072670\" qy=\"-0.094221\" qz=\"0.235220\" qw=\"-0.964631\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.233697\" y=\"-0.000033\" z=\"-0.000160\" qx=\"0.073744\" qy=\"-0.084951\" qz=\"0.182190\" qw=\"-0.976807\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.137390\" qy=\"-0.027724\" qz=\"0.001745\" qw=\"-0.990127\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.254566\" qy=\"0.134882\" qz=\"0.062598\" qw=\"-0.955555\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000173\" y=\"-0.458291\" z=\"0.001020\" qx=\"-0.188234\" qy=\"0.139338\" qz=\"0.017357\" qw=\"0.972035\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.554447\" qy=\"-0.069418\" qz=\"-0.034340\" qw=\"-0.828607\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.531803\" qy=\"-0.081503\" qz=\"0.012832\" qw=\"0.842839\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000436\" y=\"-0.433059\" z=\"0.001953\" qx=\"-0.255807\" qy=\"-0.152689\" qz=\"0.000301\" qw=\"0.954593\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.108073\" qy=\"-0.012470\" qz=\"0.003186\" qw=\"-0.994060\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024588\" qy=\"0.012370\" qz=\"-0.001266\" qw=\"-0.999620\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 150: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.960505\" y=\"0.866783\" z=\"-1.013725\" qx=\"0.405867\" qy=\"0.404420\" qz=\"-0.169375\" qw=\"0.801891\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.258908\" qy=\"0.027615\" qz=\"-0.033583\" qw=\"-0.964923\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000587\" y=\"0.213410\" z=\"0.000575\" qx=\"0.005521\" qy=\"0.009612\" qz=\"-0.076954\" qw=\"-0.996973\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.066583\" qy=\"0.006117\" qz=\"0.103451\" qw=\"-0.992384\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.075928\" qy=\"-0.015304\" qz=\"-0.045911\" qw=\"-0.995938\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.116579\" qy=\"-0.091406\" qz=\"0.122086\" qw=\"0.981402\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.106293\" qy=\"-0.478605\" qz=\"0.013154\" qw=\"0.871473\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082557\" qy=\"0.093727\" qz=\"-0.176578\" qw=\"-0.976330\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.239317\" y=\"-0.000139\" z=\"-0.000036\" qx=\"0.082941\" qy=\"-0.021758\" qz=\"-0.173539\" qw=\"-0.981087\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.010469\" qy=\"0.273491\" qz=\"-0.165020\" qw=\"0.947556\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.008349\" qy=\"0.394766\" qz=\"-0.020009\" qw=\"0.918526\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084656\" qy=\"-0.023644\" qz=\"0.133384\" qw=\"-0.987159\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.245492\" y=\"-0.000035\" z=\"-0.000168\" qx=\"0.083371\" qy=\"-0.033013\" qz=\"0.221047\" qw=\"-0.971132\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.186521\" qy=\"-0.067645\" qz=\"0.025283\" qw=\"-0.979793\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.172352\" qy=\"0.082335\" qz=\"0.054289\" qw=\"-0.980086\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000156\" y=\"-0.459580\" z=\"0.002418\" qx=\"-0.113998\" qy=\"0.142910\" qz=\"-0.001233\" qw=\"0.983148\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.605182\" qy=\"-0.084141\" qz=\"-0.007820\" qw=\"-0.791589\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.488992\" qy=\"-0.080171\" qz=\"0.015301\" qw=\"0.868462\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000672\" y=\"-0.437051\" z=\"0.002497\" qx=\"-0.257835\" qy=\"-0.159771\" qz=\"0.000038\" qw=\"0.952888\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028410\" qy=\"-0.003702\" qz=\"0.000946\" qw=\"-0.999589\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027827\" qy=\"0.012057\" qz=\"-0.001234\" qw=\"-0.999539\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 151: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.913465\" y=\"0.881005\" z=\"-0.968325\" qx=\"0.495148\" qy=\"0.389533\" qz=\"-0.191281\" qw=\"0.752665\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.267932\" qy=\"-0.008823\" qz=\"-0.058455\" qw=\"-0.961622\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000576\" y=\"0.209429\" z=\"0.000564\" qx=\"-0.012052\" qy=\"-0.002376\" qz=\"-0.014825\" qw=\"-0.999815\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.044401\" qy=\"0.015578\" qz=\"-0.096114\" qw=\"-0.994257\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.115377\" qy=\"0.041723\" qz=\"0.086386\" qw=\"-0.988678\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.140259\" qy=\"-0.133968\" qz=\"0.261789\" qw=\"0.945435\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.011759\" qy=\"-0.485159\" qz=\"-0.073141\" qw=\"0.871282\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.054003\" qy=\"0.054502\" qz=\"-0.126539\" qw=\"-0.988990\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.234835\" y=\"-0.000136\" z=\"-0.000035\" qx=\"0.053172\" qy=\"-0.040544\" qz=\"-0.216805\" qw=\"-0.973922\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.043332\" qy=\"0.210819\" qz=\"-0.087091\" qw=\"0.972673\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.004766\" qy=\"0.380152\" qz=\"-0.071825\" qw=\"0.922119\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.102401\" qy=\"0.017980\" qz=\"0.102472\" qw=\"-0.989288\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.248320\" y=\"-0.000035\" z=\"-0.000170\" qx=\"0.101537\" qy=\"0.018329\" qz=\"0.168770\" qw=\"-0.980240\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.184011\" qy=\"-0.120504\" qz=\"0.045191\" qw=\"-0.974462\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.160118\" qy=\"0.032525\" qz=\"0.055223\" qw=\"-0.985015\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000021\" y=\"-0.462929\" z=\"0.002537\" qx=\"-0.112315\" qy=\"0.144840\" qz=\"-0.028766\" qw=\"0.982639\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.638709\" qy=\"-0.073853\" qz=\"0.016332\" qw=\"-0.765722\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.456788\" qy=\"-0.072946\" qz=\"0.017253\" qw=\"0.886412\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000850\" y=\"-0.438945\" z=\"0.002238\" qx=\"-0.262695\" qy=\"-0.148438\" qz=\"0.004850\" qw=\"0.953380\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028659\" qy=\"-0.003258\" qz=\"0.000833\" qw=\"-0.999584\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.039847\" qy=\"0.012096\" qz=\"-0.001238\" qw=\"-0.999132\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 152: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.860956\" y=\"0.884870\" z=\"-0.914222\" qx=\"0.567831\" qy=\"0.382804\" qz=\"-0.207763\" qw=\"0.698472\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.275541\" qy=\"-0.004417\" qz=\"-0.065661\" qw=\"-0.959034\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000571\" y=\"0.207682\" z=\"0.000560\" qx=\"-0.007497\" qy=\"-0.000631\" qz=\"-0.029920\" qw=\"-0.999524\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.087842\" qy=\"0.015547\" qz=\"-0.126016\" qw=\"-0.988009\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.139207\" qy=\"0.049182\" qz=\"0.111449\" qw=\"-0.982742\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.144256\" qy=\"-0.129202\" qz=\"0.265567\" qw=\"0.944442\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.035121\" qy=\"-0.477468\" qz=\"-0.103305\" qw=\"0.871848\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.124405\" qy=\"0.060691\" qz=\"-0.143099\" qw=\"-0.979981\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.236565\" y=\"-0.000138\" z=\"-0.000035\" qx=\"0.121257\" qy=\"-0.060138\" qz=\"-0.263205\" qw=\"-0.955198\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.065226\" qy=\"0.204829\" qz=\"-0.081609\" qw=\"0.973206\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.015666\" qy=\"0.369761\" qz=\"-0.055854\" qw=\"0.927314\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.151932\" qy=\"0.002669\" qz=\"0.145760\" qw=\"-0.977580\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.247087\" y=\"-0.000035\" z=\"-0.000169\" qx=\"0.150243\" qy=\"0.037979\" qz=\"0.206670\" qw=\"-0.966060\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.144345\" qy=\"-0.119599\" qz=\"0.033020\" qw=\"-0.981718\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.196850\" qy=\"0.079441\" qz=\"0.052242\" qw=\"-0.975813\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000279\" y=\"-0.465421\" z=\"0.002979\" qx=\"-0.093346\" qy=\"0.127513\" qz=\"-0.030600\" qw=\"0.986960\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.660148\" qy=\"-0.086588\" qz=\"0.049038\" qw=\"-0.744515\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.434088\" qy=\"-0.087852\" qz=\"0.019965\" qw=\"0.896355\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000877\" y=\"-0.440440\" z=\"0.001920\" qx=\"-0.268240\" qy=\"-0.149966\" qz=\"0.016218\" qw=\"0.951469\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023787\" qy=\"-0.003116\" qz=\"0.000796\" qw=\"-0.999712\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.055679\" qy=\"0.013810\" qz=\"-0.001414\" qw=\"-0.998352\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 153: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.804980\" y=\"0.884600\" z=\"-0.860632\" qx=\"0.636563\" qy=\"0.363493\" qz=\"-0.225013\" qw=\"0.641895\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.279801\" qy=\"-0.010219\" qz=\"-0.075894\" qw=\"-0.956999\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000575\" y=\"0.208868\" z=\"0.000564\" qx=\"0.024159\" qy=\"-0.002336\" qz=\"-0.011570\" qw=\"-0.999638\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.103168\" qy=\"0.014602\" qz=\"-0.218389\" qw=\"-0.970283\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.164122\" qy=\"0.070681\" qz=\"0.179422\" qw=\"-0.967407\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.118322\" qy=\"-0.161507\" qz=\"0.306913\" qw=\"0.930441\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.085537\" qy=\"-0.446155\" qz=\"-0.145193\" qw=\"0.878947\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.139386\" qy=\"0.069234\" qz=\"-0.160533\" qw=\"-0.974683\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.234412\" y=\"-0.000136\" z=\"-0.000035\" qx=\"0.134738\" qy=\"-0.070187\" qz=\"-0.298655\" qw=\"-0.942192\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.065181\" qy=\"0.170553\" qz=\"-0.044842\" qw=\"0.982167\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.000834\" qy=\"0.356596\" qz=\"-0.063713\" qw=\"0.932083\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.137516\" qy=\"-0.023170\" qz=\"0.157273\" qw=\"-0.977659\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.246995\" y=\"-0.000035\" z=\"-0.000169\" qx=\"0.135472\" qy=\"0.063931\" qz=\"0.226753\" qw=\"-0.962363\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077665\" qy=\"-0.076836\" qz=\"0.012536\" qw=\"-0.993935\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.234654\" qy=\"0.030196\" qz=\"0.057497\" qw=\"-0.969907\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000214\" y=\"-0.463082\" z=\"0.004211\" qx=\"-0.069331\" qy=\"0.163683\" qz=\"-0.012558\" qw=\"0.983994\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.675362\" qy=\"-0.103838\" qz=\"0.081326\" qw=\"-0.725596\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.397079\" qy=\"-0.106322\" qz=\"0.021320\" qw=\"0.911356\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000939\" y=\"-0.442174\" z=\"0.001563\" qx=\"-0.269102\" qy=\"-0.148445\" qz=\"0.025018\" qw=\"0.951274\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016127\" qy=\"-0.007438\" qz=\"0.001900\" qw=\"-0.999840\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.072564\" qy=\"0.013757\" qz=\"-0.001408\" qw=\"-0.997268\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 154: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.748657\" y=\"0.889598\" z=\"-0.809787\" qx=\"0.703181\" qy=\"0.329448\" qz=\"-0.244653\" qw=\"0.580642\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.270095\" qy=\"0.000546\" qz=\"-0.071134\" qw=\"-0.960203\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000582\" y=\"0.211624\" z=\"0.000571\" qx=\"0.032278\" qy=\"0.001327\" qz=\"-0.030036\" qw=\"-0.999027\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.133143\" qy=\"0.009797\" qz=\"-0.201513\" qw=\"-0.970345\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.195751\" qy=\"0.061346\" qz=\"0.167213\" qw=\"-0.964343\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.116089\" qy=\"-0.156899\" qz=\"0.280997\" qw=\"0.939653\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.070406\" qy=\"-0.414030\" qz=\"-0.129647\" qw=\"0.898228\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.179914\" qy=\"0.082941\" qz=\"-0.182181\" qw=\"-0.963100\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.234663\" y=\"-0.000136\" z=\"-0.000035\" qx=\"0.175978\" qy=\"-0.074591\" qz=\"-0.275784\" qw=\"-0.942025\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.078024\" qy=\"0.169293\" qz=\"-0.063811\" qw=\"0.980398\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014601\" qy=\"0.362676\" qz=\"-0.058259\" qw=\"0.929978\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.169754\" qy=\"-0.050379\" qz=\"0.175317\" qw=\"-0.968457\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.240954\" y=\"-0.000034\" z=\"-0.000165\" qx=\"0.164639\" qy=\"0.022660\" qz=\"0.302370\" qw=\"-0.938591\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.007172\" qy=\"-0.087005\" qz=\"-0.001657\" qw=\"-0.996181\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.278211\" qy=\"0.018216\" qz=\"0.061982\" qw=\"-0.958345\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000191\" y=\"-0.459086\" z=\"0.004909\" qx=\"-0.057260\" qy=\"0.188989\" qz=\"-0.001990\" qw=\"0.980306\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.686891\" qy=\"-0.102314\" qz=\"0.105695\" qw=\"-0.711717\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.328052\" qy=\"-0.112735\" qz=\"0.020790\" qw=\"0.937678\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001418\" y=\"-0.443087\" z=\"0.000656\" qx=\"-0.241172\" qy=\"-0.124878\" qz=\"0.031986\" qw=\"0.961883\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013843\" qy=\"-0.010207\" qz=\"0.002608\" qw=\"-0.999849\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.097810\" qy=\"0.015510\" qz=\"-0.001588\" qw=\"-0.995083\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 155: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.690842\" y=\"0.901995\" z=\"-0.758756\" qx=\"0.774341\" qy=\"0.288006\" qz=\"-0.253098\" qw=\"0.503378\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.248507\" qy=\"0.016145\" qz=\"-0.069803\" qw=\"-0.965977\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000587\" y=\"0.213400\" z=\"0.000576\" qx=\"0.041142\" qy=\"0.006559\" qz=\"-0.030994\" qw=\"-0.998651\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.143327\" qy=\"0.006488\" qz=\"-0.190257\" qw=\"-0.971194\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.207709\" qy=\"0.056086\" qz=\"0.165414\" qw=\"-0.962470\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.119081\" qy=\"-0.156396\" qz=\"0.272951\" qw=\"0.941731\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082479\" qy=\"0.379290\" qz=\"0.138351\" qw=\"-0.911151\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.204853\" qy=\"0.127190\" qz=\"-0.199025\" qw=\"-0.949867\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.229973\" y=\"-0.000134\" z=\"-0.000034\" qx=\"0.179888\" qy=\"-0.087091\" qz=\"-0.514015\" qw=\"-0.834173\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.092867\" qy=\"0.156543\" qz=\"-0.071028\" qw=\"0.980727\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.015909\" qy=\"0.370134\" qz=\"-0.061674\" qw=\"0.926792\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.157456\" qy=\"-0.105062\" qz=\"0.211409\" qw=\"-0.958893\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.234575\" y=\"-0.000033\" z=\"-0.000161\" qx=\"0.145758\" qy=\"0.072928\" qz=\"0.432414\" qw=\"-0.886823\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046193\" qy=\"-0.106168\" qz=\"-0.012542\" qw=\"-0.993195\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.326639\" qy=\"0.046034\" qz=\"0.069590\" qw=\"-0.941459\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000296\" y=\"-0.454389\" z=\"0.004740\" qx=\"-0.048092\" qy=\"0.179916\" qz=\"-0.011965\" qw=\"0.982433\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.695820\" qy=\"0.100000\" qz=\"-0.165168\" qw=\"0.691776\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.231607\" qy=\"-0.165343\" qz=\"0.023239\" qw=\"0.958373\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001701\" y=\"-0.438992\" z=\"-0.001642\" qx=\"-0.154629\" qy=\"-0.047653\" qz=\"0.041991\" qw=\"0.985929\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.012801\" qy=\"-0.011695\" qz=\"0.002988\" qw=\"-0.999845\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.138592\" qy=\"0.011064\" qz=\"-0.001133\" qw=\"-0.990287\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 156: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.637746\" y=\"0.913441\" z=\"-0.707353\" qx=\"0.833000\" qy=\"0.252903\" qz=\"-0.236066\" qw=\"0.431769\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.232882\" qy=\"0.038950\" qz=\"-0.075493\" qw=\"-0.968788\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000578\" y=\"0.210286\" z=\"0.000568\" qx=\"0.049005\" qy=\"0.014132\" qz=\"-0.015013\" qw=\"-0.998586\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.111174\" qy=\"0.010578\" qz=\"-0.159672\" qw=\"-0.980833\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.103951\" z=\"-0.014580\" qx=\"-0.198616\" qy=\"0.053042\" qz=\"0.144964\" qw=\"-0.967845\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.133253\" qy=\"-0.153422\" qz=\"0.252434\" qw=\"0.946035\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.177172\" qy=\"0.336940\" qz=\"0.179726\" qw=\"-0.907072\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156493\" qy=\"0.219188\" qz=\"-0.248580\" qw=\"-0.930416\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221568\" y=\"-0.000129\" z=\"-0.000033\" qx=\"0.137687\" qy=\"-0.074580\" qz=\"-0.552129\" qw=\"-0.818923\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.128071\" qy=\"0.140823\" qz=\"-0.075596\" qw=\"0.978802\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.039534\" qy=\"0.368812\" qz=\"-0.044264\" qw=\"0.927607\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.154845\" qy=\"-0.170084\" qz=\"0.234482\" qw=\"-0.944517\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225792\" y=\"-0.000032\" z=\"-0.000155\" qx=\"0.139538\" qy=\"0.064766\" qz=\"0.503377\" qw=\"-0.850262\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.101343\" qy=\"-0.105242\" qz=\"-0.035557\" qw=\"-0.988630\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.390690\" qy=\"0.057331\" qz=\"0.073557\" qw=\"-0.915786\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000195\" y=\"-0.448185\" z=\"0.004841\" qx=\"-0.040121\" qy=\"0.193256\" qz=\"-0.010246\" qw=\"0.980274\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.699708\" qy=\"0.094126\" qz=\"-0.240578\" qw=\"0.666087\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.190463\" qy=\"-0.153161\" qz=\"0.018543\" qw=\"0.969496\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001176\" y=\"-0.432176\" z=\"-0.001294\" qx=\"-0.046942\" qy=\"-0.010146\" qz=\"0.064829\" qw=\"0.996740\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010069\" qy=\"-0.006674\" qz=\"0.001705\" qw=\"-0.999925\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.108205\" qy=\"0.003869\" qz=\"-0.000396\" qw=\"-0.994121\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 157: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.592066\" y=\"0.921367\" z=\"-0.651984\" qx=\"0.875017\" qy=\"0.219922\" qz=\"-0.222694\" qw=\"0.369306\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.222015\" qy=\"0.038582\" qz=\"-0.071334\" qw=\"-0.971665\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000567\" y=\"0.206255\" z=\"0.000557\" qx=\"0.065313\" qy=\"0.013715\" qz=\"-0.009349\" qw=\"-0.997727\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"0.040706\" qy=\"0.016775\" qz=\"-0.130456\" qw=\"-0.990476\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.104783\" z=\"-0.014697\" qx=\"-0.180968\" qy=\"0.051854\" qz=\"0.119643\" qw=\"-0.974806\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.123246\" qy=\"-0.162715\" qz=\"0.253167\" qw=\"0.945643\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.125045\" qy=\"0.315056\" qz=\"0.155637\" qw=\"-0.927837\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.177158\" qy=\"0.256479\" qz=\"-0.298755\" qw=\"-0.901986\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221893\" y=\"-0.000129\" z=\"-0.000033\" qx=\"0.155007\" qy=\"-0.118250\" qz=\"-0.581989\" qw=\"-0.789480\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.141257\" qy=\"0.126214\" qz=\"-0.084390\" qw=\"0.978261\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.045198\" qy=\"0.359153\" qz=\"-0.037918\" qw=\"0.931412\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.139792\" qy=\"-0.179910\" qz=\"0.262561\" qw=\"-0.937631\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223743\" y=\"-0.000032\" z=\"-0.000153\" qx=\"0.121233\" qy=\"0.104696\" qz=\"0.561081\" qw=\"-0.812114\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.123810\" qy=\"-0.106495\" qz=\"-0.066080\" qw=\"-0.984359\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.497204\" qy=\"0.090542\" qz=\"0.056739\" qw=\"-0.861029\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000219\" y=\"-0.439886\" z=\"0.005189\" qx=\"-0.019738\" qy=\"0.223304\" qz=\"0.021980\" qw=\"0.974301\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.708191\" qy=\"0.113817\" qz=\"-0.290404\" qw=\"0.633385\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.303516\" qy=\"-0.198362\" qz=\"0.017270\" qw=\"0.931790\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000761\" y=\"-0.431856\" z=\"0.001895\" qx=\"-0.035376\" qy=\"-0.090426\" qz=\"0.084353\" qw=\"0.991694\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010341\" qy=\"-0.010598\" qz=\"0.002708\" qw=\"-0.999887\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035464\" qy=\"0.010819\" qz=\"-0.001107\" qw=\"-0.999312\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 158: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.539072\" y=\"0.925221\" z=\"-0.586172\" qx=\"0.903868\" qy=\"0.183211\" qz=\"-0.252580\" qw=\"0.292677\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.209521\" qy=\"0.014339\" qz=\"-0.073621\" qw=\"-0.974923\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000570\" y=\"0.207157\" z=\"0.000559\" qx=\"0.094609\" qy=\"0.005257\" qz=\"-0.004415\" qw=\"-0.995491\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.022901\" qy=\"0.018525\" qz=\"-0.105156\" qw=\"-0.994019\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000017\" y=\"0.107889\" z=\"-0.015132\" qx=\"-0.168702\" qy=\"0.046519\" qz=\"0.091622\" qw=\"-0.980296\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.104793\" qy=\"-0.165504\" qz=\"0.238232\" qw=\"0.951248\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.125567\" qy=\"0.287475\" qz=\"0.140624\" qw=\"-0.939051\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.166700\" qy=\"0.306306\" qz=\"-0.330192\" qw=\"-0.877132\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220046\" y=\"-0.000128\" z=\"-0.000033\" qx=\"0.146846\" qy=\"-0.131119\" qz=\"-0.603027\" qw=\"-0.773048\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.142201\" qy=\"0.128388\" qz=\"-0.084873\" qw=\"0.977800\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.084141\" qy=\"0.342867\" qz=\"-0.016904\" qw=\"0.935455\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.128165\" qy=\"-0.218257\" qz=\"0.297272\" qw=\"-0.920634\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219757\" y=\"-0.000031\" z=\"-0.000150\" qx=\"0.111541\" qy=\"0.095387\" qz=\"0.581805\" qw=\"-0.799977\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.083464\" qy=\"-0.038418\" qz=\"-0.071439\" qw=\"-0.993204\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.619094\" qy=\"0.061181\" qz=\"0.095700\" qw=\"-0.777059\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000665\" y=\"-0.431428\" z=\"0.005238\" qx=\"-0.002673\" qy=\"0.259228\" qz=\"0.067606\" qw=\"0.963443\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.693280\" qy=\"0.125245\" qz=\"-0.254717\" qw=\"0.662417\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.357624\" qy=\"-0.165725\" qz=\"0.031109\" qw=\"0.918517\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000837\" y=\"-0.431994\" z=\"0.002246\" qx=\"-0.024281\" qy=\"-0.084921\" qz=\"0.073288\" qw=\"0.993392\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010980\" qy=\"-0.012260\" qz=\"0.003132\" qw=\"-0.999860\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022962\" qy=\"0.013526\" qz=\"-0.001385\" qw=\"-0.999644\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 159: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.483071\" y=\"0.917262\" z=\"-0.515579\" qx=\"0.929425\" qy=\"0.144096\" qz=\"-0.280209\" qw=\"0.192063\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.165522\" qy=\"0.015764\" qz=\"-0.059453\" qw=\"-0.984286\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000575\" y=\"0.208970\" z=\"0.000564\" qx=\"0.090193\" qy=\"0.005591\" qz=\"-0.011020\" qw=\"-0.995848\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.038590\" qy=\"0.009947\" qz=\"-0.101517\" qw=\"-0.994035\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000018\" y=\"0.109529\" z=\"-0.015363\" qx=\"-0.165034\" qy=\"0.035583\" qz=\"0.078036\" qw=\"-0.982552\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.116752\" qy=\"-0.146073\" qz=\"0.233494\" qw=\"0.954208\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.131525\" qy=\"0.267661\" qz=\"0.148881\" qw=\"-0.942812\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.143670\" qy=\"0.350242\" qz=\"-0.388300\" qw=\"-0.840186\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217712\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.130332\" qy=\"-0.146764\" qz=\"-0.616250\" qw=\"-0.762699\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.137835\" qy=\"0.129655\" qz=\"-0.086155\" qw=\"0.978145\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.080551\" qy=\"0.331540\" qz=\"-0.010930\" qw=\"0.939933\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.141440\" qy=\"-0.243350\" qz=\"0.351789\" qw=\"-0.892760\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219015\" y=\"-0.000031\" z=\"-0.000150\" qx=\"0.124634\" qy=\"0.120843\" qz=\"0.594216\" qw=\"-0.785348\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.000631\" qy=\"-0.020009\" qz=\"-0.087096\" qw=\"-0.995999\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.714347\" qy=\"0.052237\" qz=\"0.121171\" qw=\"-0.687239\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001193\" y=\"-0.425368\" z=\"0.004591\" qx=\"-0.013387\" qy=\"0.273068\" qz=\"0.092349\" qw=\"0.957458\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.624641\" qy=\"0.139052\" qz=\"-0.201149\" qw=\"0.741638\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.285297\" qy=\"-0.165699\" qz=\"0.020630\" qw=\"0.943782\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000350\" y=\"-0.437016\" z=\"0.001589\" qx=\"-0.023788\" qy=\"-0.040441\" qz=\"0.127502\" qw=\"0.990728\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015458\" qy=\"-0.012628\" qz=\"0.003227\" qw=\"-0.999796\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020175\" qy=\"0.014915\" qz=\"-0.001527\" qw=\"-0.999684\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 160: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.436851\" y=\"0.897861\" z=\"-0.460925\" qx=\"0.946752\" qy=\"0.097199\" qz=\"-0.282838\" qw=\"0.119233\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.119794\" qy=\"0.035976\" qz=\"-0.023850\" qw=\"-0.991860\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000582\" y=\"0.211620\" z=\"0.000571\" qx=\"0.070850\" qy=\"0.012204\" qz=\"-0.048654\" qw=\"-0.996225\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.042057\" qy=\"0.000485\" qz=\"-0.030797\" qw=\"-0.998640\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000018\" y=\"0.109366\" z=\"-0.015340\" qx=\"-0.189780\" qy=\"0.011051\" qz=\"0.043651\" qw=\"-0.980794\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.144590\" qy=\"-0.104283\" qz=\"0.168846\" qw=\"0.969386\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113961\" qy=\"0.274661\" qz=\"0.132729\" qw=\"-0.945493\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.128835\" qy=\"0.386023\" qz=\"-0.416049\" qw=\"-0.813198\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217065\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.120112\" qy=\"-0.147244\" qz=\"-0.622968\" qw=\"-0.758817\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.135691\" qy=\"0.139737\" qz=\"-0.119401\" qw=\"0.973553\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.101555\" qy=\"0.329566\" qz=\"0.019739\" qw=\"0.938447\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.131798\" qy=\"-0.284222\" qz=\"0.382992\" qw=\"-0.869001\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216325\" y=\"-0.000031\" z=\"-0.000148\" qx=\"0.116534\" qy=\"0.139794\" qz=\"0.615483\" qw=\"-0.766849\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.043245\" qy=\"-0.023585\" qz=\"-0.081361\" qw=\"-0.995467\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.768654\" qy=\"0.044694\" qz=\"0.123497\" qw=\"-0.626037\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001521\" y=\"-0.422477\" z=\"0.004208\" qx=\"-0.019555\" qy=\"0.285530\" qz=\"0.112243\" qw=\"0.951573\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.531539\" qy=\"0.099176\" qz=\"-0.125764\" qw=\"0.831754\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.242398\" qy=\"-0.150635\" qz=\"0.006282\" qw=\"0.958391\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000196\" y=\"-0.442166\" z=\"0.002155\" qx=\"-0.016603\" qy=\"-0.056701\" qz=\"0.138272\" qw=\"0.988631\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020474\" qy=\"-0.012302\" qz=\"0.003143\" qw=\"-0.999710\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016923\" qy=\"0.021153\" qz=\"-0.002165\" qw=\"-0.999631\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 161: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.403684\" y=\"0.881575\" z=\"-0.430842\" qx=\"0.951501\" qy=\"0.046697\" qz=\"-0.292403\" qw=\"0.083460\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.088814\" qy=\"0.025183\" qz=\"-0.000421\" qw=\"-0.995730\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000591\" y=\"0.214724\" z=\"0.000579\" qx=\"0.074199\" qy=\"0.008511\" qz=\"-0.035707\" qw=\"-0.996568\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.078148\" qy=\"-0.002205\" qz=\"-0.027999\" qw=\"-0.996546\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000018\" y=\"0.112908\" z=\"-0.015837\" qx=\"-0.205005\" qy=\"0.009147\" qz=\"0.051838\" qw=\"-0.977344\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.127089\" qy=\"0.102560\" qz=\"-0.156556\" qw=\"-0.974074\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099885\" qy=\"0.269822\" qz=\"0.131132\" qw=\"-0.948696\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.129954\" qy=\"0.410744\" qz=\"-0.422516\" qw=\"-0.797422\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216822\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.122008\" qy=\"-0.142575\" qz=\"-0.634986\" qw=\"-0.749386\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.122432\" qy=\"0.137809\" qz=\"-0.120381\" qw=\"0.975463\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.098206\" qy=\"0.314110\" qz=\"0.038031\" qw=\"0.943528\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.127307\" qy=\"-0.313632\" qz=\"0.404580\" qw=\"-0.849555\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215642\" y=\"-0.000030\" z=\"-0.000147\" qx=\"0.113464\" qy=\"0.148323\" qz=\"0.627902\" qw=\"-0.755556\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.008749\" qy=\"-0.026833\" qz=\"-0.060239\" qw=\"-0.997785\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.781478\" qy=\"0.021107\" qz=\"0.139378\" qw=\"-0.607800\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001869\" y=\"-0.420744\" z=\"0.004523\" qx=\"0.009671\" qy=\"-0.287783\" qz=\"-0.101370\" qw=\"-0.952266\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.409739\" qy=\"0.001807\" qz=\"-0.057903\" qw=\"0.910362\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.258626\" qy=\"-0.102687\" qz=\"0.004736\" qw=\"0.960492\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000078\" y=\"-0.443205\" z=\"0.002458\" qx=\"-0.006857\" qy=\"-0.054557\" qz=\"0.145890\" qw=\"0.987771\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021919\" qy=\"-0.010443\" qz=\"0.002668\" qw=\"-0.999702\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014484\" qy=\"0.023461\" qz=\"-0.002402\" qw=\"-0.999617\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 162: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.378754\" y=\"0.873876\" z=\"-0.408205\" qx=\"0.948452\" qy=\"0.004405\" qz=\"-0.315144\" qw=\"0.033242\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.047786\" qy=\"0.007046\" qz=\"0.009582\" qw=\"-0.998787\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000591\" y=\"0.214828\" z=\"0.000579\" qx=\"0.084850\" qy=\"0.002405\" qz=\"-0.024963\" qw=\"-0.996078\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.098617\" qy=\"-0.001937\" qz=\"-0.027634\" qw=\"-0.994740\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.115971\" z=\"-0.016266\" qx=\"-0.214435\" qy=\"0.008278\" qz=\"0.044186\" qw=\"-0.975703\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.111878\" qy=\"0.091902\" qz=\"-0.148625\" qw=\"-0.978237\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083343\" qy=\"0.260606\" qz=\"0.122572\" qw=\"-0.953999\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.138212\" qy=\"0.427968\" qz=\"-0.417905\" qw=\"-0.789365\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216643\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.131820\" qy=\"-0.137019\" qz=\"-0.629260\" qw=\"-0.753579\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.115683\" qy=\"0.141299\" qz=\"-0.128719\" qw=\"0.974722\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.090570\" qy=\"0.297889\" qz=\"0.043132\" qw=\"0.949315\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.124300\" qy=\"-0.333408\" qz=\"0.409031\" qw=\"-0.840287\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214970\" y=\"-0.000030\" z=\"-0.000147\" qx=\"0.110943\" qy=\"0.156377\" qz=\"0.635010\" qw=\"-0.748331\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.039012\" qy=\"-0.041628\" qz=\"-0.060142\" qw=\"-0.996558\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.769631\" qy=\"-0.001966\" qz=\"0.158916\" qw=\"-0.618393\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001943\" y=\"-0.419716\" z=\"0.004277\" qx=\"0.011745\" qy=\"0.268691\" qz=\"0.078903\" qw=\"0.959918\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.291598\" qy=\"-0.095042\" qz=\"-0.007658\" qw=\"0.951777\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.302621\" qy=\"0.003064\" qz=\"-0.019143\" qw=\"0.952914\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000197\" y=\"-0.448300\" z=\"0.003242\" qx=\"0.003425\" qy=\"-0.056296\" qz=\"0.153744\" qw=\"0.986500\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022935\" qy=\"-0.007078\" qz=\"0.001808\" qw=\"-0.999710\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.012273\" qy=\"0.019064\" qz=\"-0.001951\" qw=\"-0.999741\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 163: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.357106\" y=\"0.874963\" z=\"-0.386035\" qx=\"0.952886\" qy=\"-0.035048\" qz=\"-0.299026\" qw=\"-0.036934\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.000991\" qy=\"0.014634\" qz=\"0.006023\" qw=\"-0.999874\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000575\" y=\"0.208794\" z=\"0.000563\" qx=\"0.094730\" qy=\"0.004857\" qz=\"-0.008221\" qw=\"-0.995457\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.099816\" qy=\"-0.000056\" qz=\"-0.036649\" qw=\"-0.994331\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.116915\" z=\"-0.016399\" qx=\"-0.207979\" qy=\"0.011554\" qz=\"0.044928\" qw=\"-0.977033\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.125213\" qy=\"0.080027\" qz=\"-0.161234\" qw=\"-0.975664\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071623\" qy=\"0.255540\" qz=\"0.121191\" qw=\"-0.956495\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.153027\" qy=\"0.424707\" qz=\"-0.410812\" qw=\"-0.792111\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216547\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.147216\" qy=\"-0.139472\" qz=\"-0.614185\" qw=\"-0.762661\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.123234\" qy=\"0.136850\" qz=\"-0.143744\" qw=\"0.972329\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.080393\" qy=\"0.287708\" qz=\"0.031424\" qw=\"0.953820\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.129516\" qy=\"-0.327732\" qz=\"0.415566\" qw=\"-0.838524\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215030\" y=\"-0.000030\" z=\"-0.000147\" qx=\"0.116887\" qy=\"0.160533\" qz=\"0.624792\" qw=\"-0.755117\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.068954\" qy=\"-0.044727\" qz=\"-0.084263\" qw=\"-0.993048\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.751532\" qy=\"-0.009221\" qz=\"0.162943\" qw=\"-0.639190\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001876\" y=\"-0.419728\" z=\"0.004269\" qx=\"0.034019\" qy=\"0.268888\" qz=\"0.059956\" qw=\"0.960701\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.182323\" qy=\"-0.049234\" qz=\"-0.016836\" qw=\"0.981861\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.352078\" qy=\"-0.013135\" qz=\"-0.007114\" qw=\"0.935851\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000246\" y=\"-0.448558\" z=\"0.003193\" qx=\"0.020819\" qy=\"-0.036808\" qz=\"0.167903\" qw=\"0.984896\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023636\" qy=\"-0.005226\" qz=\"0.001335\" qw=\"-0.999706\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.012507\" qy=\"0.021835\" qz=\"-0.002235\" qw=\"-0.999681\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 164: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.328242\" y=\"0.888160\" z=\"-0.360638\" qx=\"0.954675\" qy=\"-0.093124\" qz=\"-0.264808\" qw=\"-0.098995\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.024334\" qy=\"0.024842\" qz=\"0.014640\" qw=\"-0.999288\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000568\" y=\"0.206336\" z=\"0.000557\" qx=\"0.110279\" qy=\"0.008212\" qz=\"0.009868\" qw=\"-0.993818\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.099092\" qy=\"0.007242\" qz=\"-0.037195\" qw=\"-0.994357\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.113820\" z=\"-0.015965\" qx=\"-0.184992\" qy=\"0.018808\" qz=\"0.043020\" qw=\"-0.981618\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.147353\" qy=\"0.076535\" qz=\"-0.177519\" qw=\"-0.970008\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081503\" qy=\"0.250791\" qz=\"0.114614\" qw=\"-0.957771\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.177023\" qy=\"0.397167\" qz=\"-0.407526\" qw=\"-0.803022\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217548\" y=\"-0.000127\" z=\"-0.000033\" qx=\"0.171084\" qy=\"-0.143773\" qz=\"-0.589109\" qw=\"-0.776537\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.139950\" qy=\"0.118854\" qz=\"-0.172729\" qw=\"0.967705\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.087078\" qy=\"0.285094\" qz=\"0.001854\" qw=\"0.954534\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.136328\" qy=\"-0.290509\" qz=\"0.419780\" qw=\"-0.849002\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216157\" y=\"-0.000030\" z=\"-0.000148\" qx=\"0.124434\" qy=\"0.154575\" qz=\"0.602190\" qw=\"-0.773298\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.095527\" qy=\"-0.034185\" qz=\"-0.105591\" qw=\"-0.989220\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.737013\" qy=\"0.019916\" qz=\"-0.161333\" qw=\"0.656039\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001534\" y=\"-0.421097\" z=\"0.004467\" qx=\"0.034829\" qy=\"0.283269\" qz=\"0.066736\" qw=\"0.956082\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.081796\" qy=\"0.018620\" qz=\"-0.039825\" qw=\"0.995679\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.418133\" qy=\"-0.076858\" qz=\"0.021323\" qw=\"0.904878\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000353\" y=\"-0.442886\" z=\"0.002795\" qx=\"0.035710\" qy=\"-0.028979\" qz=\"0.183429\" qw=\"0.981957\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024101\" qy=\"-0.003347\" qz=\"0.000855\" qw=\"-0.999704\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010977\" qy=\"0.020872\" qz=\"-0.002137\" qw=\"-0.999720\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 165: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.287641\" y=\"0.906649\" z=\"-0.325007\" qx=\"0.939035\" qy=\"-0.165154\" qz=\"-0.247489\" qw=\"-0.172298\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.042703\" qy=\"0.026809\" qz=\"0.026479\" qw=\"-0.998377\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000575\" y=\"0.208746\" z=\"0.000563\" qx=\"0.119948\" qy=\"0.008846\" qz=\"0.030879\" qw=\"-0.992260\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.086358\" qy=\"0.010561\" qz=\"-0.031212\" qw=\"-0.995719\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.114410\" z=\"-0.016048\" qx=\"-0.198166\" qy=\"0.018818\" qz=\"0.026245\" qw=\"-0.979636\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.164857\" qy=\"0.068203\" qz=\"-0.197470\" qw=\"-0.963938\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090932\" qy=\"0.234496\" qz=\"0.085052\" qw=\"-0.964111\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.220360\" qy=\"0.333990\" qz=\"-0.428257\" qw=\"-0.810239\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.222424\" y=\"-0.000130\" z=\"-0.000034\" qx=\"0.215058\" qy=\"-0.169649\" qz=\"-0.547192\" qw=\"-0.790917\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.182259\" qy=\"0.095005\" qz=\"-0.210071\" qw=\"0.955838\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.104391\" qy=\"0.282674\" qz=\"-0.032202\" qw=\"0.952975\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.148371\" qy=\"-0.230377\" qz=\"0.388605\" qw=\"-0.879715\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.217658\" y=\"-0.000030\" z=\"-0.000149\" qx=\"0.136253\" qy=\"0.112251\" qz=\"0.564404\" qw=\"-0.806401\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.102246\" qy=\"-0.038905\" qz=\"-0.124948\" qw=\"-0.986114\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.729256\" qy=\"0.025454\" qz=\"-0.158529\" qw=\"0.665136\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001420\" y=\"-0.421501\" z=\"0.003967\" qx=\"0.039339\" qy=\"0.288143\" qz=\"0.068932\" qw=\"0.954293\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.018657\" qy=\"0.008253\" qz=\"-0.054990\" qw=\"0.998278\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.503645\" qy=\"-0.045188\" qz=\"0.015502\" qw=\"0.862589\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000199\" y=\"-0.435344\" z=\"0.002477\" qx=\"0.040466\" qy=\"-0.045513\" qz=\"0.174743\" qw=\"0.982729\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023905\" qy=\"-0.003483\" qz=\"0.000890\" qw=\"-0.999708\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.011104\" qy=\"0.019903\" qz=\"-0.002037\" qw=\"-0.999738\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 166: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.237830\" y=\"0.915007\" z=\"-0.278526\" qx=\"-0.905053\" qy=\"0.228794\" qz=\"0.249019\" qw=\"0.257917\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.052139\" qy=\"0.031473\" qz=\"0.034699\" qw=\"-0.997540\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000573\" y=\"0.208075\" z=\"0.000561\" qx=\"0.132528\" qy=\"0.010388\" qz=\"0.032976\" qw=\"-0.990576\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.102240\" qy=\"0.014055\" qz=\"-0.016721\" qw=\"-0.994520\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000019\" y=\"0.115310\" z=\"-0.016174\" qx=\"-0.184349\" qy=\"0.019689\" qz=\"0.021033\" qw=\"-0.982438\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.169654\" qy=\"0.052279\" qz=\"-0.213442\" qw=\"-0.960691\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.110979\" qy=\"0.169387\" qz=\"0.058342\" qw=\"-0.977542\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.252081\" qy=\"0.289213\" qz=\"-0.462632\" qw=\"-0.799239\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.227932\" y=\"-0.000134\" z=\"-0.000035\" qx=\"0.253969\" qy=\"-0.222056\" qz=\"-0.487664\" qw=\"-0.805218\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.280835\" qy=\"0.066083\" qz=\"-0.274109\" qw=\"0.917404\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.066547\" qy=\"0.260833\" qz=\"0.029189\" qw=\"0.962645\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.176143\" qy=\"-0.262691\" qz=\"0.404003\" qw=\"-0.858341\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215394\" y=\"-0.000030\" z=\"-0.000147\" qx=\"0.175743\" qy=\"0.076587\" qz=\"0.481909\" qw=\"-0.854992\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.094644\" qy=\"-0.045145\" qz=\"-0.145445\" qw=\"-0.983794\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.727363\" qy=\"0.026980\" qz=\"-0.162673\" qw=\"0.666148\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002065\" y=\"-0.419479\" z=\"0.004189\" qx=\"0.063142\" qy=\"0.271894\" qz=\"0.044551\" qw=\"0.959219\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024273\" qy=\"0.016821\" qz=\"-0.073393\" qw=\"0.996866\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.581542\" qy=\"-0.027417\" qz=\"0.019806\" qw=\"0.812813\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000089\" y=\"-0.428769\" z=\"0.001734\" qx=\"0.041656\" qy=\"-0.050368\" qz=\"0.166135\" qw=\"0.983934\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024766\" qy=\"-0.002318\" qz=\"0.000592\" qw=\"-0.999690\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.012256\" qy=\"0.020861\" qz=\"-0.002135\" qw=\"-0.999705\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 167: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.179616\" y=\"0.902795\" z=\"-0.225779\" qx=\"-0.853748\" qy=\"0.276754\" qz=\"0.261958\" qw=\"0.354824\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.064499\" qy=\"0.031632\" qz=\"0.030647\" qw=\"-0.996945\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000567\" y=\"0.205797\" z=\"0.000556\" qx=\"0.133765\" qy=\"0.010442\" qz=\"0.029625\" qw=\"-0.990515\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.131072\" qy=\"0.013258\" qz=\"-0.020108\" qw=\"-0.991080\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.119606\" z=\"-0.016776\" qx=\"-0.176547\" qy=\"0.020378\" qz=\"0.026957\" qw=\"-0.983712\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113397\" qy=\"0.015340\" qz=\"-0.205720\" qw=\"-0.971898\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.129413\" qy=\"0.065696\" qz=\"0.060309\" qw=\"-0.987572\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.259487\" qy=\"0.283004\" qz=\"-0.513426\" qw=\"-0.767443\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221947\" y=\"-0.000130\" z=\"-0.000034\" qx=\"0.294824\" qy=\"-0.139752\" qz=\"-0.365257\" qw=\"-0.871857\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.389519\" qy=\"0.031347\" qz=\"-0.345627\" qw=\"0.853132\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.061026\" qy=\"0.206615\" qz=\"0.167851\" qw=\"0.961984\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156758\" qy=\"-0.309186\" qz=\"0.427232\" qw=\"-0.835047\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209346\" y=\"-0.000029\" z=\"-0.000143\" qx=\"0.165449\" qy=\"0.020109\" qz=\"0.445461\" qw=\"-0.879651\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.073217\" qy=\"-0.036298\" qz=\"-0.151702\" qw=\"-0.985042\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.729450\" qy=\"0.025433\" qz=\"-0.175471\" qw=\"0.660655\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001922\" y=\"-0.417136\" z=\"0.002256\" qx=\"0.104798\" qy=\"0.251341\" qz=\"0.003847\" qw=\"0.962201\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049255\" qy=\"0.063665\" qz=\"-0.100515\" qw=\"0.991674\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.647419\" qy=\"0.052726\" qz=\"-0.046305\" qw=\"-0.758897\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000049\" y=\"-0.423465\" z=\"0.000886\" qx=\"0.045085\" qy=\"-0.054878\" qz=\"0.166502\" qw=\"0.983480\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023217\" qy=\"-0.003427\" qz=\"0.000876\" qw=\"-0.999724\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014684\" qy=\"0.019186\" qz=\"-0.001964\" qw=\"-0.999706\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 168: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.118905\" y=\"0.865973\" z=\"-0.165764\" qx=\"-0.792442\" qy=\"0.303945\" qz=\"0.272164\" qw=\"0.453410\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.076029\" qy=\"0.016788\" qz=\"0.015755\" qw=\"-0.996840\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000565\" y=\"0.204931\" z=\"0.000553\" qx=\"0.105084\" qy=\"0.005537\" qz=\"0.033354\" qw=\"-0.993888\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.159114\" qy=\"0.023693\" qz=\"-0.028210\" qw=\"-0.986573\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.122820\" z=\"-0.017227\" qx=\"-0.159205\" qy=\"0.029672\" qz=\"0.005920\" qw=\"-0.986782\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.054300\" qy=\"-0.022179\" qz=\"-0.195100\" qw=\"-0.979028\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.049697\" qy=\"-0.011258\" qz=\"0.118549\" qw=\"-0.991640\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.202647\" qy=\"0.363090\" qz=\"-0.550664\" qw=\"-0.723788\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.223897\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.238565\" qy=\"-0.194761\" qz=\"-0.423045\" qw=\"-0.852166\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.091638\" qy=\"-0.017419\" qz=\"-0.185335\" qw=\"0.978238\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.069763\" qy=\"0.127936\" qz=\"-0.066893\" qw=\"0.987062\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.183980\" qy=\"-0.309436\" qz=\"0.441225\" qw=\"-0.822023\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216886\" y=\"-0.000030\" z=\"-0.000148\" qx=\"0.190643\" qy=\"0.076837\" qz=\"0.484483\" qw=\"-0.850311\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.042317\" qy=\"-0.018099\" qz=\"-0.160644\" qw=\"-0.985939\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.746309\" qy=\"0.019767\" qz=\"-0.183123\" qw=\"0.639607\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001932\" y=\"-0.415595\" z=\"0.001729\" qx=\"0.115398\" qy=\"0.240717\" qz=\"-0.009482\" qw=\"0.963664\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.051743\" qy=\"0.057242\" qz=\"-0.122565\" qw=\"0.989456\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.705902\" qy=\"0.040363\" qz=\"-0.032801\" qw=\"-0.706397\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000523\" y=\"-0.419903\" z=\"0.001690\" qx=\"0.061742\" qy=\"-0.069940\" qz=\"0.151422\" qw=\"0.984057\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021755\" qy=\"-0.002113\" qz=\"0.000540\" qw=\"-0.999761\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016136\" qy=\"0.018100\" qz=\"-0.001853\" qw=\"-0.999704\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 169: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.060604\" y=\"0.800672\" z=\"-0.104346\" qx=\"-0.717396\" qy=\"0.322642\" qz=\"0.274622\" qw=\"0.553017\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.078811\" qy=\"0.000613\" qz=\"0.002346\" qw=\"-0.996887\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000570\" y=\"0.206657\" z=\"0.000558\" qx=\"0.065398\" qy=\"0.000145\" qz=\"0.034936\" qw=\"-0.997247\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.169161\" qy=\"0.028013\" qz=\"-0.037105\" qw=\"-0.984491\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.124440\" z=\"-0.017454\" qx=\"-0.144306\" qy=\"0.035480\" qz=\"0.004048\" qw=\"-0.988889\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.028754\" qy=\"-0.020442\" qz=\"-0.177475\" qw=\"-0.983493\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036776\" qy=\"-0.055980\" qz=\"0.193996\" qw=\"-0.978713\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.169699\" qy=\"0.455694\" qz=\"-0.532614\" qw=\"-0.692725\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220856\" y=\"-0.000130\" z=\"-0.000034\" qx=\"0.208055\" qy=\"-0.165142\" qz=\"-0.455360\" qw=\"-0.849758\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"-0.053372\" qy=\"-0.027671\" qz=\"-0.155397\" qw=\"0.986021\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028394\" qy=\"-0.092099\" qz=\"-0.008120\" qw=\"-0.995312\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.194234\" qy=\"-0.353398\" qz=\"0.435246\" qw=\"-0.804950\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215127\" y=\"-0.000029\" z=\"-0.000147\" qx=\"0.203547\" qy=\"0.072382\" qz=\"0.494078\" qw=\"-0.842150\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005390\" qy=\"-0.001984\" qz=\"-0.163657\" qw=\"-0.986501\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.772887\" qy=\"0.009671\" qz=\"-0.174684\" qw=\"0.609950\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001687\" y=\"-0.415880\" z=\"0.002137\" qx=\"0.101486\" qy=\"0.254463\" qz=\"0.007453\" qw=\"0.961714\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027549\" qy=\"0.060637\" qz=\"-0.147082\" qw=\"0.986879\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.754569\" qy=\"0.043266\" qz=\"-0.021671\" qw=\"-0.654434\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000397\" y=\"-0.418518\" z=\"0.000521\" qx=\"0.077412\" qy=\"-0.088076\" qz=\"0.137779\" qw=\"0.983497\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021729\" qy=\"-0.003315\" qz=\"0.000847\" qw=\"-0.999758\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019014\" qy=\"0.017812\" qz=\"-0.001823\" qw=\"-0.999659\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 170: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"-0.011146\" y=\"0.708054\" z=\"-0.049811\" qx=\"-0.623287\" qy=\"0.333246\" qz=\"0.270102\" qw=\"0.653839\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.066962\" qy=\"-0.004735\" qz=\"0.005950\" qw=\"-0.997727\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000587\" y=\"0.212874\" z=\"0.000575\" qx=\"0.029521\" qy=\"-0.001633\" qz=\"0.007436\" qw=\"-0.999535\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.160892\" qy=\"0.022123\" qz=\"-0.034132\" qw=\"-0.986134\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.122265\" z=\"-0.017149\" qx=\"-0.123723\" qy=\"0.030511\" qz=\"0.015064\" qw=\"-0.991733\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.163760\" qy=\"0.095101\" qz=\"-0.120901\" qw=\"-0.974434\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.258160\" qy=\"-0.212961\" qz=\"0.253386\" qw=\"-0.907632\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.183119\" qy=\"0.451791\" qz=\"-0.581403\" qw=\"-0.651401\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221551\" y=\"-0.000130\" z=\"-0.000034\" qx=\"0.237935\" qy=\"-0.161281\" qz=\"-0.447803\" qw=\"-0.846669\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.027102\" qy=\"0.004509\" qz=\"0.125206\" qw=\"-0.991751\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.002984\" qy=\"-0.083601\" qz=\"-0.067990\" qw=\"-0.994173\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.175377\" qy=\"-0.388040\" qz=\"0.443190\" qw=\"-0.788829\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212579\" y=\"-0.000029\" z=\"-0.000145\" qx=\"0.188927\" qy=\"0.061762\" qz=\"0.490942\" qw=\"-0.848215\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.065882\" qy=\"-0.027749\" qz=\"0.157446\" qw=\"0.984937\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.791404\" qy=\"-0.003139\" qz=\"-0.172411\" qw=\"0.586468\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001874\" y=\"-0.414722\" z=\"0.001788\" qx=\"0.116680\" qy=\"0.241093\" qz=\"0.003856\" qw=\"0.963455\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.026817\" qy=\"-0.081082\" qz=\"0.165630\" qw=\"-0.982483\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.792663\" qy=\"0.035598\" qz=\"-0.028671\" qw=\"-0.607945\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000447\" y=\"-0.416509\" z=\"0.000120\" qx=\"0.087457\" qy=\"-0.076838\" qz=\"0.132937\" qw=\"0.984264\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020924\" qy=\"-0.003868\" qz=\"0.000988\" qw=\"-0.999773\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020363\" qy=\"0.016352\" qz=\"-0.001674\" qw=\"-0.999658\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 171: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.022979\" y=\"0.596016\" z=\"-0.012018\" qx=\"-0.514873\" qy=\"0.326626\" qz=\"0.254185\" qw=\"0.750740\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"0.019592\" qy=\"-0.012918\" qz=\"-0.001320\" qw=\"-0.999724\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000601\" y=\"0.218085\" z=\"0.000590\" qx=\"0.024230\" qy=\"-0.004330\" qz=\"0.008114\" qw=\"-0.999664\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.138024\" qy=\"0.012276\" qz=\"-0.050699\" qw=\"-0.989054\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.120721\" z=\"-0.016932\" qx=\"-0.108215\" qy=\"0.024076\" qz=\"0.025829\" qw=\"-0.993500\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.025775\" qy=\"0.028140\" qz=\"0.102696\" qw=\"0.993981\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.056783\" qy=\"0.042168\" qz=\"-0.314616\" qw=\"0.946580\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.143406\" qy=\"0.494639\" qz=\"-0.575526\" qw=\"-0.635246\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219469\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.194932\" qy=\"-0.164413\" qz=\"-0.433844\" qw=\"-0.864147\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.003503\" qy=\"0.022144\" qz=\"-0.098761\" qw=\"0.994859\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.013765\" qy=\"0.079205\" qz=\"0.135119\" qw=\"0.987563\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.150121\" qy=\"-0.414879\" qz=\"0.462809\" qw=\"-0.768861\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211344\" y=\"-0.000029\" z=\"-0.000144\" qx=\"0.168113\" qy=\"0.049778\" qz=\"0.480776\" qw=\"-0.859136\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.130093\" qy=\"-0.039440\" qz=\"0.153376\" qw=\"0.978773\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.801002\" qy=\"0.030369\" qz=\"0.178612\" qw=\"-0.570589\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001846\" y=\"-0.411915\" z=\"-0.001696\" qx=\"0.092949\" qy=\"0.198125\" qz=\"-0.020453\" qw=\"0.975545\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105836\" qy=\"-0.073614\" qz=\"0.164757\" qw=\"-0.977873\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.822894\" qy=\"0.003996\" qz=\"0.026485\" qw=\"0.567563\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.001122\" y=\"-0.410511\" z=\"-0.006970\" qx=\"-0.013919\" qy=\"-0.065845\" qz=\"0.145785\" qw=\"0.987025\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.078764\" qy=\"-0.005592\" qz=\"0.001429\" qw=\"-0.996877\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.118578\" qy=\"0.008626\" qz=\"-0.000883\" qw=\"-0.992907\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 172: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.040218\" y=\"0.480703\" z=\"0.004301\" qx=\"-0.385895\" qy=\"0.310130\" qz=\"0.209313\" qw=\"0.843263\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.024935\" qy=\"-0.020775\" qz=\"-0.013022\" qw=\"-0.999388\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000605\" y=\"0.219730\" z=\"0.000594\" qx=\"0.028993\" qy=\"-0.006917\" qz=\"0.012050\" qw=\"-0.999483\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.097839\" qy=\"-0.006766\" qz=\"-0.076433\" qw=\"-0.992240\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.118481\" z=\"-0.016618\" qx=\"-0.081126\" qy=\"0.010659\" qz=\"0.045511\" qw=\"-0.995607\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.043959\" qy=\"0.034250\" qz=\"0.089905\" qw=\"0.994390\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.061236\" qy=\"0.045036\" qz=\"-0.359143\" qw=\"0.930182\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.122469\" qy=\"0.505949\" qz=\"-0.589162\" qw=\"-0.617985\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219634\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.173877\" qy=\"-0.170657\" qz=\"-0.411437\" qw=\"-0.878272\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.033027\" qy=\"0.046602\" qz=\"-0.065338\" qw=\"0.996227\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029053\" qy=\"0.072211\" qz=\"0.172245\" qw=\"0.981974\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.133716\" qy=\"-0.407183\" qz=\"0.466028\" qw=\"-0.774041\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210731\" y=\"-0.000029\" z=\"-0.000144\" qx=\"0.149488\" qy=\"0.025118\" qz=\"0.481460\" qw=\"-0.863261\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.229574\" qy=\"-0.015407\" qz=\"0.164390\" qw=\"0.959184\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.858273\" qy=\"0.053709\" qz=\"0.194498\" qw=\"-0.471862\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.002425\" y=\"-0.419975\" z=\"-0.000384\" qx=\"-0.320782\" qy=\"0.147414\" qz=\"-0.039445\" qw=\"0.934779\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.298642\" qy=\"-0.093759\" qz=\"0.149335\" qw=\"-0.937935\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.891733\" qy=\"0.006997\" qz=\"0.049231\" qw=\"0.449823\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000494\" y=\"-0.419870\" z=\"-0.001064\" qx=\"-0.314178\" qy=\"-0.092292\" qz=\"0.067544\" qw=\"0.942450\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014465\" qy=\"-0.001790\" qz=\"0.000457\" qw=\"-0.999894\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.009065\" qy=\"0.009882\" qz=\"-0.001012\" qw=\"-0.999910\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 173: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.043650\" y=\"0.395560\" z=\"0.011330\" qx=\"-0.327323\" qy=\"0.305876\" qz=\"0.156277\" qw=\"0.880271\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.136336\" qy=\"-0.008517\" qz=\"-0.024519\" qw=\"-0.990323\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000577\" y=\"0.209579\" z=\"0.000567\" qx=\"0.021408\" qy=\"-0.002721\" qz=\"0.004494\" qw=\"-0.999757\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.050530\" qy=\"-0.018551\" qz=\"-0.078614\" qw=\"-0.995451\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.120787\" z=\"-0.016942\" qx=\"-0.029305\" qy=\"-0.000483\" qz=\"0.051704\" qw=\"-0.998232\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063662\" qy=\"0.041899\" qz=\"0.078626\" qw=\"0.993987\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092446\" qy=\"0.009588\" qz=\"-0.390236\" qw=\"0.916012\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.119399\" qy=\"0.485549\" qz=\"-0.597464\" qw=\"-0.626915\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220422\" y=\"-0.000130\" z=\"-0.000034\" qx=\"0.168406\" qy=\"-0.175820\" qz=\"-0.396718\" qw=\"-0.885066\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.067552\" qy=\"0.058758\" qz=\"-0.050224\" qw=\"0.994717\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029954\" qy=\"0.091494\" qz=\"0.215681\" qw=\"0.971707\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.137066\" qy=\"-0.366302\" qz=\"0.457925\" qw=\"-0.798336\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212265\" y=\"-0.000029\" z=\"-0.000145\" qx=\"0.149310\" qy=\"0.014186\" qz=\"0.474029\" qw=\"-0.867641\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.402599\" qy=\"-0.005414\" qz=\"0.202416\" qw=\"0.892699\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.912176\" qy=\"0.041827\" qz=\"0.187350\" qw=\"-0.362057\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.002041\" y=\"-0.419779\" z=\"0.001298\" qx=\"-0.323233\" qy=\"0.190046\" qz=\"-0.036408\" qw=\"0.926325\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.511544\" qy=\"-0.109519\" qz=\"0.116013\" qw=\"-0.844316\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.936589\" qy=\"0.004857\" qz=\"-0.016265\" qw=\"-0.350020\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000739\" y=\"-0.416167\" z=\"-0.002983\" qx=\"-0.190009\" qy=\"-0.064298\" qz=\"0.116175\" qw=\"0.972762\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.013428\" qy=\"-0.005841\" qz=\"0.001492\" qw=\"-0.999892\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.037033\" qy=\"0.011796\" qz=\"-0.001207\" qw=\"-0.999244\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 174: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.052526\" y=\"0.364657\" z=\"0.020584\" qx=\"-0.331825\" qy=\"0.331169\" qz=\"0.151366\" qw=\"0.870234\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.269140\" qy=\"-0.000702\" qz=\"-0.014759\" qw=\"-0.962988\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000523\" y=\"0.189691\" z=\"0.000513\" qx=\"-0.011476\" qy=\"0.000118\" qz=\"-0.010717\" qw=\"-0.999877\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.062717\" qy=\"-0.016316\" qz=\"-0.054063\" qw=\"-0.996432\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.131095\" z=\"-0.018387\" qx=\"0.041735\" qy=\"-0.003101\" qz=\"0.042895\" qw=\"-0.998203\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.069677\" qy=\"0.016639\" qz=\"0.068307\" qw=\"0.995089\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.142497\" qy=\"-0.087923\" qz=\"-0.404729\" qw=\"0.898977\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.130192\" qy=\"0.433138\" qz=\"-0.586626\" qw=\"-0.671797\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220297\" y=\"-0.000131\" z=\"-0.000034\" qx=\"0.171915\" qy=\"-0.169450\" qz=\"-0.392130\" qw=\"-0.887675\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.064206\" qy=\"0.048834\" qz=\"-0.063563\" qw=\"0.994712\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.046645\" qy=\"0.152630\" qz=\"0.283576\" qw=\"0.945575\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.158364\" qy=\"-0.308698\" qz=\"0.423304\" qw=\"-0.836923\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215180\" y=\"-0.000029\" z=\"-0.000147\" qx=\"0.166236\" qy=\"0.009948\" qz=\"0.450965\" qw=\"-0.876868\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.484467\" qy=\"-0.055724\" qz=\"0.192008\" qw=\"0.851657\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.925024\" qy=\"-0.037472\" qz=\"-0.217403\" qw=\"0.309294\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000160\" y=\"-0.416059\" z=\"-0.000348\" qx=\"-0.222645\" qy=\"0.238687\" qz=\"-0.036879\" qw=\"0.944509\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.550605\" qy=\"-0.119505\" qz=\"0.157384\" qw=\"-0.811038\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.947840\" qy=\"-0.005127\" qz=\"-0.069037\" qw=\"-0.311137\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001182\" y=\"-0.413670\" z=\"-0.003446\" qx=\"-0.132954\" qy=\"-0.077601\" qz=\"0.126823\" qw=\"0.979907\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.000840\" qy=\"-0.008693\" qz=\"0.002221\" qw=\"-0.999959\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.047096\" qy=\"0.014458\" qz=\"-0.001480\" qw=\"-0.998785\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 175: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.054783\" y=\"0.365790\" z=\"0.021022\" qx=\"-0.254465\" qy=\"0.317532\" qz=\"0.128395\" qw=\"0.904398\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.287005\" qy=\"-0.018947\" qz=\"-0.010942\" qw=\"-0.957679\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000508\" y=\"0.184340\" z=\"0.000499\" qx=\"-0.049975\" qy=\"-0.006285\" qz=\"-0.008197\" qw=\"-0.998697\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.069249\" qy=\"-0.015091\" qz=\"-0.034312\" qw=\"-0.996895\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.126488\" z=\"-0.017741\" qx=\"0.066284\" qy=\"-0.003700\" qz=\"0.050310\" qw=\"-0.996525\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.062511\" qy=\"0.006731\" qz=\"0.053912\" qw=\"0.996565\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.147245\" qy=\"-0.166469\" qz=\"-0.402766\" qw=\"0.887911\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.152153\" qy=\"0.436635\" qz=\"-0.520813\" qw=\"-0.717602\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218008\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.188989\" qy=\"-0.147461\" qz=\"-0.383458\" qw=\"-0.891907\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.057577\" qy=\"0.085853\" qz=\"-0.050250\" qw=\"0.993373\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011020\" qy=\"0.198347\" qz=\"0.300947\" qw=\"0.932721\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.184377\" qy=\"-0.323171\" qz=\"0.331112\" qw=\"-0.867139\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214550\" y=\"-0.000029\" z=\"-0.000147\" qx=\"0.187570\" qy=\"-0.009957\" qz=\"0.434202\" qw=\"-0.881015\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.517174\" qy=\"-0.035707\" qz=\"0.224905\" qw=\"0.825030\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.916893\" qy=\"0.033050\" qz=\"0.243741\" qw=\"-0.314334\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000463\" y=\"-0.417834\" z=\"-0.000204\" qx=\"-0.271708\" qy=\"0.232910\" qz=\"-0.046868\" qw=\"0.932594\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.598694\" qy=\"-0.096816\" qz=\"0.154886\" qw=\"-0.779874\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.945958\" qy=\"-0.008385\" qz=\"-0.073596\" qw=\"-0.315718\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000938\" y=\"-0.414046\" z=\"-0.003111\" qx=\"-0.207342\" qy=\"-0.088239\" qz=\"0.100088\" qw=\"0.969126\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.006808\" qy=\"-0.008126\" qz=\"0.002076\" qw=\"-0.999942\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.032557\" qy=\"0.013177\" qz=\"-0.001349\" qw=\"-0.999382\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 176: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.054770\" y=\"0.391989\" z=\"0.022151\" qx=\"-0.160999\" qy=\"0.320188\" qz=\"0.084670\" qw=\"0.929726\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.304041\" qy=\"-0.026577\" qz=\"-0.023023\" qw=\"-0.952010\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000501\" y=\"0.181829\" z=\"0.000492\" qx=\"-0.034702\" qy=\"-0.008977\" qz=\"-0.001635\" qw=\"-0.999356\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.050472\" qy=\"-0.014489\" qz=\"-0.024571\" qw=\"-0.998318\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123082\" z=\"-0.017264\" qx=\"0.068780\" qy=\"-0.003392\" qz=\"0.057809\" qw=\"-0.995950\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063530\" qy=\"0.004370\" qz=\"0.044888\" qw=\"0.996960\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156387\" qy=\"-0.210309\" qz=\"-0.402525\" qw=\"0.877090\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.147875\" qy=\"0.427651\" qz=\"-0.514936\" qw=\"-0.728072\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217320\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.182851\" qy=\"-0.144161\" qz=\"-0.366348\" qw=\"-0.900873\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.055418\" qy=\"0.104599\" qz=\"-0.040341\" qw=\"0.992149\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084193\" qy=\"0.256883\" qz=\"0.299587\" qw=\"0.914970\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.166990\" qy=\"-0.296481\" qz=\"0.393441\" qw=\"-0.854060\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215616\" y=\"-0.000030\" z=\"-0.000148\" qx=\"0.175935\" qy=\"-0.004828\" qz=\"0.402584\" qw=\"-0.898304\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.542189\" qy=\"-0.008348\" qz=\"0.239219\" qw=\"0.805441\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.900937\" qy=\"0.036859\" qz=\"0.256889\" qw=\"-0.347795\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.002016\" y=\"-0.419848\" z=\"0.001783\" qx=\"-0.346109\" qy=\"0.225090\" qz=\"-0.046955\" qw=\"0.909581\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.647719\" qy=\"-0.080313\" qz=\"0.162602\" qw=\"-0.739980\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.934280\" qy=\"-0.004067\" qz=\"-0.097617\" qw=\"-0.342893\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000831\" y=\"-0.415880\" z=\"-0.002833\" qx=\"-0.221327\" qy=\"-0.091443\" qz=\"0.092741\" qw=\"0.966464\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.017633\" qy=\"-0.004828\" qz=\"0.001234\" qw=\"-0.999832\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033118\" qy=\"0.011981\" qz=\"-0.001226\" qw=\"-0.999379\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 177: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.061135\" y=\"0.440868\" z=\"0.029572\" qx=\"-0.085316\" qy=\"0.327427\" qz=\"0.050068\" qw=\"0.939684\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.314465\" qy=\"-0.026537\" qz=\"-0.024706\" qw=\"-0.948577\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000491\" y=\"0.178140\" z=\"0.000482\" qx=\"-0.030783\" qy=\"-0.008956\" qz=\"-0.006458\" qw=\"-0.999465\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.042731\" qy=\"-0.016116\" qz=\"-0.031742\" qw=\"-0.998452\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000020\" y=\"0.119545\" z=\"-0.016768\" qx=\"0.087117\" qy=\"-0.002342\" qz=\"0.069688\" qw=\"-0.993755\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.064121\" qy=\"0.003767\" qz=\"0.040197\" qw=\"0.997125\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.146137\" qy=\"-0.210820\" qz=\"-0.416287\" qw=\"0.872298\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.124466\" qy=\"0.422729\" qz=\"-0.514489\" qw=\"-0.735601\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216667\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.154632\" qy=\"-0.142032\" qz=\"-0.345388\" qw=\"-0.914671\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.056584\" qy=\"0.098736\" qz=\"-0.040017\" qw=\"0.992697\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084815\" qy=\"0.274266\" qz=\"0.296792\" qw=\"0.910768\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.117269\" qy=\"-0.338347\" qz=\"0.412747\" qw=\"-0.837502\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210861\" y=\"-0.000029\" z=\"-0.000144\" qx=\"0.127175\" qy=\"-0.012346\" qz=\"0.403293\" qw=\"-0.906107\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.575166\" qy=\"-0.001235\" qz=\"0.232421\" qw=\"0.784323\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.886210\" qy=\"0.037754\" qz=\"0.251769\" qw=\"-0.387065\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.002038\" y=\"-0.420869\" z=\"0.001468\" qx=\"-0.315765\" qy=\"0.226532\" qz=\"-0.064675\" qw=\"0.919126\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.649235\" qy=\"-0.092203\" qz=\"0.173583\" qw=\"-0.734753\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.914347\" qy=\"0.009565\" qz=\"-0.116832\" qw=\"-0.387594\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000803\" y=\"-0.416936\" z=\"-0.002968\" qx=\"-0.234338\" qy=\"-0.085747\" qz=\"0.111945\" qw=\"0.961874\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000971\" qy=\"-0.003976\" qz=\"0.001016\" qw=\"-0.999991\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042114\" qy=\"0.010552\" qz=\"-0.001080\" qw=\"-0.999056\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 178: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.076449\" y=\"0.499636\" z=\"0.048705\" qx=\"-0.031990\" qy=\"0.331573\" qz=\"0.044936\" qw=\"0.941816\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.294642\" qy=\"-0.022760\" qz=\"-0.015790\" qw=\"-0.955206\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000491\" y=\"0.178160\" z=\"0.000482\" qx=\"-0.061406\" qy=\"-0.007615\" qz=\"0.004043\" qw=\"-0.998076\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.059457\" qy=\"-0.013813\" qz=\"-0.031903\" qw=\"-0.997625\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123422\" z=\"-0.017311\" qx=\"0.075244\" qy=\"-0.001288\" qz=\"0.060089\" qw=\"-0.995352\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.071976\" qy=\"0.006931\" qz=\"0.040159\" qw=\"0.996574\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.163817\" qy=\"-0.229127\" qz=\"-0.409534\" qw=\"0.867725\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.149776\" qy=\"0.377120\" qz=\"-0.493792\" qw=\"-0.769101\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217747\" y=\"-0.000129\" z=\"-0.000035\" qx=\"0.179508\" qy=\"-0.144309\" qz=\"-0.310500\" qw=\"-0.922248\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063079\" qy=\"0.090833\" qz=\"-0.036390\" qw=\"0.993200\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.086260\" qy=\"0.262770\" qz=\"0.316009\" qw=\"0.907551\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.100414\" qy=\"-0.379903\" qz=\"0.428400\" qw=\"-0.813673\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208886\" y=\"-0.000028\" z=\"-0.000143\" qx=\"0.113171\" qy=\"-0.004770\" qz=\"0.388426\" qw=\"-0.914491\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.560774\" qy=\"0.006276\" qz=\"0.213486\" qw=\"0.799948\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.862814\" qy=\"0.041056\" qz=\"0.244422\" qw=\"-0.440595\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.001665\" y=\"-0.421061\" z=\"-0.000042\" qx=\"-0.287000\" qy=\"0.211201\" qz=\"-0.092474\" qw=\"0.929771\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.631356\" qy=\"-0.083888\" qz=\"0.146769\" qw=\"-0.756843\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.898640\" qy=\"-0.002954\" qz=\"0.071346\" qw=\"0.432836\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001158\" y=\"-0.418581\" z=\"-0.002715\" qx=\"-0.244422\" qy=\"-0.091274\" qz=\"0.135504\" qw=\"0.955806\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021270\" qy=\"-0.001206\" qz=\"0.000308\" qw=\"-0.999773\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.049238\" qy=\"0.009740\" qz=\"-0.000997\" qw=\"-0.998739\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 179: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.100737\" y=\"0.559186\" z=\"0.075926\" qx=\"-0.002568\" qy=\"0.338230\" qz=\"0.041380\" qw=\"0.940150\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.275086\" qy=\"-0.013572\" qz=\"-0.017603\" qw=\"-0.961163\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000495\" y=\"0.179545\" z=\"0.000486\" qx=\"-0.069433\" qy=\"-0.004429\" qz=\"0.010853\" qw=\"-0.997518\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.097729\" qy=\"-0.014101\" qz=\"-0.022605\" qw=\"-0.994856\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.127722\" z=\"-0.017915\" qx=\"0.051444\" qy=\"-0.002562\" qz=\"0.063429\" qw=\"-0.996656\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.081983\" qy=\"0.013614\" qz=\"0.036520\" qw=\"0.995871\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.175724\" qy=\"-0.218242\" qz=\"-0.417709\" qw=\"0.864298\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156230\" qy=\"0.346700\" qz=\"-0.435180\" qw=\"-0.816094\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217375\" y=\"-0.000129\" z=\"-0.000035\" qx=\"0.179412\" qy=\"-0.129725\" qz=\"-0.267947\" qw=\"-0.937650\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077143\" qy=\"0.079858\" qz=\"-0.037595\" qw=\"0.993106\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.120811\" qy=\"0.253759\" qz=\"0.333972\" qw=\"0.899708\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.118004\" qy=\"-0.383654\" qz=\"0.438290\" qw=\"-0.804230\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209686\" y=\"-0.000028\" z=\"-0.000143\" qx=\"0.134717\" qy=\"0.004142\" qz=\"0.378228\" qw=\"-0.915848\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.534896\" qy=\"0.020442\" qz=\"0.196514\" qw=\"0.821493\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.841160\" qy=\"0.041758\" qz=\"0.227291\" qw=\"-0.488922\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.001756\" y=\"-0.421260\" z=\"-0.000929\" qx=\"-0.240082\" qy=\"0.199519\" qz=\"-0.104577\" qw=\"0.944254\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.596046\" qy=\"-0.089383\" qz=\"0.138224\" qw=\"-0.785897\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.878274\" qy=\"-0.002121\" qz=\"0.047783\" qw=\"0.475760\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001518\" y=\"-0.419409\" z=\"-0.002874\" qx=\"-0.220101\" qy=\"-0.090023\" qz=\"0.164930\" qw=\"0.957209\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042312\" qy=\"0.002340\" qz=\"-0.000598\" qw=\"-0.999102\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.068268\" qy=\"0.008654\" qz=\"-0.000886\" qw=\"-0.997629\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 180: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.129540\" y=\"0.614650\" z=\"0.106875\" qx=\"0.011696\" qy=\"0.343512\" qz=\"0.044239\" qw=\"0.938033\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.261360\" qy=\"-0.002543\" qz=\"-0.012880\" qw=\"-0.965152\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000502\" y=\"0.182211\" z=\"0.000493\" qx=\"-0.071460\" qy=\"-0.000644\" qz=\"0.016873\" qw=\"-0.997301\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.130497\" qy=\"-0.014853\" qz=\"-0.021913\" qw=\"-0.991095\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.130589\" z=\"-0.018317\" qx=\"0.026678\" qy=\"-0.002996\" qz=\"0.067195\" qw=\"-0.997379\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.094255\" qy=\"0.025592\" qz=\"0.033709\" qw=\"0.994648\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.190397\" qy=\"-0.202032\" qz=\"-0.438177\" qw=\"0.854946\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.146655\" qy=\"0.313414\" qz=\"-0.414303\" qw=\"-0.841794\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217205\" y=\"-0.000130\" z=\"-0.000035\" qx=\"0.166826\" qy=\"-0.113972\" qz=\"-0.203393\" qw=\"-0.958024\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083993\" qy=\"0.063116\" qz=\"-0.033764\" qw=\"0.993892\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.145731\" qy=\"0.252081\" qz=\"0.340973\" qw=\"0.893843\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.122334\" qy=\"-0.352923\" qz=\"0.444637\" qw=\"-0.814112\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209894\" y=\"-0.000028\" z=\"-0.000143\" qx=\"0.141055\" qy=\"-0.008356\" qz=\"0.321253\" qw=\"-0.936392\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.516156\" qy=\"0.042432\" qz=\"0.179105\" qw=\"0.836483\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.825668\" qy=\"0.041674\" qz=\"0.204555\" qw=\"-0.524111\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000897\" y=\"-0.419323\" z=\"-0.000839\" qx=\"-0.145910\" qy=\"0.204121\" qz=\"-0.111358\" qw=\"0.961584\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.546498\" qy=\"-0.089290\" qz=\"0.132848\" qw=\"-0.822021\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.854098\" qy=\"0.001153\" qz=\"0.025783\" qw=\"0.519472\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001764\" y=\"-0.420087\" z=\"-0.003065\" qx=\"-0.198739\" qy=\"-0.086480\" qz=\"0.183339\" qw=\"0.958859\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.065515\" qy=\"0.004357\" qz=\"-0.001113\" qw=\"-0.997841\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.083429\" qy=\"0.005484\" qz=\"-0.000561\" qw=\"-0.996498\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 181: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.160305\" y=\"0.665478\" z=\"0.139282\" qx=\"0.017399\" qy=\"0.347548\" qz=\"0.046932\" qw=\"0.936325\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.243578\" qy=\"0.003207\" qz=\"-0.003773\" qw=\"-0.969869\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000507\" y=\"0.183984\" z=\"0.000498\" qx=\"-0.080246\" qy=\"0.001330\" qz=\"0.016126\" qw=\"-0.996644\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.162378\" qy=\"-0.011074\" qz=\"-0.019760\" qw=\"-0.986469\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.134815\" z=\"-0.018910\" qx=\"0.002463\" qy=\"-0.000497\" qz=\"0.059000\" qw=\"-0.998255\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.103649\" qy=\"0.039901\" qz=\"0.031507\" qw=\"0.993314\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.189391\" qy=\"-0.186191\" qz=\"-0.459804\" qw=\"0.847375\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.141283\" qy=\"0.314031\" qz=\"-0.382407\" qw=\"-0.857432\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215372\" y=\"-0.000128\" z=\"-0.000035\" qx=\"0.158825\" qy=\"-0.115579\" qz=\"-0.176866\" qw=\"-0.964435\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.085605\" qy=\"0.057634\" qz=\"-0.039755\" qw=\"0.993866\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156992\" qy=\"0.254313\" qz=\"0.347911\" qw=\"0.888615\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.117227\" qy=\"-0.309130\" qz=\"0.444642\" qw=\"-0.832460\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.208486\" y=\"-0.000028\" z=\"-0.000143\" qx=\"0.134531\" qy=\"-0.023116\" qz=\"0.270860\" qw=\"-0.952891\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.504888\" qy=\"0.036168\" qz=\"0.175106\" qw=\"0.844463\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.808994\" qy=\"0.023617\" qz=\"0.205266\" qw=\"-0.550306\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000215\" y=\"-0.416922\" z=\"-0.000059\" qx=\"-0.034928\" qy=\"0.227533\" qz=\"-0.102908\" qw=\"0.967687\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.488572\" qy=\"-0.078927\" qz=\"0.122927\" qw=\"-0.860208\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.824165\" qy=\"0.003724\" qz=\"0.001771\" qw=\"0.566335\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002128\" y=\"-0.421165\" z=\"-0.003447\" qx=\"-0.187895\" qy=\"-0.087019\" qz=\"0.189592\" qw=\"0.959780\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.049495\" qy=\"0.000922\" qz=\"-0.000236\" qw=\"-0.998774\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.092447\" qy=\"0.004138\" qz=\"-0.000424\" qw=\"-0.995709\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 182: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.190594\" y=\"0.711039\" z=\"0.170892\" qx=\"0.020678\" qy=\"0.352047\" qz=\"0.044776\" qw=\"0.934682\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.237801\" qy=\"-0.002679\" qz=\"-0.003527\" qw=\"-0.971304\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000512\" y=\"0.185860\" z=\"0.000503\" qx=\"-0.071147\" qy=\"-0.000712\" qz=\"0.019258\" qw=\"-0.997280\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.189553\" qy=\"-0.001233\" qz=\"-0.024454\" qw=\"-0.981565\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.137622\" z=\"-0.019304\" qx=\"-0.024722\" qy=\"0.010079\" qz=\"0.053625\" qw=\"-0.998204\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109915\" qy=\"0.048548\" qz=\"0.032725\" qw=\"0.992215\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.207280\" qy=\"-0.186310\" qz=\"-0.473773\" qw=\"0.835382\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.144148\" qy=\"0.309094\" qz=\"-0.353654\" qw=\"-0.870983\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214780\" y=\"-0.000128\" z=\"-0.000035\" qx=\"0.159804\" qy=\"-0.114557\" qz=\"-0.167019\" qw=\"-0.966149\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.085643\" qy=\"0.047488\" qz=\"-0.040140\" qw=\"0.994384\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.165693\" qy=\"0.260897\" qz=\"0.351653\" qw=\"0.883639\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.114975\" qy=\"-0.296754\" qz=\"0.425647\" qw=\"-0.847079\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209317\" y=\"-0.000027\" z=\"-0.000143\" qx=\"0.129749\" qy=\"-0.019717\" qz=\"0.271182\" qw=\"-0.953539\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.510051\" qy=\"0.028786\" qz=\"0.164095\" qw=\"0.843856\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.791551\" qy=\"0.004967\" qz=\"0.199132\" qw=\"-0.577727\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000182\" y=\"-0.414725\" z=\"0.002127\" qx=\"0.095136\" qy=\"0.272433\" qz=\"-0.070358\" qw=\"0.954871\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.431777\" qy=\"-0.067741\" qz=\"0.110696\" qw=\"-0.892595\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.789622\" qy=\"0.007418\" qz=\"-0.013088\" qw=\"0.613409\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002453\" y=\"-0.422783\" z=\"-0.003512\" qx=\"-0.179056\" qy=\"-0.095700\" qz=\"0.186505\" qw=\"0.961247\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015202\" qy=\"-0.004638\" qz=\"0.001185\" qw=\"-0.999873\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.096957\" qy=\"0.002996\" qz=\"-0.000307\" qw=\"-0.995284\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 183: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.220393\" y=\"0.751159\" z=\"0.200421\" qx=\"0.025797\" qy=\"0.356436\" qz=\"0.041175\" qw=\"0.933055\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.230980\" qy=\"-0.013433\" qz=\"-0.004943\" qw=\"-0.972853\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000516\" y=\"0.187460\" z=\"0.000507\" qx=\"-0.070420\" qy=\"-0.004394\" qz=\"0.021123\" qw=\"-0.997284\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.202568\" qy=\"0.009383\" qz=\"-0.023539\" qw=\"-0.978940\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.139733\" z=\"-0.019600\" qx=\"-0.043113\" qy=\"0.020276\" qz=\"0.045251\" qw=\"-0.997839\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.111715\" qy=\"0.052180\" qz=\"0.033994\" qw=\"0.991787\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.229029\" qy=\"-0.197722\" qz=\"-0.480310\" qw=\"0.823258\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.149736\" qy=\"0.297045\" qz=\"-0.322693\" qw=\"-0.886122\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214707\" y=\"-0.000128\" z=\"-0.000035\" qx=\"0.163932\" qy=\"-0.100560\" qz=\"-0.144172\" qw=\"-0.970684\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083362\" qy=\"0.044227\" qz=\"-0.042632\" qw=\"0.994624\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.165969\" qy=\"0.267912\" qz=\"0.352581\" qw=\"0.881115\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.109187\" qy=\"-0.289431\" qz=\"0.414363\" qw=\"-0.855927\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209260\" y=\"-0.000027\" z=\"-0.000143\" qx=\"0.123485\" qy=\"-0.026016\" qz=\"0.227582\" qw=\"-0.965547\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.508106\" qy=\"0.026775\" qz=\"0.140694\" qw=\"0.849303\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.766346\" qy=\"0.009036\" qz=\"0.197623\" qw=\"-0.611211\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000309\" y=\"-0.416073\" z=\"0.002406\" qx=\"0.082929\" qy=\"0.270446\" qz=\"-0.043605\" qw=\"0.958165\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.379078\" qy=\"-0.059561\" qz=\"0.101473\" qw=\"-0.917854\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.752601\" qy=\"0.010579\" qz=\"-0.023301\" qw=\"0.657980\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002146\" y=\"-0.424534\" z=\"-0.001966\" qx=\"-0.171011\" qy=\"-0.105883\" qz=\"0.188150\" qw=\"0.961324\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015944\" qy=\"-0.005606\" qz=\"0.001432\" qw=\"-0.999856\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.101732\" qy=\"0.001293\" qz=\"-0.000132\" qw=\"-0.994811\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 184: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.249241\" y=\"0.786548\" z=\"0.227482\" qx=\"0.036437\" qy=\"0.361000\" qz=\"0.034721\" qw=\"0.931207\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.227057\" qy=\"-0.024151\" qz=\"-0.007222\" qw=\"-0.973555\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188521\" z=\"0.000510\" qx=\"-0.065985\" qy=\"-0.008054\" qz=\"0.022772\" qw=\"-0.997528\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.205143\" qy=\"0.017496\" qz=\"-0.019971\" qw=\"-0.978372\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.140966\" z=\"-0.019773\" qx=\"-0.056543\" qy=\"0.027596\" qz=\"0.038849\" qw=\"-0.997262\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113079\" qy=\"0.053240\" qz=\"0.033601\" qw=\"0.991589\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.245812\" qy=\"-0.210200\" qz=\"-0.481592\" qw=\"0.814531\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.150868\" qy=\"0.285193\" qz=\"-0.280918\" qw=\"-0.903874\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214503\" y=\"-0.000128\" z=\"-0.000035\" qx=\"0.163085\" qy=\"-0.076941\" qz=\"-0.108069\" qw=\"-0.977652\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078093\" qy=\"0.047591\" qz=\"-0.044079\" qw=\"0.994833\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.169865\" qy=\"0.277340\" qz=\"0.345615\" qw=\"0.880215\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.107174\" qy=\"-0.287928\" qz=\"0.396699\" qw=\"-0.865009\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209487\" y=\"-0.000027\" z=\"-0.000143\" qx=\"0.121125\" qy=\"-0.038152\" qz=\"0.181279\" qw=\"-0.975198\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.506786\" qy=\"0.027128\" qz=\"0.109774\" qw=\"0.854624\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.719176\" qy=\"0.042994\" qz=\"0.200356\" qw=\"-0.663924\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000582\" y=\"-0.418100\" z=\"0.001698\" qx=\"0.026404\" qy=\"0.219606\" qz=\"-0.011401\" qw=\"0.975165\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.335409\" qy=\"-0.051385\" qz=\"0.096120\" qw=\"-0.935746\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.711816\" qy=\"0.009850\" qz=\"-0.030473\" qw=\"0.701635\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002149\" y=\"-0.426596\" z=\"-0.001501\" qx=\"-0.160200\" qy=\"-0.112909\" qz=\"0.193776\" qw=\"0.961269\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020012\" qy=\"-0.005675\" qz=\"0.001450\" qw=\"-0.999783\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.104781\" qy=\"0.000674\" qz=\"-0.000069\" qw=\"-0.994495\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 185: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.276985\" y=\"0.816827\" z=\"0.253000\" qx=\"0.051211\" qy=\"0.365955\" qz=\"0.026367\" qw=\"0.928848\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.226372\" qy=\"-0.034289\" qz=\"-0.007673\" qw=\"-0.973407\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189155\" z=\"0.000512\" qx=\"-0.059226\" qy=\"-0.011518\" qz=\"0.023706\" qw=\"-0.997897\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.196952\" qy=\"0.023748\" qz=\"-0.015863\" qw=\"-0.979997\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.141302\" z=\"-0.019820\" qx=\"-0.068745\" qy=\"0.032247\" qz=\"0.029359\" qw=\"-0.996681\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113050\" qy=\"0.052265\" qz=\"0.032608\" qw=\"0.991678\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.259317\" qy=\"-0.225295\" qz=\"-0.480972\" qw=\"0.806637\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.146208\" qy=\"0.269706\" qz=\"-0.237089\" qw=\"-0.921776\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214566\" y=\"-0.000129\" z=\"-0.000035\" qx=\"0.156033\" qy=\"-0.051606\" qz=\"-0.063618\" qw=\"-0.984349\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.073355\" qy=\"0.055177\" qz=\"-0.045556\" qw=\"0.994736\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.186685\" qy=\"0.293641\" qz=\"0.334064\" qw=\"0.875971\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.107270\" qy=\"-0.273949\" qz=\"0.392371\" qw=\"-0.871487\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211041\" y=\"-0.000027\" z=\"-0.000144\" qx=\"0.121311\" qy=\"-0.055000\" qz=\"0.125124\" qw=\"-0.983159\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.501454\" qy=\"0.014310\" qz=\"0.088454\" qw=\"0.860532\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.642910\" qy=\"0.067776\" qz=\"0.195611\" qw=\"-0.737434\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000510\" y=\"-0.420176\" z=\"0.002171\" qx=\"-0.023110\" qy=\"0.176806\" qz=\"-0.054447\" qw=\"0.982467\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.301815\" qy=\"0.043991\" qz=\"-0.093761\" qw=\"0.947724\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.671853\" qy=\"0.009588\" qz=\"-0.032294\" qw=\"0.739918\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002104\" y=\"-0.428335\" z=\"-0.000990\" qx=\"-0.145311\" qy=\"-0.119011\" qz=\"0.192332\" qw=\"0.963187\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021072\" qy=\"-0.005214\" qz=\"0.001332\" qw=\"-0.999763\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.106807\" qy=\"0.001459\" qz=\"-0.000149\" qw=\"-0.994279\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 186: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.304476\" y=\"0.840307\" z=\"0.278194\" qx=\"0.069188\" qy=\"0.367211\" qz=\"0.015666\" qw=\"0.927429\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.223918\" qy=\"-0.045295\" qz=\"-0.007008\" qw=\"-0.973530\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000522\" y=\"0.189709\" z=\"0.000513\" qx=\"-0.054333\" qy=\"-0.015272\" qz=\"0.028547\" qw=\"-0.997998\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.184534\" qy=\"0.027441\" qz=\"-0.015714\" qw=\"-0.982317\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.140711\" z=\"-0.019737\" qx=\"-0.073243\" qy=\"0.034944\" qz=\"0.021658\" qw=\"-0.996467\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.114491\" qy=\"0.048880\" qz=\"0.032176\" qw=\"0.991699\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.272643\" qy=\"0.243176\" qz=\"0.478293\" qw=\"-0.798604\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.138373\" qy=\"0.254944\" qz=\"-0.197716\" qw=\"-0.936357\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214971\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.145927\" qy=\"-0.037379\" qz=\"-0.028577\" qw=\"-0.988176\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.069578\" qy=\"0.065005\" qz=\"-0.047231\" qw=\"0.994335\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.210679\" qy=\"0.315747\" qz=\"0.323485\" qw=\"0.866762\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105089\" qy=\"-0.247833\" qz=\"0.403685\" qw=\"-0.874399\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213654\" y=\"-0.000027\" z=\"-0.000146\" qx=\"0.119121\" qy=\"-0.070891\" qz=\"0.058589\" qw=\"-0.988611\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.490115\" qy=\"0.007434\" qz=\"0.071710\" qw=\"0.868671\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.540385\" qy=\"0.084250\" qz=\"0.176878\" qw=\"-0.818291\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000176\" y=\"-0.424372\" z=\"0.000835\" qx=\"-0.076317\" qy=\"0.138704\" qz=\"-0.068058\" qw=\"0.985041\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.280300\" qy=\"0.040631\" qz=\"-0.093727\" qw=\"0.954461\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.637424\" qy=\"0.007059\" qz=\"-0.029630\" qw=\"0.769911\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002053\" y=\"-0.429732\" z=\"-0.000700\" qx=\"-0.124870\" qy=\"-0.120971\" qz=\"0.187943\" qw=\"0.966670\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022941\" qy=\"-0.005426\" qz=\"0.001386\" qw=\"-0.999721\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.109994\" qy=\"0.000359\" qz=\"-0.000037\" qw=\"-0.993932\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 187: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.334397\" y=\"0.855954\" z=\"0.304513\" qx=\"0.082463\" qy=\"0.366600\" qz=\"0.004675\" qw=\"0.926705\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.221697\" qy=\"-0.054477\" qz=\"-0.006782\" qw=\"-0.973569\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000522\" y=\"0.189687\" z=\"0.000513\" qx=\"-0.053875\" qy=\"-0.018397\" qz=\"0.034557\" qw=\"-0.997780\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.172053\" qy=\"0.029463\" qz=\"-0.016709\" qw=\"-0.984505\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.140125\" z=\"-0.019655\" qx=\"-0.071455\" qy=\"0.036257\" qz=\"0.015485\" qw=\"-0.996664\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.116223\" qy=\"0.043919\" qz=\"0.032084\" qw=\"0.991733\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.290652\" qy=\"0.264167\" qz=\"0.475921\" qw=\"-0.786916\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.128176\" qy=\"0.238268\" qz=\"-0.170584\" qw=\"-0.947470\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215557\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.133906\" qy=\"-0.028373\" qz=\"0.006902\" qw=\"-0.990564\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.062088\" qy=\"0.073597\" qz=\"-0.047884\" qw=\"0.994201\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.224260\" qy=\"0.334450\" qz=\"0.314207\" qw=\"0.859724\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.099966\" qy=\"-0.240710\" qz=\"0.397005\" qw=\"-0.880030\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214985\" y=\"-0.000027\" z=\"-0.000146\" qx=\"0.112847\" qy=\"-0.073712\" qz=\"0.011270\" qw=\"-0.990810\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.469586\" qy=\"0.015810\" qz=\"0.048306\" qw=\"0.881423\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.429004\" qy=\"-0.120754\" qz=\"-0.142378\" qw=\"0.883800\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000242\" y=\"-0.430750\" z=\"0.001226\" qx=\"-0.121404\" qy=\"0.123803\" qz=\"-0.060979\" qw=\"0.982963\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.258727\" qy=\"0.035088\" qz=\"-0.095588\" qw=\"0.960569\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.607919\" qy=\"-0.004756\" qz=\"-0.029804\" qw=\"0.793426\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.002102\" y=\"-0.430480\" z=\"-0.000658\" qx=\"-0.103623\" qy=\"-0.110524\" qz=\"0.188424\" qw=\"0.970331\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022925\" qy=\"-0.005137\" qz=\"0.001313\" qw=\"-0.999723\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.115094\" qy=\"-0.001275\" qz=\"0.000131\" qw=\"-0.993354\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 188: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.367484\" y=\"0.862761\" z=\"0.332671\" qx=\"0.089087\" qy=\"0.361301\" qz=\"-0.007249\" qw=\"0.928155\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.219405\" qy=\"-0.065032\" qz=\"-0.005292\" qw=\"-0.973450\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189048\" z=\"0.000512\" qx=\"-0.055803\" qy=\"-0.021987\" qz=\"0.037290\" qw=\"-0.997503\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.161350\" qy=\"0.029824\" qz=\"-0.017622\" qw=\"-0.986289\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.139010\" z=\"-0.019499\" qx=\"-0.066135\" qy=\"0.036005\" qz=\"0.010602\" qw=\"-0.997105\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.118345\" qy=\"0.042497\" qz=\"0.031526\" qw=\"0.991562\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.306138\" qy=\"0.287069\" qz=\"0.474771\" qw=\"-0.773604\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113662\" qy=\"0.222862\" qz=\"-0.151056\" qw=\"-0.956345\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215753\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.117759\" qy=\"-0.020987\" qz=\"0.048373\" qw=\"-0.991641\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.055960\" qy=\"0.080691\" qz=\"-0.047709\" qw=\"0.994023\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.227047\" qy=\"0.349203\" qz=\"0.311154\" qw=\"0.854219\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094276\" qy=\"-0.244557\" qz=\"0.386296\" qw=\"-0.884353\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.215169\" y=\"-0.000026\" z=\"-0.000147\" qx=\"0.105950\" qy=\"-0.074999\" qz=\"-0.027335\" qw=\"-0.991162\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.440992\" qy=\"0.010579\" qz=\"0.037386\" qw=\"0.896670\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.336777\" qy=\"-0.111741\" qz=\"-0.105486\" qw=\"0.928961\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000404\" y=\"-0.437093\" z=\"0.001462\" qx=\"-0.156104\" qy=\"0.118407\" qz=\"-0.053957\" qw=\"0.979132\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.239818\" qy=\"0.035390\" qz=\"-0.095172\" qw=\"0.965493\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.590752\" qy=\"-0.009003\" qz=\"-0.022856\" qw=\"0.806479\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001992\" y=\"-0.430221\" z=\"-0.000649\" qx=\"-0.080484\" qy=\"-0.106212\" qz=\"0.182567\" qw=\"0.974120\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023191\" qy=\"-0.006508\" qz=\"0.001663\" qw=\"-0.999708\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.118802\" qy=\"-0.001585\" qz=\"0.000162\" qw=\"-0.992917\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 189: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.404672\" y=\"0.858959\" z=\"0.362924\" qx=\"0.084804\" qy=\"0.348132\" qz=\"-0.022073\" qw=\"0.933341\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.216694\" qy=\"-0.079104\" qz=\"-0.006578\" qw=\"-0.973007\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188297\" z=\"0.000510\" qx=\"-0.059784\" qy=\"-0.026774\" qz=\"0.037908\" qw=\"-0.997132\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.149379\" qy=\"0.028827\" qz=\"-0.019089\" qw=\"-0.988175\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.137723\" z=\"-0.019318\" qx=\"-0.064096\" qy=\"0.034742\" qz=\"0.008429\" qw=\"-0.997303\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.121613\" qy=\"0.043367\" qz=\"0.031068\" qw=\"0.991143\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.316820\" qy=\"0.304197\" qz=\"0.480001\" qw=\"-0.759400\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.094822\" qy=\"0.213280\" qz=\"-0.139800\" qw=\"-0.962277\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215479\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.097630\" qy=\"-0.014559\" qz=\"0.081715\" qw=\"-0.991756\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.058813\" qy=\"0.085757\" qz=\"-0.043177\" qw=\"0.993641\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.226455\" qy=\"0.360885\" qz=\"0.311588\" qw=\"0.849349\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087728\" qy=\"-0.253024\" qz=\"0.388084\" qw=\"-0.881858\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214642\" y=\"-0.000027\" z=\"-0.000146\" qx=\"0.098783\" qy=\"-0.077418\" qz=\"-0.062724\" qw=\"-0.990108\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.412831\" qy=\"0.000408\" qz=\"0.041539\" qw=\"0.909860\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.301030\" qy=\"-0.090562\" qz=\"-0.090024\" qw=\"0.945027\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000529\" y=\"-0.432141\" z=\"0.001282\" qx=\"-0.130399\" qy=\"0.126581\" qz=\"-0.023857\" qw=\"0.983058\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.228234\" qy=\"0.039768\" qz=\"-0.087810\" qw=\"0.968823\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.593912\" qy=\"-0.007078\" qz=\"-0.020644\" qw=\"0.804234\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001753\" y=\"-0.428507\" z=\"-0.000553\" qx=\"-0.046741\" qy=\"-0.095498\" qz=\"0.171597\" qw=\"0.979413\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034283\" qy=\"-0.009629\" qz=\"0.002460\" qw=\"-0.999363\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.119078\" qy=\"0.001287\" qz=\"-0.000132\" qw=\"-0.992884\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 190: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.440356\" y=\"0.847595\" z=\"0.391566\" qx=\"0.072518\" qy=\"0.342628\" qz=\"-0.033851\" qw=\"0.936056\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.226567\" qy=\"-0.082969\" qz=\"-0.006185\" qw=\"-0.970436\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188463\" z=\"0.000510\" qx=\"-0.050860\" qy=\"-0.028173\" qz=\"0.031083\" qw=\"-0.997824\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.140058\" qy=\"0.024836\" qz=\"-0.021655\" qw=\"-0.989595\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.137049\" z=\"-0.019224\" qx=\"-0.055426\" qy=\"0.031658\" qz=\"0.014123\" qw=\"-0.997861\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.125380\" qy=\"0.044759\" qz=\"0.028960\" qw=\"0.990676\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.325601\" qy=\"0.315854\" qz=\"0.489405\" qw=\"-0.744784\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083116\" qy=\"0.209934\" qz=\"-0.135998\" qw=\"-0.964637\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214607\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.085195\" qy=\"-0.008785\" qz=\"0.113147\" qw=\"-0.989880\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.059010\" qy=\"0.087597\" qz=\"-0.041245\" qw=\"0.993551\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230356\" qy=\"0.367736\" qz=\"0.321040\" qw=\"0.841807\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082065\" qy=\"-0.275248\" qz=\"0.384327\" qw=\"-0.877380\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212749\" y=\"-0.000026\" z=\"-0.000144\" qx=\"0.092940\" qy=\"-0.074235\" qz=\"-0.066877\" qw=\"-0.990646\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.419849\" qy=\"0.002920\" qz=\"0.047472\" qw=\"0.906347\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.340649\" qy=\"-0.106085\" qz=\"-0.095960\" qw=\"0.929245\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001334\" y=\"-0.423157\" z=\"0.002026\" qx=\"-0.019489\" qy=\"0.128178\" qz=\"-0.003864\" qw=\"0.991552\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.231601\" qy=\"0.044091\" qz=\"-0.081498\" qw=\"0.968388\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.621548\" qy=\"-0.001531\" qz=\"-0.016678\" qw=\"0.783197\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001401\" y=\"-0.424722\" z=\"-0.000247\" qx=\"0.007065\" qy=\"-0.086437\" qz=\"0.153998\" qw=\"0.984258\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.007437\" qy=\"-0.011961\" qz=\"0.003056\" qw=\"-0.999896\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.095792\" qy=\"0.003878\" qz=\"-0.000397\" qw=\"-0.995394\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 191: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.473702\" y=\"0.835856\" z=\"0.419283\" qx=\"0.059071\" qy=\"0.350061\" qz=\"-0.026063\" qw=\"0.934499\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.241056\" qy=\"-0.075247\" qz=\"0.005075\" qw=\"-0.967576\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000517\" y=\"0.187546\" z=\"0.000508\" qx=\"-0.053668\" qy=\"-0.025606\" qz=\"0.023629\" qw=\"-0.997951\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.131179\" qy=\"0.023471\" qz=\"-0.020664\" qw=\"-0.990865\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.135172\" z=\"-0.018960\" qx=\"-0.024055\" qy=\"0.029506\" qz=\"0.009639\" qw=\"-0.999229\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.118442\" qy=\"0.036616\" qz=\"0.027557\" qw=\"0.991903\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.339756\" qy=\"0.333188\" qz=\"0.489847\" qw=\"-0.730480\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084971\" qy=\"0.205191\" qz=\"-0.143672\" qw=\"-0.964383\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215225\" y=\"-0.000129\" z=\"-0.000034\" qx=\"0.086712\" qy=\"-0.000475\" qz=\"0.148006\" qw=\"-0.985178\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063037\" qy=\"0.089874\" qz=\"-0.038525\" qw=\"0.993209\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231229\" qy=\"0.369587\" qz=\"0.333868\" qw=\"0.835746\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079110\" qy=\"-0.295149\" qz=\"0.382970\" qw=\"-0.871758\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211023\" y=\"-0.000026\" z=\"-0.000143\" qx=\"0.090346\" qy=\"-0.070483\" qz=\"-0.042758\" qw=\"-0.992493\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.426771\" qy=\"0.021213\" qz=\"0.039085\" qw=\"0.903266\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.416876\" qy=\"0.113295\" qz=\"0.111623\" qw=\"-0.894941\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000790\" y=\"-0.427593\" z=\"0.001580\" qx=\"-0.067325\" qy=\"0.120370\" qz=\"0.015440\" qw=\"0.990323\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.247058\" qy=\"0.035234\" qz=\"-0.085146\" qw=\"0.964609\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.660408\" qy=\"0.019194\" qz=\"-0.019082\" qw=\"0.750419\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001308\" y=\"-0.420834\" z=\"0.001634\" qx=\"0.080863\" qy=\"-0.077179\" qz=\"0.113120\" qw=\"0.987273\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005479\" qy=\"-0.003847\" qz=\"0.000983\" qw=\"-0.999977\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.044035\" qy=\"0.012542\" qz=\"-0.001284\" qw=\"-0.998950\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 192: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.504458\" y=\"0.828525\" z=\"0.444644\" qx=\"0.055564\" qy=\"0.355641\" qz=\"-0.019518\" qw=\"0.932765\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.240744\" qy=\"-0.070378\" qz=\"0.007103\" qw=\"-0.968008\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000515\" y=\"0.187021\" z=\"0.000507\" qx=\"-0.069676\" qy=\"-0.023907\" qz=\"0.027185\" qw=\"-0.996913\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.117218\" qy=\"0.026516\" qz=\"-0.017141\" qw=\"-0.992604\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.134726\" z=\"-0.018898\" qx=\"0.006662\" qy=\"0.031204\" qz=\"0.002351\" qw=\"-0.999488\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.106802\" qy=\"0.022717\" qz=\"0.023252\" qw=\"0.993749\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.357690\" qy=\"0.366266\" qz=\"0.468939\" qw=\"-0.719725\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096235\" qy=\"0.187420\" qz=\"-0.161710\" qw=\"-0.964086\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218158\" y=\"-0.000131\" z=\"-0.000035\" qx=\"0.097628\" qy=\"0.016706\" qz=\"0.179320\" qw=\"-0.978792\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.067673\" qy=\"0.088094\" qz=\"-0.034577\" qw=\"0.993209\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.235523\" qy=\"0.376803\" qz=\"0.349287\" qw=\"0.824953\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084548\" qy=\"-0.294115\" qz=\"0.377983\" qw=\"-0.873772\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210700\" y=\"-0.000026\" z=\"-0.000142\" qx=\"0.096341\" qy=\"-0.070726\" qz=\"-0.008376\" qw=\"-0.992797\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.424055\" qy=\"0.053662\" qz=\"0.017731\" qw=\"0.903871\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.459329\" qy=\"0.157857\" qz=\"0.116233\" qw=\"-0.866365\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000553\" y=\"-0.428770\" z=\"0.001983\" qx=\"-0.103910\" qy=\"0.136938\" qz=\"0.035274\" qw=\"0.984483\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.275692\" qy=\"0.029689\" qz=\"-0.087836\" qw=\"0.956764\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.694250\" qy=\"0.041126\" qz=\"-0.020225\" qw=\"0.718273\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000847\" y=\"-0.419256\" z=\"0.000213\" qx=\"0.064071\" qy=\"-0.066513\" qz=\"0.108463\" qw=\"0.989801\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000153\" qy=\"-0.003308\" qz=\"0.000845\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.041957\" qy=\"0.013248\" qz=\"-0.001356\" qw=\"-0.999031\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 193: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.530295\" y=\"0.828948\" z=\"0.468337\" qx=\"0.057218\" qy=\"0.362818\" qz=\"-0.019817\" qw=\"0.929891\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.245210\" qy=\"-0.062256\" qz=\"0.005145\" qw=\"-0.967455\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000515\" y=\"0.186842\" z=\"0.000506\" qx=\"-0.067355\" qy=\"-0.021146\" qz=\"0.028678\" qw=\"-0.997093\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.111326\" qy=\"0.028612\" qz=\"-0.010312\" qw=\"-0.993318\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.132254\" z=\"-0.018552\" qx=\"0.040734\" qy=\"0.031405\" qz=\"-0.005260\" qw=\"-0.998662\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098798\" qy=\"0.014146\" qz=\"0.019303\" qw=\"0.994820\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.359717\" qy=\"0.395424\" qz=\"0.452705\" qw=\"-0.713654\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104692\" qy=\"0.165527\" qz=\"-0.190133\" qw=\"-0.962024\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220830\" y=\"-0.000132\" z=\"-0.000036\" qx=\"0.106555\" qy=\"0.024013\" qz=\"0.168505\" qw=\"-0.979630\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.073823\" qy=\"0.090107\" qz=\"-0.031391\" qw=\"0.992696\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.234839\" qy=\"0.378131\" qz=\"0.368826\" qw=\"0.815987\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084491\" qy=\"-0.286741\" qz=\"0.352668\" qw=\"-0.886717\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210959\" y=\"-0.000026\" z=\"-0.000143\" qx=\"0.094892\" qy=\"-0.064860\" qz=\"0.017536\" qw=\"-0.993218\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.414250\" qy=\"0.041525\" qz=\"0.022263\" qw=\"0.908943\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.475151\" qy=\"0.132793\" qz=\"0.123185\" qw=\"-0.861059\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000652\" y=\"-0.429472\" z=\"0.001729\" qx=\"-0.132597\" qy=\"0.117127\" qz=\"0.043994\" qw=\"0.983242\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.313214\" qy=\"0.037276\" qz=\"-0.085308\" qw=\"0.945108\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.712935\" qy=\"0.030741\" qz=\"-0.021369\" qw=\"0.700230\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000776\" y=\"-0.419253\" z=\"-0.000368\" qx=\"0.008729\" qy=\"-0.058001\" qz=\"0.115015\" qw=\"0.991631\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000277\" qy=\"-0.002673\" qz=\"0.000683\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.045203\" qy=\"0.013002\" qz=\"-0.001331\" qw=\"-0.998892\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 194: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.552279\" y=\"0.834636\" z=\"0.490556\" qx=\"0.063041\" qy=\"0.369113\" qz=\"-0.022126\" qw=\"0.926980\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.249790\" qy=\"-0.052874\" qz=\"0.008958\" qw=\"-0.966814\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000516\" y=\"0.187354\" z=\"0.000507\" qx=\"-0.060471\" qy=\"-0.017916\" qz=\"0.022157\" qw=\"-0.997763\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.103028\" qy=\"0.028321\" qz=\"-0.006555\" qw=\"-0.994254\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.128614\" z=\"-0.018041\" qx=\"0.075893\" qy=\"0.030427\" qz=\"-0.006121\" qw=\"-0.996633\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090350\" qy=\"0.008351\" qz=\"0.020252\" qw=\"0.995669\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.335503\" qy=\"0.405517\" qz=\"0.459512\" qw=\"-0.715432\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.112803\" qy=\"0.169054\" qz=\"-0.225746\" qw=\"-0.952751\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220942\" y=\"-0.000133\" z=\"-0.000036\" qx=\"0.117021\" qy=\"-0.006268\" qz=\"0.092723\" qw=\"-0.988772\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.079136\" qy=\"0.091636\" qz=\"-0.029445\" qw=\"0.992206\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232728\" qy=\"0.378397\" qz=\"0.383634\" qw=\"0.809616\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079747\" qy=\"-0.268934\" qz=\"0.320254\" qw=\"-0.904849\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212130\" y=\"-0.000027\" z=\"-0.000143\" qx=\"0.087858\" qy=\"-0.058839\" qz=\"0.009136\" qw=\"-0.994352\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.403456\" qy=\"0.046087\" qz=\"0.019652\" qw=\"0.913626\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.478032\" qy=\"0.145610\" qz=\"0.128079\" qw=\"-0.856667\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000580\" y=\"-0.431022\" z=\"0.001940\" qx=\"-0.151850\" qy=\"0.119398\" qz=\"0.051669\" qw=\"0.979804\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.358827\" qy=\"0.039567\" qz=\"-0.076374\" qw=\"0.929433\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.712811\" qy=\"0.023368\" qz=\"-0.018505\" qw=\"0.700723\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001369\" y=\"-0.419827\" z=\"0.000307\" qx=\"-0.023198\" qy=\"-0.071119\" qz=\"0.097717\" qw=\"0.992399\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.000794\" qy=\"-0.003221\" qz=\"0.000823\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.045425\" qy=\"0.013272\" qz=\"-0.001359\" qw=\"-0.998879\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 195: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.572816\" y=\"0.843778\" z=\"0.512123\" qx=\"0.068148\" qy=\"0.374872\" qz=\"-0.025371\" qw=\"0.924220\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.256395\" qy=\"-0.042666\" qz=\"0.008878\" qw=\"-0.965589\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188626\" z=\"0.000511\" qx=\"-0.050782\" qy=\"-0.014476\" qz=\"0.017008\" qw=\"-0.998460\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.092750\" qy=\"0.026594\" qz=\"-0.002919\" qw=\"-0.995330\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125095\" z=\"-0.017547\" qx=\"0.101186\" qy=\"0.027989\" qz=\"-0.006155\" qw=\"-0.994455\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083081\" qy=\"0.004363\" qz=\"0.019276\" qw=\"0.996347\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.325383\" qy=\"0.413073\" qz=\"0.460016\" qw=\"-0.715460\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.136017\" qy=\"0.197426\" qz=\"-0.273480\" qw=\"-0.931521\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221088\" y=\"-0.000132\" z=\"-0.000036\" qx=\"0.144236\" qy=\"-0.052001\" qz=\"-0.008871\" qw=\"-0.988136\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083421\" qy=\"0.089946\" qz=\"-0.026482\" qw=\"0.992094\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.231272\" qy=\"0.378488\" qz=\"0.394039\" qw=\"0.804980\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073636\" qy=\"-0.244477\" qz=\"0.280632\" qw=\"-0.925232\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214061\" y=\"-0.000027\" z=\"-0.000145\" qx=\"0.079382\" qy=\"-0.059057\" qz=\"-0.006687\" qw=\"-0.995071\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.387705\" qy=\"0.057448\" qz=\"0.016232\" qw=\"0.919848\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.473518\" qy=\"0.151803\" qz=\"0.120529\" qw=\"-0.859191\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000564\" y=\"-0.432150\" z=\"0.001745\" qx=\"-0.164189\" qy=\"0.106081\" qz=\"0.055152\" qw=\"0.979156\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.398852\" qy=\"-0.037679\" qz=\"0.065660\" qw=\"-0.913885\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.692203\" qy=\"0.020607\" qz=\"-0.011571\" qw=\"0.721316\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.001099\" y=\"-0.422406\" z=\"0.001161\" qx=\"-0.056769\" qy=\"-0.086964\" qz=\"0.078090\" qw=\"0.991522\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001593\" qy=\"-0.003860\" qz=\"0.000986\" qw=\"-0.999991\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042502\" qy=\"0.012857\" qz=\"-0.001316\" qw=\"-0.999013\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 196: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.593199\" y=\"0.855489\" z=\"0.534085\" qx=\"0.074229\" qy=\"0.379354\" qz=\"-0.028869\" qw=\"0.921818\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.256784\" qy=\"-0.032357\" qz=\"0.008724\" qw=\"-0.965888\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188394\" z=\"0.000510\" qx=\"-0.046196\" qy=\"-0.010929\" qz=\"0.008487\" qw=\"-0.998837\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.082634\" qy=\"0.024865\" qz=\"0.005291\" qw=\"-0.996256\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123287\" z=\"-0.017294\" qx=\"0.116768\" qy=\"0.024443\" qz=\"-0.009075\" qw=\"-0.992817\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077078\" qy=\"0.003291\" qz=\"0.015726\" qw=\"0.996896\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.326191\" qy=\"0.418701\" qz=\"0.452736\" qw=\"-0.716463\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.166520\" qy=\"0.239785\" qz=\"-0.331179\" qw=\"-0.897271\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220914\" y=\"-0.000132\" z=\"-0.000036\" qx=\"0.181570\" qy=\"-0.066113\" qz=\"-0.070250\" qw=\"-0.978635\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087070\" qy=\"0.091397\" qz=\"-0.030887\" qw=\"0.991520\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228594\" qy=\"0.376112\" qz=\"0.405754\" qw=\"0.801029\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070857\" qy=\"-0.216868\" qz=\"0.240624\" qw=\"-0.943423\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216312\" y=\"-0.000027\" z=\"-0.000147\" qx=\"0.074898\" qy=\"-0.061787\" qz=\"-0.016815\" qw=\"-0.995133\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.368850\" qy=\"0.058784\" qz=\"0.016396\" qw=\"0.927483\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.460592\" qy=\"0.154599\" qz=\"0.117980\" qw=\"-0.866046\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000457\" y=\"-0.433562\" z=\"0.001685\" qx=\"-0.172570\" qy=\"0.101199\" qz=\"0.057711\" qw=\"0.978084\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.427284\" qy=\"-0.037693\" qz=\"0.059434\" qw=\"-0.901374\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.647066\" qy=\"0.006372\" qz=\"-0.007625\" qw=\"0.762370\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000532\" y=\"-0.424784\" z=\"0.000838\" qx=\"-0.083474\" qy=\"-0.084182\" qz=\"0.078995\" qw=\"0.989801\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002857\" qy=\"-0.004538\" qz=\"0.001160\" qw=\"-0.999985\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042413\" qy=\"0.011889\" qz=\"-0.001217\" qw=\"-0.999029\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 197: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.613586\" y=\"0.867472\" z=\"0.556754\" qx=\"0.080149\" qy=\"0.382079\" qz=\"-0.030584\" qw=\"0.920139\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.254160\" qy=\"-0.025444\" qz=\"0.007169\" qw=\"-0.966801\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188495\" z=\"0.000511\" qx=\"-0.043848\" qy=\"-0.008544\" qz=\"0.004985\" qw=\"-0.998989\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.073501\" qy=\"0.023518\" qz=\"0.004952\" qw=\"-0.997006\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.122436\" z=\"-0.017174\" qx=\"0.122637\" qy=\"0.023364\" qz=\"-0.006591\" qw=\"-0.992155\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.072977\" qy=\"0.001701\" qz=\"0.016991\" qw=\"0.997187\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.319867\" qy=\"0.414730\" qz=\"0.448496\" qw=\"-0.724248\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.183190\" qy=\"0.294365\" qz=\"-0.384066\" qw=\"-0.855736\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220047\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.208352\" qy=\"-0.055061\" qz=\"-0.075598\" qw=\"-0.973572\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090988\" qy=\"0.089621\" qz=\"-0.030523\" qw=\"0.991341\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.235199\" qy=\"0.374303\" qz=\"0.414153\" qw=\"0.795648\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072004\" qy=\"-0.184493\" qz=\"0.215362\" qw=\"-0.956241\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219535\" y=\"-0.000028\" z=\"-0.000149\" qx=\"0.075057\" qy=\"-0.060422\" qz=\"-0.029048\" qw=\"-0.994923\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.346724\" qy=\"0.056219\" qz=\"0.016098\" qw=\"0.936143\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.443633\" qy=\"0.155183\" qz=\"0.114659\" qw=\"-0.875192\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000345\" y=\"-0.434918\" z=\"0.001677\" qx=\"-0.179582\" qy=\"0.098852\" qz=\"0.057472\" qw=\"0.977075\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.444180\" qy=\"-0.039163\" qz=\"0.058457\" qw=\"-0.893170\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.582441\" qy=\"-0.009328\" qz=\"0.004398\" qw=\"0.812808\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000596\" y=\"-0.427639\" z=\"0.001035\" qx=\"-0.096135\" qy=\"-0.079020\" qz=\"0.086162\" qw=\"0.988479\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004333\" qy=\"-0.004056\" qz=\"0.001036\" qw=\"-0.999982\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042959\" qy=\"0.011410\" qz=\"-0.001168\" qw=\"-0.999011\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 198: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.634692\" y=\"0.877759\" z=\"0.580896\" qx=\"0.083430\" qy=\"0.381929\" qz=\"-0.029873\" qw=\"0.919933\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.250489\" qy=\"-0.021178\" qz=\"0.007278\" qw=\"-0.967860\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189009\" z=\"0.000512\" qx=\"-0.042740\" qy=\"-0.007069\" qz=\"0.000746\" qw=\"-0.999061\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.068567\" qy=\"0.022466\" qz=\"0.005104\" qw=\"-0.997380\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121741\" z=\"-0.017077\" qx=\"0.127713\" qy=\"0.022541\" qz=\"-0.004189\" qw=\"-0.991546\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.070317\" qy=\"0.002343\" qz=\"0.018894\" qw=\"0.997343\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.312458\" qy=\"0.404690\" qz=\"0.446871\" qw=\"-0.734100\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.183248\" qy=\"0.351450\" qz=\"-0.430316\" qw=\"-0.811007\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219026\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.219817\" qy=\"-0.047597\" qz=\"-0.047329\" qw=\"-0.973229\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.095544\" qy=\"0.086184\" qz=\"-0.030099\" qw=\"0.991230\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.236558\" qy=\"0.367742\" qz=\"0.423090\" qw=\"0.793600\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070394\" qy=\"-0.158445\" qz=\"0.191604\" qw=\"-0.966037\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.222285\" y=\"-0.000028\" z=\"-0.000152\" qx=\"0.072630\" qy=\"-0.054920\" qz=\"-0.040476\" qw=\"-0.995023\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.321691\" qy=\"0.055883\" qz=\"0.013919\" qw=\"0.945092\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.428784\" qy=\"0.157530\" qz=\"0.109343\" qw=\"-0.882821\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000230\" y=\"-0.436304\" z=\"0.001744\" qx=\"-0.186574\" qy=\"0.100559\" qz=\"0.057095\" qw=\"0.975612\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.447077\" qy=\"-0.029069\" qz=\"0.052613\" qw=\"-0.892474\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.499084\" qy=\"-0.015871\" qz=\"0.008580\" qw=\"0.866366\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000760\" y=\"-0.431601\" z=\"0.001233\" qx=\"-0.106491\" qy=\"-0.067544\" qz=\"0.099676\" qw=\"0.986997\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.005007\" qy=\"-0.004292\" qz=\"0.001097\" qw=\"-0.999978\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.043531\" qy=\"0.012327\" qz=\"-0.001262\" qw=\"-0.998975\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 199: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.657263\" y=\"0.885711\" z=\"0.607435\" qx=\"0.083317\" qy=\"0.382049\" qz=\"-0.024879\" qw=\"0.920043\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.245628\" qy=\"-0.017154\" qz=\"0.009111\" qw=\"-0.969170\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189104\" z=\"0.000512\" qx=\"-0.044565\" qy=\"-0.005678\" qz=\"-0.003549\" qw=\"-0.998984\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.065419\" qy=\"0.022049\" qz=\"0.006650\" qw=\"-0.997592\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121422\" z=\"-0.017032\" qx=\"0.130818\" qy=\"0.021880\" qz=\"-0.003995\" qw=\"-0.991157\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.069367\" qy=\"0.003599\" qz=\"0.020067\" qw=\"0.997383\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.319659\" qy=\"0.398362\" qz=\"0.441895\" qw=\"-0.737465\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.184154\" qy=\"0.392402\" qz=\"-0.474783\" qw=\"-0.765956\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219069\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.233367\" qy=\"-0.041850\" qz=\"-0.029003\" qw=\"-0.971055\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.100597\" qy=\"0.082291\" qz=\"-0.028857\" qw=\"0.991098\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232837\" qy=\"0.356885\" qz=\"0.432475\" qw=\"0.794598\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069442\" qy=\"-0.138763\" qz=\"0.170968\" qw=\"-0.972981\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224490\" y=\"-0.000028\" z=\"-0.000153\" qx=\"0.071124\" qy=\"-0.047982\" qz=\"-0.050828\" qw=\"-0.995015\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.294065\" qy=\"0.051960\" qz=\"0.010734\" qw=\"0.954312\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.418433\" qy=\"0.156198\" qz=\"0.106191\" qw=\"-0.888392\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000149\" y=\"-0.437166\" z=\"0.001717\" qx=\"-0.189831\" qy=\"0.103024\" qz=\"0.056323\" qw=\"0.974771\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.433643\" qy=\"-0.000233\" qz=\"0.035927\" qw=\"-0.900368\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.402621\" qy=\"0.003510\" qz=\"-0.003192\" qw=\"0.915355\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000931\" y=\"-0.436532\" z=\"0.001182\" qx=\"-0.119464\" qy=\"-0.053447\" qz=\"0.114698\" qw=\"0.984742\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.007594\" qy=\"-0.005429\" qz=\"0.001387\" qw=\"-0.999955\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042935\" qy=\"0.010283\" qz=\"-0.001053\" qw=\"-0.999024\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 200: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.681541\" y=\"0.890331\" z=\"0.637955\" qx=\"0.077252\" qy=\"0.385216\" qz=\"-0.016769\" qw=\"0.919434\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.238396\" qy=\"-0.012718\" qz=\"0.009052\" qw=\"-0.971042\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188596\" z=\"0.000510\" qx=\"-0.050103\" qy=\"-0.004153\" qz=\"-0.006283\" qw=\"-0.998716\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.066202\" qy=\"0.023229\" qz=\"0.009427\" qw=\"-0.997491\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121784\" z=\"-0.017082\" qx=\"0.130611\" qy=\"0.022396\" qz=\"-0.006290\" qw=\"-0.991161\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.070068\" qy=\"0.005667\" qz=\"0.021325\" qw=\"0.997298\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.325844\" qy=\"0.389937\" qz=\"0.439999\" qw=\"-0.740389\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.184205\" qy=\"0.426119\" qz=\"-0.493533\" qw=\"-0.735470\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218754\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.242516\" qy=\"-0.032503\" qz=\"-0.040786\" qw=\"-0.968745\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.107257\" qy=\"0.078062\" qz=\"-0.026742\" qw=\"0.990801\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.221524\" qy=\"0.342998\" qz=\"0.442274\" qw=\"0.798544\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.067545\" qy=\"-0.123007\" qz=\"0.147311\" qw=\"-0.979084\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226276\" y=\"-0.000028\" z=\"-0.000154\" qx=\"0.068750\" qy=\"-0.043635\" qz=\"-0.054428\" qw=\"-0.995192\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.263529\" qy=\"0.049641\" qz=\"0.008378\" qw=\"0.963337\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.416798\" qy=\"0.156699\" qz=\"0.105173\" qw=\"-0.889193\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000139\" y=\"-0.437957\" z=\"0.001669\" qx=\"-0.192123\" qy=\"0.104108\" qz=\"0.055399\" qw=\"0.974259\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.407052\" qy=\"0.014754\" qz=\"0.020864\" qw=\"-0.913047\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.320916\" qy=\"0.033171\" qz=\"-0.015395\" qw=\"0.946401\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000963\" y=\"-0.440828\" z=\"0.001256\" qx=\"-0.138405\" qy=\"-0.053875\" qz=\"0.107252\" qw=\"0.983076\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.011934\" qy=\"-0.005837\" qz=\"0.001492\" qw=\"-0.999911\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042418\" qy=\"0.010112\" qz=\"-0.001035\" qw=\"-0.999048\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 201: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.707037\" y=\"0.890313\" z=\"0.672019\" qx=\"0.065246\" qy=\"0.392947\" qz=\"-0.006068\" qw=\"0.917224\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.230237\" qy=\"-0.007612\" qz=\"0.007655\" qw=\"-0.973075\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000518\" y=\"0.188338\" z=\"0.000510\" qx=\"-0.054268\" qy=\"-0.002411\" qz=\"-0.009177\" qw=\"-0.998481\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.072479\" qy=\"0.026007\" qz=\"0.012493\" qw=\"-0.996953\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.122644\" z=\"-0.017203\" qx=\"0.124711\" qy=\"0.024624\" qz=\"-0.008416\" qw=\"-0.991852\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.073115\" qy=\"0.009151\" qz=\"0.021845\" qw=\"0.997042\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.323580\" qy=\"0.377550\" qz=\"0.446023\" qw=\"-0.744188\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.173137\" qy=\"0.446910\" qz=\"-0.487900\" qw=\"-0.729554\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217904\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.230261\" qy=\"-0.029501\" qz=\"-0.059703\" qw=\"-0.970848\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.113263\" qy=\"0.072224\" qz=\"-0.025339\" qw=\"0.990613\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.216348\" qy=\"0.331414\" qz=\"0.452617\" qw=\"0.799060\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069173\" qy=\"-0.105912\" qz=\"0.127205\" qw=\"-0.983777\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227978\" y=\"-0.000028\" z=\"-0.000155\" qx=\"0.070058\" qy=\"-0.041260\" qz=\"-0.054143\" qw=\"-0.995218\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.233643\" qy=\"0.046680\" qz=\"0.009025\" qw=\"0.971159\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.428117\" qy=\"0.156951\" qz=\"0.107985\" qw=\"-0.883415\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000246\" y=\"-0.437463\" z=\"0.001340\" qx=\"-0.190279\" qy=\"0.100260\" qz=\"0.053193\" qw=\"0.975147\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.376126\" qy=\"-0.013566\" qz=\"0.023729\" qw=\"-0.926165\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.287655\" qy=\"0.018837\" qz=\"-0.019317\" qw=\"0.957354\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000420\" y=\"-0.433853\" z=\"0.000814\" qx=\"-0.099848\" qy=\"-0.064841\" qz=\"0.086829\" qw=\"0.989084\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019621\" qy=\"-0.007699\" qz=\"0.001967\" qw=\"-0.999776\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.047638\" qy=\"0.011103\" qz=\"-0.001137\" qw=\"-0.998802\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 202: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.732598\" y=\"0.886061\" z=\"0.707389\" qx=\"0.050750\" qy=\"0.404143\" qz=\"0.006299\" qw=\"0.913265\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.221784\" qy=\"-0.002156\" qz=\"0.004509\" qw=\"-0.975083\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188704\" z=\"0.000510\" qx=\"-0.056138\" qy=\"-0.000557\" qz=\"-0.010022\" qw=\"-0.998373\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.080082\" qy=\"0.029691\" qz=\"0.015724\" qw=\"-0.996222\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123732\" z=\"-0.017356\" qx=\"0.116649\" qy=\"0.027975\" qz=\"-0.009375\" qw=\"-0.992735\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078551\" qy=\"0.013163\" qz=\"0.020474\" qw=\"0.996613\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.329132\" qy=\"0.370732\" qz=\"0.450796\" qw=\"-0.742302\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.165782\" qy=\"0.439937\" qz=\"-0.482144\" qw=\"-0.739262\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217608\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.218206\" qy=\"-0.033905\" qz=\"-0.056598\" qw=\"-0.973670\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.118897\" qy=\"0.064775\" qz=\"-0.022837\" qw=\"0.990528\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.215624\" qy=\"0.321344\" qz=\"0.461422\" qw=\"0.798332\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069784\" qy=\"-0.092762\" qz=\"0.113291\" qw=\"-0.986758\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228972\" y=\"-0.000028\" z=\"-0.000156\" qx=\"0.070449\" qy=\"-0.036368\" qz=\"-0.058330\" qw=\"-0.995144\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.213326\" qy=\"0.038190\" qz=\"0.014848\" qw=\"0.976122\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.456896\" qy=\"0.144358\" qz=\"0.115944\" qw=\"-0.870037\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000583\" y=\"-0.434635\" z=\"0.000426\" qx=\"-0.173330\" qy=\"0.085350\" qz=\"0.044282\" qw=\"0.980159\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.350945\" qy=\"-0.044063\" qz=\"0.030423\" qw=\"-0.934864\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.296219\" qy=\"-0.018146\" qz=\"-0.016862\" qw=\"0.954799\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000632\" y=\"-0.426445\" z=\"0.001561\" qx=\"-0.003268\" qy=\"-0.062749\" qz=\"0.032344\" qw=\"0.997500\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.036766\" qy=\"-0.008273\" qz=\"0.002114\" qw=\"-0.999287\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.038837\" qy=\"0.011649\" qz=\"-0.001192\" qw=\"-0.999177\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 203: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.755467\" y=\"0.881349\" z=\"0.740864\" qx=\"0.034194\" qy=\"0.409502\" qz=\"0.014805\" qw=\"0.911548\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.219842\" qy=\"-0.001373\" qz=\"-0.000465\" qw=\"-0.975534\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000520\" y=\"0.188985\" z=\"0.000511\" qx=\"-0.054015\" qy=\"-0.000305\" qz=\"-0.009302\" qw=\"-0.998497\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.084321\" qy=\"0.031995\" qz=\"0.016400\" qw=\"-0.995790\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124457\" z=\"-0.017457\" qx=\"0.113114\" qy=\"0.030950\" qz=\"-0.005230\" qw=\"-0.993086\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083566\" qy=\"0.017216\" qz=\"0.019697\" qw=\"0.996159\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.328068\" qy=\"0.361571\" qz=\"0.459008\" qw=\"-0.742260\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.159105\" qy=\"0.425674\" qz=\"-0.460734\" qw=\"-0.762372\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216897\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.203785\" qy=\"-0.036659\" qz=\"-0.047926\" qw=\"-0.977154\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.119919\" qy=\"0.060923\" qz=\"-0.019642\" qw=\"0.990718\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.221000\" qy=\"0.314187\" qz=\"0.465403\" qw=\"0.797399\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070369\" qy=\"-0.084530\" qz=\"0.105962\" qw=\"-0.988269\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229855\" y=\"-0.000028\" z=\"-0.000156\" qx=\"0.070903\" qy=\"-0.032599\" qz=\"-0.065137\" qw=\"-0.994820\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.212691\" qy=\"0.038767\" qz=\"0.026810\" qw=\"0.975982\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.506337\" qy=\"0.134948\" qz=\"0.124359\" qw=\"-0.842584\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001052\" y=\"-0.429417\" z=\"-0.000626\" qx=\"-0.125291\" qy=\"0.072627\" qz=\"0.027783\" qw=\"0.989068\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.344904\" qy=\"-0.042968\" qz=\"0.022367\" qw=\"-0.937387\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.358788\" qy=\"0.006731\" qz=\"-0.011417\" qw=\"0.933325\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000153\" y=\"-0.428649\" z=\"0.001860\" qx=\"-0.049073\" qy=\"-0.093527\" qz=\"0.023464\" qw=\"0.994130\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.059817\" qy=\"-0.008089\" qz=\"0.002067\" qw=\"-0.998174\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027568\" qy=\"0.010582\" qz=\"-0.001083\" qw=\"-0.999563\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 204: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.777592\" y=\"0.878445\" z=\"0.770722\" qx=\"0.017822\" qy=\"0.410207\" qz=\"0.022998\" qw=\"0.911528\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.217050\" qy=\"-0.000198\" qz=\"-0.001712\" qw=\"-0.976159\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188828\" z=\"0.000510\" qx=\"-0.062793\" qy=\"0.000119\" qz=\"-0.010055\" qw=\"-0.997976\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.081299\" qy=\"0.032065\" qz=\"0.014914\" qw=\"-0.996062\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124789\" z=\"-0.017504\" qx=\"0.117090\" qy=\"0.031967\" qz=\"-0.000037\" qw=\"-0.992607\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087647\" qy=\"0.018899\" qz=\"0.017779\" qw=\"0.995814\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.320666\" qy=\"0.353634\" qz=\"0.470164\" qw=\"-0.742336\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.154005\" qy=\"0.398746\" qz=\"-0.434509\" qw=\"-0.792771\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216444\" y=\"-0.000131\" z=\"-0.000035\" qx=\"0.190327\" qy=\"-0.034177\" qz=\"-0.036897\" qw=\"-0.980432\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.115789\" qy=\"0.064682\" qz=\"-0.017395\" qw=\"0.991013\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228956\" qy=\"0.315126\" qz=\"0.458486\" qw=\"0.798790\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072613\" qy=\"-0.077733\" qz=\"0.102584\" qw=\"-0.989020\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.231513\" y=\"-0.000029\" z=\"-0.000158\" qx=\"0.073055\" qy=\"-0.034860\" qz=\"-0.071634\" qw=\"-0.994141\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.226541\" qy=\"0.041174\" qz=\"0.031637\" qw=\"0.972617\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.564391\" qy=\"0.136059\" qz=\"0.130446\" qw=\"-0.803701\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001394\" y=\"-0.423955\" z=\"-0.000829\" qx=\"-0.065257\" qy=\"0.080665\" qz=\"0.010407\" qw=\"0.994548\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.332496\" qy=\"-0.010905\" qz=\"0.013882\" qw=\"-0.942940\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.402414\" qy=\"0.029522\" qz=\"-0.010627\" qw=\"0.914920\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000072\" y=\"-0.431920\" z=\"0.002117\" qx=\"-0.087420\" qy=\"-0.090606\" qz=\"0.013540\" qw=\"0.991950\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.059029\" qy=\"-0.008076\" qz=\"0.002064\" qw=\"-0.998222\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017526\" qy=\"0.010202\" qz=\"-0.001044\" qw=\"-0.999794\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 205: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.798244\" y=\"0.878988\" z=\"0.797917\" qx=\"0.008638\" qy=\"0.410183\" qz=\"0.030717\" qw=\"0.911445\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.208528\" qy=\"-0.000322\" qz=\"0.000750\" qw=\"-0.978016\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000518\" y=\"0.188563\" z=\"0.000509\" qx=\"-0.074677\" qy=\"0.000096\" qz=\"-0.011436\" qw=\"-0.997142\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.078951\" qy=\"0.033234\" qz=\"0.016353\" qw=\"-0.996190\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125949\" z=\"-0.017666\" qx=\"0.121003\" qy=\"0.032750\" qz=\"-0.001674\" qw=\"-0.992110\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.088911\" qy=\"0.019570\" qz=\"0.014687\" qw=\"0.995739\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.320423\" qy=\"0.358398\" qz=\"0.472848\" qw=\"-0.738441\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156318\" qy=\"0.352393\" qz=\"-0.396800\" qw=\"-0.833027\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216582\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.184117\" qy=\"-0.029761\" qz=\"-0.037017\" qw=\"-0.981756\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.111880\" qy=\"0.068950\" qz=\"-0.015291\" qw=\"0.991209\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228550\" qy=\"0.319619\" qz=\"0.448948\" qw=\"0.802530\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071219\" qy=\"-0.072290\" qz=\"0.102960\" qw=\"-0.989495\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.232679\" y=\"-0.000029\" z=\"-0.000158\" qx=\"0.071629\" qy=\"-0.036964\" qz=\"-0.070139\" qw=\"-0.994275\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.248349\" qy=\"0.018354\" qz=\"0.033917\" qw=\"0.967903\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.608655\" qy=\"0.112793\" qz=\"0.144084\" qw=\"-0.772047\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001302\" y=\"-0.419380\" z=\"-0.000505\" qx=\"-0.004065\" qy=\"0.099506\" qz=\"-0.022905\" qw=\"0.994765\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.312705\" qy=\"0.017408\" qz=\"0.004049\" qw=\"-0.949682\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.421221\" qy=\"0.050381\" qz=\"-0.023952\" qw=\"0.905241\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000042\" y=\"-0.431969\" z=\"0.001966\" qx=\"-0.115451\" qy=\"-0.086373\" qz=\"0.010509\" qw=\"0.989495\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027942\" qy=\"-0.007632\" qz=\"0.001950\" qw=\"-0.999579\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014355\" qy=\"0.010152\" qz=\"-0.001039\" qw=\"-0.999845\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 206: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.816433\" y=\"0.883924\" z=\"0.820669\" qx=\"0.004117\" qy=\"0.401695\" qz=\"0.031221\" qw=\"0.915232\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.206396\" qy=\"-0.008286\" qz=\"-0.002031\" qw=\"-0.978431\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188931\" z=\"0.000510\" qx=\"-0.071576\" qy=\"-0.002659\" qz=\"-0.008948\" qw=\"-0.997391\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.080788\" qy=\"0.033899\" qz=\"0.016283\" qw=\"-0.996022\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125706\" z=\"-0.017632\" qx=\"0.123294\" qy=\"0.033694\" qz=\"-0.000198\" qw=\"-0.991798\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089026\" qy=\"0.019484\" qz=\"0.014171\" qw=\"0.995738\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.310252\" qy=\"0.360232\" qz=\"0.477755\" qw=\"-0.738733\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.149668\" qy=\"0.306233\" qz=\"-0.329851\" qw=\"-0.880352\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216251\" y=\"-0.000131\" z=\"-0.000035\" qx=\"0.167312\" qy=\"-0.028141\" qz=\"-0.039069\" qw=\"-0.984728\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.108553\" qy=\"0.072202\" qz=\"-0.016195\" qw=\"0.991333\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.223598\" qy=\"0.323042\" qz=\"0.446143\" qw=\"0.804117\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071832\" qy=\"-0.073789\" qz=\"0.112145\" qw=\"-0.988341\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.232203\" y=\"-0.000029\" z=\"-0.000158\" qx=\"0.072419\" qy=\"-0.032768\" qz=\"-0.053159\" qw=\"-0.995417\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.268792\" qy=\"0.004386\" qz=\"0.036312\" qw=\"0.962504\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.630551\" qy=\"0.090504\" qz=\"0.153604\" qw=\"-0.755394\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001278\" y=\"-0.419236\" z=\"0.000179\" qx=\"0.009262\" qy=\"0.135179\" qz=\"-0.039737\" qw=\"0.989981\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.292523\" qy=\"-0.004089\" qz=\"0.005134\" qw=\"-0.956236\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.422925\" qy=\"0.031440\" qz=\"-0.013739\" qw=\"0.905515\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000025\" y=\"-0.432710\" z=\"0.001907\" qx=\"-0.132029\" qy=\"-0.082308\" qz=\"0.006076\" qw=\"0.987804\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021658\" qy=\"-0.008270\" qz=\"0.002113\" qw=\"-0.999729\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013270\" qy=\"0.010784\" qz=\"-0.001104\" qw=\"-0.999853\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 207: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.832819\" y=\"0.892830\" z=\"0.840183\" qx=\"0.005021\" qy=\"0.393113\" qz=\"0.027663\" qw=\"0.919060\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.203492\" qy=\"-0.013693\" qz=\"-0.004394\" qw=\"-0.978971\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189489\" z=\"0.000512\" qx=\"-0.067982\" qy=\"-0.004498\" qz=\"-0.006422\" qw=\"-0.997656\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.075868\" qy=\"0.032711\" qz=\"0.014997\" qw=\"-0.996468\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.124829\" z=\"-0.017509\" qx=\"0.124327\" qy=\"0.032944\" qz=\"0.002344\" qw=\"-0.991691\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090563\" qy=\"0.018516\" qz=\"0.013617\" qw=\"0.995626\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.305795\" qy=\"0.362612\" qz=\"0.481418\" qw=\"-0.737047\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.141060\" qy=\"0.255267\" qz=\"-0.272967\" qw=\"-0.916750\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216835\" y=\"-0.000132\" z=\"-0.000036\" qx=\"0.151909\" qy=\"-0.029733\" qz=\"-0.016504\" qw=\"-0.987809\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.101104\" qy=\"0.075366\" qz=\"-0.017957\" qw=\"0.991855\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.221907\" qy=\"0.330162\" qz=\"0.442476\" qw=\"0.803720\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079607\" qy=\"-0.085918\" qz=\"0.129359\" qw=\"-0.984656\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.230826\" y=\"-0.000029\" z=\"-0.000158\" qx=\"0.080601\" qy=\"-0.025993\" qz=\"-0.032000\" qw=\"-0.995893\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.288633\" qy=\"0.004496\" qz=\"0.033847\" qw=\"0.956831\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.628554\" qy=\"0.081559\" qz=\"0.152454\" qw=\"-0.758304\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001877\" y=\"-0.420211\" z=\"0.001790\" qx=\"-0.008723\" qy=\"0.155062\" qz=\"-0.007170\" qw=\"0.987840\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.273409\" qy=\"0.002812\" qz=\"0.000103\" qw=\"-0.961894\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.411050\" qy=\"0.034698\" qz=\"-0.013548\" qw=\"0.910851\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000081\" y=\"-0.433843\" z=\"0.001795\" qx=\"-0.140575\" qy=\"-0.072580\" qz=\"0.003331\" qw=\"0.987400\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022076\" qy=\"-0.008107\" qz=\"0.002071\" qw=\"-0.999721\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013607\" qy=\"0.010155\" qz=\"-0.001040\" qw=\"-0.999855\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 208: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.847840\" y=\"0.904140\" z=\"0.858229\" qx=\"0.007863\" qy=\"0.383861\" qz=\"0.023334\" qw=\"0.923063\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.200401\" qy=\"-0.017603\" qz=\"-0.002814\" qw=\"-0.979552\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000522\" y=\"0.190053\" z=\"0.000513\" qx=\"-0.064980\" qy=\"-0.005821\" qz=\"-0.005054\" qw=\"-0.997857\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.071731\" qy=\"0.029825\" qz=\"0.012033\" qw=\"-0.996905\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123832\" z=\"-0.017370\" qx=\"0.129015\" qy=\"0.030680\" qz=\"0.005104\" qw=\"-0.991155\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092369\" qy=\"0.018224\" qz=\"0.014490\" qw=\"0.995453\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.313351\" qy=\"0.367781\" qz=\"0.482119\" qw=\"-0.730828\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.134243\" qy=\"0.208878\" qz=\"-0.231455\" qw=\"-0.940626\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217940\" y=\"-0.000133\" z=\"-0.000036\" qx=\"0.141105\" qy=\"-0.033131\" qz=\"0.022354\" qw=\"-0.989188\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.095041\" qy=\"0.078335\" qz=\"-0.019096\" qw=\"0.992203\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.224402\" qy=\"0.342619\" qz=\"0.435217\" qw=\"0.801774\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092916\" qy=\"-0.106864\" qz=\"0.157636\" qw=\"-0.977291\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228655\" y=\"-0.000028\" z=\"-0.000156\" qx=\"0.094691\" qy=\"-0.026709\" qz=\"-0.024402\" qw=\"-0.994849\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.301766\" qy=\"0.009646\" qz=\"0.030457\" qw=\"0.952847\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.597275\" qy=\"0.078579\" qz=\"0.144231\" qw=\"-0.785038\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.001337\" y=\"-0.422254\" z=\"0.001958\" qx=\"-0.016860\" qy=\"0.165241\" qz=\"-0.006024\" qw=\"0.986091\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.252860\" qy=\"0.018714\" qz=\"-0.003930\" qw=\"-0.967314\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.390537\" qy=\"0.046464\" qz=\"-0.013321\" qw=\"0.919317\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000172\" y=\"-0.434714\" z=\"0.001560\" qx=\"-0.142069\" qy=\"-0.059585\" qz=\"0.001053\" qw=\"0.988061\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022186\" qy=\"-0.007198\" qz=\"0.001839\" qw=\"-0.999726\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016400\" qy=\"0.010512\" qz=\"-0.001076\" qw=\"-0.999810\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 209: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.862913\" y=\"0.915758\" z=\"0.876053\" qx=\"0.010317\" qy=\"0.373222\" qz=\"0.018001\" qw=\"0.927510\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.195396\" qy=\"-0.023184\" qz=\"-0.000654\" qw=\"-0.980450\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000522\" y=\"0.190226\" z=\"0.000513\" qx=\"-0.063465\" qy=\"-0.007709\" qz=\"-0.004116\" qw=\"-0.997946\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.070027\" qy=\"0.028714\" qz=\"0.010197\" qw=\"-0.997080\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.122825\" z=\"-0.017228\" qx=\"0.134442\" qy=\"0.029841\" qz=\"0.005669\" qw=\"-0.990456\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.094580\" qy=\"0.018458\" qz=\"0.016174\" qw=\"0.995215\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.321311\" qy=\"0.368212\" qz=\"0.482368\" qw=\"-0.726980\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.121934\" qy=\"0.181620\" qz=\"-0.195158\" qw=\"-0.956065\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218311\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.126162\" qy=\"-0.031034\" qz=\"0.060025\" qw=\"-0.989706\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092223\" qy=\"0.079136\" qz=\"-0.020880\" qw=\"0.992369\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230305\" qy=\"0.355967\" qz=\"0.428864\" qw=\"0.797698\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105138\" qy=\"-0.137757\" qz=\"0.199745\" qw=\"-0.964402\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225283\" y=\"-0.000027\" z=\"-0.000154\" qx=\"0.108420\" qy=\"-0.030527\" qz=\"-0.027540\" qw=\"-0.993255\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.301175\" qy=\"0.012230\" qz=\"0.030580\" qw=\"0.953000\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.536484\" qy=\"0.072630\" qz=\"0.133739\" qw=\"-0.830075\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000787\" y=\"-0.424319\" z=\"0.001580\" qx=\"-0.020377\" qy=\"0.159135\" qz=\"-0.011573\" qw=\"0.986979\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.230761\" qy=\"0.016782\" qz=\"-0.004291\" qw=\"-0.972856\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.366310\" qy=\"0.039923\" qz=\"-0.006959\" qw=\"0.929610\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000296\" y=\"-0.435461\" z=\"0.001291\" qx=\"-0.139561\" qy=\"-0.044964\" qz=\"-0.000213\" qw=\"0.989192\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023216\" qy=\"-0.008004\" qz=\"0.002045\" qw=\"-0.999696\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.020052\" qy=\"0.010274\" qz=\"-0.001052\" qw=\"-0.999746\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 210: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.878900\" y=\"0.924907\" z=\"0.894459\" qx=\"0.012046\" qy=\"0.362914\" qz=\"0.012598\" qw=\"0.931660\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.186872\" qy=\"-0.028903\" qz=\"0.000397\" qw=\"-0.981959\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000523\" y=\"0.190458\" z=\"0.000514\" qx=\"-0.063972\" qy=\"-0.009639\" qz=\"-0.000909\" qw=\"-0.997905\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.067428\" qy=\"0.028234\" qz=\"0.008704\" qw=\"-0.997286\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.122124\" z=\"-0.017130\" qx=\"0.136409\" qy=\"0.029688\" qz=\"0.006735\" qw=\"-0.990185\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098989\" qy=\"0.020660\" qz=\"0.018506\" qw=\"0.994702\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.327395\" qy=\"0.363822\" qz=\"0.482132\" qw=\"-0.726633\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104230\" qy=\"0.172033\" qz=\"-0.170422\" qw=\"-0.964623\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218042\" y=\"-0.000134\" z=\"-0.000035\" qx=\"0.106803\" qy=\"-0.022247\" qz=\"0.099457\" qw=\"-0.989043\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089799\" qy=\"0.078046\" qz=\"-0.021720\" qw=\"0.992660\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.237406\" qy=\"0.366016\" qz=\"0.424805\" qw=\"0.793229\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.111804\" qy=\"-0.179360\" qz=\"0.244320\" qw=\"-0.946381\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220879\" y=\"-0.000027\" z=\"-0.000150\" qx=\"0.117397\" qy=\"-0.029378\" qz=\"-0.027066\" qw=\"-0.992281\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.286468\" qy=\"0.019699\" qz=\"0.028909\" qw=\"0.957451\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.450991\" qy=\"0.080337\" qz=\"0.118339\" qw=\"-0.880993\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000560\" y=\"-0.427861\" z=\"0.001723\" qx=\"-0.033807\" qy=\"0.146456\" qz=\"-0.016061\" qw=\"0.988509\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.208525\" qy=\"0.017978\" qz=\"-0.006238\" qw=\"-0.977832\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.344038\" qy=\"0.037256\" qz=\"-0.003257\" qw=\"0.938211\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000371\" y=\"-0.435894\" z=\"0.001000\" qx=\"-0.139192\" qy=\"-0.030822\" qz=\"-0.001034\" qw=\"0.989785\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023787\" qy=\"-0.008132\" qz=\"0.002078\" qw=\"-0.999682\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023630\" qy=\"0.010993\" qz=\"-0.001125\" qw=\"-0.999660\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 211: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.896147\" y=\"0.930032\" z=\"0.913947\" qx=\"0.009805\" qy=\"0.353673\" qz=\"0.007364\" qw=\"0.935289\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.177759\" qy=\"-0.033681\" qz=\"0.000132\" qw=\"-0.983498\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000524\" y=\"0.190830\" z=\"0.000515\" qx=\"-0.064153\" qy=\"-0.011244\" qz=\"0.002560\" qw=\"-0.997873\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.066911\" qy=\"0.026952\" qz=\"0.006483\" qw=\"-0.997374\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121898\" z=\"-0.017099\" qx=\"0.135436\" qy=\"0.029159\" qz=\"0.010295\" qw=\"-0.990303\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.104624\" qy=\"0.023965\" qz=\"0.020769\" qw=\"0.994006\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.329817\" qy=\"0.354107\" qz=\"0.484055\" qw=\"-0.729054\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087152\" qy=\"0.174867\" qz=\"-0.154498\" qw=\"-0.968482\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217408\" y=\"-0.000134\" z=\"-0.000035\" qx=\"0.088794\" qy=\"-0.011354\" qz=\"0.129430\" qw=\"-0.987540\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089435\" qy=\"0.076333\" qz=\"-0.021017\" qw=\"0.992841\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246253\" qy=\"0.372821\" qz=\"0.420668\" qw=\"0.789558\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.114191\" qy=\"-0.226274\" qz=\"0.287320\" qw=\"-0.923693\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216593\" y=\"-0.000026\" z=\"-0.000147\" qx=\"0.122803\" qy=\"-0.030091\" qz=\"-0.023823\" qw=\"-0.991689\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.258113\" qy=\"0.032233\" qz=\"0.023447\" qw=\"0.965292\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.348350\" qy=\"0.112428\" qz=\"0.095320\" qw=\"-0.925703\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000357\" y=\"-0.433070\" z=\"0.001918\" qx=\"-0.052557\" qy=\"0.136617\" qz=\"-0.020079\" qw=\"0.989025\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.186938\" qy=\"0.022423\" qz=\"-0.011217\" qw=\"-0.982052\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.331569\" qy=\"0.041347\" qz=\"-0.001543\" qw=\"0.942523\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000439\" y=\"-0.436512\" z=\"0.000849\" qx=\"-0.143851\" qy=\"-0.023592\" qz=\"-0.003211\" qw=\"0.989313\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023997\" qy=\"-0.006794\" qz=\"0.001736\" qw=\"-0.999688\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.025805\" qy=\"0.011003\" qz=\"-0.001126\" qw=\"-0.999606\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 212: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.915571\" y=\"0.930701\" z=\"0.934503\" qx=\"0.001732\" qy=\"0.344047\" qz=\"0.005052\" qw=\"0.938937\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.170380\" qy=\"-0.037696\" qz=\"0.000669\" qw=\"-0.984657\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000525\" y=\"0.190855\" z=\"0.000515\" qx=\"-0.064722\" qy=\"-0.012588\" qz=\"0.005868\" qw=\"-0.997807\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.067270\" qy=\"0.024207\" qz=\"0.002879\" qw=\"-0.997437\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121900\" z=\"-0.017099\" qx=\"0.130612\" qy=\"0.027443\" qz=\"0.014951\" qw=\"-0.990941\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.110216\" qy=\"0.028282\" qz=\"0.022569\" qw=\"0.993249\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.331199\" qy=\"0.343373\" qz=\"0.486810\" qw=\"-0.731723\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077943\" qy=\"0.183094\" qz=\"-0.143551\" qw=\"-0.969430\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216715\" y=\"-0.000134\" z=\"-0.000035\" qx=\"0.079231\" qy=\"-0.008521\" qz=\"0.143334\" qw=\"-0.986461\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089497\" qy=\"0.074950\" qz=\"-0.020341\" qw=\"0.992955\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.256664\" qy=\"0.377764\" qz=\"0.416979\" qw=\"0.785842\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113136\" qy=\"-0.271000\" qz=\"0.326574\" qw=\"-0.898392\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213124\" y=\"-0.000026\" z=\"-0.000145\" qx=\"0.125084\" qy=\"-0.031317\" qz=\"-0.024338\" qw=\"-0.991353\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.220258\" qy=\"0.031057\" qz=\"0.016976\" qw=\"0.974800\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.252460\" qy=\"-0.140168\" qz=\"-0.064197\" qw=\"0.955246\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000177\" y=\"-0.438252\" z=\"0.001781\" qx=\"-0.071972\" qy=\"0.128865\" qz=\"-0.023374\" qw=\"0.988771\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.165934\" qy=\"0.022328\" qz=\"-0.015795\" qw=\"-0.985757\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.334245\" qy=\"0.046330\" qz=\"-0.001008\" qw=\"0.941346\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000461\" y=\"-0.437489\" z=\"0.000794\" qx=\"-0.155957\" qy=\"-0.019924\" qz=\"-0.004758\" qw=\"0.987552\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023529\" qy=\"-0.005480\" qz=\"0.001400\" qw=\"-0.999707\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027287\" qy=\"0.010883\" qz=\"-0.001114\" qw=\"-0.999568\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 213: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.936515\" y=\"0.925718\" z=\"0.955758\" qx=\"-0.009714\" qy=\"0.332059\" qz=\"0.003721\" qw=\"0.943201\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.161172\" qy=\"-0.042152\" qz=\"0.002363\" qw=\"-0.986023\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000525\" y=\"0.190867\" z=\"0.000516\" qx=\"-0.066691\" qy=\"-0.014071\" qz=\"0.008112\" qw=\"-0.997642\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.069367\" qy=\"0.020348\" qz=\"-0.001514\" qw=\"-0.997383\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.121629\" z=\"-0.017061\" qx=\"0.126290\" qy=\"0.024399\" qz=\"0.017706\" qw=\"-0.991535\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.114598\" qy=\"0.031538\" qz=\"0.024817\" qw=\"0.992601\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.332835\" qy=\"0.332633\" qz=\"0.491434\" qw=\"-0.732850\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.076448\" qy=\"0.191640\" qz=\"-0.137807\" qw=\"-0.968731\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215910\" y=\"-0.000134\" z=\"-0.000035\" qx=\"0.077767\" qy=\"-0.009011\" qz=\"0.143347\" qw=\"-0.986571\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089527\" qy=\"0.073287\" qz=\"-0.020715\" qw=\"0.993068\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.266790\" qy=\"0.382656\" qz=\"0.413439\" qw=\"0.781963\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.108981\" qy=\"-0.310398\" qz=\"0.358727\" qw=\"-0.873551\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210634\" y=\"-0.000026\" z=\"-0.000144\" qx=\"0.123971\" qy=\"-0.026667\" qz=\"-0.027840\" qw=\"-0.991537\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.186626\" qy=\"-0.006228\" qz=\"0.020991\" qw=\"0.982187\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.192645\" qy=\"-0.114263\" qz=\"-0.052228\" qw=\"0.973193\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000796\" y=\"-0.432285\" z=\"0.001528\" qx=\"-0.027334\" qy=\"0.131945\" qz=\"0.007045\" qw=\"0.990855\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.152485\" qy=\"0.007441\" qz=\"-0.018566\" qw=\"-0.988103\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.357104\" qy=\"0.039926\" qz=\"0.003699\" qw=\"0.933204\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000574\" y=\"-0.438131\" z=\"0.000655\" qx=\"-0.172631\" qy=\"-0.016892\" qz=\"-0.006059\" qw=\"0.984823\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024263\" qy=\"-0.005162\" qz=\"0.001319\" qw=\"-0.999691\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031345\" qy=\"0.011346\" qz=\"-0.001161\" qw=\"-0.999444\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 214: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.955579\" y=\"0.916603\" z=\"0.973436\" qx=\"-0.019154\" qy=\"0.319644\" qz=\"0.004104\" qw=\"0.947335\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.156403\" qy=\"-0.044139\" qz=\"0.005758\" qw=\"-0.986690\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000525\" y=\"0.191104\" z=\"0.000516\" qx=\"-0.061113\" qy=\"-0.014729\" qz=\"0.011427\" qw=\"-0.997957\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.073249\" qy=\"0.014190\" qz=\"-0.009181\" qw=\"-0.997171\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.122545\" z=\"-0.017189\" qx=\"0.127346\" qy=\"0.020098\" qz=\"0.025329\" qw=\"-0.991331\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.115609\" qy=\"0.032216\" qz=\"0.026396\" qw=\"0.992421\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.332830\" qy=\"0.319884\" qz=\"0.498309\" qw=\"-0.733885\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.076910\" qy=\"0.197340\" qz=\"-0.137986\" qw=\"-0.967524\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215235\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.078401\" qy=\"-0.009659\" qz=\"0.136839\" qw=\"-0.987439\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.086227\" qy=\"0.072340\" qz=\"-0.020174\" qw=\"0.993441\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.276959\" qy=\"0.386825\" qz=\"0.410234\" qw=\"0.778054\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.103146\" qy=\"-0.341711\" qz=\"0.383037\" qw=\"-0.851985\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209062\" y=\"-0.000025\" z=\"-0.000143\" qx=\"0.120389\" qy=\"-0.022599\" qz=\"-0.031781\" qw=\"-0.991961\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.174119\" qy=\"-0.030595\" qz=\"0.033681\" qw=\"0.983673\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.209022\" qy=\"-0.049385\" qz=\"-0.063121\" qw=\"0.974621\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000769\" y=\"-0.423380\" z=\"0.000911\" qx=\"-0.022129\" qy=\"0.108523\" qz=\"0.007998\" qw=\"0.993815\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.162723\" qy=\"-0.012213\" qz=\"-0.016737\" qw=\"-0.986454\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.408584\" qy=\"0.024840\" qz=\"0.010474\" qw=\"0.912322\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000709\" y=\"-0.435879\" z=\"0.000061\" qx=\"-0.169377\" qy=\"-0.007194\" qz=\"0.000566\" qw=\"0.985525\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.004676\" qy=\"-0.003555\" qz=\"0.000908\" qw=\"-0.999982\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.043329\" qy=\"0.012464\" qz=\"-0.001276\" qw=\"-0.998982\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 215: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.968584\" y=\"0.911821\" z=\"0.985885\" qx=\"-0.025042\" qy=\"0.328751\" qz=\"0.018070\" qw=\"0.943911\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.163185\" qy=\"-0.031469\" qz=\"0.018741\" qw=\"-0.985915\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.191762\" z=\"0.000518\" qx=\"-0.059870\" qy=\"-0.010455\" qz=\"0.014036\" qw=\"-0.998053\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.063958\" qy=\"0.011517\" qz=\"-0.009313\" qw=\"-0.997843\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123615\" z=\"-0.017339\" qx=\"0.131672\" qy=\"0.017091\" qz=\"0.024238\" qw=\"-0.990850\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109108\" qy=\"0.025778\" qz=\"0.021370\" qw=\"0.993466\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.333962\" qy=\"0.321962\" qz=\"0.491972\" qw=\"-0.736731\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090555\" qy=\"0.182675\" qz=\"-0.144719\" qw=\"-0.968239\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217242\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.092314\" qy=\"-0.002953\" qz=\"0.124668\" qw=\"-0.987890\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.082896\" qy=\"0.074695\" qz=\"-0.018463\" qw=\"0.993584\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.260120\" qy=\"0.384491\" qz=\"0.417096\" qw=\"0.781368\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090961\" qy=\"-0.364882\" qz=\"0.395183\" qw=\"-0.838104\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207520\" y=\"-0.000024\" z=\"-0.000142\" qx=\"0.108086\" qy=\"-0.028477\" qz=\"-0.036843\" qw=\"-0.993050\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.192848\" qy=\"0.017287\" qz=\"0.022641\" qw=\"0.980815\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.271102\" qy=\"0.138409\" qz=\"0.092316\" qw=\"-0.948063\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000150\" y=\"-0.432267\" z=\"0.002198\" qx=\"-0.051345\" qy=\"0.150153\" qz=\"0.025765\" qw=\"0.986992\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.187951\" qy=\"-0.004047\" qz=\"0.001158\" qw=\"-0.982169\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.470370\" qy=\"0.028701\" qz=\"0.015064\" qw=\"0.881874\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000567\" y=\"-0.430348\" z=\"-0.000605\" qx=\"-0.126481\" qy=\"-0.005882\" qz=\"0.025738\" qw=\"0.991618\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.018352\" qy=\"-0.002982\" qz=\"0.000762\" qw=\"-0.999827\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.051744\" qy=\"0.012494\" qz=\"-0.001279\" qw=\"-0.998581\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 216: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.981854\" y=\"0.909965\" z=\"0.998814\" qx=\"-0.033145\" qy=\"0.337086\" qz=\"0.020994\" qw=\"0.940656\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.159174\" qy=\"-0.028755\" qz=\"0.008647\" qw=\"-0.986794\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000524\" y=\"0.190701\" z=\"0.000516\" qx=\"-0.070209\" qy=\"-0.009547\" qz=\"0.023545\" qw=\"-0.997209\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.064178\" qy=\"0.015972\" qz=\"-0.002524\" qw=\"-0.997807\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.122630\" z=\"-0.017201\" qx=\"0.144867\" qy=\"0.020155\" qz=\"0.019641\" qw=\"-0.989051\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098439\" qy=\"0.017185\" qz=\"0.020436\" qw=\"0.994785\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.333386\" qy=\"-0.343643\" qz=\"-0.478712\" qw=\"0.735934\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.111674\" qy=\"0.150212\" qz=\"-0.151332\" qw=\"-0.970600\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219699\" y=\"-0.000134\" z=\"-0.000036\" qx=\"0.113591\" qy=\"0.000157\" qz=\"0.107142\" qw=\"-0.987734\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084556\" qy=\"0.074320\" qz=\"-0.020564\" qw=\"0.993430\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.242734\" qy=\"0.381783\" qz=\"0.430531\" qw=\"0.781003\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.087038\" qy=\"-0.376462\" qz=\"0.401371\" qw=\"-0.830423\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.206865\" y=\"-0.000025\" z=\"-0.000142\" qx=\"0.104504\" qy=\"-0.022689\" qz=\"-0.019100\" qw=\"-0.994082\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.190213\" qy=\"0.069641\" qz=\"0.009727\" qw=\"0.979221\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.302597\" qy=\"0.168132\" qz=\"0.076007\" qw=\"-0.935088\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000234\" y=\"-0.434452\" z=\"0.001891\" qx=\"-0.069085\" qy=\"0.128272\" qz=\"0.035627\" qw=\"0.988688\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.207004\" qy=\"0.012211\" qz=\"0.010805\" qw=\"-0.978204\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.515225\" qy=\"0.033021\" qz=\"0.016771\" qw=\"0.856254\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000265\" y=\"-0.427058\" z=\"-0.000917\" qx=\"-0.088520\" qy=\"-0.005290\" qz=\"0.076239\" qw=\"0.993138\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.025244\" qy=\"-0.002826\" qz=\"0.000722\" qw=\"-0.999677\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.053550\" qy=\"0.012612\" qz=\"-0.001291\" qw=\"-0.998485\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 217: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"0.994255\" y=\"0.910641\" z=\"1.010695\" qx=\"-0.041547\" qy=\"0.332548\" qz=\"0.021367\" qw=\"0.941928\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.155237\" qy=\"-0.033514\" qz=\"0.001600\" qw=\"-0.987307\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000526\" y=\"0.191455\" z=\"0.000519\" qx=\"-0.073003\" qy=\"-0.011148\" qz=\"0.025597\" qw=\"-0.996941\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.068222\" qy=\"0.016578\" qz=\"0.000785\" qw=\"-0.997532\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124280\" z=\"-0.017433\" qx=\"0.141617\" qy=\"0.021505\" qz=\"0.027957\" qw=\"-0.989293\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092607\" qy=\"0.014091\" qz=\"0.017698\" qw=\"0.995446\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.308950\" qy=\"-0.353126\" qz=\"-0.483233\" qw=\"0.739147\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.119309\" qy=\"0.130633\" qz=\"-0.168202\" qw=\"-0.969747\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221249\" y=\"-0.000135\" z=\"-0.000036\" qx=\"0.121788\" qy=\"-0.021800\" qz=\"0.064671\" qw=\"-0.990207\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.086065\" qy=\"0.076366\" qz=\"-0.020298\" qw=\"0.993151\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246599\" qy=\"0.388678\" qz=\"0.432707\" qw=\"0.775166\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.092596\" qy=\"-0.361071\" qz=\"0.399589\" qw=\"-0.837486\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207430\" y=\"-0.000026\" z=\"-0.000141\" qx=\"0.110182\" qy=\"-0.018395\" qz=\"0.001226\" qw=\"-0.993740\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.173397\" qy=\"0.084041\" qz=\"0.012119\" qw=\"0.981185\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.306322\" qy=\"0.179137\" qz=\"0.076300\" qw=\"-0.931802\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000258\" y=\"-0.433119\" z=\"0.001796\" qx=\"-0.079841\" qy=\"0.131860\" qz=\"0.040911\" qw=\"0.987200\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.216918\" qy=\"0.023467\" qz=\"0.012379\" qw=\"-0.975829\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.538284\" qy=\"0.029009\" qz=\"0.008856\" qw=\"0.842217\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000640\" y=\"-0.426319\" z=\"-0.000404\" qx=\"-0.075488\" qy=\"-0.019989\" qz=\"0.102881\" qw=\"0.991624\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.026707\" qy=\"-0.003065\" qz=\"0.000783\" qw=\"-0.999638\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.040929\" qy=\"0.012664\" qz=\"-0.001296\" qw=\"-0.999081\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 218: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.003674\" y=\"0.916882\" z=\"1.022154\" qx=\"-0.043552\" qy=\"0.335204\" qz=\"0.026296\" qw=\"0.940771\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.153230\" qy=\"-0.030845\" qz=\"0.008524\" qw=\"-0.987672\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.191806\" z=\"0.000520\" qx=\"-0.064624\" qy=\"-0.010248\" qz=\"0.017340\" qw=\"-0.997706\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.071464\" qy=\"0.015462\" qz=\"0.005594\" qw=\"-0.997308\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124686\" z=\"-0.017490\" qx=\"0.128677\" qy=\"0.020020\" qz=\"0.030814\" qw=\"-0.991005\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089742\" qy=\"0.016230\" qz=\"0.014646\" qw=\"0.995725\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.291976\" qy=\"-0.355906\" qz=\"-0.494013\" qw=\"0.737585\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.131660\" qy=\"0.144029\" qz=\"-0.196478\" qw=\"-0.960894\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221073\" y=\"-0.000134\" z=\"-0.000036\" qx=\"0.135486\" qy=\"-0.056171\" qz=\"-0.014267\" qw=\"-0.989083\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.088569\" qy=\"0.078014\" qz=\"-0.018771\" qw=\"0.992833\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.247517\" qy=\"0.393623\" qz=\"0.433302\" qw=\"0.772040\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090736\" qy=\"-0.340200\" qz=\"0.377113\" qw=\"-0.856631\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.207897\" y=\"-0.000026\" z=\"-0.000142\" qx=\"0.105597\" qy=\"-0.018408\" qz=\"-0.000930\" qw=\"-0.994238\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.155091\" qy=\"0.038712\" qz=\"0.017233\" qw=\"0.986991\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.291304\" qy=\"0.134142\" qz=\"0.090363\" qw=\"-0.942859\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000129\" y=\"-0.432440\" z=\"0.001604\" qx=\"-0.072423\" qy=\"0.127914\" qz=\"0.040231\" qw=\"0.988319\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.216487\" qy=\"0.030746\" qz=\"0.020846\" qw=\"-0.975579\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.532720\" qy=\"-0.002582\" qz=\"-0.001842\" qw=\"0.846285\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000341\" y=\"-0.427151\" z=\"0.000234\" qx=\"-0.089451\" qy=\"-0.049535\" qz=\"0.079723\" qw=\"0.991559\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.022679\" qy=\"-0.004008\" qz=\"0.001024\" qw=\"-0.999734\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.040896\" qy=\"0.012250\" qz=\"-0.001254\" qw=\"-0.999088\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 219: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.011190\" y=\"0.925660\" z=\"1.032779\" qx=\"-0.042179\" qy=\"0.331860\" qz=\"0.024750\" qw=\"0.942060\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.145904\" qy=\"-0.034302\" qz=\"0.007432\" qw=\"-0.988676\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.191887\" z=\"0.000520\" qx=\"-0.059489\" qy=\"-0.011410\" qz=\"0.013939\" qw=\"-0.998066\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.069246\" qy=\"0.015292\" qz=\"0.008223\" qw=\"-0.997449\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124002\" z=\"-0.017393\" qx=\"0.123478\" qy=\"0.019332\" qz=\"0.030055\" qw=\"-0.991704\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089217\" qy=\"0.017723\" qz=\"0.014811\" qw=\"0.995744\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.304519\" qy=\"-0.368024\" qz=\"-0.491782\" qw=\"0.727996\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.161028\" qy=\"0.181699\" qz=\"-0.240665\" qw=\"-0.939753\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220297\" y=\"-0.000134\" z=\"-0.000036\" qx=\"0.168052\" qy=\"-0.070224\" qz=\"-0.066925\" qw=\"-0.980994\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.091575\" qy=\"0.077121\" qz=\"-0.018277\" qw=\"0.992639\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.249326\" qy=\"0.397690\" qz=\"0.436151\" qw=\"0.767758\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.081923\" qy=\"-0.316420\" qz=\"0.360409\" qw=\"-0.873654\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.209014\" y=\"-0.000026\" z=\"-0.000143\" qx=\"0.093548\" qy=\"-0.016727\" qz=\"-0.036308\" qw=\"-0.994812\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.141360\" qy=\"0.039534\" qz=\"0.016774\" qw=\"0.989026\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.276942\" qy=\"0.131439\" qz=\"0.083808\" qw=\"-0.948158\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000107\" y=\"-0.432423\" z=\"0.001517\" qx=\"-0.063290\" qy=\"0.128249\" qz=\"0.034481\" qw=\"0.989120\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.208723\" qy=\"0.024111\" qz=\"0.023469\" qw=\"-0.977396\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.497067\" qy=\"-0.054819\" qz=\"-0.013225\" qw=\"0.865878\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000140\" y=\"-0.429711\" z=\"0.001042\" qx=\"-0.105772\" qy=\"-0.073827\" qz=\"0.065856\" qw=\"0.989457\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.018449\" qy=\"-0.004127\" qz=\"0.001054\" qw=\"-0.999821\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.041703\" qy=\"0.012730\" qz=\"-0.001303\" qw=\"-0.999048\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 220: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.018014\" y=\"0.933648\" z=\"1.042322\" qx=\"-0.042048\" qy=\"0.326449\" qz=\"0.023598\" qw=\"0.943984\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.138836\" qy=\"-0.037557\" qz=\"0.002883\" qw=\"-0.989599\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000528\" y=\"0.192047\" z=\"0.000521\" qx=\"-0.057074\" qy=\"-0.012503\" qz=\"0.015172\" qw=\"-0.998176\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.066009\" qy=\"0.013418\" qz=\"0.006852\" qw=\"-0.997705\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123071\" z=\"-0.017263\" qx=\"0.124321\" qy=\"0.017837\" qz=\"0.032169\" qw=\"-0.991560\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090533\" qy=\"0.018948\" qz=\"0.016895\" qw=\"0.995570\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.318909\" qy=\"-0.373837\" qz=\"-0.484274\" qw=\"0.723893\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.173352\" qy=\"0.231341\" qz=\"-0.288990\" qw=\"-0.912642\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219317\" y=\"-0.000134\" z=\"-0.000035\" qx=\"0.185946\" qy=\"-0.057119\" qz=\"-0.056824\" qw=\"-0.979251\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.093488\" qy=\"0.076022\" qz=\"-0.018373\" qw=\"0.992544\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.255049\" qy=\"0.403330\" qz=\"0.437602\" qw=\"0.762089\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.074760\" qy=\"-0.295092\" qz=\"0.344407\" qw=\"-0.888097\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.210519\" y=\"-0.000026\" z=\"-0.000144\" qx=\"0.083889\" qy=\"-0.013815\" qz=\"-0.074139\" qw=\"-0.993617\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.126196\" qy=\"0.048680\" qz=\"0.016383\" qw=\"0.990675\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.261933\" qy=\"0.131132\" qz=\"0.075390\" qw=\"-0.953159\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000055\" y=\"-0.432325\" z=\"0.001370\" qx=\"-0.054366\" qy=\"0.123945\" qz=\"0.029753\" qw=\"0.990352\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.191841\" qy=\"-0.024090\" qz=\"-0.023530\" qw=\"0.980848\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.443091\" qy=\"-0.083392\" qz=\"-0.017404\" qw=\"0.892420\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000103\" y=\"-0.433207\" z=\"0.001601\" qx=\"-0.125124\" qy=\"-0.089674\" qz=\"0.049972\" qw=\"0.986816\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.014315\" qy=\"-0.004539\" qz=\"0.001160\" qw=\"-0.999887\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.041463\" qy=\"0.012577\" qz=\"-0.001287\" qw=\"-0.999060\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 221: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.024183\" y=\"0.939095\" z=\"1.051631\" qx=\"-0.042583\" qy=\"0.324826\" qz=\"0.024565\" qw=\"0.944495\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.131416\" qy=\"-0.036165\" qz=\"-0.000123\" qw=\"-0.990668\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000528\" y=\"0.191850\" z=\"0.000519\" qx=\"-0.054677\" qy=\"-0.012032\" qz=\"0.015415\" qw=\"-0.998313\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.065061\" qy=\"0.010931\" qz=\"0.005097\" qw=\"-0.997808\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.122505\" z=\"-0.017184\" qx=\"0.123703\" qy=\"0.015753\" qz=\"0.034260\" qw=\"-0.991603\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.091317\" qy=\"0.019250\" qz=\"0.019351\" qw=\"0.995448\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.321429\" qy=\"-0.367048\" qz=\"-0.478977\" qw=\"0.729754\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.161750\" qy=\"0.287935\" qz=\"-0.325821\" qw=\"-0.885873\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217353\" y=\"-0.000133\" z=\"-0.000035\" qx=\"0.179383\" qy=\"-0.037884\" qz=\"-0.015921\" qw=\"-0.982921\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.094799\" qy=\"0.075221\" qz=\"-0.019095\" qw=\"0.992467\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.265242\" qy=\"0.409327\" qz=\"0.436576\" qw=\"0.755976\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072215\" qy=\"-0.276929\" qz=\"0.324787\" qw=\"-0.901448\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.211869\" y=\"-0.000026\" z=\"-0.000145\" qx=\"0.079684\" qy=\"-0.018267\" qz=\"-0.097825\" qw=\"-0.991840\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.113252\" qy=\"0.045345\" qz=\"0.016267\" qw=\"0.992398\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.250922\" qy=\"0.129199\" qz=\"0.073538\" qw=\"-0.956524\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000016\" y=\"-0.432358\" z=\"0.001336\" qx=\"-0.048876\" qy=\"0.124893\" qz=\"0.026010\" qw=\"0.990624\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.167798\" qy=\"-0.028240\" qz=\"-0.026590\" qw=\"0.985058\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.379856\" qy=\"-0.078896\" qz=\"-0.010019\" qw=\"0.921621\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000070\" y=\"-0.435598\" z=\"0.001667\" qx=\"-0.123258\" qy=\"-0.088806\" qz=\"0.050959\" qw=\"0.987079\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.011257\" qy=\"-0.004872\" qz=\"0.001245\" qw=\"-0.999924\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042456\" qy=\"0.012017\" qz=\"-0.001230\" qw=\"-0.999025\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 222: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.029848\" y=\"0.940668\" z=\"1.061632\" qx=\"-0.047197\" qy=\"0.323776\" qz=\"0.028784\" qw=\"0.944517\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.125373\" qy=\"-0.034286\" qz=\"-0.000822\" qw=\"-0.991517\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.191824\" z=\"0.000518\" qx=\"-0.055223\" qy=\"-0.011397\" qz=\"0.013380\" qw=\"-0.998319\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.065073\" qy=\"0.009824\" qz=\"0.005724\" qw=\"-0.997816\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.122221\" z=\"-0.017144\" qx=\"0.118844\" qy=\"0.014388\" qz=\"0.033592\" qw=\"-0.992240\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.090126\" qy=\"0.018928\" qz=\"0.021811\" qw=\"0.995512\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.318256\" qy=\"-0.357629\" qz=\"-0.472117\" qw=\"0.740216\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.145023\" qy=\"0.345937\" qz=\"-0.342727\" qw=\"-0.861298\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215290\" y=\"-0.000132\" z=\"-0.000034\" qx=\"0.165845\" qy=\"-0.028755\" qz=\"0.004940\" qw=\"-0.985720\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096629\" qy=\"0.074492\" qz=\"-0.020446\" qw=\"0.992319\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.273051\" qy=\"0.412531\" qz=\"0.434754\" qw=\"0.752496\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072105\" qy=\"-0.265549\" qz=\"0.300050\" qw=\"-0.913375\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.212666\" y=\"-0.000026\" z=\"-0.000145\" qx=\"0.078448\" qy=\"-0.026528\" qz=\"-0.104061\" qw=\"-0.991117\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.100513\" qy=\"0.035942\" qz=\"0.014971\" qw=\"0.994174\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.249721\" qy=\"0.126515\" qz=\"0.074196\" qw=\"-0.957146\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000018\" y=\"-0.432593\" z=\"0.001426\" qx=\"-0.052388\" qy=\"0.129889\" qz=\"0.023447\" qw=\"0.989866\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.139538\" qy=\"-0.035335\" qz=\"-0.029210\" qw=\"0.989155\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.323983\" qy=\"-0.063333\" qz=\"-0.005959\" qw=\"0.943922\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000292\" y=\"-0.432867\" z=\"0.001304\" qx=\"-0.088824\" qy=\"-0.068347\" qz=\"0.032763\" qw=\"0.993159\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.010100\" qy=\"-0.005834\" qz=\"0.001491\" qw=\"-0.999931\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027444\" qy=\"0.009946\" qz=\"-0.001018\" qw=\"-0.999573\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 223: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.033198\" y=\"0.939012\" z=\"1.070178\" qx=\"-0.050118\" qy=\"0.321233\" qz=\"0.035612\" qw=\"0.945002\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.120893\" qy=\"-0.034793\" qz=\"0.002156\" qw=\"-0.992053\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.191693\" z=\"0.000518\" qx=\"-0.054208\" qy=\"-0.011563\" qz=\"0.009613\" qw=\"-0.998416\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.067734\" qy=\"0.010246\" qz=\"0.009547\" qw=\"-0.997605\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.122692\" z=\"-0.017210\" qx=\"0.116011\" qy=\"0.013817\" qz=\"0.030392\" qw=\"-0.992687\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087234\" qy=\"0.017543\" qz=\"0.022948\" qw=\"0.995769\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.321577\" qy=\"-0.355259\" qz=\"-0.460945\" qw=\"0.746933\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.137731\" qy=\"0.387677\" qz=\"-0.358155\" qw=\"-0.838130\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214298\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.161922\" qy=\"-0.025736\" qz=\"0.019073\" qw=\"-0.986284\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098854\" qy=\"0.073407\" qz=\"-0.021622\" qw=\"0.992155\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.276360\" qy=\"0.411784\" qz=\"0.434985\" qw=\"0.751563\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070356\" qy=\"-0.257143\" qz=\"0.276195\" qw=\"-0.923387\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.213068\" y=\"-0.000026\" z=\"-0.000145\" qx=\"0.075747\" qy=\"-0.032702\" qz=\"-0.098491\" qw=\"-0.991712\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.095064\" qy=\"0.025915\" qz=\"0.010123\" qw=\"0.995082\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.258882\" qy=\"0.119870\" qz=\"0.073454\" qw=\"-0.955623\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000019\" y=\"-0.432871\" z=\"0.001468\" qx=\"-0.061274\" qy=\"0.133653\" qz=\"0.018257\" qw=\"0.988964\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.120455\" qy=\"-0.035066\" qz=\"-0.030322\" qw=\"0.991636\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.314207\" qy=\"-0.038580\" qz=\"-0.004747\" qw=\"0.948558\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000245\" y=\"-0.434060\" z=\"0.001523\" qx=\"-0.114996\" qy=\"-0.082264\" qz=\"0.027138\" qw=\"0.989582\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.009061\" qy=\"-0.005666\" qz=\"0.001448\" qw=\"-0.999942\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.030798\" qy=\"0.010893\" qz=\"-0.001115\" qw=\"-0.999466\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 224: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.034596\" y=\"0.937775\" z=\"1.075696\" qx=\"-0.053592\" qy=\"0.316767\" qz=\"0.040480\" qw=\"0.946123\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.119426\" qy=\"-0.035811\" qz=\"0.000378\" qw=\"-0.992197\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000526\" y=\"0.191355\" z=\"0.000517\" qx=\"-0.056457\" qy=\"-0.011903\" qz=\"0.008881\" qw=\"-0.998295\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.067001\" qy=\"0.010352\" qz=\"0.011835\" qw=\"-0.997629\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123515\" z=\"-0.017325\" qx=\"0.118219\" qy=\"0.013461\" qz=\"0.029497\" qw=\"-0.992458\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084655\" qy=\"0.016372\" qz=\"0.021862\" qw=\"0.996036\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.320451\" qy=\"-0.358392\" qz=\"-0.452227\" qw=\"0.751237\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.135658\" qy=\"0.408022\" qz=\"-0.374567\" qw=\"-0.821471\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214295\" y=\"-0.000132\" z=\"-0.000035\" qx=\"0.162669\" qy=\"-0.023845\" qz=\"0.026016\" qw=\"-0.986049\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099514\" qy=\"0.075216\" qz=\"-0.019320\" qw=\"0.992001\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.278054\" qy=\"0.409319\" qz=\"0.434385\" qw=\"0.752631\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.070872\" qy=\"-0.240667\" qz=\"0.259539\" qw=\"-0.932575\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.214267\" y=\"-0.000026\" z=\"-0.000145\" qx=\"0.075571\" qy=\"-0.041947\" qz=\"-0.090446\" qw=\"-0.992144\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.094463\" qy=\"0.018729\" qz=\"0.008245\" qw=\"0.995318\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.272700\" qy=\"0.103618\" qz=\"0.071401\" qw=\"-0.953834\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000190\" y=\"-0.432664\" z=\"0.001363\" qx=\"-0.064651\" qy=\"0.125324\" qz=\"0.011029\" qw=\"0.989946\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.106354\" qy=\"-0.031315\" qz=\"-0.028154\" qw=\"0.993436\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.302452\" qy=\"-0.035674\" qz=\"-0.005637\" qw=\"0.952480\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000030\" y=\"-0.432381\" z=\"0.001533\" qx=\"-0.121057\" qy=\"-0.092609\" qz=\"0.016976\" qw=\"0.988170\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003347\" qy=\"-0.005987\" qz=\"0.001530\" qw=\"-0.999975\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017207\" qy=\"0.010807\" qz=\"-0.001106\" qw=\"-0.999793\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 225: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.034869\" y=\"0.937788\" z=\"1.078753\" qx=\"-0.052864\" qy=\"0.313886\" qz=\"0.041848\" qw=\"0.947064\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.113779\" qy=\"-0.033225\" qz=\"-0.002895\" qw=\"-0.992946\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000523\" y=\"0.190529\" z=\"0.000515\" qx=\"-0.060878\" qy=\"-0.011033\" qz=\"0.007010\" qw=\"-0.998060\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.065789\" qy=\"0.008323\" qz=\"0.011798\" qw=\"-0.997729\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123377\" z=\"-0.017306\" qx=\"0.122389\" qy=\"0.011752\" qz=\"0.032603\" qw=\"-0.991877\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.085375\" qy=\"0.016446\" qz=\"0.021402\" qw=\"0.995983\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.307317\" qy=\"-0.360174\" qz=\"-0.453895\" qw=\"0.754858\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.131495\" qy=\"0.416289\" qz=\"-0.380299\" qw=\"-0.815343\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214101\" y=\"-0.000131\" z=\"-0.000035\" qx=\"0.158987\" qy=\"-0.020746\" qz=\"0.018821\" qw=\"-0.986883\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098794\" qy=\"0.076947\" qz=\"-0.019565\" qw=\"0.991936\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.278485\" qy=\"0.410473\" qz=\"0.434609\" qw=\"0.751713\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078034\" qy=\"-0.213737\" qz=\"0.243669\" qw=\"-0.942790\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.216554\" y=\"-0.000026\" z=\"-0.000147\" qx=\"0.082294\" qy=\"-0.049960\" qz=\"-0.077987\" qw=\"-0.992295\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.101573\" qy=\"0.016459\" qz=\"0.012507\" qw=\"0.994613\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.286141\" qy=\"0.094093\" qz=\"0.077281\" qw=\"-0.950420\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000380\" y=\"-0.432399\" z=\"0.001278\" qx=\"-0.060669\" qy=\"0.116467\" qz=\"0.007098\" qw=\"0.991315\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.101473\" qy=\"-0.022996\" qz=\"-0.029999\" qw=\"0.994120\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.296858\" qy=\"-0.048058\" qz=\"-0.003336\" qw=\"0.953706\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000024\" y=\"-0.432995\" z=\"0.001558\" qx=\"-0.126590\" qy=\"-0.085633\" qz=\"0.014127\" qw=\"0.988151\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.004422\" qy=\"-0.006375\" qz=\"0.001629\" qw=\"-0.999969\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.012654\" qy=\"0.010472\" qz=\"-0.001072\" qw=\"-0.999865\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 226: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.034736\" y=\"0.938256\" z=\"1.080143\" qx=\"-0.049013\" qy=\"0.310912\" qz=\"0.040555\" qw=\"0.948307\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.106966\" qy=\"-0.029121\" qz=\"-0.005435\" qw=\"-0.993821\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000522\" y=\"0.190144\" z=\"0.000514\" qx=\"-0.060662\" qy=\"-0.009656\" qz=\"0.002513\" qw=\"-0.998108\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.065916\" qy=\"0.004360\" qz=\"0.009210\" qw=\"-0.997773\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123361\" z=\"-0.017304\" qx=\"0.121866\" qy=\"0.008878\" qz=\"0.039240\" qw=\"-0.991731\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.087638\" qy=\"0.018642\" qz=\"0.020033\" qw=\"0.995776\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.292687\" qy=\"-0.361625\" qz=\"-0.460499\" qw=\"0.755978\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.125917\" qy=\"0.414895\" qz=\"-0.373251\" qw=\"-0.820177\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213596\" y=\"-0.000129\" z=\"-0.000035\" qx=\"0.151527\" qy=\"-0.025082\" qz=\"-0.000545\" qw=\"-0.988135\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098168\" qy=\"0.077261\" qz=\"-0.019738\" qw=\"0.991970\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.276773\" qy=\"0.408753\" qz=\"0.436460\" qw=\"0.752211\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083642\" qy=\"-0.184721\" qz=\"0.226827\" qw=\"-0.952592\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.219290\" y=\"-0.000026\" z=\"-0.000149\" qx=\"0.087317\" qy=\"-0.048414\" qz=\"-0.067343\" qw=\"-0.992722\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.113520\" qy=\"0.024714\" qz=\"0.019480\" qw=\"0.993037\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.299472\" qy=\"0.097423\" qz=\"0.084307\" qw=\"-0.945366\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000620\" y=\"-0.432269\" z=\"0.001348\" qx=\"-0.054665\" qy=\"0.108908\" qz=\"0.002078\" qw=\"0.992545\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.098366\" qy=\"-0.029599\" qz=\"-0.032330\" qw=\"0.994184\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.285733\" qy=\"-0.040586\" qz=\"0.002035\" qw=\"0.957447\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000158\" y=\"-0.432198\" z=\"0.001494\" qx=\"-0.127670\" qy=\"-0.083035\" qz=\"0.010787\" qw=\"0.988276\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.010160\" qy=\"-0.006612\" qz=\"0.001689\" qw=\"-0.999925\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.011685\" qy=\"0.010008\" qz=\"-0.001024\" qw=\"-0.999881\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 227: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.035453\" y=\"0.939332\" z=\"1.080624\" qx=\"-0.047688\" qy=\"0.302959\" qz=\"0.041006\" qw=\"0.950926\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.105261\" qy=\"-0.026300\" qz=\"-0.004697\" qw=\"-0.994086\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189969\" z=\"0.000513\" qx=\"-0.056308\" qy=\"-0.008708\" qz=\"-0.003341\" qw=\"-0.998370\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.065462\" qy=\"-0.000181\" qz=\"0.005200\" qw=\"-0.997841\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123781\" z=\"-0.017363\" qx=\"0.114111\" qy=\"0.005467\" qz=\"0.044977\" qw=\"-0.992434\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092623\" qy=\"0.022936\" qz=\"0.017513\" qw=\"0.995283\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.284597\" qy=\"-0.366027\" qz=\"-0.466629\" qw=\"0.753184\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.121644\" qy=\"0.397974\" qz=\"-0.367203\" qw=\"-0.831854\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213596\" y=\"-0.000129\" z=\"-0.000035\" qx=\"0.144476\" qy=\"-0.027936\" qz=\"-0.002149\" qw=\"-0.989111\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098391\" qy=\"0.076602\" qz=\"-0.018333\" qw=\"0.992026\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.271395\" qy=\"0.402169\" qz=\"0.438733\" qw=\"0.756385\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084732\" qy=\"-0.158730\" qz=\"0.209252\" qw=\"-0.961165\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221862\" y=\"-0.000026\" z=\"-0.000150\" qx=\"0.087718\" qy=\"-0.042907\" qz=\"-0.059180\" qw=\"-0.993460\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.118397\" qy=\"0.040051\" qz=\"0.024825\" qw=\"0.991848\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.308407\" qy=\"0.112998\" qz=\"0.087588\" qw=\"-0.940449\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000587\" y=\"-0.432647\" z=\"0.001405\" qx=\"-0.054048\" qy=\"0.102225\" qz=\"-0.011596\" qw=\"0.993224\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.094192\" qy=\"-0.033955\" qz=\"-0.035413\" qw=\"0.994344\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.275561\" qy=\"-0.042834\" qz=\"0.003924\" qw=\"0.960321\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000253\" y=\"-0.431207\" z=\"0.001208\" qx=\"-0.125445\" qy=\"-0.068758\" qz=\"0.009480\" qw=\"0.989670\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.011642\" qy=\"-0.007656\" qz=\"0.001956\" qw=\"-0.999901\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.012366\" qy=\"0.009434\" qz=\"-0.000966\" qw=\"-0.999879\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 228: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.037122\" y=\"0.941008\" z=\"1.079942\" qx=\"-0.045836\" qy=\"0.290929\" qz=\"0.041789\" qw=\"0.954732\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.102162\" qy=\"-0.024204\" qz=\"-0.003081\" qw=\"-0.994469\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.189600\" z=\"0.000512\" qx=\"-0.053743\" qy=\"-0.008003\" qz=\"-0.007768\" qw=\"-0.998493\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.064818\" qy=\"-0.004848\" qz=\"0.001711\" qw=\"-0.997884\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123987\" z=\"-0.017392\" qx=\"0.108697\" qy=\"0.001514\" qz=\"0.048291\" qw=\"-0.992900\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096316\" qy=\"0.026067\" qz=\"0.015256\" qw=\"0.994892\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.283001\" qy=\"-0.368146\" qz=\"-0.469409\" qw=\"0.751022\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.121448\" qy=\"0.377154\" qz=\"-0.353923\" qw=\"-0.847198\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.213925\" y=\"-0.000130\" z=\"-0.000035\" qx=\"0.141680\" qy=\"-0.029509\" qz=\"0.012797\" qw=\"-0.989390\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098281\" qy=\"0.074973\" qz=\"-0.017176\" qw=\"0.992182\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.261526\" qy=\"0.390789\" qz=\"0.442954\" qw=\"0.763335\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083899\" qy=\"-0.140179\" qz=\"0.192781\" qw=\"-0.967546\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223911\" y=\"-0.000026\" z=\"-0.000151\" qx=\"0.086339\" qy=\"-0.037701\" qz=\"-0.051486\" qw=\"-0.994220\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.118087\" qy=\"0.043817\" qz=\"0.027430\" qw=\"0.991657\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.313352\" qy=\"0.133190\" qz=\"0.086001\" qw=\"-0.936309\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000260\" y=\"-0.434062\" z=\"0.001273\" qx=\"-0.067990\" qy=\"0.099743\" qz=\"-0.041426\" qw=\"0.991823\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.092167\" qy=\"-0.030387\" qz=\"-0.036878\" qw=\"0.994596\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.266547\" qy=\"-0.043086\" qz=\"0.003189\" qw=\"0.962853\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000313\" y=\"-0.430654\" z=\"0.001038\" qx=\"-0.121335\" qy=\"-0.059448\" qz=\"0.010580\" qw=\"0.990773\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013198\" qy=\"-0.006656\" qz=\"0.001701\" qw=\"-0.999889\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.013567\" qy=\"0.009456\" qz=\"-0.000968\" qw=\"-0.999863\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 229: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.040075\" y=\"0.942689\" z=\"1.078631\" qx=\"-0.045663\" qy=\"0.278189\" qz=\"0.042914\" qw=\"0.958480\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.098024\" qy=\"-0.020581\" qz=\"-0.002640\" qw=\"-0.994968\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.189153\" z=\"0.000511\" qx=\"-0.055130\" qy=\"-0.006788\" qz=\"-0.008758\" qw=\"-0.998418\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.064391\" qy=\"-0.009525\" qz=\"-0.003763\" qw=\"-0.997872\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124133\" z=\"-0.017413\" qx=\"0.108160\" qy=\"-0.001926\" qz=\"0.053235\" qw=\"-0.992705\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098249\" qy=\"0.027531\" qz=\"0.015065\" qw=\"0.994667\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.284632\" qy=\"-0.367740\" qz=\"-0.468464\" qw=\"0.751195\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.122800\" qy=\"0.353702\" qz=\"-0.335392\" qw=\"-0.864481\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214350\" y=\"-0.000130\" z=\"-0.000036\" qx=\"0.140297\" qy=\"-0.024801\" qz=\"0.048089\" qw=\"-0.988630\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.098728\" qy=\"0.072704\" qz=\"-0.016714\" qw=\"0.992314\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.250719\" qy=\"0.378094\" qz=\"0.447517\" qw=\"0.770658\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.086267\" qy=\"-0.128201\" qz=\"0.181319\" qw=\"-0.971209\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225126\" y=\"-0.000027\" z=\"-0.000152\" qx=\"0.088448\" qy=\"-0.033564\" qz=\"-0.046845\" qw=\"-0.994412\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.112292\" qy=\"0.028104\" qz=\"0.027715\" qw=\"0.992891\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.319392\" qy=\"0.144958\" qz=\"0.085729\" qw=\"-0.932538\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000145\" y=\"-0.435239\" z=\"0.001367\" qx=\"-0.082104\" qy=\"0.102201\" qz=\"-0.043210\" qw=\"0.990428\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.088473\" qy=\"-0.025663\" qz=\"-0.038707\" qw=\"0.994995\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.257376\" qy=\"-0.041296\" qz=\"0.002578\" qw=\"0.965425\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000340\" y=\"-0.430100\" z=\"0.000899\" qx=\"-0.116743\" qy=\"-0.052357\" qz=\"0.012169\" qw=\"0.991706\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014686\" qy=\"-0.005972\" qz=\"0.001526\" qw=\"-0.999873\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014701\" qy=\"0.009266\" qz=\"-0.000948\" qw=\"-0.999849\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 230: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.043720\" y=\"0.943679\" z=\"1.076994\" qx=\"-0.046260\" qy=\"0.263412\" qz=\"0.043001\" qw=\"0.962614\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.093508\" qy=\"-0.017161\" qz=\"-0.002253\" qw=\"-0.995468\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000518\" y=\"0.188804\" z=\"0.000510\" qx=\"-0.055862\" qy=\"-0.005644\" qz=\"-0.009080\" qw=\"-0.998381\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.064260\" qy=\"-0.013103\" qz=\"-0.008368\" qw=\"-0.997812\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124398\" z=\"-0.017450\" qx=\"0.106147\" qy=\"-0.004512\" qz=\"0.056887\" qw=\"-0.992712\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099936\" qy=\"0.028763\" qz=\"0.015416\" qw=\"0.994459\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.284121\" qy=\"-0.363727\" qz=\"-0.466119\" qw=\"0.754792\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.116967\" qy=\"0.326813\" qz=\"-0.311922\" qw=\"-0.884430\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.214860\" y=\"-0.000130\" z=\"-0.000036\" qx=\"0.130518\" qy=\"-0.010121\" qz=\"0.083720\" qw=\"-0.987853\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099743\" qy=\"0.069340\" qz=\"-0.017219\" qw=\"0.992445\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.246542\" qy=\"0.365685\" qz=\"0.451269\" qw=\"0.775789\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089293\" qy=\"-0.121382\" qz=\"0.177527\" qw=\"-0.972511\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225590\" y=\"-0.000027\" z=\"-0.000152\" qx=\"0.091413\" qy=\"-0.032737\" qz=\"-0.043395\" qw=\"-0.994328\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.102668\" qy=\"0.003495\" qz=\"0.027277\" qw=\"0.994336\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.326445\" qy=\"0.154210\" qz=\"0.085292\" qw=\"-0.928643\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000174\" y=\"-0.436349\" z=\"0.001588\" qx=\"-0.093769\" qy=\"0.107005\" qz=\"-0.032465\" qw=\"0.989294\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.085444\" qy=\"-0.020272\" qz=\"-0.039247\" qw=\"0.995363\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.249750\" qy=\"-0.037597\" qz=\"0.001506\" qw=\"0.967579\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000403\" y=\"-0.429520\" z=\"0.000798\" qx=\"-0.112923\" qy=\"-0.046191\" qz=\"0.014422\" qw=\"0.992425\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.014771\" qy=\"-0.006262\" qz=\"0.001600\" qw=\"-0.999870\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.015986\" qy=\"0.009248\" qz=\"-0.000947\" qw=\"-0.999829\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 231: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.047872\" y=\"0.943735\" z=\"1.075242\" qx=\"-0.047615\" qy=\"0.244812\" qz=\"0.040808\" qw=\"0.967541\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.088966\" qy=\"-0.015114\" qz=\"-0.002398\" qw=\"-0.995917\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000518\" y=\"0.188554\" z=\"0.000510\" qx=\"-0.054682\" qy=\"-0.004961\" qz=\"-0.009909\" qw=\"-0.998442\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.063942\" qy=\"-0.017288\" qz=\"-0.012492\" qw=\"-0.997725\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124764\" z=\"-0.017501\" qx=\"0.099342\" qy=\"-0.007628\" qz=\"0.061802\" qw=\"-0.993103\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.100722\" qy=\"0.030318\" qz=\"0.015316\" qw=\"0.994335\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.278310\" qy=\"-0.354252\" qz=\"-0.465303\" qw=\"0.761934\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.105648\" qy=\"0.299219\" qz=\"-0.282510\" qw=\"-0.905259\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215158\" y=\"-0.000131\" z=\"-0.000036\" qx=\"0.115130\" qy=\"0.003306\" qz=\"0.107433\" qw=\"-0.987518\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.101842\" qy=\"0.064502\" qz=\"-0.017894\" qw=\"0.992546\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.245096\" qy=\"0.352559\" qz=\"0.452846\" qw=\"0.781384\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090337\" qy=\"-0.120988\" qz=\"0.176756\" qw=\"-0.972604\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225437\" y=\"-0.000027\" z=\"-0.000152\" qx=\"0.092452\" qy=\"-0.033654\" qz=\"-0.045420\" qw=\"-0.994111\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.087944\" qy=\"-0.017605\" qz=\"0.028632\" qw=\"0.995558\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.329841\" qy=\"0.162295\" qz=\"0.083427\" qw=\"-0.926232\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000155\" y=\"-0.437067\" z=\"0.001587\" qx=\"-0.098896\" qy=\"0.104173\" qz=\"-0.029389\" qw=\"0.989193\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.083926\" qy=\"-0.015131\" qz=\"-0.037365\" qw=\"0.995656\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.244306\" qy=\"-0.029245\" qz=\"0.000403\" qw=\"0.969257\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000457\" y=\"-0.429045\" z=\"0.000729\" qx=\"-0.110379\" qy=\"-0.040926\" qz=\"0.017102\" qw=\"0.992899\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016015\" qy=\"-0.006443\" qz=\"0.001646\" qw=\"-0.999850\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.017355\" qy=\"0.009026\" qz=\"-0.000924\" qw=\"-0.999808\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 232: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.051946\" y=\"0.942925\" z=\"1.073134\" qx=\"-0.048159\" qy=\"0.221971\" qz=\"0.035565\" qw=\"0.973214\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.082389\" qy=\"-0.014667\" qz=\"-0.003431\" qw=\"-0.996486\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000517\" y=\"0.188240\" z=\"0.000509\" qx=\"-0.052860\" qy=\"-0.004814\" qz=\"-0.009927\" qw=\"-0.998541\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.066360\" qy=\"-0.023557\" qz=\"-0.020687\" qw=\"-0.997303\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125377\" z=\"-0.017587\" qx=\"0.093214\" qy=\"-0.011711\" qz=\"0.071204\" qw=\"-0.993028\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.101714\" qy=\"0.031762\" qz=\"0.016678\" qw=\"0.994167\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.266668\" qy=\"-0.340299\" qz=\"-0.466937\" qw=\"0.771398\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.096310\" qy=\"0.272877\" qz=\"-0.250585\" qw=\"-0.923834\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.215555\" y=\"-0.000131\" z=\"-0.000036\" qx=\"0.102790\" qy=\"0.005723\" qz=\"0.122917\" qw=\"-0.987063\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.104245\" qy=\"0.059755\" qz=\"-0.017915\" qw=\"0.992593\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.243574\" qy=\"0.339103\" qz=\"0.453037\" qw=\"0.787679\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.089665\" qy=\"-0.122513\" qz=\"0.174881\" qw=\"-0.972814\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225105\" y=\"-0.000027\" z=\"-0.000152\" qx=\"0.091745\" qy=\"-0.035050\" qz=\"-0.045440\" qw=\"-0.994128\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.069263\" qy=\"-0.027846\" qz=\"0.032871\" qw=\"0.996668\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.324473\" qy=\"-0.176406\" qz=\"-0.081566\" qw=\"0.925714\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000242\" y=\"-0.437338\" z=\"0.001388\" qx=\"-0.097578\" qy=\"0.095306\" qz=\"-0.025474\" qw=\"0.990326\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.085777\" qy=\"-0.006589\" qz=\"-0.033549\" qw=\"0.995728\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.241067\" qy=\"-0.020872\" qz=\"0.001383\" qw=\"0.970283\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000550\" y=\"-0.428658\" z=\"0.000674\" qx=\"-0.108534\" qy=\"-0.035058\" qz=\"0.019978\" qw=\"0.993273\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016491\" qy=\"-0.006224\" qz=\"0.001590\" qw=\"-0.999843\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.019255\" qy=\"0.008895\" qz=\"-0.000911\" qw=\"-0.999775\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 233: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.055899\" y=\"0.941262\" z=\"1.070354\" qx=\"-0.047782\" qy=\"0.198144\" qz=\"0.028018\" qw=\"0.978607\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.074535\" qy=\"-0.012396\" qz=\"-0.004135\" qw=\"-0.997133\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000517\" y=\"0.188169\" z=\"0.000509\" qx=\"-0.050861\" qy=\"-0.004060\" qz=\"-0.010911\" qw=\"-0.998638\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.071050\" qy=\"-0.032718\" qz=\"-0.031647\" qw=\"-0.996434\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.126115\" z=\"-0.017691\" qx=\"0.089726\" qy=\"-0.017975\" qz=\"0.084031\" qw=\"-0.992252\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.102242\" qy=\"0.034129\" qz=\"0.018446\" qw=\"0.994003\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.251726\" qy=\"-0.323385\" qz=\"-0.469660\" qw=\"0.781969\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090544\" qy=\"0.245213\" qz=\"-0.219663\" qw=\"-0.939905\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.216361\" y=\"-0.000132\" z=\"-0.000036\" qx=\"0.094929\" qy=\"0.003809\" qz=\"0.133610\" qw=\"-0.986470\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.105640\" qy=\"0.054882\" qz=\"-0.018567\" qw=\"0.992715\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.239481\" qy=\"0.325690\" qz=\"0.453153\" qw=\"0.794498\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.086642\" qy=\"-0.123522\" qz=\"0.173008\" qw=\"-0.973295\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224253\" y=\"-0.000027\" z=\"-0.000151\" qx=\"0.088645\" qy=\"-0.033301\" qz=\"-0.044065\" qw=\"-0.994531\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046832\" qy=\"-0.024630\" qz=\"0.037856\" qw=\"0.997881\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.306110\" qy=\"-0.194890\" qz=\"-0.073762\" qw=\"0.928910\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000185\" y=\"-0.440205\" z=\"0.001164\" qx=\"-0.122240\" qy=\"0.087876\" qz=\"-0.006046\" qw=\"0.988584\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.090287\" qy=\"0.001425\" qz=\"-0.027953\" qw=\"0.995522\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.239242\" qy=\"-0.008321\" qz=\"0.003400\" qw=\"0.970918\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000680\" y=\"-0.428117\" z=\"0.000643\" qx=\"-0.107024\" qy=\"-0.032125\" qz=\"0.023210\" qw=\"0.993466\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024813\" qy=\"-0.004539\" qz=\"0.001160\" qw=\"-0.999681\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.021390\" qy=\"0.008780\" qz=\"-0.000899\" qw=\"-0.999732\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 234: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.059564\" y=\"0.939233\" z=\"1.066771\" qx=\"-0.048218\" qy=\"0.175188\" qz=\"0.019627\" qw=\"0.983158\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.068411\" qy=\"-0.007963\" qz=\"-0.003882\" qw=\"-0.997618\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000517\" y=\"0.188473\" z=\"0.000510\" qx=\"-0.048658\" qy=\"-0.002583\" qz=\"-0.012417\" qw=\"-0.998735\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.076266\" qy=\"-0.043478\" qz=\"-0.042784\" qw=\"-0.995220\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.126632\" z=\"-0.017763\" qx=\"0.087708\" qy=\"-0.026190\" qz=\"0.095084\" qw=\"-0.991252\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.102329\" qy=\"0.035532\" qz=\"0.020974\" qw=\"0.993895\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.232855\" qy=\"-0.303716\" qz=\"-0.471197\" qw=\"0.794675\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.084046\" qy=\"0.215017\" qz=\"-0.186983\" qw=\"-0.954852\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.217193\" y=\"-0.000133\" z=\"-0.000036\" qx=\"0.086847\" qy=\"0.007064\" qz=\"0.129786\" qw=\"-0.987706\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.106498\" qy=\"0.048987\" qz=\"-0.019083\" qw=\"0.992922\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.228128\" qy=\"0.309847\" qz=\"0.454451\" qw=\"0.803385\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.080664\" qy=\"-0.124042\" qz=\"0.170588\" qw=\"-0.974170\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223354\" y=\"-0.000027\" z=\"-0.000151\" qx=\"0.082521\" qy=\"-0.031689\" qz=\"-0.040573\" qw=\"-0.995259\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.021374\" qy=\"-0.025431\" qz=\"0.043875\" qw=\"0.998485\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.272946\" qy=\"-0.196041\" qz=\"-0.069953\" qw=\"0.939242\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000148\" y=\"-0.441873\" z=\"0.001236\" qx=\"-0.150523\" qy=\"0.097472\" qz=\"-0.000107\" qw=\"0.983790\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.094575\" qy=\"0.005841\" qz=\"-0.020354\" qw=\"0.995293\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.237311\" qy=\"0.006957\" qz=\"0.003450\" qw=\"0.971403\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000769\" y=\"-0.427436\" z=\"0.000599\" qx=\"-0.104870\" qy=\"-0.029249\" qz=\"0.027078\" qw=\"0.993687\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022732\" qy=\"-0.002657\" qz=\"0.000679\" qw=\"-0.999738\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023506\" qy=\"0.010011\" qz=\"-0.001025\" qw=\"-0.999673\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 235: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.063377\" y=\"0.937706\" z=\"1.061409\" qx=\"-0.047013\" qy=\"0.154995\" qz=\"0.012539\" qw=\"0.986716\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.062663\" qy=\"-0.000675\" qz=\"-0.001280\" qw=\"-0.998034\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000517\" y=\"0.188757\" z=\"0.000511\" qx=\"-0.047195\" qy=\"-0.000167\" qz=\"-0.014340\" qw=\"-0.998783\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.080163\" qy=\"-0.054404\" qz=\"-0.051706\" qw=\"-0.993952\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.126943\" z=\"-0.017807\" qx=\"0.087998\" qy=\"-0.035274\" qz=\"0.103766\" qw=\"-0.990073\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.100685\" qy=\"0.035462\" qz=\"0.023479\" qw=\"0.994009\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.213457\" qy=\"-0.283059\" qz=\"-0.470274\" qw=\"0.808181\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077676\" qy=\"0.182383\" qz=\"-0.155753\" qw=\"-0.967700\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218244\" y=\"-0.000133\" z=\"-0.000036\" qx=\"0.079399\" qy=\"0.007909\" qz=\"0.115234\" qw=\"-0.990128\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.106988\" qy=\"0.043338\" qz=\"-0.018863\" qw=\"0.993136\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.209331\" qy=\"0.290304\" qz=\"0.455913\" qw=\"0.814891\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.077298\" qy=\"-0.125319\" qz=\"0.168671\" qw=\"-0.974613\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.222549\" y=\"-0.000027\" z=\"-0.000150\" qx=\"0.079082\" qy=\"-0.029642\" qz=\"-0.037270\" qw=\"-0.995730\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.002693\" qy=\"-0.022534\" qz=\"0.045151\" qw=\"0.998722\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.245088\" qy=\"-0.188172\" qz=\"-0.068558\" qw=\"0.948590\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000128\" y=\"-0.442760\" z=\"0.001545\" qx=\"-0.169913\" qy=\"0.117603\" qz=\"0.010504\" qw=\"0.978360\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.099701\" qy=\"0.011069\" qz=\"-0.015988\" qw=\"0.994828\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.233531\" qy=\"0.016967\" qz=\"0.004825\" qw=\"0.972189\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000826\" y=\"-0.426748\" z=\"0.000506\" qx=\"-0.101703\" qy=\"-0.024968\" qz=\"0.033355\" qw=\"0.993942\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.016688\" qy=\"-0.003558\" qz=\"0.000909\" qw=\"-0.999854\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024156\" qy=\"0.009650\" qz=\"-0.000988\" qw=\"-0.999661\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 236: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.067293\" y=\"0.937512\" z=\"1.053865\" qx=\"-0.046366\" qy=\"0.137779\" qz=\"0.007668\" qw=\"0.989347\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.060711\" qy=\"0.007154\" qz=\"0.004012\" qw=\"-0.998122\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.188922\" z=\"0.000511\" qx=\"-0.047181\" qy=\"0.002464\" qz=\"-0.017644\" qw=\"-0.998727\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.081828\" qy=\"-0.064464\" qz=\"-0.058319\" qw=\"-0.992848\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.126619\" z=\"-0.017762\" qx=\"0.093426\" qy=\"-0.043765\" qz=\"0.112557\" qw=\"-0.988275\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096384\" qy=\"0.033844\" qz=\"0.026406\" qw=\"0.994418\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.196692\" qy=\"-0.265158\" qz=\"-0.467594\" qw=\"0.819975\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.074449\" qy=\"0.148618\" qz=\"-0.130964\" qw=\"-0.977353\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219871\" y=\"-0.000135\" z=\"-0.000036\" qx=\"0.075538\" qy=\"0.003884\" qz=\"0.096353\" qw=\"-0.992469\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.107639\" qy=\"0.038754\" qz=\"-0.019455\" qw=\"0.993244\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.181691\" qy=\"0.265850\" qz=\"0.457510\" qw=\"0.828853\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072522\" qy=\"-0.128118\" qz=\"0.164880\" qw=\"-0.975264\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221646\" y=\"-0.000027\" z=\"-0.000149\" qx=\"0.074205\" qy=\"-0.025363\" qz=\"-0.029755\" qw=\"-0.996476\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011483\" qy=\"-0.016049\" qz=\"0.041071\" qw=\"0.998961\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.221430\" qy=\"-0.179159\" qz=\"-0.059917\" qw=\"0.956703\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000309\" y=\"-0.442918\" z=\"0.001783\" qx=\"-0.178929\" qy=\"0.131040\" qz=\"0.016398\" qw=\"0.974958\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.102665\" qy=\"0.013735\" qz=\"-0.014276\" qw=\"0.994519\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.225604\" qy=\"0.025531\" qz=\"0.005599\" qw=\"0.973868\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000836\" y=\"-0.426417\" z=\"0.000379\" qx=\"-0.095541\" qy=\"-0.019335\" qz=\"0.040529\" qw=\"0.994412\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.008668\" qy=\"-0.003804\" qz=\"0.000972\" qw=\"-0.999955\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.026019\" qy=\"0.010480\" qz=\"-0.001073\" qw=\"-0.999606\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 237: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.070567\" y=\"0.937597\" z=\"1.044259\" qx=\"-0.044623\" qy=\"0.119851\" qz=\"0.003420\" qw=\"0.991783\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.061822\" qy=\"0.011661\" qz=\"0.010515\" qw=\"-0.997964\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.189250\" z=\"0.000512\" qx=\"-0.045297\" qy=\"0.003980\" qz=\"-0.020991\" qw=\"-0.998745\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.083286\" qy=\"-0.072678\" qz=\"-0.063438\" qw=\"-0.991845\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125275\" z=\"-0.017574\" qx=\"0.103062\" qy=\"-0.050846\" qz=\"0.119174\" qw=\"-0.986200\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.093676\" qy=\"0.032656\" qz=\"0.031235\" qw=\"0.994577\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.177959\" qy=\"-0.249457\" qz=\"-0.463678\" qw=\"0.831327\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073006\" qy=\"0.121388\" qz=\"-0.114481\" qw=\"-0.983275\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221200\" y=\"-0.000136\" z=\"-0.000037\" qx=\"0.073736\" qy=\"-0.002808\" qz=\"0.083613\" qw=\"-0.993762\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.108674\" qy=\"0.035524\" qz=\"-0.020946\" qw=\"0.993222\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.156858\" qy=\"0.241106\" qz=\"0.457830\" qw=\"0.841223\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.069862\" qy=\"-0.129150\" qz=\"0.163003\" qw=\"-0.975638\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220868\" y=\"-0.000027\" z=\"-0.000148\" qx=\"0.071490\" qy=\"-0.022552\" qz=\"-0.022668\" qw=\"-0.996929\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019723\" qy=\"-0.019513\" qz=\"0.037733\" qw=\"0.998903\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.201962\" qy=\"-0.164870\" qz=\"-0.055618\" qw=\"0.963813\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000432\" y=\"-0.442705\" z=\"0.001999\" qx=\"-0.182033\" qy=\"0.141969\" qz=\"0.019326\" qw=\"0.972798\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.107778\" qy=\"0.014953\" qz=\"-0.011706\" qw=\"0.993994\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.217164\" qy=\"0.034530\" qz=\"0.003943\" qw=\"0.975516\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000786\" y=\"-0.426565\" z=\"0.000229\" qx=\"-0.088360\" qy=\"-0.012185\" qz=\"0.048139\" qw=\"0.994850\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002835\" qy=\"-0.003233\" qz=\"0.000826\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.027049\" qy=\"0.011759\" qz=\"-0.001204\" qw=\"-0.999564\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 238: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.073527\" y=\"0.937206\" z=\"1.033596\" qx=\"-0.043602\" qy=\"0.098774\" qz=\"0.000170\" qw=\"0.994154\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.065369\" qy=\"0.011439\" qz=\"0.018246\" qw=\"-0.997629\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000520\" y=\"0.189434\" z=\"0.000512\" qx=\"-0.042916\" qy=\"0.003924\" qz=\"-0.024366\" qw=\"-0.998774\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.084944\" qy=\"-0.079893\" qz=\"-0.068449\" qw=\"-0.990816\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124169\" z=\"-0.017419\" qx=\"0.112886\" qy=\"-0.056893\" qz=\"0.125734\" qw=\"-0.983977\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.089622\" qy=\"0.031372\" qz=\"0.036010\" qw=\"0.994830\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.159979\" qy=\"-0.230601\" qz=\"-0.459167\" qw=\"0.842850\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.072547\" qy=\"0.107378\" qz=\"-0.107776\" qw=\"-0.985693\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221959\" y=\"-0.000135\" z=\"-0.000038\" qx=\"0.073143\" qy=\"-0.009851\" qz=\"0.076073\" qw=\"-0.994367\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.109094\" qy=\"0.033036\" qz=\"-0.022753\" qw=\"0.993222\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.137119\" qy=\"0.218287\" qz=\"0.454853\" qw=\"0.852442\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066251\" qy=\"-0.127951\" qz=\"0.161404\" qw=\"-0.976314\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220619\" y=\"-0.000028\" z=\"-0.000148\" qx=\"0.067773\" qy=\"-0.020522\" qz=\"-0.022047\" qw=\"-0.997246\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.025828\" qy=\"-0.021534\" qz=\"0.038073\" qw=\"0.998709\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.184697\" qy=\"-0.150142\" qz=\"-0.058639\" qw=\"0.969487\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000143\" y=\"-0.439255\" z=\"0.002061\" qx=\"-0.175058\" qy=\"0.150205\" qz=\"0.020271\" qw=\"0.972822\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.114766\" qy=\"0.017292\" qz=\"-0.009723\" qw=\"0.993194\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.211767\" qy=\"0.047396\" qz=\"0.003778\" qw=\"0.976163\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000659\" y=\"-0.427029\" z=\"0.000119\" qx=\"-0.082527\" qy=\"-0.007651\" qz=\"0.056682\" qw=\"0.994946\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002966\" qy=\"-0.002594\" qz=\"0.000663\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.028080\" qy=\"0.013252\" qz=\"-0.001356\" qw=\"-0.999517\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 239: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.076496\" y=\"0.937287\" z=\"1.023119\" qx=\"-0.043904\" qy=\"0.076901\" qz=\"0.000207\" qw=\"0.996072\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.069084\" qy=\"0.008148\" qz=\"0.026085\" qw=\"-0.997237\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000520\" y=\"0.189198\" z=\"0.000511\" qx=\"-0.042799\" qy=\"0.002844\" qz=\"-0.023265\" qw=\"-0.998809\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.086870\" qy=\"-0.086260\" qz=\"-0.072062\" qw=\"-0.989859\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123726\" z=\"-0.017357\" qx=\"0.123232\" qy=\"-0.062652\" qz=\"0.129592\" qw=\"-0.981883\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.086582\" qy=\"0.030683\" qz=\"0.039671\" qw=\"0.994982\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.141608\" qy=\"-0.211358\" qz=\"-0.450135\" qw=\"0.855952\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.073644\" qy=\"0.105865\" qz=\"-0.105493\" qw=\"-0.986023\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.222351\" y=\"-0.000135\" z=\"-0.000038\" qx=\"0.074267\" qy=\"-0.010991\" qz=\"0.067165\" qw=\"-0.994913\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.108403\" qy=\"0.032116\" qz=\"-0.023761\" qw=\"0.993304\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.118344\" qy=\"0.195485\" qz=\"0.451237\" qw=\"0.862650\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.063121\" qy=\"-0.125989\" qz=\"0.156305\" qw=\"-0.977605\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220461\" y=\"-0.000028\" z=\"-0.000148\" qx=\"0.064502\" qy=\"-0.019532\" qz=\"-0.021595\" qw=\"-0.997493\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028539\" qy=\"-0.021251\" qz=\"0.036369\" qw=\"0.998705\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.175144\" qy=\"-0.136176\" qz=\"-0.064823\" qw=\"0.972923\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000037\" y=\"-0.437541\" z=\"0.002210\" qx=\"-0.168612\" qy=\"0.157888\" qz=\"0.023482\" qw=\"0.972671\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.121042\" qy=\"0.020406\" qz=\"-0.009495\" qw=\"0.992392\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.208608\" qy=\"0.067760\" qz=\"0.003904\" qw=\"0.975641\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000525\" y=\"-0.427762\" z=\"0.000115\" qx=\"-0.079946\" qy=\"-0.012880\" qz=\"0.062939\" qw=\"0.994727\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.003219\" qy=\"-0.002123\" qz=\"0.000542\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.029734\" qy=\"0.013419\" qz=\"-0.001374\" qw=\"-0.999467\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 240: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.079396\" y=\"0.937677\" z=\"1.013472\" qx=\"-0.042766\" qy=\"0.059563\" qz=\"0.000018\" qw=\"0.997308\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.069799\" qy=\"0.005749\" qz=\"0.028359\" qw=\"-0.997141\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000519\" y=\"0.189179\" z=\"0.000510\" qx=\"-0.041801\" qy=\"0.002047\" qz=\"-0.016268\" qw=\"-0.998991\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.089937\" qy=\"-0.091237\" qz=\"-0.075814\" qw=\"-0.988857\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123506\" z=\"-0.017326\" qx=\"0.128108\" qy=\"-0.067002\" qz=\"0.132949\" qw=\"-0.980522\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084748\" qy=\"0.030237\" qz=\"0.043491\" qw=\"0.994994\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.130047\" qy=\"-0.196227\" qz=\"-0.439683\" qw=\"0.866753\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.078094\" qy=\"0.111233\" qz=\"-0.109771\" qw=\"-0.984621\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.222514\" y=\"-0.000136\" z=\"-0.000038\" qx=\"0.078911\" qy=\"-0.008490\" qz=\"0.052594\" qw=\"-0.995457\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.107903\" qy=\"0.030900\" qz=\"-0.024895\" qw=\"0.993369\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.104166\" qy=\"0.175631\" qz=\"0.450156\" qw=\"0.869289\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.061313\" qy=\"-0.121524\" qz=\"0.151755\" qw=\"-0.979001\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220578\" y=\"-0.000027\" z=\"-0.000148\" qx=\"0.062577\" qy=\"-0.018459\" qz=\"-0.020045\" qw=\"-0.997668\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024897\" qy=\"-0.020927\" qz=\"0.032958\" qw=\"0.998927\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.174106\" qy=\"-0.124450\" qz=\"-0.067136\" qw=\"0.974522\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000084\" y=\"-0.437065\" z=\"0.002347\" qx=\"-0.164529\" qy=\"0.163828\" qz=\"0.026824\" qw=\"0.972302\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.126369\" qy=\"0.022608\" qz=\"-0.009908\" qw=\"0.991676\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.204801\" qy=\"0.075023\" qz=\"0.002332\" qw=\"0.975922\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000375\" y=\"-0.428228\" z=\"-0.000012\" qx=\"-0.084306\" qy=\"-0.017948\" qz=\"0.066821\" qw=\"0.994035\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002493\" qy=\"-0.002083\" qz=\"0.000532\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031327\" qy=\"0.012122\" qz=\"-0.001241\" qw=\"-0.999435\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 241: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.082469\" y=\"0.938349\" z=\"1.004685\" qx=\"-0.042001\" qy=\"0.046664\" qz=\"-0.001289\" qw=\"0.998027\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.071280\" qy=\"0.004391\" qz=\"0.026271\" qw=\"-0.997101\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000520\" y=\"0.189559\" z=\"0.000511\" qx=\"-0.038343\" qy=\"0.001593\" qz=\"-0.008912\" qw=\"-0.999224\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.090636\" qy=\"-0.094813\" qz=\"-0.077546\" qw=\"-0.988323\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123420\" z=\"-0.017314\" qx=\"0.125193\" qy=\"-0.070219\" qz=\"0.135468\" qw=\"-0.980329\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084201\" qy=\"0.031226\" qz=\"0.045048\" qw=\"0.994940\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.122788\" qy=\"-0.186375\" qz=\"-0.431235\" qw=\"0.874199\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.083766\" qy=\"0.121011\" qz=\"-0.121786\" qw=\"-0.981584\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.222271\" y=\"-0.000137\" z=\"-0.000038\" qx=\"0.084925\" qy=\"-0.008026\" qz=\"0.035905\" qw=\"-0.995708\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.107689\" qy=\"0.027128\" qz=\"-0.026425\" qw=\"0.993463\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.091155\" qy=\"0.157814\" qz=\"0.448794\" qw=\"0.874854\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.059812\" qy=\"-0.117240\" qz=\"0.147363\" qw=\"-0.980286\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220614\" y=\"-0.000027\" z=\"-0.000148\" qx=\"0.060966\" qy=\"-0.017257\" qz=\"-0.024514\" qw=\"-0.997689\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019127\" qy=\"-0.019135\" qz=\"0.030446\" qw=\"0.999170\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.176922\" qy=\"-0.119887\" qz=\"-0.068207\" qw=\"0.974512\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000057\" y=\"-0.437052\" z=\"0.002491\" qx=\"-0.161420\" qy=\"0.171226\" qz=\"0.029570\" qw=\"0.971468\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.132224\" qy=\"0.020575\" qz=\"-0.010447\" qw=\"0.990951\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.206422\" qy=\"0.071753\" qz=\"-0.000245\" qw=\"0.975829\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000214\" y=\"-0.429549\" z=\"-0.000009\" qx=\"-0.096573\" qy=\"-0.023744\" qz=\"0.068423\" qw=\"0.992687\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001080\" qy=\"-0.001985\" qz=\"0.000507\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.033717\" qy=\"0.014043\" qz=\"-0.001438\" qw=\"-0.999332\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 242: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.084744\" y=\"0.939126\" z=\"0.997506\" qx=\"-0.043101\" qy=\"0.035382\" qz=\"-0.004071\" qw=\"0.998436\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.072373\" qy=\"0.002723\" qz=\"0.023972\" qw=\"-0.997086\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.190146\" z=\"0.000513\" qx=\"-0.035704\" qy=\"0.001037\" qz=\"-0.006080\" qw=\"-0.999343\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.092535\" qy=\"-0.098281\" qz=\"-0.079121\" qw=\"-0.987683\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123264\" z=\"-0.017292\" qx=\"0.121378\" qy=\"-0.073032\" qz=\"0.140197\" qw=\"-0.979938\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.084774\" qy=\"0.033638\" qz=\"0.045525\" qw=\"0.994791\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.113648\" qy=\"-0.179231\" qz=\"-0.427030\" qw=\"0.878980\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.085866\" qy=\"0.133824\" qz=\"-0.136512\" qw=\"-0.977795\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221237\" y=\"-0.000136\" z=\"-0.000038\" qx=\"0.087400\" qy=\"-0.006960\" qz=\"0.024756\" qw=\"-0.995841\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.107288\" qy=\"0.024907\" qz=\"-0.028094\" qw=\"0.993519\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079574\" qy=\"0.140397\" qz=\"0.445528\" qw=\"0.880603\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.060676\" qy=\"-0.112682\" qz=\"0.144125\" qw=\"-0.981249\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220762\" y=\"-0.000027\" z=\"-0.000147\" qx=\"0.061754\" qy=\"-0.016456\" qz=\"-0.037759\" qw=\"-0.997241\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015273\" qy=\"-0.013493\" qz=\"0.030883\" qw=\"0.999315\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180746\" qy=\"-0.118686\" qz=\"-0.069047\" qw=\"0.973898\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000035\" y=\"-0.437220\" z=\"0.002596\" qx=\"-0.159499\" qy=\"0.176096\" qz=\"0.031861\" qw=\"0.970842\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.138223\" qy=\"0.018973\" qz=\"-0.011250\" qw=\"0.990155\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.215093\" qy=\"0.056456\" qz=\"-0.000767\" qw=\"0.974960\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"0.000126\" y=\"-0.431942\" z=\"0.000173\" qx=\"-0.112903\" qy=\"-0.033454\" qz=\"0.068897\" qw=\"0.990650\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.000157\" qy=\"-0.002155\" qz=\"0.000551\" qw=\"-0.999998\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.034229\" qy=\"0.013043\" qz=\"-0.001335\" qw=\"-0.999328\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 243: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.085987\" y=\"0.939470\" z=\"0.992166\" qx=\"-0.046612\" qy=\"0.027892\" qz=\"-0.007109\" qw=\"0.998498\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073594\" qy=\"0.002849\" qz=\"0.023132\" qw=\"-0.997016\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000521\" y=\"0.190652\" z=\"0.000514\" qx=\"-0.033555\" qy=\"0.001081\" qz=\"-0.007323\" qw=\"-0.999409\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.096190\" qy=\"-0.101762\" qz=\"-0.081742\" qw=\"-0.986768\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123452\" z=\"-0.017318\" qx=\"0.116986\" qy=\"-0.075522\" qz=\"0.146416\" qw=\"-0.979374\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083240\" qy=\"0.035451\" qz=\"0.046683\" qw=\"0.994804\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.101149\" qy=\"-0.168868\" qz=\"-0.427054\" qw=\"0.882541\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.082759\" qy=\"0.148094\" qz=\"-0.151933\" qw=\"-0.973722\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219889\" y=\"-0.000134\" z=\"-0.000037\" qx=\"0.084583\" qy=\"-0.001669\" qz=\"0.033999\" qw=\"-0.995835\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.105476\" qy=\"0.022045\" qz=\"-0.030150\" qw=\"0.993720\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.064186\" qy=\"0.122630\" qz=\"0.438795\" qw=\"0.887863\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.054986\" qy=\"-0.107824\" qz=\"0.137467\" qw=\"-0.983084\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.220853\" y=\"-0.000027\" z=\"-0.000147\" qx=\"0.055844\" qy=\"-0.014126\" qz=\"-0.053505\" qw=\"-0.996905\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.014379\" qy=\"-0.008389\" qz=\"0.032860\" qw=\"0.999321\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.184681\" qy=\"-0.120163\" qz=\"-0.070098\" qw=\"0.972903\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000004\" y=\"-0.437167\" z=\"0.002670\" qx=\"-0.158657\" qy=\"0.180252\" qz=\"0.033846\" qw=\"0.970150\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.141203\" qy=\"0.014530\" qz=\"-0.013312\" qw=\"0.989785\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.231041\" qy=\"0.023119\" qz=\"-0.002003\" qw=\"0.972667\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000132\" y=\"-0.434822\" z=\"0.000501\" qx=\"-0.124245\" qy=\"-0.046038\" qz=\"0.088286\" qw=\"0.987243\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000670\" qy=\"-0.002071\" qz=\"0.000529\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035200\" qy=\"0.013633\" qz=\"-0.001396\" qw=\"-0.999286\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 244: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.086442\" y=\"0.939326\" z=\"0.988897\" qx=\"-0.051669\" qy=\"0.024136\" qz=\"-0.008105\" qw=\"0.998340\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.073284\" qy=\"0.004155\" qz=\"0.023451\" qw=\"-0.997027\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000523\" y=\"0.191103\" z=\"0.000515\" qx=\"-0.032351\" qy=\"0.001515\" qz=\"-0.008736\" qw=\"-0.999437\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.101160\" qy=\"-0.103585\" qz=\"-0.082838\" qw=\"-0.985989\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.123972\" z=\"-0.017391\" qx=\"0.111409\" qy=\"-0.077128\" qz=\"0.148417\" qw=\"-0.979598\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.082311\" qy=\"0.035507\" qz=\"0.047508\" qw=\"0.994840\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.090116\" qy=\"-0.159803\" qz=\"-0.423118\" qw=\"0.887307\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.076975\" qy=\"0.158648\" qz=\"-0.162486\" qw=\"-0.970826\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218995\" y=\"-0.000133\" z=\"-0.000037\" qx=\"0.078850\" qy=\"0.004748\" qz=\"0.057063\" qw=\"-0.995241\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.102770\" qy=\"0.020751\" qz=\"-0.032583\" qw=\"0.993955\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.047801\" qy=\"0.103269\" qz=\"0.431120\" qw=\"0.895090\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.046646\" qy=\"-0.100843\" qz=\"0.127500\" qw=\"-0.985596\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221106\" y=\"-0.000027\" z=\"-0.000147\" qx=\"0.047291\" qy=\"-0.016649\" qz=\"-0.047831\" qw=\"-0.997596\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016825\" qy=\"-0.007749\" qz=\"0.033624\" qw=\"0.999263\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.186657\" qy=\"-0.120136\" qz=\"-0.071562\" qw=\"0.972422\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000017\" y=\"-0.436919\" z=\"0.002715\" qx=\"-0.157957\" qy=\"0.183440\" qz=\"0.035165\" qw=\"0.969620\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.141222\" qy=\"0.006228\" qz=\"-0.017330\" qw=\"0.989807\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.258032\" qy=\"-0.018394\" qz=\"-0.006352\" qw=\"0.965940\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000198\" y=\"-0.435254\" z=\"0.000690\" qx=\"-0.122147\" qy=\"-0.050097\" qz=\"0.090760\" qw=\"0.987083\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001541\" qy=\"-0.002207\" qz=\"0.000564\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035140\" qy=\"0.012583\" qz=\"-0.001288\" qw=\"-0.999302\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 245: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.086270\" y=\"0.939172\" z=\"0.986977\" qx=\"-0.054640\" qy=\"0.020948\" qz=\"-0.007168\" qw=\"0.998261\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.069379\" qy=\"0.003410\" qz=\"0.023331\" qw=\"-0.997312\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000524\" y=\"0.191479\" z=\"0.000516\" qx=\"-0.030283\" qy=\"0.001259\" qz=\"-0.008281\" qw=\"-0.999506\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.107183\" qy=\"-0.103368\" qz=\"-0.082797\" qw=\"-0.985379\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124575\" z=\"-0.017475\" qx=\"0.104430\" qy=\"-0.077094\" qz=\"0.148012\" qw=\"-0.980430\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.080481\" qy=\"0.035647\" qz=\"0.049001\" qw=\"0.994913\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.079636\" qy=\"-0.154896\" qz=\"-0.414681\" qw=\"0.893144\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.064211\" qy=\"0.158624\" qz=\"-0.167375\" qw=\"-0.970928\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.218917\" y=\"-0.000133\" z=\"-0.000037\" qx=\"0.065662\" qy=\"0.014791\" qz=\"0.088485\" qw=\"-0.993801\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.099868\" qy=\"0.016836\" qz=\"-0.036040\" qw=\"0.994205\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.031111\" qy=\"0.085444\" qz=\"0.422999\" qw=\"0.901556\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.038903\" qy=\"-0.092198\" qz=\"0.116043\" qw=\"-0.988190\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221153\" y=\"-0.000027\" z=\"-0.000147\" qx=\"0.039383\" qy=\"-0.015056\" qz=\"-0.031383\" qw=\"-0.998618\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.018677\" qy=\"-0.008573\" qz=\"0.032532\" qw=\"0.999259\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.187273\" qy=\"-0.117990\" qz=\"-0.072217\" qw=\"0.972518\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000036\" y=\"-0.436902\" z=\"0.002744\" qx=\"-0.157255\" qy=\"0.185185\" qz=\"0.035615\" qw=\"0.969386\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.141585\" qy=\"-0.004212\" qz=\"-0.022023\" qw=\"0.989672\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.292438\" qy=\"-0.030119\" qz=\"-0.011360\" qw=\"0.955742\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000079\" y=\"-0.435509\" z=\"0.001021\" qx=\"-0.120621\" qy=\"-0.060375\" qz=\"0.080170\" qw=\"0.987612\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001584\" qy=\"-0.002168\" qz=\"0.000554\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035192\" qy=\"0.012890\" qz=\"-0.001319\" qw=\"-0.999296\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 246: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.085344\" y=\"0.938860\" z=\"0.986293\" qx=\"-0.056654\" qy=\"0.018365\" qz=\"-0.005394\" qw=\"0.998210\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.064432\" qy=\"0.002315\" qz=\"0.022387\" qw=\"-0.997668\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000525\" y=\"0.192076\" z=\"0.000517\" qx=\"-0.025994\" qy=\"0.000879\" qz=\"-0.006354\" qw=\"-0.999642\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.114100\" qy=\"-0.101940\" qz=\"-0.082005\" qw=\"-0.984817\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125074\" z=\"-0.017545\" qx=\"0.096494\" qy=\"-0.076111\" qz=\"0.146089\" qw=\"-0.981608\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.078104\" qy=\"0.035700\" qz=\"0.052092\" qw=\"0.994943\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.071055\" qy=\"-0.148813\" qz=\"-0.404086\" qw=\"0.899734\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.051249\" qy=\"0.154968\" qz=\"-0.166649\" qw=\"-0.972413\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219208\" y=\"-0.000133\" z=\"-0.000037\" qx=\"0.052216\" qy=\"0.018459\" qz=\"0.114354\" qw=\"-0.991895\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.096949\" qy=\"0.014189\" qz=\"-0.039325\" qw=\"0.994411\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.013567\" qy=\"0.065605\" qz=\"0.410729\" qw=\"0.909293\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.025666\" qy=\"-0.083267\" qz=\"0.103035\" qw=\"-0.990854\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221369\" y=\"-0.000027\" z=\"-0.000147\" qx=\"0.025947\" qy=\"-0.012747\" qz=\"-0.021153\" qw=\"-0.999358\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.020579\" qy=\"-0.009011\" qz=\"0.031796\" qw=\"0.999242\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"-0.186958\" qy=\"0.118048\" qz=\"0.074205\" qw=\"-0.972422\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000065\" y=\"-0.436958\" z=\"0.002785\" qx=\"-0.156891\" qy=\"0.187988\" qz=\"0.036117\" qw=\"0.968887\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.138362\" qy=\"-0.008847\" qz=\"-0.028399\" qw=\"0.989935\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.325776\" qy=\"-0.025951\" qz=\"-0.013162\" qw=\"0.944999\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000049\" y=\"-0.435816\" z=\"0.001284\" qx=\"-0.124452\" qy=\"-0.068288\" qz=\"0.073337\" qw=\"0.987153\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001863\" qy=\"-0.002224\" qz=\"0.000568\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035925\" qy=\"0.013444\" qz=\"-0.001376\" qw=\"-0.999263\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 247: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.083278\" y=\"0.938668\" z=\"0.986813\" qx=\"-0.058368\" qy=\"0.017652\" qz=\"-0.003796\" qw=\"0.998132\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.059137\" qy=\"0.002539\" qz=\"0.021529\" qw=\"-0.998015\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000526\" y=\"0.192542\" z=\"0.000518\" qx=\"-0.021853\" qy=\"0.000946\" qz=\"-0.005326\" qw=\"-0.999747\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.119375\" qy=\"-0.099833\" qz=\"-0.079645\" qw=\"-0.984601\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125443\" z=\"-0.017597\" qx=\"0.088464\" qy=\"-0.074721\" qz=\"0.143184\" qw=\"-0.982898\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.075833\" qy=\"0.036116\" qz=\"0.055235\" qw=\"0.994934\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.063763\" qy=\"-0.139607\" qz=\"-0.391806\" qw=\"0.907156\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.043299\" qy=\"0.150886\" qz=\"-0.163130\" qw=\"-0.974037\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.219610\" y=\"-0.000133\" z=\"-0.000037\" qx=\"0.043986\" qy=\"0.019741\" qz=\"0.126306\" qw=\"-0.990819\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.092711\" qy=\"0.012846\" qz=\"-0.043689\" qw=\"0.994651\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.000068\" qy=\"0.046874\" qz=\"0.394408\" qw=\"0.917739\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.018132\" qy=\"-0.075261\" qz=\"0.088932\" qw=\"-0.993025\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.221971\" y=\"-0.000028\" z=\"-0.000147\" qx=\"0.018302\" qy=\"-0.009293\" qz=\"-0.023381\" qw=\"-0.999516\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.023822\" qy=\"-0.007439\" qz=\"0.031555\" qw=\"0.999191\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.184746\" qy=\"-0.119402\" qz=\"-0.073968\" qw=\"0.972698\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000088\" y=\"-0.436793\" z=\"0.002752\" qx=\"-0.156306\" qy=\"0.188181\" qz=\"0.035144\" qw=\"0.968979\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.127702\" qy=\"-0.008366\" qz=\"-0.035674\" qw=\"0.991136\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.349015\" qy=\"-0.023435\" qz=\"-0.012878\" qw=\"0.936736\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000088\" y=\"-0.435605\" z=\"0.001287\" qx=\"-0.126805\" qy=\"-0.068758\" qz=\"0.070226\" qw=\"0.987047\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.002139\" qy=\"-0.002171\" qz=\"0.000555\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.036648\" qy=\"0.012202\" qz=\"-0.001249\" qw=\"-0.999253\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 248: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.080047\" y=\"0.938433\" z=\"0.988260\" qx=\"-0.059048\" qy=\"0.017170\" qz=\"-0.002233\" qw=\"0.998105\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.052388\" qy=\"0.002725\" qz=\"0.020377\" qw=\"-0.998415\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.192910\" z=\"0.000519\" qx=\"-0.018643\" qy=\"0.000996\" qz=\"-0.003399\" qw=\"-0.999820\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.123531\" qy=\"-0.097246\" qz=\"-0.078801\" qw=\"-0.984415\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125471\" z=\"-0.017601\" qx=\"0.081590\" qy=\"-0.072452\" qz=\"0.141023\" qw=\"-0.983975\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.072326\" qy=\"0.035620\" qz=\"0.059691\" qw=\"0.994956\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.058852\" qy=\"-0.127228\" qz=\"-0.377466\" qw=\"0.915352\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.041780\" qy=\"0.143769\" qz=\"-0.157102\" qw=\"-0.976168\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.220281\" y=\"-0.000134\" z=\"-0.000038\" qx=\"0.042340\" qy=\"0.021409\" qz=\"0.128633\" qw=\"-0.990557\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.088416\" qy=\"0.012385\" qz=\"-0.048848\" qw=\"0.994808\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.005792\" qy=\"0.033471\" qz=\"0.378215\" qw=\"0.925095\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.013505\" qy=\"-0.064348\" qz=\"0.080065\" qw=\"-0.994619\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.223133\" y=\"-0.000028\" z=\"-0.000148\" qx=\"0.013619\" qy=\"-0.007095\" qz=\"-0.021732\" qw=\"-0.999646\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027969\" qy=\"-0.009313\" qz=\"0.031527\" qw=\"0.999068\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.179982\" qy=\"-0.119848\" qz=\"-0.073599\" qw=\"0.973564\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000095\" y=\"-0.436299\" z=\"0.002705\" qx=\"-0.155181\" qy=\"0.190426\" qz=\"0.033032\" qw=\"0.968796\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.112333\" qy=\"-0.008442\" qz=\"-0.040678\" qw=\"0.992802\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.362311\" qy=\"-0.023032\" qz=\"-0.015148\" qw=\"0.931650\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000074\" y=\"-0.435661\" z=\"0.001402\" qx=\"-0.128672\" qy=\"-0.073921\" qz=\"0.064817\" qw=\"0.986802\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001731\" qy=\"-0.002474\" qz=\"0.000632\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.037869\" qy=\"0.012378\" qz=\"-0.001267\" qw=\"-0.999205\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 249: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.075590\" y=\"0.937921\" z=\"0.990565\" qx=\"-0.060048\" qy=\"0.015965\" qz=\"0.000296\" qw=\"0.998068\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.045844\" qy=\"0.002134\" qz=\"0.019506\" qw=\"-0.998756\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000527\" y=\"0.193178\" z=\"0.000520\" qx=\"-0.016779\" qy=\"0.000786\" qz=\"0.000499\" qw=\"-0.999859\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.127302\" qy=\"-0.093084\" qz=\"-0.076176\" qw=\"-0.984544\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.125284\" z=\"-0.017575\" qx=\"0.079054\" qy=\"-0.069534\" qz=\"0.133652\" qw=\"-0.985420\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.068237\" qy=\"0.034475\" qz=\"0.064974\" qw=\"0.994954\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.052294\" qy=\"-0.112011\" qz=\"-0.359380\" qw=\"0.924968\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.042094\" qy=\"0.133905\" qz=\"-0.145725\" qw=\"-0.979317\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.221280\" y=\"-0.000134\" z=\"-0.000039\" qx=\"0.042569\" qy=\"0.022961\" qz=\"0.120214\" qw=\"-0.991569\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.083774\" qy=\"0.013255\" qz=\"-0.053706\" qw=\"0.994948\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.006600\" qy=\"0.022580\" qz=\"0.362960\" qw=\"0.931508\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.013249\" qy=\"-0.053923\" qz=\"0.075939\" qw=\"-0.995565\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224205\" y=\"-0.000027\" z=\"-0.000149\" qx=\"0.013350\" qy=\"-0.005782\" qz=\"-0.017741\" qw=\"-0.999737\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.033646\" qy=\"-0.011740\" qz=\"0.030491\" qw=\"0.998900\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.174513\" qy=\"-0.114283\" qz=\"-0.070843\" qw=\"0.975431\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000064\" y=\"-0.435708\" z=\"0.002598\" qx=\"-0.154828\" qy=\"0.187680\" qz=\"0.028493\" qw=\"0.969532\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.090675\" qy=\"-0.009772\" qz=\"-0.044604\" qw=\"0.994833\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.361662\" qy=\"-0.018745\" qz=\"-0.018673\" qw=\"0.931934\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000256\" y=\"-0.436038\" z=\"0.001558\" qx=\"-0.124499\" qy=\"-0.087352\" qz=\"0.065374\" qw=\"0.986203\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001268\" qy=\"-0.002494\" qz=\"0.000637\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.035422\" qy=\"0.011335\" qz=\"-0.001160\" qw=\"-0.999308\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 250: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.069656\" y=\"0.936865\" z=\"0.993204\" qx=\"-0.058055\" qy=\"0.014374\" qz=\"0.004639\" qw=\"0.998199\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.036653\" qy=\"0.000863\" qz=\"0.021828\" qw=\"-0.999089\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000528\" y=\"0.193528\" z=\"0.000521\" qx=\"-0.014971\" qy=\"0.000352\" qz=\"0.003795\" qw=\"-0.999881\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.131050\" qy=\"-0.085968\" qz=\"-0.071945\" qw=\"-0.985017\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.124625\" z=\"-0.017482\" qx=\"0.079567\" qy=\"-0.064254\" qz=\"0.122318\" qw=\"-0.987208\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063489\" qy=\"0.032873\" qz=\"0.071408\" qw=\"0.994882\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.045065\" qy=\"-0.096555\" qz=\"-0.338972\" qw=\"0.934743\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.038179\" qy=\"0.120392\" qz=\"-0.130808\" qw=\"-0.983330\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.222465\" y=\"-0.000135\" z=\"-0.000039\" qx=\"0.038520\" qy=\"0.020492\" qz=\"0.106983\" qw=\"-0.993303\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.080490\" qy=\"0.012701\" qz=\"-0.058784\" qw=\"0.994939\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.012642\" qy=\"0.012473\" qz=\"0.346148\" qw=\"0.938012\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.010300\" qy=\"-0.048546\" qz=\"0.068291\" qw=\"-0.996430\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224736\" y=\"-0.000027\" z=\"-0.000149\" qx=\"0.010376\" qy=\"-0.004429\" qz=\"-0.014333\" qw=\"-0.999834\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.036426\" qy=\"-0.012513\" qz=\"0.028432\" qw=\"0.998853\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.169511\" qy=\"-0.108587\" qz=\"-0.067589\" qw=\"0.977193\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000015\" y=\"-0.435063\" z=\"0.002451\" qx=\"-0.154843\" qy=\"0.183796\" qz=\"0.023642\" qw=\"0.970404\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.061515\" qy=\"-0.013517\" qz=\"-0.049127\" qw=\"0.996805\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.331215\" qy=\"-0.021015\" qz=\"-0.026010\" qw=\"0.942963\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000808\" y=\"-0.438791\" z=\"0.001125\" qx=\"-0.149151\" qy=\"-0.077862\" qz=\"0.110582\" qw=\"0.979522\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000485\" qy=\"-0.002665\" qz=\"0.000681\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.042486\" qy=\"0.007944\" qz=\"-0.000813\" qw=\"-0.999065\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 251: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.062775\" y=\"0.935425\" z=\"0.995665\" qx=\"-0.052951\" qy=\"0.012740\" qz=\"0.009424\" qw=\"0.998471\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.025604\" qy=\"-0.000408\" qz=\"0.024470\" qw=\"-0.999373\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000529\" y=\"0.193819\" z=\"0.000522\" qx=\"-0.012212\" qy=\"-0.000162\" qz=\"0.007771\" qw=\"-0.999895\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.135928\" qy=\"-0.076079\" qz=\"-0.065156\" qw=\"-0.985642\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123925\" z=\"-0.017383\" qx=\"0.083990\" qy=\"-0.056792\" qz=\"0.108082\" qw=\"-0.988958\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.057812\" qy=\"0.030749\" qz=\"0.078097\" qw=\"0.994793\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.036916\" qy=\"-0.080689\" qz=\"-0.316844\" qw=\"0.944318\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.031473\" qy=\"0.104967\" qz=\"-0.114259\" qw=\"-0.987389\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.223904\" y=\"-0.000136\" z=\"-0.000039\" qx=\"0.031666\" qy=\"0.017034\" qz=\"0.095888\" qw=\"-0.994742\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.077420\" qy=\"0.012453\" qz=\"-0.064177\" qw=\"0.994853\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013255\" qy=\"0.005656\" qz=\"0.330924\" qw=\"0.943547\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.009506\" qy=\"-0.045304\" qz=\"0.065348\" qw=\"-0.996788\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224954\" y=\"-0.000027\" z=\"-0.000149\" qx=\"0.009574\" qy=\"-0.004767\" qz=\"-0.016159\" qw=\"-0.999812\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.033596\" qy=\"-0.011855\" qz=\"0.026920\" qw=\"0.999003\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.168592\" qy=\"-0.111064\" qz=\"-0.066557\" qw=\"0.977145\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000005\" y=\"-0.434858\" z=\"0.002433\" qx=\"-0.156880\" qy=\"0.186402\" qz=\"0.019600\" qw=\"0.969669\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.036374\" qy=\"-0.011285\" qz=\"-0.053255\" qw=\"0.997855\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.288588\" qy=\"-0.017195\" qz=\"-0.012281\" qw=\"0.957220\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000607\" y=\"-0.437370\" z=\"0.001123\" qx=\"-0.175625\" qy=\"-0.082658\" qz=\"0.084706\" qw=\"0.977317\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.000737\" qy=\"-0.002773\" qz=\"0.000709\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.031824\" qy=\"0.008544\" qz=\"-0.000875\" qw=\"-0.999457\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 252: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.055297\" y=\"0.934796\" z=\"0.996951\" qx=\"-0.046629\" qy=\"0.008289\" qz=\"0.010451\" qw=\"0.998823\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.016117\" qy=\"-0.002739\" qz=\"0.023039\" qw=\"-0.999601\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000530\" y=\"0.194100\" z=\"0.000523\" qx=\"-0.009248\" qy=\"-0.000885\" qz=\"0.012163\" qw=\"-0.999883\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.136054\" qy=\"-0.065543\" qz=\"-0.058827\" qw=\"-0.986779\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.123064\" z=\"-0.017262\" qx=\"0.085869\" qy=\"-0.048190\" qz=\"0.095480\" qw=\"-0.990549\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.049954\" qy=\"0.028472\" qz=\"0.084728\" qw=\"0.994744\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029201\" qy=\"-0.062924\" qz=\"-0.296530\" qw=\"0.952501\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024707\" qy=\"0.091076\" qz=\"-0.099595\" qw=\"-0.990543\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.224665\" y=\"-0.000137\" z=\"-0.000039\" qx=\"0.024798\" qy=\"0.013249\" qz=\"0.088867\" qw=\"-0.995647\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.074530\" qy=\"0.012421\" qz=\"-0.068992\" qw=\"0.994752\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.009079\" qy=\"0.005052\" qz=\"0.316121\" qw=\"0.948662\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.009875\" qy=\"-0.041859\" qz=\"0.063113\" qw=\"-0.997079\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225258\" y=\"-0.000026\" z=\"-0.000150\" qx=\"0.009940\" qy=\"-0.004352\" qz=\"-0.013758\" qw=\"-0.999847\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027147\" qy=\"-0.005655\" qz=\"0.029546\" qw=\"0.999179\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.171853\" qy=\"-0.111757\" qz=\"-0.064553\" qw=\"0.976632\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000026\" y=\"-0.435281\" z=\"0.002371\" qx=\"-0.160201\" qy=\"0.184561\" qz=\"0.014362\" qw=\"0.969570\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019116\" qy=\"-0.008714\" qz=\"-0.054258\" qw=\"0.998306\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.249963\" qy=\"-0.044938\" qz=\"-0.005720\" qw=\"0.967195\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000639\" y=\"-0.434470\" z=\"0.000701\" qx=\"-0.181494\" qy=\"-0.061485\" qz=\"0.072155\" qw=\"0.978812\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002092\" qy=\"-0.002855\" qz=\"0.000729\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.024058\" qy=\"0.007703\" qz=\"-0.000789\" qw=\"-0.999681\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 253: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.048173\" y=\"0.936031\" z=\"0.997174\" qx=\"-0.042327\" qy=\"-0.001473\" qz=\"0.005939\" qw=\"0.999085\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011219\" qy=\"-0.006910\" qz=\"0.016479\" qw=\"-0.999777\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000531\" y=\"0.194554\" z=\"0.000524\" qx=\"-0.007250\" qy=\"-0.002287\" qz=\"0.014507\" qw=\"-0.999866\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.133695\" qy=\"-0.055966\" qz=\"-0.053555\" qw=\"-0.987991\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.121804\" z=\"-0.017086\" qx=\"0.091252\" qy=\"-0.039834\" qz=\"0.086988\" qw=\"-0.991221\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.043629\" qy=\"0.028201\" qz=\"0.091500\" qw=\"0.994449\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019171\" qy=\"-0.045408\" qz=\"-0.283696\" qw=\"0.957647\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017979\" qy=\"0.081564\" qz=\"-0.089670\" qw=\"-0.992463\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.224699\" y=\"-0.000136\" z=\"-0.000039\" qx=\"0.018021\" qy=\"0.008364\" qz=\"0.080505\" qw=\"-0.996556\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.072154\" qy=\"0.013521\" qz=\"-0.072598\" qw=\"0.994656\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007356\" qy=\"0.007867\" qz=\"0.299400\" qw=\"0.954067\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.006636\" qy=\"-0.038355\" qz=\"0.059788\" qw=\"-0.997452\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225732\" y=\"-0.000027\" z=\"-0.000150\" qx=\"0.006688\" qy=\"-0.004653\" qz=\"-0.011393\" qw=\"-0.999902\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.023134\" qy=\"0.003623\" qz=\"0.037961\" qw=\"0.999005\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.174071\" qy=\"-0.110012\" qz=\"-0.063685\" qw=\"0.976494\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000124\" y=\"-0.436378\" z=\"0.002311\" qx=\"-0.161981\" qy=\"0.182490\" qz=\"0.009829\" qw=\"0.969723\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.012112\" qy=\"-0.014890\" qz=\"-0.045875\" qw=\"0.998763\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.225597\" qy=\"-0.033029\" qz=\"-0.004858\" qw=\"0.973649\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000520\" y=\"-0.431212\" z=\"0.000572\" qx=\"-0.171598\" qy=\"-0.062533\" qz=\"0.063787\" qw=\"0.981109\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002525\" qy=\"-0.002998\" qz=\"0.000766\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022650\" qy=\"0.007505\" qz=\"-0.000768\" qw=\"-0.999715\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 254: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.041858\" y=\"0.938216\" z=\"0.996394\" qx=\"-0.037972\" qy=\"-0.009563\" qz=\"-0.000456\" qw=\"0.999233\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.009399\" qy=\"-0.007875\" qz=\"0.011227\" qw=\"-0.999862\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000535\" y=\"0.195716\" z=\"0.000528\" qx=\"-0.003393\" qy=\"-0.002616\" qz=\"0.011124\" qw=\"-0.999929\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.130517\" qy=\"-0.047534\" qz=\"-0.048731\" qw=\"-0.989106\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.119340\" z=\"-0.016740\" qx=\"0.096412\" qy=\"-0.032442\" qz=\"0.079901\" qw=\"-0.991599\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.040922\" qy=\"0.029848\" qz=\"0.098235\" qw=\"0.993873\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011927\" qy=\"-0.030218\" qz=\"-0.277997\" qw=\"0.960033\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015205\" qy=\"0.072236\" qz=\"-0.086112\" qw=\"-0.993547\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.224372\" y=\"-0.000135\" z=\"-0.000039\" qx=\"0.015215\" qy=\"0.009706\" qz=\"0.087716\" qw=\"-0.995982\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.070085\" qy=\"0.013746\" qz=\"-0.077136\" qw=\"0.994459\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.005751\" qy=\"0.014908\" qz=\"0.281911\" qw=\"0.959307\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.002985\" qy=\"-0.035610\" qz=\"0.056763\" qw=\"-0.997748\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226177\" y=\"-0.000028\" z=\"-0.000150\" qx=\"0.003026\" qy=\"-0.005130\" qz=\"-0.013894\" qw=\"-0.999886\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019929\" qy=\"0.009500\" qz=\"0.047066\" qw=\"0.998648\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.173022\" qy=\"-0.107078\" qz=\"-0.061836\" qw=\"0.977125\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000249\" y=\"-0.437281\" z=\"0.002271\" qx=\"-0.160682\" qy=\"0.181315\" qz=\"0.005720\" qw=\"0.970193\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.009136\" qy=\"-0.003009\" qz=\"-0.039551\" qw=\"0.999171\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.209210\" qy=\"-0.051435\" qz=\"0.001165\" qw=\"0.976516\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000312\" y=\"-0.430505\" z=\"0.000380\" qx=\"-0.161659\" qy=\"-0.048217\" qz=\"0.060885\" qw=\"0.983786\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.002066\" qy=\"-0.003089\" qz=\"0.000789\" qw=\"-0.999993\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023234\" qy=\"0.007151\" qz=\"-0.000732\" qw=\"-0.999704\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 255: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.036480\" y=\"0.939096\" z=\"0.995570\" qx=\"-0.034390\" qy=\"-0.013581\" qz=\"-0.001886\" qw=\"0.999314\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.009102\" qy=\"-0.006504\" qz=\"0.013765\" qw=\"-0.999843\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000539\" y=\"0.197353\" z=\"0.000532\" qx=\"0.001190\" qy=\"-0.002155\" qz=\"0.003848\" qw=\"-0.999990\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.130203\" qy=\"-0.039167\" qz=\"-0.043839\" qw=\"-0.989743\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.116809\" z=\"-0.016385\" qx=\"0.104421\" qy=\"-0.025505\" qz=\"0.070549\" qw=\"-0.991700\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.039045\" qy=\"0.030229\" qz=\"0.104901\" qw=\"0.993256\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"0.004733\" qy=\"-0.017713\" qz=\"-0.271065\" qw=\"0.962386\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015527\" qy=\"0.058624\" qz=\"-0.080299\" qw=\"-0.994924\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.224735\" y=\"-0.000136\" z=\"-0.000039\" qx=\"0.015484\" qy=\"0.013555\" qz=\"0.112531\" qw=\"-0.993435\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.067270\" qy=\"0.013225\" qz=\"-0.082135\" qw=\"0.994260\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.003107\" qy=\"0.020118\" qz=\"0.263540\" qw=\"0.964434\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.000409\" qy=\"-0.034996\" qz=\"0.056857\" qw=\"-0.997769\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226307\" y=\"-0.000029\" z=\"-0.000150\" qx=\"-0.000388\" qy=\"-0.008500\" qz=\"-0.028169\" qw=\"-0.999567\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019015\" qy=\"0.013676\" qz=\"0.050397\" qw=\"0.998455\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.168375\" qy=\"-0.102679\" qz=\"-0.058292\" qw=\"0.978626\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000288\" y=\"-0.437127\" z=\"0.002141\" qx=\"-0.157428\" qy=\"0.177242\" qz=\"0.001036\" qw=\"0.971494\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.008697\" qy=\"-0.007366\" qz=\"-0.037908\" qw=\"0.999216\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.199605\" qy=\"-0.045023\" qz=\"0.006110\" qw=\"0.978822\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000212\" y=\"-0.429431\" z=\"0.000351\" qx=\"-0.156945\" qy=\"-0.047364\" qz=\"0.055122\" qw=\"0.984930\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001681\" qy=\"-0.002820\" qz=\"0.000721\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.023114\" qy=\"0.007134\" qz=\"-0.000730\" qw=\"-0.999707\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 256: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.032176\" y=\"0.939062\" z=\"0.995216\" qx=\"-0.032159\" qy=\"-0.015860\" qz=\"-0.001651\" qw=\"0.999356\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.008016\" qy=\"-0.005719\" qz=\"0.016782\" qw=\"-0.999811\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000541\" y=\"0.198381\" z=\"0.000535\" qx=\"0.001842\" qy=\"-0.001888\" qz=\"-0.001883\" qw=\"-0.999995\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.129978\" qy=\"-0.031184\" qz=\"-0.038627\" qw=\"-0.990273\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.115155\" z=\"-0.016154\" qx=\"0.113922\" qy=\"-0.019561\" qz=\"0.057491\" qw=\"-0.991632\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.036059\" qy=\"0.027927\" qz=\"0.110819\" qw=\"0.992794\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.005818\" qy=\"-0.007154\" qz=\"-0.257803\" qw=\"0.966153\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.012326\" qy=\"0.042458\" qz=\"-0.067271\" qw=\"-0.996755\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.225505\" y=\"-0.000136\" z=\"-0.000039\" qx=\"0.012232\" qy=\"0.010964\" qz=\"0.139057\" qw=\"-0.990148\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.063368\" qy=\"0.013126\" qz=\"-0.087528\" qw=\"0.994058\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.003059\" qy=\"0.019882\" qz=\"0.245759\" qw=\"0.969122\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.003902\" qy=\"-0.035949\" qz=\"0.056746\" qw=\"-0.997734\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226084\" y=\"-0.000029\" z=\"-0.000150\" qx=\"-0.003875\" qy=\"-0.012979\" qz=\"-0.039869\" qw=\"-0.999113\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.021106\" qy=\"0.015978\" qz=\"0.052425\" qw=\"0.998274\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.160892\" qy=\"-0.095670\" qz=\"-0.055716\" qw=\"0.980743\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000242\" y=\"-0.436270\" z=\"0.001946\" qx=\"-0.153669\" qy=\"0.170285\" qz=\"-0.003845\" qw=\"0.973331\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007288\" qy=\"-0.007651\" qz=\"-0.035478\" qw=\"0.999315\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.191863\" qy=\"-0.050656\" qz=\"0.005230\" qw=\"0.980100\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000170\" y=\"-0.427878\" z=\"0.000189\" qx=\"-0.153184\" qy=\"-0.040956\" qz=\"0.052245\" qw=\"0.985965\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001670\" qy=\"-0.002661\" qz=\"0.000680\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022547\" qy=\"0.007093\" qz=\"-0.000726\" qw=\"-0.999720\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 257: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.029322\" y=\"0.939079\" z=\"0.994623\" qx=\"-0.028831\" qy=\"-0.016534\" qz=\"-0.000989\" qw=\"0.999447\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.005891\" qy=\"-0.004663\" qz=\"0.017860\" qw=\"-0.999812\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000543\" y=\"0.199023\" z=\"0.000536\" qx=\"0.001821\" qy=\"-0.001536\" qz=\"-0.005039\" qw=\"-0.999985\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.129001\" qy=\"-0.024025\" qz=\"-0.032885\" qw=\"-0.990808\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.113694\" z=\"-0.015949\" qx=\"0.121397\" qy=\"-0.014803\" qz=\"0.042822\" qw=\"-0.991569\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.032323\" qy=\"0.025058\" qz=\"0.116457\" qw=\"0.992353\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.009829\" qy=\"0.000026\" qz=\"-0.245544\" qw=\"0.969336\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.006826\" qy=\"0.028632\" qz=\"-0.057442\" qw=\"-0.997915\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226220\" y=\"-0.000136\" z=\"-0.000040\" qx=\"0.006753\" qy=\"0.006506\" qz=\"0.153217\" qw=\"-0.988148\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.059937\" qy=\"0.012073\" qz=\"-0.091432\" qw=\"0.993933\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.006073\" qy=\"0.018578\" qz=\"0.228089\" qw=\"0.973444\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007252\" qy=\"-0.035399\" qz=\"0.055552\" qw=\"-0.997802\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225686\" y=\"-0.000029\" z=\"-0.000150\" qx=\"-0.007230\" qy=\"-0.015895\" qz=\"-0.036137\" qw=\"-0.999194\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.021875\" qy=\"0.015401\" qz=\"0.053855\" qw=\"0.998190\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.152877\" qy=\"-0.090505\" qz=\"-0.055236\" qw=\"0.982541\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000199\" y=\"-0.435511\" z=\"0.001813\" qx=\"-0.149658\" qy=\"0.166348\" qz=\"-0.006979\" qw=\"0.974619\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007301\" qy=\"-0.002283\" qz=\"-0.034593\" qw=\"0.999372\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.185336\" qy=\"-0.056751\" qz=\"0.007056\" qw=\"0.981010\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000123\" y=\"-0.426586\" z=\"0.000141\" qx=\"-0.150190\" qy=\"-0.040546\" qz=\"0.049303\" qw=\"0.986594\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001670\" qy=\"-0.002533\" qz=\"0.000647\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022307\" qy=\"0.007064\" qz=\"-0.000723\" qw=\"-0.999726\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 258: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.027978\" y=\"0.939515\" z=\"0.993618\" qx=\"-0.024478\" qy=\"-0.015663\" qz=\"-0.001042\" qw=\"0.999577\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.003583\" qy=\"-0.003117\" qz=\"0.016603\" qw=\"-0.999851\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000545\" y=\"0.199726\" z=\"0.000538\" qx=\"0.002702\" qy=\"-0.001024\" qz=\"-0.007561\" qw=\"-0.999967\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.129581\" qy=\"-0.018291\" qz=\"-0.029396\" qw=\"-0.990964\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.112178\" z=\"-0.015736\" qx=\"0.128929\" qy=\"-0.010484\" qz=\"0.033467\" qw=\"-0.991033\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.030490\" qy=\"0.023582\" qz=\"0.120026\" qw=\"0.992022\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.011690\" qy=\"0.004599\" qz=\"-0.237454\" qw=\"0.971318\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.005202\" qy=\"0.021791\" qz=\"-0.055778\" qw=\"-0.998192\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226229\" y=\"-0.000136\" z=\"-0.000039\" qx=\"0.005143\" qy=\"0.005166\" qz=\"0.156909\" qw=\"-0.987586\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.057028\" qy=\"0.010357\" qz=\"-0.095302\" qw=\"0.993760\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.015475\" qy=\"0.016133\" qz=\"0.211524\" qw=\"0.977117\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.010061\" qy=\"-0.033550\" qz=\"0.053534\" qw=\"-0.997952\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225364\" y=\"-0.000028\" z=\"-0.000150\" qx=\"-0.010046\" qy=\"-0.015741\" qz=\"-0.027453\" qw=\"-0.999449\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019963\" qy=\"0.016546\" qz=\"0.054196\" qw=\"0.998194\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.146952\" qy=\"-0.087312\" qz=\"-0.052762\" qw=\"0.983869\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000169\" y=\"-0.434992\" z=\"0.001686\" qx=\"-0.145755\" qy=\"0.161776\" qz=\"-0.009198\" qw=\"0.975961\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.009350\" qy=\"0.000225\" qz=\"-0.033383\" qw=\"0.999399\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180279\" qy=\"-0.061355\" qz=\"0.007362\" qw=\"0.981673\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000093\" y=\"-0.426145\" z=\"0.000129\" qx=\"-0.147561\" qy=\"-0.039955\" qz=\"0.048349\" qw=\"0.987062\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001561\" qy=\"-0.002493\" qz=\"0.000637\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022214\" qy=\"0.007093\" qz=\"-0.000726\" qw=\"-0.999728\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 259: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.027598\" y=\"0.940066\" z=\"0.992492\" qx=\"-0.020862\" qy=\"-0.014367\" qz=\"-0.001124\" qw=\"0.999679\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.003066\" qy=\"-0.001696\" qz=\"0.015133\" qw=\"-0.999879\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000547\" y=\"0.200506\" z=\"0.000541\" qx=\"0.005089\" qy=\"-0.000555\" qz=\"-0.009924\" qw=\"-0.999938\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.130833\" qy=\"-0.013844\" qz=\"-0.026611\" qw=\"-0.990950\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.110661\" z=\"-0.015523\" qx=\"0.134879\" qy=\"-0.007301\" qz=\"0.025134\" qw=\"-0.990516\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.029768\" qy=\"0.022880\" qz=\"0.123180\" qw=\"0.991674\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.016338\" qy=\"0.010022\" qz=\"-0.233353\" qw=\"0.972203\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.011725\" qy=\"0.021355\" qz=\"-0.062844\" qw=\"-0.997726\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226009\" y=\"-0.000137\" z=\"-0.000039\" qx=\"0.011595\" qy=\"0.007616\" qz=\"0.161879\" qw=\"-0.986713\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.054389\" qy=\"0.009015\" qz=\"-0.098310\" qw=\"0.993628\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.028216\" qy=\"0.011677\" qz=\"0.197829\" qw=\"0.979761\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.010089\" qy=\"-0.033618\" qz=\"0.057233\" qw=\"-0.997744\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224918\" y=\"-0.000029\" z=\"-0.000149\" qx=\"-0.010071\" qy=\"-0.015225\" qz=\"-0.033230\" qw=\"-0.999281\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017951\" qy=\"0.018744\" qz=\"0.054445\" qw=\"0.998179\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.142171\" qy=\"-0.084225\" qz=\"-0.050828\" qw=\"0.984942\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000146\" y=\"-0.434675\" z=\"0.001555\" qx=\"-0.142158\" qy=\"0.155859\" qz=\"-0.010976\" qw=\"0.977435\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.012034\" qy=\"-0.000105\" qz=\"-0.032393\" qw=\"0.999403\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.177494\" qy=\"-0.063340\" qz=\"0.006513\" qw=\"0.982060\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000102\" y=\"-0.426184\" z=\"0.000121\" qx=\"-0.145749\" qy=\"-0.039428\" qz=\"0.048125\" qw=\"0.987364\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001435\" qy=\"-0.002559\" qz=\"0.000654\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022266\" qy=\"0.007159\" qz=\"-0.000733\" qw=\"-0.999726\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 260: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.027878\" y=\"0.940269\" z=\"0.991339\" qx=\"-0.018618\" qy=\"-0.013632\" qz=\"-0.000440\" qw=\"0.999734\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.004409\" qy=\"-0.001036\" qz=\"0.014210\" qw=\"-0.999889\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000549\" y=\"0.201244\" z=\"0.000542\" qx=\"0.008161\" qy=\"-0.000338\" qz=\"-0.011197\" qw=\"-0.999904\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.132500\" qy=\"-0.010635\" qz=\"-0.025806\" qw=\"-0.990790\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000021\" y=\"0.109606\" z=\"-0.015375\" qx=\"0.138741\" qy=\"-0.004810\" qz=\"0.019183\" qw=\"-0.990131\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.028471\" qy=\"0.021036\" qz=\"0.124927\" qw=\"0.991534\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.020339\" qy=\"0.016387\" qz=\"-0.230920\" qw=\"0.972622\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029423\" qy=\"0.021542\" qz=\"-0.077146\" qw=\"-0.996353\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226017\" y=\"-0.000137\" z=\"-0.000039\" qx=\"0.029122\" qy=\"0.012184\" qz=\"0.163056\" qw=\"-0.986112\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.051585\" qy=\"0.007803\" qz=\"-0.100013\" qw=\"0.993617\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.038252\" qy=\"0.008159\" qz=\"0.188157\" qw=\"0.981360\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.002114\" qy=\"-0.032722\" qz=\"0.065100\" qw=\"-0.997340\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224613\" y=\"-0.000029\" z=\"-0.000149\" qx=\"-0.002079\" qy=\"-0.018484\" qz=\"-0.041959\" qw=\"-0.998946\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017160\" qy=\"0.019103\" qz=\"0.054344\" qw=\"0.998192\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.137875\" qy=\"-0.082348\" qz=\"-0.051158\" qw=\"0.985694\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000111\" y=\"-0.434390\" z=\"0.001485\" qx=\"-0.139510\" qy=\"0.152947\" qz=\"-0.011865\" qw=\"0.978266\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014970\" qy=\"0.000159\" qz=\"-0.032635\" qw=\"0.999355\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.177659\" qy=\"-0.063067\" qz=\"0.005981\" qw=\"0.982051\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000123\" y=\"-0.426223\" z=\"0.000140\" qx=\"-0.145445\" qy=\"-0.040973\" qz=\"0.048123\" qw=\"0.987345\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001515\" qy=\"-0.002657\" qz=\"0.000679\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022272\" qy=\"0.007235\" qz=\"-0.000741\" qw=\"-0.999725\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 261: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.028685\" y=\"0.940130\" z=\"0.990087\" qx=\"-0.017101\" qy=\"-0.013181\" qz=\"0.000155\" qw=\"0.999767\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.005667\" qy=\"-0.000090\" qz=\"0.013261\" qw=\"-0.999896\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000551\" y=\"0.201723\" z=\"0.000544\" qx=\"0.009907\" qy=\"-0.000104\" qz=\"-0.011625\" qw=\"-0.999883\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.135620\" qy=\"-0.008893\" qz=\"-0.025531\" qw=\"-0.990392\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.109030\" z=\"-0.015294\" qx=\"0.142654\" qy=\"-0.003819\" qz=\"0.013273\" qw=\"-0.989676\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.027662\" qy=\"0.018783\" qz=\"0.126198\" qw=\"0.991442\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031053\" qy=\"0.022235\" qz=\"-0.226384\" qw=\"0.973289\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.051008\" qy=\"0.017478\" qz=\"-0.076680\" qw=\"-0.995597\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.225941\" y=\"-0.000138\" z=\"-0.000040\" qx=\"0.050778\" qy=\"0.011394\" qz=\"0.123326\" qw=\"-0.991001\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.049163\" qy=\"0.007877\" qz=\"-0.100870\" qw=\"0.993653\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046171\" qy=\"0.008176\" qz=\"0.181602\" qw=\"0.982253\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.012316\" qy=\"-0.026581\" qz=\"0.063375\" qw=\"-0.997560\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.224985\" y=\"-0.000030\" z=\"-0.000149\" qx=\"0.012380\" qy=\"-0.018059\" qz=\"-0.016500\" qw=\"-0.999624\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017174\" qy=\"0.019715\" qz=\"0.053784\" qw=\"0.998210\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.133594\" qy=\"-0.079598\" qz=\"-0.050972\" qw=\"0.986519\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000067\" y=\"-0.433782\" z=\"0.001399\" qx=\"-0.137070\" qy=\"0.149265\" qz=\"-0.012625\" qw=\"0.979169\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.018729\" qy=\"-0.001446\" qz=\"-0.032779\" qw=\"0.999286\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180446\" qy=\"-0.059551\" qz=\"0.004581\" qw=\"0.981770\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000165\" y=\"-0.426335\" z=\"0.000166\" qx=\"-0.146269\" qy=\"-0.043517\" qz=\"0.048194\" qw=\"0.987111\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001712\" qy=\"-0.002671\" qz=\"0.000682\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022233\" qy=\"0.007320\" qz=\"-0.000749\" qw=\"-0.999726\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 262: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.029711\" y=\"0.939924\" z=\"0.989055\" qx=\"-0.016732\" qy=\"-0.012995\" qz=\"0.000399\" qw=\"0.999776\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.006230\" qy=\"0.000933\" qz=\"0.013253\" qw=\"-0.999892\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000553\" y=\"0.202118\" z=\"0.000545\" qx=\"0.008595\" qy=\"0.000331\" qz=\"-0.013963\" qw=\"-0.999866\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.137075\" qy=\"-0.007957\" qz=\"-0.024872\" qw=\"-0.990216\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.108926\" z=\"-0.015280\" qx=\"0.142986\" qy=\"-0.003244\" qz=\"0.010913\" qw=\"-0.989659\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.027361\" qy=\"0.016587\" qz=\"0.126498\" qw=\"0.991451\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.037376\" qy=\"0.021244\" qz=\"-0.221239\" qw=\"0.974272\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.066843\" qy=\"0.003784\" qz=\"-0.053790\" qw=\"-0.996305\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.225493\" y=\"-0.000137\" z=\"-0.000040\" qx=\"0.066933\" qy=\"0.000506\" qz=\"0.022057\" qw=\"-0.997514\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.047402\" qy=\"0.010275\" qz=\"-0.102243\" qw=\"0.993576\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.051310\" qy=\"0.010165\" qz=\"0.177183\" qw=\"0.982787\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.007994\" qy=\"-0.017246\" qz=\"0.048216\" qw=\"-0.998656\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.225717\" y=\"-0.000030\" z=\"-0.000149\" qx=\"0.008024\" qy=\"-0.005226\" qz=\"0.050236\" qw=\"-0.998691\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.018657\" qy=\"0.019837\" qz=\"0.052970\" qw=\"0.998225\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.129099\" qy=\"-0.076796\" qz=\"-0.050306\" qw=\"0.987373\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"0.000015\" y=\"-0.432991\" z=\"0.001325\" qx=\"-0.134537\" qy=\"0.146573\" qz=\"-0.012830\" qw=\"0.979924\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022072\" qy=\"-0.002497\" qz=\"-0.032817\" qw=\"0.999215\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.184815\" qy=\"-0.053844\" qz=\"0.003719\" qw=\"0.981290\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000205\" y=\"-0.426685\" z=\"0.000241\" qx=\"-0.147883\" qy=\"-0.048283\" qz=\"0.048240\" qw=\"0.986647\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001820\" qy=\"-0.002666\" qz=\"0.000681\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022228\" qy=\"0.007434\" qz=\"-0.000761\" qw=\"-0.999725\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 263: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.030760\" y=\"0.939845\" z=\"0.988242\" qx=\"-0.016721\" qy=\"-0.012982\" qz=\"0.000575\" qw=\"0.999776\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007154\" qy=\"0.001646\" qz=\"0.013781\" qw=\"-0.999878\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000552\" y=\"0.202381\" z=\"0.000546\" qx=\"0.008284\" qy=\"0.000575\" qz=\"-0.016435\" qw=\"-0.999830\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.139009\" qy=\"-0.006904\" qz=\"-0.023631\" qw=\"-0.989985\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.109221\" z=\"-0.015321\" qx=\"0.139976\" qy=\"-0.002536\" qz=\"0.009238\" qw=\"-0.990109\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.026329\" qy=\"0.013504\" qz=\"0.126181\" qw=\"0.991566\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.040320\" qy=\"0.017787\" qz=\"-0.215893\" qw=\"0.975422\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.043942\" qy=\"-0.010054\" qz=\"-0.025527\" qw=\"-0.998657\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226196\" y=\"-0.000138\" z=\"-0.000040\" qx=\"0.043796\" qy=\"-0.026711\" qz=\"-0.084556\" qw=\"-0.995097\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046104\" qy=\"0.013175\" qz=\"-0.102839\" qw=\"0.993542\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.055769\" qy=\"0.012206\" qz=\"0.174078\" qw=\"0.983076\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.007460\" qy=\"-0.007828\" qz=\"0.034140\" qw=\"-0.999359\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226613\" y=\"-0.000030\" z=\"-0.000150\" qx=\"-0.007418\" qy=\"0.005191\" qz=\"0.082407\" qw=\"-0.996558\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.020664\" qy=\"0.019145\" qz=\"0.052012\" qw=\"0.998249\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.124685\" qy=\"-0.071131\" qz=\"-0.049174\" qw=\"0.988421\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000037\" y=\"-0.432317\" z=\"0.001237\" qx=\"-0.132042\" qy=\"0.141968\" qz=\"-0.013511\" qw=\"0.980932\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024515\" qy=\"-0.001381\" qz=\"-0.033190\" qw=\"0.999147\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.188469\" qy=\"-0.051376\" qz=\"0.003593\" qw=\"0.980728\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000230\" y=\"-0.427088\" z=\"0.000304\" qx=\"-0.149106\" qy=\"-0.051637\" qz=\"0.048512\" qw=\"0.986280\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001837\" qy=\"-0.002658\" qz=\"0.000679\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022208\" qy=\"0.007515\" qz=\"-0.000769\" qw=\"-0.999725\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 264: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.031789\" y=\"0.939831\" z=\"0.987609\" qx=\"-0.015901\" qy=\"-0.012835\" qz=\"0.000364\" qw=\"0.999791\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007332\" qy=\"0.002156\" qz=\"0.013920\" qw=\"-0.999874\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000553\" y=\"0.202563\" z=\"0.000546\" qx=\"0.008904\" qy=\"0.000749\" qz=\"-0.017754\" qw=\"-0.999802\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.141406\" qy=\"-0.005047\" qz=\"-0.021972\" qw=\"-0.989695\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.109669\" z=\"-0.015384\" qx=\"0.135065\" qy=\"-0.001137\" qz=\"0.006740\" qw=\"-0.990813\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.025952\" qy=\"0.011095\" qz=\"0.126805\" qw=\"0.991526\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.035609\" qy=\"0.014291\" qz=\"-0.212719\" qw=\"0.976360\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024788\" qy=\"-0.016638\" qz=\"-0.012345\" qw=\"-0.999478\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226512\" y=\"-0.000138\" z=\"-0.000041\" qx=\"0.024669\" qy=\"-0.043923\" qz=\"-0.095343\" qw=\"-0.994169\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044099\" qy=\"0.014212\" qz=\"-0.103388\" qw=\"0.993561\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.060249\" qy=\"0.013599\" qz=\"0.175228\" qw=\"0.982588\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.010311\" qy=\"-0.005174\" qz=\"0.028495\" qw=\"-0.999528\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226860\" y=\"-0.000030\" z=\"-0.000150\" qx=\"-0.010279\" qy=\"0.006041\" qz=\"0.058967\" qw=\"-0.998189\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.021505\" qy=\"0.019224\" qz=\"0.051775\" qw=\"0.998242\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.120968\" qy=\"-0.067432\" qz=\"-0.048725\" qw=\"0.989164\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000079\" y=\"-0.431767\" z=\"0.001181\" qx=\"-0.129961\" qy=\"0.138381\" qz=\"-0.013884\" qw=\"0.981717\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.026014\" qy=\"-0.001588\" qz=\"-0.033286\" qw=\"0.999106\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.188993\" qy=\"-0.049903\" qz=\"0.003309\" qw=\"0.980704\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000250\" y=\"-0.427149\" z=\"0.000320\" qx=\"-0.148890\" qy=\"-0.052985\" qz=\"0.048911\" qw=\"0.986221\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001878\" qy=\"-0.002574\" qz=\"0.000658\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022289\" qy=\"0.007581\" qz=\"-0.000776\" qw=\"-0.999722\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 265: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.032914\" y=\"0.939877\" z=\"0.987395\" qx=\"-0.015035\" qy=\"-0.012732\" qz=\"-0.000037\" qw=\"0.999806\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007045\" qy=\"0.001999\" qz=\"0.013613\" qw=\"-0.999881\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000556\" y=\"0.202868\" z=\"0.000547\" qx=\"0.009641\" qy=\"0.000697\" qz=\"-0.018389\" qw=\"-0.999784\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.145797\" qy=\"-0.002257\" qz=\"-0.019788\" qw=\"-0.989114\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.109953\" z=\"-0.015423\" qx=\"0.132809\" qy=\"0.001290\" qz=\"0.004809\" qw=\"-0.991129\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.025934\" qy=\"0.010449\" qz=\"0.127355\" qw=\"0.991463\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033713\" qy=\"0.011125\" qz=\"-0.211811\" qw=\"0.976666\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.025795\" qy=\"-0.019087\" qz=\"-0.012562\" qw=\"-0.999406\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226468\" y=\"-0.000138\" z=\"-0.000041\" qx=\"0.025784\" qy=\"-0.034319\" qz=\"-0.036702\" qw=\"-0.998404\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.043966\" qy=\"0.014382\" qz=\"-0.104102\" qw=\"0.993490\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.056153\" qy=\"0.015885\" qz=\"0.179965\" qw=\"0.981941\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.011384\" qy=\"-0.005831\" qz=\"0.030062\" qw=\"-0.999466\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226854\" y=\"-0.000030\" z=\"-0.000150\" qx=\"-0.011366\" qy=\"0.009763\" qz=\"0.023273\" qw=\"-0.999617\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.022518\" qy=\"0.019131\" qz=\"0.051495\" qw=\"0.998236\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.117230\" qy=\"-0.064776\" qz=\"-0.048200\" qw=\"0.989817\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000108\" y=\"-0.431282\" z=\"0.001137\" qx=\"-0.128050\" qy=\"0.136063\" qz=\"-0.013962\" qw=\"0.982291\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.025946\" qy=\"-0.002122\" qz=\"-0.033690\" qw=\"0.999093\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.186983\" qy=\"-0.051173\" qz=\"0.003301\" qw=\"0.981024\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000257\" y=\"-0.426992\" z=\"0.000283\" qx=\"-0.147747\" qy=\"-0.051247\" qz=\"0.049673\" qw=\"0.986447\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001934\" qy=\"-0.002525\" qz=\"0.000645\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022429\" qy=\"0.007619\" qz=\"-0.000780\" qw=\"-0.999719\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 266: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.033950\" y=\"0.939927\" z=\"0.987484\" qx=\"-0.014320\" qy=\"-0.012926\" qz=\"-0.000567\" qw=\"0.999814\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.006775\" qy=\"0.000957\" qz=\"0.013245\" qw=\"-0.999889\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.203174\" z=\"0.000547\" qx=\"0.010565\" qy=\"0.000343\" qz=\"-0.018854\" qw=\"-0.999766\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.149664\" qy=\"0.000942\" qz=\"-0.015633\" qw=\"-0.988613\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.110265\" z=\"-0.015467\" qx=\"0.129568\" qy=\"0.003553\" qz=\"0.000820\" qw=\"-0.991564\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.025069\" qy=\"0.009095\" qz=\"0.127608\" qw=\"0.991466\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.035147\" qy=\"0.009386\" qz=\"-0.210648\" qw=\"0.976885\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.022104\" qy=\"-0.018997\" qz=\"-0.016624\" qw=\"-0.999437\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226590\" y=\"-0.000138\" z=\"-0.000040\" qx=\"0.022107\" qy=\"-0.026411\" qz=\"0.032076\" qw=\"-0.998892\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044270\" qy=\"0.014517\" qz=\"-0.103791\" qw=\"0.993508\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.052283\" qy=\"0.017009\" qz=\"0.182500\" qw=\"0.981668\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.018944\" qy=\"-0.004287\" qz=\"0.029352\" qw=\"-0.999380\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.226936\" y=\"-0.000030\" z=\"-0.000150\" qx=\"-0.018933\" qy=\"0.009100\" qz=\"0.007310\" qw=\"-0.999753\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.023470\" qy=\"0.019326\" qz=\"0.051404\" qw=\"0.998215\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.114294\" qy=\"-0.062368\" qz=\"-0.047787\" qw=\"0.990335\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000126\" y=\"-0.430917\" z=\"0.001095\" qx=\"-0.126694\" qy=\"0.133877\" qz=\"-0.013829\" qw=\"0.982769\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.025240\" qy=\"-0.002285\" qz=\"-0.033904\" qw=\"0.999104\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.184346\" qy=\"-0.052424\" qz=\"0.003368\" qw=\"0.981457\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000252\" y=\"-0.426818\" z=\"0.000252\" qx=\"-0.146597\" qy=\"-0.049675\" qz=\"0.050376\" qw=\"0.986663\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001743\" qy=\"-0.002611\" qz=\"0.000667\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022653\" qy=\"0.007714\" qz=\"-0.000790\" qw=\"-0.999713\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 267: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.035018\" y=\"0.939976\" z=\"0.987658\" qx=\"-0.013638\" qy=\"-0.013152\" qz=\"-0.001197\" qw=\"0.999820\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.006615\" qy=\"0.000249\" qz=\"0.012805\" qw=\"-0.999896\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.203266\" z=\"0.000548\" qx=\"0.011559\" qy=\"0.000108\" qz=\"-0.019407\" qw=\"-0.999745\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.152391\" qy=\"0.003075\" qz=\"-0.012241\" qw=\"-0.988240\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.110728\" z=\"-0.015532\" qx=\"0.125225\" qy=\"0.005197\" qz=\"-0.000302\" qw=\"-0.992115\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.023845\" qy=\"0.007617\" qz=\"0.127498\" qw=\"0.991523\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031004\" qy=\"0.006977\" qz=\"-0.210627\" qw=\"0.977050\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.019062\" qy=\"-0.018877\" qz=\"-0.019635\" qw=\"-0.999447\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226817\" y=\"-0.000138\" z=\"-0.000040\" qx=\"0.019038\" qy=\"-0.023500\" qz=\"0.065189\" qw=\"-0.997415\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044016\" qy=\"0.015147\" qz=\"-0.104130\" qw=\"0.993474\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.053521\" qy=\"0.016854\" qz=\"0.183767\" qw=\"0.981367\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.018799\" qy=\"-0.000791\" qz=\"0.024897\" qw=\"-0.999513\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227298\" y=\"-0.000030\" z=\"-0.000151\" qx=\"-0.018788\" qy=\"0.003725\" qz=\"0.007229\" qw=\"-0.999790\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024003\" qy=\"0.019562\" qz=\"0.051379\" qw=\"0.998199\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.112349\" qy=\"-0.058842\" qz=\"-0.047240\" qw=\"0.990800\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000150\" y=\"-0.430635\" z=\"0.001050\" qx=\"-0.125713\" qy=\"0.130545\" qz=\"-0.013920\" qw=\"0.983342\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024990\" qy=\"-0.002556\" qz=\"-0.033958\" qw=\"0.999108\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.182660\" qy=\"-0.053038\" qz=\"0.003308\" qw=\"0.981739\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000260\" y=\"-0.426786\" z=\"0.000229\" qx=\"-0.145768\" qy=\"-0.048613\" qz=\"0.051118\" qw=\"0.986801\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001696\" qy=\"-0.002584\" qz=\"0.000660\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022760\" qy=\"0.007556\" qz=\"-0.000773\" qw=\"-0.999712\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 268: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.036203\" y=\"0.940019\" z=\"0.987976\" qx=\"-0.013309\" qy=\"-0.013074\" qz=\"-0.001484\" qw=\"0.999825\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007100\" qy=\"0.000173\" qz=\"0.012123\" qw=\"-0.999901\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000556\" y=\"0.203420\" z=\"0.000548\" qx=\"0.012740\" qy=\"0.000093\" qz=\"-0.018733\" qw=\"-0.999743\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.153077\" qy=\"0.003444\" qz=\"-0.011518\" qw=\"-0.988141\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.111137\" z=\"-0.015589\" qx=\"0.119054\" qy=\"0.005883\" qz=\"0.002457\" qw=\"-0.992867\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.023765\" qy=\"0.007288\" qz=\"0.127514\" qw=\"0.991525\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.032773\" qy=\"0.005579\" qz=\"-0.210223\" qw=\"0.977088\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017134\" qy=\"-0.018025\" qz=\"-0.018467\" qw=\"-0.999520\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226780\" y=\"-0.000138\" z=\"-0.000040\" qx=\"0.017125\" qy=\"-0.024217\" qz=\"0.052563\" qw=\"-0.998177\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.043433\" qy=\"0.015601\" qz=\"-0.104055\" qw=\"0.993500\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.055363\" qy=\"0.016523\" qz=\"0.184150\" qw=\"0.981199\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019025\" qy=\"0.000489\" qz=\"0.021978\" qw=\"-0.999577\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227657\" y=\"-0.000030\" z=\"-0.000151\" qx=\"-0.019015\" qy=\"0.004058\" qz=\"0.002685\" qw=\"-0.999807\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024483\" qy=\"0.019295\" qz=\"0.051042\" qw=\"0.998210\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.111181\" qy=\"-0.056429\" qz=\"-0.047093\" qw=\"0.991079\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000165\" y=\"-0.430459\" z=\"0.001018\" qx=\"-0.125117\" qy=\"0.128476\" qz=\"-0.013746\" qw=\"0.983692\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024946\" qy=\"-0.003600\" qz=\"-0.034364\" qw=\"0.999092\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.182182\" qy=\"-0.052951\" qz=\"0.003001\" qw=\"0.981833\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000274\" y=\"-0.426887\" z=\"0.000210\" qx=\"-0.145472\" qy=\"-0.047629\" qz=\"0.051894\" qw=\"0.986852\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001497\" qy=\"-0.002581\" qz=\"0.000660\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022913\" qy=\"0.007681\" qz=\"-0.000786\" qw=\"-0.999708\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 269: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.037283\" y=\"0.940052\" z=\"0.988308\" qx=\"-0.013046\" qy=\"-0.012643\" qz=\"-0.001267\" qw=\"0.999834\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007803\" qy=\"0.000595\" qz=\"0.011902\" qw=\"-0.999899\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000557\" y=\"0.203592\" z=\"0.000548\" qx=\"0.013990\" qy=\"0.000230\" qz=\"-0.017526\" qw=\"-0.999749\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.154932\" qy=\"0.002689\" qz=\"-0.011359\" qw=\"-0.987856\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000022\" y=\"0.111321\" z=\"-0.015615\" qx=\"0.116462\" qy=\"0.005351\" qz=\"0.004627\" qw=\"-0.993170\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.023910\" qy=\"0.007245\" qz=\"0.127365\" qw=\"0.991541\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.035704\" qy=\"0.005093\" qz=\"-0.208821\" qw=\"0.977289\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.018227\" qy=\"-0.017113\" qz=\"-0.017450\" qw=\"-0.999535\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226743\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.018232\" qy=\"-0.024804\" qz=\"0.031163\" qw=\"-0.999040\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.043707\" qy=\"0.016125\" qz=\"-0.104090\" qw=\"0.993476\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.053498\" qy=\"0.016849\" qz=\"0.185287\" qw=\"0.981082\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023041\" qy=\"0.000276\" qz=\"0.021935\" qw=\"-0.999494\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227715\" y=\"-0.000031\" z=\"-0.000151\" qx=\"-0.023032\" qy=\"0.005915\" qz=\"-0.000479\" qw=\"-0.999717\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.024446\" qy=\"0.018912\" qz=\"0.050509\" qw=\"0.998245\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110904\" qy=\"-0.056769\" qz=\"-0.047746\" qw=\"0.991059\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000163\" y=\"-0.430477\" z=\"0.001031\" qx=\"-0.124988\" qy=\"0.128875\" qz=\"-0.012886\" qw=\"0.983668\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.025210\" qy=\"-0.003645\" qz=\"-0.035129\" qw=\"0.999058\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.182600\" qy=\"-0.052719\" qz=\"0.002906\" qw=\"0.981769\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000292\" y=\"-0.427032\" z=\"0.000217\" qx=\"-0.145720\" qy=\"-0.048115\" qz=\"0.052640\" qw=\"0.986752\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001346\" qy=\"-0.002515\" qz=\"0.000643\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022922\" qy=\"0.007700\" qz=\"-0.000788\" qw=\"-0.999707\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 270: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.038398\" y=\"0.939976\" z=\"0.989107\" qx=\"-0.013666\" qy=\"-0.012137\" qz=\"-0.001097\" qw=\"0.999832\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.008840\" qy=\"0.000955\" qz=\"0.011440\" qw=\"-0.999895\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.203810\" z=\"0.000549\" qx=\"0.014869\" qy=\"0.000349\" qz=\"-0.016010\" qw=\"-0.999761\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.156996\" qy=\"0.000285\" qz=\"-0.013072\" qw=\"-0.987513\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.111575\" z=\"-0.015650\" qx=\"0.114229\" qy=\"0.003676\" qz=\"0.009358\" qw=\"-0.993403\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.023158\" qy=\"0.006665\" qz=\"0.128184\" qw=\"0.991458\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.035730\" qy=\"0.004837\" qz=\"-0.207178\" qw=\"0.977639\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.018835\" qy=\"-0.016901\" qz=\"-0.016925\" qw=\"-0.999537\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226790\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.018843\" qy=\"-0.026559\" qz=\"0.021539\" qw=\"-0.999238\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044539\" qy=\"0.016010\" qz=\"-0.104272\" qw=\"0.993422\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050916\" qy=\"0.017684\" qz=\"0.185885\" qw=\"0.981092\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022158\" qy=\"0.000450\" qz=\"0.022374\" qw=\"-0.999504\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227870\" y=\"-0.000031\" z=\"-0.000151\" qx=\"-0.022148\" qy=\"0.004571\" qz=\"-0.002493\" qw=\"-0.999741\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.025444\" qy=\"0.019678\" qz=\"0.049834\" qw=\"0.998240\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110832\" qy=\"-0.057708\" qz=\"-0.047801\" qw=\"0.991010\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000161\" y=\"-0.430433\" z=\"0.001024\" qx=\"-0.125134\" qy=\"0.128629\" qz=\"-0.012272\" qw=\"0.983690\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024329\" qy=\"-0.003358\" qz=\"-0.035830\" qw=\"0.999056\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.183087\" qy=\"-0.052380\" qz=\"0.002834\" qw=\"0.981696\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000307\" y=\"-0.427113\" z=\"0.000230\" qx=\"-0.146130\" qy=\"-0.049062\" qz=\"0.053189\" qw=\"0.986615\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.001064\" qy=\"-0.002548\" qz=\"0.000651\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022832\" qy=\"0.007724\" qz=\"-0.000791\" qw=\"-0.999709\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 271: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.039387\" y=\"0.940014\" z=\"0.990074\" qx=\"-0.013580\" qy=\"-0.011527\" qz=\"-0.001137\" qw=\"0.999841\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.008942\" qy=\"0.001321\" qz=\"0.011228\" qw=\"-0.999896\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000559\" y=\"0.204019\" z=\"0.000549\" qx=\"0.016297\" qy=\"0.000468\" qz=\"-0.015482\" qw=\"-0.999747\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.159559\" qy=\"-0.003509\" qz=\"-0.015573\" qw=\"-0.987059\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.111935\" z=\"-0.015700\" qx=\"0.110763\" qy=\"0.001014\" qz=\"0.016965\" qw=\"-0.993702\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.023130\" qy=\"0.006052\" qz=\"0.129401\" qw=\"0.991304\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033774\" qy=\"0.003857\" qz=\"-0.206204\" qw=\"0.977918\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017931\" qy=\"-0.017055\" qz=\"-0.017558\" qw=\"-0.999540\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226825\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.017938\" qy=\"-0.028408\" qz=\"0.023238\" qw=\"-0.999165\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044179\" qy=\"0.016140\" qz=\"-0.104669\" qw=\"0.993394\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.051056\" qy=\"0.016801\" qz=\"0.184992\" qw=\"0.981269\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023054\" qy=\"-0.000341\" qz=\"0.021951\" qw=\"-0.999493\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.227950\" y=\"-0.000031\" z=\"-0.000151\" qx=\"-0.023045\" qy=\"0.004516\" qz=\"-0.004801\" qw=\"-0.999713\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.025983\" qy=\"0.019728\" qz=\"0.049405\" qw=\"0.998246\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110393\" qy=\"-0.056730\" qz=\"-0.047746\" qw=\"0.991118\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000160\" y=\"-0.430395\" z=\"0.000984\" qx=\"-0.124797\" qy=\"0.127141\" qz=\"-0.011871\" qw=\"0.983931\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023778\" qy=\"-0.003502\" qz=\"-0.036265\" qw=\"0.999053\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.182995\" qy=\"-0.052689\" qz=\"0.002633\" qw=\"0.981698\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000321\" y=\"-0.427263\" z=\"0.000232\" qx=\"-0.146250\" qy=\"-0.049134\" qz=\"0.053868\" qw=\"0.986557\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.000571\" qy=\"-0.002544\" qz=\"0.000650\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022655\" qy=\"0.007766\" qz=\"-0.000795\" qw=\"-0.999713\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 272: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.040322\" y=\"0.940230\" z=\"0.991220\" qx=\"-0.013155\" qy=\"-0.011114\" qz=\"-0.001055\" qw=\"0.999851\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.008328\" qy=\"0.001588\" qz=\"0.011335\" qw=\"-0.999900\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000558\" y=\"0.204164\" z=\"0.000550\" qx=\"0.017888\" qy=\"0.000555\" qz=\"-0.015396\" qw=\"-0.999721\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.162508\" qy=\"-0.009304\" qz=\"-0.019224\" qw=\"-0.986476\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.112319\" z=\"-0.015754\" qx=\"0.106053\" qy=\"-0.003374\" qz=\"0.026514\" qw=\"-0.994001\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022768\" qy=\"0.005492\" qz=\"0.130680\" qw=\"0.991148\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034521\" qy=\"0.003951\" qz=\"-0.204955\" qw=\"0.978154\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015901\" qy=\"-0.016774\" qz=\"-0.017094\" qw=\"-0.999587\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226720\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.015908\" qy=\"-0.029005\" qz=\"0.024113\" qw=\"-0.999162\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044532\" qy=\"0.016172\" qz=\"-0.105343\" qw=\"0.993307\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048932\" qy=\"0.017267\" qz=\"0.184531\" qw=\"0.981456\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023496\" qy=\"0.000337\" qz=\"0.021747\" qw=\"-0.999487\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228045\" y=\"-0.000030\" z=\"-0.000150\" qx=\"-0.023487\" qy=\"0.005094\" qz=\"-0.001472\" qw=\"-0.999710\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.026030\" qy=\"0.019045\" qz=\"0.048944\" qw=\"0.998281\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110355\" qy=\"-0.056575\" qz=\"-0.048215\" qw=\"0.991109\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000138\" y=\"-0.430604\" z=\"0.000985\" qx=\"-0.124580\" qy=\"0.127369\" qz=\"-0.010936\" qw=\"0.983940\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022922\" qy=\"-0.003473\" qz=\"-0.036813\" qw=\"0.999053\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181792\" qy=\"-0.053680\" qz=\"0.002415\" qw=\"0.981868\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000332\" y=\"-0.427380\" z=\"0.000219\" qx=\"-0.145748\" qy=\"-0.048542\" qz=\"0.054654\" qw=\"0.986618\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000444\" qy=\"-0.002646\" qz=\"0.000676\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022624\" qy=\"0.007791\" qz=\"-0.000797\" qw=\"-0.999713\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 273: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.041196\" y=\"0.940402\" z=\"0.992374\" qx=\"-0.012928\" qy=\"-0.010670\" qz=\"-0.000839\" qw=\"0.999859\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007761\" qy=\"0.001521\" qz=\"0.011262\" qw=\"-0.999905\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000559\" y=\"0.204382\" z=\"0.000550\" qx=\"0.018997\" qy=\"0.000535\" qz=\"-0.014513\" qw=\"-0.999714\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.164804\" qy=\"-0.016214\" qz=\"-0.024415\" qw=\"-0.985891\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.112650\" z=\"-0.015800\" qx=\"0.101536\" qy=\"-0.008650\" qz=\"0.036761\" qw=\"-0.994115\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022371\" qy=\"0.004774\" qz=\"0.132420\" qw=\"0.990930\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033042\" qy=\"0.003532\" qz=\"-0.204676\" qw=\"0.978266\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016572\" qy=\"-0.016378\" qz=\"-0.017855\" qw=\"-0.999569\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226614\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.016579\" qy=\"-0.029002\" qz=\"0.022714\" qw=\"-0.999184\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044882\" qy=\"0.015928\" qz=\"-0.105176\" qw=\"0.993313\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048487\" qy=\"0.017000\" qz=\"0.183878\" qw=\"0.981605\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022525\" qy=\"0.001472\" qz=\"0.021605\" qw=\"-0.999512\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228199\" y=\"-0.000030\" z=\"-0.000151\" qx=\"-0.022516\" qy=\"0.004168\" qz=\"0.002081\" qw=\"-0.999736\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.026097\" qy=\"0.017916\" qz=\"0.048022\" qw=\"0.998345\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110632\" qy=\"-0.056461\" qz=\"-0.048153\" qw=\"0.991087\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000119\" y=\"-0.430767\" z=\"0.000991\" qx=\"-0.124323\" qy=\"0.128148\" qz=\"-0.010169\" qw=\"0.983879\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022051\" qy=\"-0.003339\" qz=\"-0.037376\" qw=\"0.999052\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180959\" qy=\"-0.053481\" qz=\"0.002263\" qw=\"0.982033\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000348\" y=\"-0.427452\" z=\"0.000219\" qx=\"-0.145397\" qy=\"-0.049210\" qz=\"0.055185\" qw=\"0.986607\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001602\" qy=\"-0.002648\" qz=\"0.000677\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022530\" qy=\"0.007890\" qz=\"-0.000808\" qw=\"-0.999715\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 274: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.041966\" y=\"0.940519\" z=\"0.993489\" qx=\"-0.013056\" qy=\"-0.010537\" qz=\"-0.000685\" qw=\"0.999859\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.007615\" qy=\"0.001300\" qz=\"0.011191\" qw=\"-0.999908\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000561\" y=\"0.204603\" z=\"0.000550\" qx=\"0.019881\" qy=\"0.000461\" qz=\"-0.013554\" qw=\"-0.999710\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.167322\" qy=\"-0.023801\" qz=\"-0.030072\" qw=\"-0.985156\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.112789\" z=\"-0.015819\" qx=\"0.099362\" qy=\"-0.014650\" qz=\"0.046690\" qw=\"-0.993847\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021996\" qy=\"0.004297\" qz=\"0.134260\" qw=\"0.990693\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.032506\" qy=\"0.003742\" qz=\"-0.204706\" qw=\"0.978276\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016951\" qy=\"-0.015338\" qz=\"-0.018918\" qw=\"-0.999560\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226475\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.016958\" qy=\"-0.028572\" qz=\"0.021826\" qw=\"-0.999210\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044941\" qy=\"0.016047\" qz=\"-0.104771\" qw=\"0.993351\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.051413\" qy=\"0.015173\" qz=\"0.182518\" qw=\"0.981740\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022815\" qy=\"0.001317\" qz=\"0.019932\" qw=\"-0.999540\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228310\" y=\"-0.000030\" z=\"-0.000151\" qx=\"-0.022806\" qy=\"0.004315\" qz=\"0.001425\" qw=\"-0.999730\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.026768\" qy=\"0.017763\" qz=\"0.047397\" qw=\"0.998359\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110549\" qy=\"-0.055311\" qz=\"-0.048101\" qw=\"0.991164\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000107\" y=\"-0.430865\" z=\"0.000973\" qx=\"-0.123965\" qy=\"0.127277\" qz=\"-0.009563\" qw=\"0.984044\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.021094\" qy=\"-0.002620\" qz=\"-0.037856\" qw=\"0.999057\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180557\" qy=\"-0.054048\" qz=\"0.002190\" qw=\"0.982076\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000358\" y=\"-0.427545\" z=\"0.000217\" qx=\"-0.145293\" qy=\"-0.049529\" qz=\"0.055607\" qw=\"0.986582\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.002452\" qy=\"-0.002663\" qz=\"0.000680\" qw=\"-0.999993\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022419\" qy=\"0.007899\" qz=\"-0.000809\" qw=\"-0.999717\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 275: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.042643\" y=\"0.940597\" z=\"0.994336\" qx=\"-0.013347\" qy=\"-0.010194\" qz=\"-0.000431\" qw=\"0.999859\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.008319\" qy=\"0.001111\" qz=\"0.011709\" qw=\"-0.999896\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000561\" y=\"0.204782\" z=\"0.000551\" qx=\"0.021361\" qy=\"0.000393\" qz=\"-0.013430\" qw=\"-0.999682\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.168136\" qy=\"-0.031526\" qz=\"-0.037198\" qw=\"-0.984557\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.113011\" z=\"-0.015851\" qx=\"0.095407\" qy=\"-0.020269\" qz=\"0.058710\" qw=\"-0.993499\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021996\" qy=\"0.004617\" qz=\"0.135579\" qw=\"0.990512\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033404\" qy=\"0.003184\" qz=\"-0.204870\" qw=\"0.978214\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016906\" qy=\"-0.014519\" qz=\"-0.018920\" qw=\"-0.999573\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226316\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.016915\" qy=\"-0.028351\" qz=\"0.016516\" qw=\"-0.999318\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045172\" qy=\"0.016023\" qz=\"-0.104713\" qw=\"0.993347\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050047\" qy=\"0.014449\" qz=\"0.182053\" qw=\"0.981908\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023038\" qy=\"0.001884\" qz=\"0.019609\" qw=\"-0.999541\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228597\" y=\"-0.000030\" z=\"-0.000152\" qx=\"-0.023029\" qy=\"0.004386\" qz=\"0.001238\" qw=\"-0.999724\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027183\" qy=\"0.017512\" qz=\"0.046803\" qw=\"0.998381\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110948\" qy=\"-0.055039\" qz=\"-0.048304\" qw=\"0.991125\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000103\" y=\"-0.430989\" z=\"0.000976\" qx=\"-0.123928\" qy=\"0.127241\" qz=\"-0.008875\" qw=\"0.984059\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.020462\" qy=\"-0.002576\" qz=\"-0.038385\" qw=\"0.999050\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180831\" qy=\"-0.054472\" qz=\"0.001965\" qw=\"0.982003\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000371\" y=\"-0.427678\" z=\"0.000215\" qx=\"-0.145449\" qy=\"-0.049539\" qz=\"0.056019\" qw=\"0.986535\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.002992\" qy=\"-0.002734\" qz=\"0.000699\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022479\" qy=\"0.007950\" qz=\"-0.000814\" qw=\"-0.999716\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 276: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.043260\" y=\"0.940615\" z=\"0.995039\" qx=\"-0.013770\" qy=\"-0.009506\" qz=\"-0.000090\" qw=\"0.999860\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.009257\" qy=\"0.001176\" qz=\"0.011828\" qw=\"-0.999887\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000562\" y=\"0.204980\" z=\"0.000552\" qx=\"0.023093\" qy=\"0.000417\" qz=\"-0.012530\" qw=\"-0.999655\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.170913\" qy=\"-0.038099\" qz=\"-0.042640\" qw=\"-0.983625\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.113266\" z=\"-0.015886\" qx=\"0.093991\" qy=\"-0.025423\" qz=\"0.067193\" qw=\"-0.992977\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022141\" qy=\"0.004789\" qz=\"0.136934\" qw=\"0.990321\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033703\" qy=\"0.002219\" qz=\"-0.205240\" qw=\"0.978129\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016047\" qy=\"-0.014716\" qz=\"-0.018893\" qw=\"-0.999584\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226306\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.016056\" qy=\"-0.028465\" qz=\"0.011336\" qw=\"-0.999402\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045686\" qy=\"0.016324\" qz=\"-0.104322\" qw=\"0.993360\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050656\" qy=\"0.013447\" qz=\"0.181020\" qw=\"0.982082\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.025208\" qy=\"0.002843\" qz=\"0.017312\" qw=\"-0.999528\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.228893\" y=\"-0.000030\" z=\"-0.000151\" qx=\"-0.025200\" qy=\"0.005314\" qz=\"0.003709\" qw=\"-0.999661\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027577\" qy=\"0.017076\" qz=\"0.046294\" qw=\"0.998401\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.111425\" qy=\"-0.055406\" qz=\"-0.048718\" qw=\"0.991030\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000107\" y=\"-0.431054\" z=\"0.000992\" qx=\"-0.124006\" qy=\"0.127560\" qz=\"-0.008323\" qw=\"0.984013\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.019965\" qy=\"-0.003333\" qz=\"-0.038988\" qw=\"0.999035\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181551\" qy=\"-0.053470\" qz=\"0.001836\" qw=\"0.981925\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000378\" y=\"-0.427799\" z=\"0.000231\" qx=\"-0.145905\" qy=\"-0.050499\" qz=\"0.056301\" qw=\"0.986403\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003248\" qy=\"-0.002808\" qz=\"0.000718\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022411\" qy=\"0.007978\" qz=\"-0.000817\" qw=\"-0.999717\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 277: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.043840\" y=\"0.940688\" z=\"0.995738\" qx=\"-0.014215\" qy=\"-0.008609\" qz=\"0.000223\" qw=\"0.999862\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.009836\" qy=\"0.001321\" qz=\"0.011799\" qw=\"-0.999881\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000563\" y=\"0.205135\" z=\"0.000552\" qx=\"0.024402\" qy=\"0.000459\" qz=\"-0.011737\" qw=\"-0.999633\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.172982\" qy=\"-0.042728\" qz=\"-0.045976\" qw=\"-0.982923\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.113421\" z=\"-0.015908\" qx=\"0.091960\" qy=\"-0.029244\" qz=\"0.072409\" qw=\"-0.992696\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022213\" qy=\"0.004615\" qz=\"0.137654\" qw=\"0.990221\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034724\" qy=\"0.001785\" qz=\"-0.205160\" qw=\"0.978111\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016039\" qy=\"-0.014810\" qz=\"-0.018362\" qw=\"-0.999593\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226268\" y=\"-0.000139\" z=\"-0.000041\" qx=\"0.016049\" qy=\"-0.028250\" qz=\"0.011193\" qw=\"-0.999409\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046174\" qy=\"0.016620\" qz=\"-0.104357\" qw=\"0.993328\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.051201\" qy=\"0.012427\" qz=\"0.180709\" qw=\"0.982125\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.025294\" qy=\"0.003539\" qz=\"0.016285\" qw=\"-0.999541\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229068\" y=\"-0.000031\" z=\"-0.000151\" qx=\"-0.025286\" qy=\"0.004970\" qz=\"0.002584\" qw=\"-0.999665\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028136\" qy=\"0.017154\" qz=\"0.045742\" qw=\"0.998410\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.111592\" qy=\"-0.055804\" qz=\"-0.048716\" qw=\"0.990989\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000108\" y=\"-0.431143\" z=\"0.000986\" qx=\"-0.123953\" qy=\"0.127164\" qz=\"-0.008024\" qw=\"0.984074\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.018983\" qy=\"-0.003638\" qz=\"-0.039550\" qw=\"0.999031\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181497\" qy=\"-0.054095\" qz=\"0.001639\" qw=\"0.981901\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000386\" y=\"-0.427866\" z=\"0.000226\" qx=\"-0.145982\" qy=\"-0.050472\" qz=\"0.056875\" qw=\"0.986361\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003290\" qy=\"-0.002785\" qz=\"0.000712\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022395\" qy=\"0.007991\" qz=\"-0.000818\" qw=\"-0.999717\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 278: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.044287\" y=\"0.940729\" z=\"0.996337\" qx=\"-0.014781\" qy=\"-0.007837\" qz=\"0.000999\" qw=\"0.999860\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.010912\" qy=\"0.001354\" qz=\"0.012406\" qw=\"-0.999863\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000565\" y=\"0.205359\" z=\"0.000552\" qx=\"0.026294\" qy=\"0.000475\" qz=\"-0.011019\" qw=\"-0.999593\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.174088\" qy=\"-0.046427\" qz=\"-0.049058\" qw=\"-0.982411\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.113471\" z=\"-0.015915\" qx=\"0.089112\" qy=\"-0.032165\" qz=\"0.077015\" qw=\"-0.992519\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022528\" qy=\"0.004543\" qz=\"0.138498\" qw=\"0.990096\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033749\" qy=\"0.000866\" qz=\"-0.205538\" qw=\"0.978067\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015641\" qy=\"-0.014844\" qz=\"-0.018602\" qw=\"-0.999594\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226204\" y=\"-0.000140\" z=\"-0.000040\" qx=\"0.015651\" qy=\"-0.027284\" qz=\"0.014222\" qw=\"-0.999404\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046657\" qy=\"0.016150\" qz=\"-0.104218\" qw=\"0.993328\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050389\" qy=\"0.012530\" qz=\"0.180978\" qw=\"0.982116\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023600\" qy=\"0.003896\" qz=\"0.016686\" qw=\"-0.999575\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229145\" y=\"-0.000031\" z=\"-0.000151\" qx=\"-0.023592\" qy=\"0.004142\" qz=\"0.001174\" qw=\"-0.999712\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029020\" qy=\"0.017020\" qz=\"0.044828\" qw=\"0.998428\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.111299\" qy=\"-0.055973\" qz=\"-0.048778\" qw=\"0.991010\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000108\" y=\"-0.431220\" z=\"0.000982\" qx=\"-0.123620\" qy=\"0.126811\" qz=\"-0.007828\" qw=\"0.984163\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.017820\" qy=\"-0.002821\" qz=\"-0.040494\" qw=\"0.999017\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181343\" qy=\"-0.054754\" qz=\"0.001773\" qw=\"0.981893\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000387\" y=\"-0.427829\" z=\"0.000231\" qx=\"-0.146215\" qy=\"-0.051313\" qz=\"0.057111\" qw=\"0.986269\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003390\" qy=\"-0.002735\" qz=\"0.000699\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022425\" qy=\"0.008013\" qz=\"-0.000820\" qw=\"-0.999716\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 279: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.044636\" y=\"0.940825\" z=\"0.996758\" qx=\"-0.014491\" qy=\"-0.006820\" qz=\"0.001341\" qw=\"0.999871\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011049\" qy=\"0.001534\" qz=\"0.012591\" qw=\"-0.999859\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000565\" y=\"0.205465\" z=\"0.000553\" qx=\"0.028109\" qy=\"0.000534\" qz=\"-0.010563\" qw=\"-0.999549\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.174295\" qy=\"-0.048784\" qz=\"-0.050777\" qw=\"-0.982172\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113485\" z=\"-0.015917\" qx=\"0.086245\" qy=\"-0.033976\" qz=\"0.080479\" qw=\"-0.992437\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022557\" qy=\"0.004441\" qz=\"0.138900\" qw=\"0.990040\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034094\" qy=\"0.000450\" qz=\"-0.205707\" qw=\"0.978020\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.014925\" qy=\"-0.014502\" qz=\"-0.018761\" qw=\"-0.999607\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226180\" y=\"-0.000140\" z=\"-0.000040\" qx=\"0.014935\" qy=\"-0.027446\" qz=\"0.013730\" qw=\"-0.999417\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.047001\" qy=\"0.015582\" qz=\"-0.104413\" qw=\"0.993301\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.049811\" qy=\"0.012652\" qz=\"0.181078\" qw=\"0.982125\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023538\" qy=\"0.004225\" qz=\"0.016653\" qw=\"-0.999575\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229185\" y=\"-0.000032\" z=\"-0.000151\" qx=\"-0.023530\" qy=\"0.004104\" qz=\"0.001456\" qw=\"-0.999714\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028670\" qy=\"0.016494\" qz=\"0.044476\" qw=\"0.998463\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.111502\" qy=\"-0.056118\" qz=\"-0.049010\" qw=\"0.990967\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000104\" y=\"-0.431353\" z=\"0.000985\" qx=\"-0.123593\" qy=\"0.126452\" qz=\"-0.007530\" qw=\"0.984214\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.017486\" qy=\"-0.002819\" qz=\"-0.040865\" qw=\"0.999008\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180945\" qy=\"-0.055543\" qz=\"0.001625\" qw=\"0.981922\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000398\" y=\"-0.427916\" z=\"0.000239\" qx=\"-0.146358\" qy=\"-0.051576\" qz=\"0.057381\" qw=\"0.986218\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003437\" qy=\"-0.002864\" qz=\"0.000732\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022387\" qy=\"0.007973\" qz=\"-0.000816\" qw=\"-0.999717\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 280: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.044966\" y=\"0.940877\" z=\"0.997186\" qx=\"-0.014141\" qy=\"-0.005599\" qz=\"0.001281\" qw=\"0.999884\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.010692\" qy=\"0.002039\" qz=\"0.011923\" qw=\"-0.999870\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000565\" y=\"0.205575\" z=\"0.000553\" qx=\"0.029343\" qy=\"0.000693\" qz=\"-0.009602\" qw=\"-0.999523\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.174724\" qy=\"-0.050403\" qz=\"-0.051820\" qw=\"-0.981960\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113465\" z=\"-0.015914\" qx=\"0.084647\" qy=\"-0.035123\" qz=\"0.083689\" qw=\"-0.992269\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022473\" qy=\"0.004338\" qz=\"0.139270\" qw=\"0.989990\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.034523\" qy=\"0.000521\" qz=\"-0.205405\" qw=\"0.978068\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015697\" qy=\"-0.014353\" qz=\"-0.018340\" qw=\"-0.999606\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226167\" y=\"-0.000141\" z=\"-0.000040\" qx=\"0.015707\" qy=\"-0.027553\" qz=\"0.011635\" qw=\"-0.999429\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046891\" qy=\"0.015636\" qz=\"-0.104635\" qw=\"0.993282\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.050079\" qy=\"0.012062\" qz=\"0.180481\" qw=\"0.982229\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024586\" qy=\"0.004523\" qz=\"0.015838\" qw=\"-0.999562\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229274\" y=\"-0.000032\" z=\"-0.000152\" qx=\"-0.024578\" qy=\"0.004620\" qz=\"0.000546\" qw=\"-0.999687\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.027976\" qy=\"0.015983\" qz=\"0.044356\" qw=\"0.998496\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.112258\" qy=\"-0.056553\" qz=\"-0.048937\" qw=\"0.990861\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000099\" y=\"-0.431509\" z=\"0.000985\" qx=\"-0.124140\" qy=\"0.126307\" qz=\"-0.007435\" qw=\"0.984165\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.017181\" qy=\"-0.003233\" qz=\"-0.040934\" qw=\"0.999009\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180541\" qy=\"-0.056345\" qz=\"0.001611\" qw=\"0.981951\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000406\" y=\"-0.428040\" z=\"0.000242\" qx=\"-0.146525\" qy=\"-0.051636\" qz=\"0.057587\" qw=\"0.986178\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003433\" qy=\"-0.002743\" qz=\"0.000701\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022352\" qy=\"0.007984\" qz=\"-0.000817\" qw=\"-0.999718\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 281: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.045159\" y=\"0.940850\" z=\"0.997508\" qx=\"-0.014602\" qy=\"-0.004822\" qz=\"0.001409\" qw=\"0.999881\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011160\" qy=\"0.002233\" qz=\"0.011682\" qw=\"-0.999867\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000567\" y=\"0.205772\" z=\"0.000554\" qx=\"0.030507\" qy=\"0.000762\" qz=\"-0.008811\" qw=\"-0.999495\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.175414\" qy=\"-0.051580\" qz=\"-0.052915\" qw=\"-0.981718\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113456\" z=\"-0.015912\" qx=\"0.083457\" qy=\"-0.035755\" qz=\"0.087110\" qw=\"-0.992053\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022185\" qy=\"0.004126\" qz=\"0.139890\" qw=\"0.989910\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033703\" qy=\"0.000502\" qz=\"-0.205488\" qw=\"0.978079\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015957\" qy=\"-0.014579\" qz=\"-0.018821\" qw=\"-0.999589\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226140\" y=\"-0.000142\" z=\"-0.000040\" qx=\"0.015967\" qy=\"-0.027793\" qz=\"0.011853\" qw=\"-0.999416\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046816\" qy=\"0.015711\" qz=\"-0.104841\" qw=\"0.993262\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.049582\" qy=\"0.011956\" qz=\"0.179895\" qw=\"0.982363\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024228\" qy=\"0.005475\" qz=\"0.015457\" qw=\"-0.999572\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229382\" y=\"-0.000033\" z=\"-0.000151\" qx=\"-0.024220\" qy=\"0.004854\" qz=\"0.000968\" qw=\"-0.999694\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028112\" qy=\"0.016271\" qz=\"0.044113\" qw=\"0.998498\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.113000\" qy=\"-0.057488\" qz=\"-0.048765\" qw=\"0.990731\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000093\" y=\"-0.431594\" z=\"0.000985\" qx=\"-0.124623\" qy=\"0.126225\" qz=\"-0.007418\" qw=\"0.984115\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.016538\" qy=\"-0.003245\" qz=\"-0.041164\" qw=\"0.999010\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180806\" qy=\"-0.056501\" qz=\"0.001703\" qw=\"0.981893\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000406\" y=\"-0.428080\" z=\"0.000246\" qx=\"-0.146794\" qy=\"-0.052151\" qz=\"0.057783\" qw=\"0.986100\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003392\" qy=\"-0.002724\" qz=\"0.000696\" qw=\"-0.999990\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022316\" qy=\"0.008026\" qz=\"-0.000822\" qw=\"-0.999718\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 282: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.045237\" y=\"0.940902\" z=\"0.997840\" qx=\"-0.015223\" qy=\"-0.004297\" qz=\"0.001427\" qw=\"0.999874\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.011694\" qy=\"0.002289\" qz=\"0.011389\" qw=\"-0.999864\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000567\" y=\"0.205942\" z=\"0.000554\" qx=\"0.032091\" qy=\"0.000782\" qz=\"-0.008073\" qw=\"-0.999452\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.177463\" qy=\"-0.052561\" qz=\"-0.052941\" qw=\"-0.981296\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113408\" z=\"-0.015905\" qx=\"0.082864\" qy=\"-0.036623\" qz=\"0.088709\" qw=\"-0.991929\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022088\" qy=\"0.003978\" qz=\"0.140367\" qw=\"0.989845\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033602\" qy=\"0.000647\" qz=\"-0.205222\" qw=\"0.978138\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015954\" qy=\"-0.014708\" qz=\"-0.018779\" qw=\"-0.999588\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226121\" y=\"-0.000141\" z=\"-0.000040\" qx=\"0.015964\" qy=\"-0.027729\" qz=\"0.009559\" qw=\"-0.999442\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046700\" qy=\"0.015960\" qz=\"-0.105289\" qw=\"0.993216\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048824\" qy=\"0.011554\" qz=\"0.179362\" qw=\"0.982503\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023976\" qy=\"0.005614\" qz=\"0.015045\" qw=\"-0.999584\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229429\" y=\"-0.000033\" z=\"-0.000152\" qx=\"-0.023968\" qy=\"0.004840\" qz=\"0.001420\" qw=\"-0.999700\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.028705\" qy=\"0.016198\" qz=\"0.044066\" qw=\"0.998485\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.113292\" qy=\"-0.058071\" qz=\"-0.048675\" qw=\"0.990668\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000096\" y=\"-0.431713\" z=\"0.000982\" qx=\"-0.125046\" qy=\"0.126247\" qz=\"-0.007429\" qw=\"0.984058\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.015687\" qy=\"-0.003250\" qz=\"-0.041254\" qw=\"0.999020\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.180891\" qy=\"-0.056923\" qz=\"0.001760\" qw=\"0.981853\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000413\" y=\"-0.428175\" z=\"0.000242\" qx=\"-0.146982\" qy=\"-0.052177\" qz=\"0.057958\" qw=\"0.986060\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.003152\" qy=\"-0.002780\" qz=\"0.000710\" qw=\"-0.999991\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022323\" qy=\"0.008029\" qz=\"-0.000822\" qw=\"-0.999718\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 283: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.045241\" y=\"0.940890\" z=\"0.998149\" qx=\"-0.015776\" qy=\"-0.003899\" qz=\"0.001452\" qw=\"0.999867\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012019\" qy=\"0.002137\" qz=\"0.011276\" qw=\"-0.999862\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000568\" y=\"0.206088\" z=\"0.000555\" qx=\"0.033764\" qy=\"0.000728\" qz=\"-0.007604\" qw=\"-0.999401\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.178628\" qy=\"-0.052747\" qz=\"-0.052593\" qw=\"-0.981093\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113489\" z=\"-0.015917\" qx=\"0.079840\" qy=\"-0.036774\" qz=\"0.089495\" qw=\"-0.992101\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.022315\" qy=\"0.003664\" qz=\"0.140570\" qw=\"0.989812\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033863\" qy=\"0.000808\" qz=\"-0.204648\" qw=\"0.978249\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016393\" qy=\"-0.014833\" qz=\"-0.018486\" qw=\"-0.999585\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226108\" y=\"-0.000142\" z=\"-0.000040\" qx=\"0.016404\" qy=\"-0.026985\" qz=\"0.006712\" qw=\"-0.999479\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046523\" qy=\"0.015634\" qz=\"-0.106048\" qw=\"0.993149\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048808\" qy=\"0.011370\" qz=\"0.178746\" qw=\"0.982618\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023966\" qy=\"0.005468\" qz=\"0.015028\" qw=\"-0.999585\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229468\" y=\"-0.000032\" z=\"-0.000152\" qx=\"-0.023958\" qy=\"0.003597\" qz=\"-0.000621\" qw=\"-0.999706\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.029319\" qy=\"0.015512\" qz=\"0.043952\" qw=\"0.998483\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.113528\" qy=\"-0.058326\" qz=\"-0.048610\" qw=\"0.990629\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000079\" y=\"-0.431923\" z=\"0.000986\" qx=\"-0.125941\" qy=\"0.126691\" qz=\"-0.007494\" qw=\"0.983886\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.015011\" qy=\"-0.003834\" qz=\"-0.041340\" qw=\"0.999025\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181144\" qy=\"-0.057129\" qz=\"0.001685\" qw=\"0.981795\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000412\" y=\"-0.428278\" z=\"0.000247\" qx=\"-0.147434\" qy=\"-0.051706\" qz=\"0.058186\" qw=\"0.986004\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.002717\" qy=\"-0.002747\" qz=\"0.000702\" qw=\"-0.999992\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022409\" qy=\"0.008005\" qz=\"-0.000819\" qw=\"-0.999717\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 284: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.045107\" y=\"0.940799\" z=\"0.998367\" qx=\"-0.016275\" qy=\"-0.003520\" qz=\"0.001253\" qw=\"0.999861\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012179\" qy=\"0.002038\" qz=\"0.011191\" qw=\"-0.999861\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000568\" y=\"0.206177\" z=\"0.000556\" qx=\"0.035077\" qy=\"0.000693\" qz=\"-0.007197\" qw=\"-0.999358\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179032\" qy=\"-0.052644\" qz=\"-0.052033\" qw=\"-0.981055\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113619\" z=\"-0.015935\" qx=\"0.075842\" qy=\"-0.036824\" qz=\"0.088934\" qw=\"-0.992463\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021951\" qy=\"0.003517\" qz=\"0.140790\" qw=\"0.989790\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033653\" qy=\"0.001210\" qz=\"-0.203845\" qw=\"0.978424\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016155\" qy=\"-0.014197\" qz=\"-0.018793\" qw=\"-0.999592\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226148\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.016166\" qy=\"-0.026386\" qz=\"0.006685\" qw=\"-0.999499\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.046104\" qy=\"0.015390\" qz=\"-0.106837\" qw=\"0.993088\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.049845\" qy=\"0.010902\" qz=\"0.177997\" qw=\"0.982707\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024109\" qy=\"0.004889\" qz=\"0.014600\" qw=\"-0.999591\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229440\" y=\"-0.000032\" z=\"-0.000153\" qx=\"-0.024101\" qy=\"0.003781\" qz=\"-0.001227\" qw=\"-0.999702\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.030119\" qy=\"0.015181\" qz=\"0.044136\" qw=\"0.998456\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.113263\" qy=\"-0.058360\" qz=\"-0.048400\" qw=\"0.990668\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000078\" y=\"-0.431938\" z=\"0.000985\" qx=\"-0.126559\" qy=\"0.126688\" qz=\"-0.007680\" qw=\"0.983806\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.014373\" qy=\"-0.003760\" qz=\"-0.041134\" qw=\"0.999043\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181309\" qy=\"-0.058044\" qz=\"0.001765\" qw=\"0.981710\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000415\" y=\"-0.428322\" z=\"0.000244\" qx=\"-0.147814\" qy=\"-0.051227\" qz=\"0.058200\" qw=\"0.985971\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.002418\" qy=\"-0.002655\" qz=\"0.000678\" qw=\"-0.999993\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022352\" qy=\"0.007932\" qz=\"-0.000812\" qw=\"-0.999718\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 285: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.044853\" y=\"0.940697\" z=\"0.998529\" qx=\"-0.016935\" qy=\"-0.003211\" qz=\"0.000937\" qw=\"0.999851\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012518\" qy=\"0.002059\" qz=\"0.011299\" qw=\"-0.999856\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000568\" y=\"0.206298\" z=\"0.000556\" qx=\"0.036022\" qy=\"0.000706\" qz=\"-0.006935\" qw=\"-0.999327\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179743\" qy=\"-0.051784\" qz=\"-0.050759\" qw=\"-0.981037\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000023\" y=\"0.113666\" z=\"-0.015943\" qx=\"0.074206\" qy=\"-0.036404\" qz=\"0.086724\" qw=\"-0.992798\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021790\" qy=\"0.003675\" qz=\"0.140934\" qw=\"0.989772\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033212\" qy=\"0.001306\" qz=\"-0.202755\" qw=\"0.978665\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016197\" qy=\"-0.014116\" qz=\"-0.018416\" qw=\"-0.999600\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226334\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.016208\" qy=\"-0.026159\" qz=\"0.006715\" qw=\"-0.999504\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045863\" qy=\"0.015305\" qz=\"-0.107195\" qw=\"0.993062\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048628\" qy=\"0.011212\" qz=\"0.177394\" qw=\"0.982874\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024510\" qy=\"0.004771\" qz=\"0.014524\" qw=\"-0.999583\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229411\" y=\"-0.000032\" z=\"-0.000153\" qx=\"-0.024502\" qy=\"0.003551\" qz=\"0.000969\" qw=\"-0.999693\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.031506\" qy=\"0.015394\" qz=\"0.044561\" qw=\"0.998391\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.112122\" qy=\"-0.058053\" qz=\"-0.048046\" qw=\"0.990833\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000081\" y=\"-0.431793\" z=\"0.000964\" qx=\"-0.126560\" qy=\"0.125833\" qz=\"-0.008168\" qw=\"0.983911\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013538\" qy=\"-0.003590\" qz=\"-0.040688\" qw=\"0.999074\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181306\" qy=\"-0.058969\" qz=\"0.001725\" qw=\"0.981656\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000412\" y=\"-0.428295\" z=\"0.000234\" qx=\"-0.147943\" qy=\"-0.050721\" qz=\"0.058246\" qw=\"0.985976\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.002070\" qy=\"-0.002631\" qz=\"0.000672\" qw=\"-0.999994\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022394\" qy=\"0.007985\" qz=\"-0.000817\" qw=\"-0.999717\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 286: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.044521\" y=\"0.940706\" z=\"0.998587\" qx=\"-0.017083\" qy=\"-0.002973\" qz=\"0.000362\" qw=\"0.999850\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012310\" qy=\"0.002117\" qz=\"0.011444\" qw=\"-0.999857\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000569\" y=\"0.206401\" z=\"0.000555\" qx=\"0.036821\" qy=\"0.000722\" qz=\"-0.006868\" qw=\"-0.999298\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.180416\" qy=\"-0.050483\" qz=\"-0.049412\" qw=\"-0.981050\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113595\" z=\"-0.015932\" qx=\"0.073418\" qy=\"-0.035607\" qz=\"0.083867\" qw=\"-0.993131\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021619\" qy=\"0.003779\" qz=\"0.141133\" qw=\"0.989747\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.033186\" qy=\"0.001165\" qz=\"-0.202101\" qw=\"0.978802\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016434\" qy=\"-0.015141\" qz=\"-0.018273\" qw=\"-0.999583\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226401\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.016445\" qy=\"-0.025819\" qz=\"0.007320\" qw=\"-0.999505\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045857\" qy=\"0.015126\" qz=\"-0.107400\" qw=\"0.993043\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048022\" qy=\"0.011843\" qz=\"0.176924\" qw=\"0.982981\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.024200\" qy=\"0.004644\" qz=\"0.014385\" qw=\"-0.999593\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229390\" y=\"-0.000031\" z=\"-0.000153\" qx=\"-0.024193\" qy=\"0.003282\" qz=\"0.001354\" qw=\"-0.999701\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.032629\" qy=\"0.015305\" qz=\"0.045233\" qw=\"0.998326\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.110402\" qy=\"-0.056574\" qz=\"-0.047583\" qw=\"0.991134\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000094\" y=\"-0.431616\" z=\"0.000926\" qx=\"-0.126108\" qy=\"0.124312\" qz=\"-0.008698\" qw=\"0.984158\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013355\" qy=\"-0.003737\" qz=\"-0.040035\" qw=\"0.999102\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181378\" qy=\"-0.059524\" qz=\"0.001816\" qw=\"0.981609\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000407\" y=\"-0.428395\" z=\"0.000233\" qx=\"-0.148028\" qy=\"-0.050189\" qz=\"0.058202\" qw=\"0.985992\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001860\" qy=\"-0.002559\" qz=\"0.000654\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022407\" qy=\"0.008029\" qz=\"-0.000822\" qw=\"-0.999716\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 287: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.044155\" y=\"0.940747\" z=\"0.998559\" qx=\"-0.016951\" qy=\"-0.003001\" qz=\"-0.000257\" qw=\"0.999852\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012035\" qy=\"0.002010\" qz=\"0.011733\" qw=\"-0.999857\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000569\" y=\"0.206453\" z=\"0.000556\" qx=\"0.037753\" qy=\"0.000686\" qz=\"-0.006925\" qw=\"-0.999263\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.180312\" qy=\"-0.048919\" qz=\"-0.048138\" qw=\"-0.981212\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113562\" z=\"-0.015928\" qx=\"0.072101\" qy=\"-0.034527\" qz=\"0.080806\" qw=\"-0.993519\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021421\" qy=\"0.003520\" qz=\"0.141420\" qw=\"0.989712\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.031397\" qy=\"0.001201\" qz=\"-0.201757\" qw=\"0.978931\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016343\" qy=\"-0.015537\" qz=\"-0.018366\" qw=\"-0.999577\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226417\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.016355\" qy=\"-0.025583\" qz=\"0.008008\" qw=\"-0.999507\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045793\" qy=\"0.015034\" qz=\"-0.107719\" qw=\"0.993012\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046008\" qy=\"0.012683\" qz=\"0.177434\" qw=\"0.982975\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022839\" qy=\"0.004521\" qz=\"0.016263\" qw=\"-0.999597\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229362\" y=\"-0.000031\" z=\"-0.000153\" qx=\"-0.022831\" qy=\"0.003035\" qz=\"-0.001944\" qw=\"-0.999733\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.033390\" qy=\"0.015157\" qz=\"0.045905\" qw=\"0.998273\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.108818\" qy=\"-0.054852\" qz=\"-0.047049\" qw=\"0.991431\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000102\" y=\"-0.431470\" z=\"0.000900\" qx=\"-0.125596\" qy=\"0.122816\" qz=\"-0.009453\" qw=\"0.984405\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013591\" qy=\"-0.003976\" qz=\"-0.039319\" qw=\"0.999126\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181505\" qy=\"-0.059563\" qz=\"0.001928\" qw=\"0.981583\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000398\" y=\"-0.428509\" z=\"0.000231\" qx=\"-0.148007\" qy=\"-0.049899\" qz=\"0.058034\" qw=\"0.986020\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001534\" qy=\"-0.002598\" qz=\"0.000664\" qw=\"-0.999995\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022426\" qy=\"0.008033\" qz=\"-0.000822\" qw=\"-0.999716\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 288: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.043805\" y=\"0.940760\" z=\"0.998506\" qx=\"-0.017047\" qy=\"-0.003210\" qz=\"-0.000835\" qw=\"0.999849\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012128\" qy=\"0.001836\" qz=\"0.011937\" qw=\"-0.999854\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000569\" y=\"0.206509\" z=\"0.000556\" qx=\"0.038683\" qy=\"0.000629\" qz=\"-0.006647\" qw=\"-0.999229\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179969\" qy=\"-0.047110\" qz=\"-0.047202\" qw=\"-0.981409\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113481\" z=\"-0.015916\" qx=\"0.071304\" qy=\"-0.033076\" qz=\"0.078084\" qw=\"-0.993843\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021488\" qy=\"0.003472\" qz=\"0.141621\" qw=\"0.989682\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.030638\" qy=\"0.001541\" qz=\"-0.201174\" qw=\"0.979075\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015448\" qy=\"-0.014417\" qz=\"-0.018816\" qw=\"-0.999600\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226384\" y=\"-0.000142\" z=\"-0.000042\" qx=\"0.015460\" qy=\"-0.025672\" qz=\"0.007277\" qw=\"-0.999524\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045674\" qy=\"0.015285\" qz=\"-0.107821\" qw=\"0.993003\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.048622\" qy=\"0.012266\" qz=\"0.176895\" qw=\"0.982952\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023900\" qy=\"0.004296\" qz=\"0.014810\" qw=\"-0.999595\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229332\" y=\"-0.000031\" z=\"-0.000153\" qx=\"-0.023892\" qy=\"0.002865\" qz=\"-0.000549\" qw=\"-0.999710\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.034288\" qy=\"0.015387\" qz=\"0.046492\" qw=\"0.998211\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.107446\" qy=\"-0.052964\" qz=\"-0.046368\" qw=\"0.991716\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000117\" y=\"-0.431303\" z=\"0.000865\" qx=\"-0.125179\" qy=\"0.120954\" qz=\"-0.010331\" qw=\"0.984679\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013638\" qy=\"-0.003983\" qz=\"-0.038699\" qw=\"0.999150\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181652\" qy=\"-0.059336\" qz=\"0.002175\" qw=\"0.981569\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000398\" y=\"-0.428611\" z=\"0.000238\" qx=\"-0.148042\" qy=\"-0.049868\" qz=\"0.057853\" qw=\"0.986027\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001343\" qy=\"-0.002491\" qz=\"0.000636\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022531\" qy=\"0.007966\" qz=\"-0.000815\" qw=\"-0.999714\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 289: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.043476\" y=\"0.940737\" z=\"0.998415\" qx=\"-0.017309\" qy=\"-0.003547\" qz=\"-0.001465\" qw=\"0.999843\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012356\" qy=\"0.001432\" qz=\"0.012063\" qw=\"-0.999850\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000570\" y=\"0.206563\" z=\"0.000556\" qx=\"0.039270\" qy=\"0.000496\" qz=\"-0.006531\" qw=\"-0.999207\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179687\" qy=\"-0.044810\" qz=\"-0.045734\" qw=\"-0.981638\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.113298\" z=\"-0.015890\" qx=\"0.071492\" qy=\"-0.031169\" qz=\"0.075386\" qw=\"-0.994100\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021289\" qy=\"0.003384\" qz=\"0.141700\" qw=\"0.989675\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.029505\" qy=\"0.001670\" qz=\"-0.200795\" qw=\"0.979188\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.015971\" qy=\"-0.012916\" qz=\"-0.019648\" qw=\"-0.999596\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226349\" y=\"-0.000142\" z=\"-0.000042\" qx=\"0.015982\" qy=\"-0.024894\" qz=\"0.005710\" qw=\"-0.999546\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045392\" qy=\"0.015335\" qz=\"-0.108238\" qw=\"0.992970\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.046144\" qy=\"0.012891\" qz=\"0.177405\" qw=\"0.982971\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.023152\" qy=\"0.004632\" qz=\"0.015556\" qw=\"-0.999600\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229415\" y=\"-0.000030\" z=\"-0.000153\" qx=\"-0.023144\" qy=\"0.002860\" qz=\"-0.001138\" qw=\"-0.999727\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.035254\" qy=\"0.015680\" qz=\"0.047146\" qw=\"0.998143\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.106267\" qy=\"-0.051083\" qz=\"-0.045776\" qw=\"0.991969\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000136\" y=\"-0.431114\" z=\"0.000839\" qx=\"-0.124867\" qy=\"0.119189\" qz=\"-0.011070\" qw=\"0.984926\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013397\" qy=\"-0.003982\" qz=\"-0.037980\" qw=\"0.999181\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181491\" qy=\"-0.059624\" qz=\"0.002241\" qw=\"0.981581\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000396\" y=\"-0.428647\" z=\"0.000233\" qx=\"-0.147940\" qy=\"-0.049280\" qz=\"0.057667\" qw=\"0.986083\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.001100\" qy=\"-0.002464\" qz=\"0.000630\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022566\" qy=\"0.007965\" qz=\"-0.000815\" qw=\"-0.999713\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 290: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.043171\" y=\"0.940701\" z=\"0.998301\" qx=\"-0.017771\" qy=\"-0.004083\" qz=\"-0.001976\" qw=\"0.999832\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.012828\" qy=\"0.001016\" qz=\"0.012155\" qw=\"-0.999843\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000569\" y=\"0.206641\" z=\"0.000557\" qx=\"0.039671\" qy=\"0.000363\" qz=\"-0.006531\" qw=\"-0.999191\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179822\" qy=\"-0.042505\" qz=\"-0.043491\" qw=\"-0.981818\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.113076\" z=\"-0.015859\" qx=\"0.072623\" qy=\"-0.029348\" qz=\"0.072908\" qw=\"-0.994258\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021139\" qy=\"0.003272\" qz=\"0.141662\" qw=\"0.989684\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.027763\" qy=\"0.001450\" qz=\"-0.200468\" qw=\"0.979306\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.017026\" qy=\"-0.012363\" qz=\"-0.020470\" qw=\"-0.999569\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226397\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.017037\" qy=\"-0.024195\" qz=\"0.006103\" qw=\"-0.999543\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.045112\" qy=\"0.015498\" qz=\"-0.108612\" qw=\"0.992939\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.045339\" qy=\"0.013000\" qz=\"0.177335\" qw=\"0.983020\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022921\" qy=\"0.004387\" qz=\"0.016313\" qw=\"-0.999595\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229333\" y=\"-0.000030\" z=\"-0.000153\" qx=\"-0.022912\" qy=\"0.002387\" qz=\"-0.003999\" qw=\"-0.999727\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.036171\" qy=\"0.016444\" qz=\"0.047799\" qw=\"0.998066\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.105554\" qy=\"-0.049840\" qz=\"-0.045428\" qw=\"0.992124\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000157\" y=\"-0.430970\" z=\"0.000818\" qx=\"-0.124716\" qy=\"0.117706\" qz=\"-0.011696\" qw=\"0.985116\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013158\" qy=\"-0.004455\" qz=\"-0.037413\" qw=\"0.999203\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181593\" qy=\"-0.059227\" qz=\"0.002236\" qw=\"0.981586\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000395\" y=\"-0.428682\" z=\"0.000230\" qx=\"-0.147929\" qy=\"-0.048703\" qz=\"0.057518\" qw=\"0.986122\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000937\" qy=\"-0.002467\" qz=\"0.000630\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022553\" qy=\"0.007903\" qz=\"-0.000809\" qw=\"-0.999714\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 291: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.042916\" y=\"0.940747\" z=\"0.998121\" qx=\"-0.017988\" qy=\"-0.004600\" qz=\"-0.002294\" qw=\"0.999825\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.013394\" qy=\"0.000809\" qz=\"0.012344\" qw=\"-0.999834\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000570\" y=\"0.206717\" z=\"0.000557\" qx=\"0.040443\" qy=\"0.000303\" qz=\"-0.006578\" qw=\"-0.999160\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179566\" qy=\"-0.040325\" qz=\"-0.041438\" qw=\"-0.982045\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.112922\" z=\"-0.015837\" qx=\"0.073083\" qy=\"-0.027475\" qz=\"0.071510\" qw=\"-0.994379\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021285\" qy=\"0.003462\" qz=\"0.141610\" qw=\"0.989688\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.027616\" qy=\"0.001061\" qz=\"-0.199936\" qw=\"0.979419\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016953\" qy=\"-0.012492\" qz=\"-0.020301\" qw=\"-0.999572\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226453\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.016964\" qy=\"-0.024861\" qz=\"0.006359\" qw=\"-0.999527\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044957\" qy=\"0.015545\" qz=\"-0.109008\" qw=\"0.992902\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.044577\" qy=\"0.013271\" qz=\"0.177419\" qw=\"0.983036\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022639\" qy=\"0.003874\" qz=\"0.017056\" qw=\"-0.999591\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229255\" y=\"-0.000031\" z=\"-0.000153\" qx=\"-0.022631\" qy=\"0.001947\" qz=\"-0.003989\" qw=\"-0.999734\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.036663\" qy=\"0.016775\" qz=\"0.048243\" qw=\"0.998022\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.105020\" qy=\"-0.049075\" qz=\"-0.045295\" qw=\"0.992225\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000163\" y=\"-0.430913\" z=\"0.000811\" qx=\"-0.124451\" qy=\"0.117074\" qz=\"-0.012144\" qw=\"0.985220\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013262\" qy=\"-0.004855\" qz=\"-0.037038\" qw=\"0.999214\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.181788\" qy=\"-0.058536\" qz=\"0.002225\" qw=\"0.981592\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000396\" y=\"-0.428759\" z=\"0.000229\" qx=\"-0.147877\" qy=\"-0.048456\" qz=\"0.057421\" qw=\"0.986148\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000725\" qy=\"-0.002475\" qz=\"0.000633\" qw=\"-0.999996\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022569\" qy=\"0.007966\" qz=\"-0.000815\" qw=\"-0.999713\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 292: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.042719\" y=\"0.940873\" z=\"0.997974\" qx=\"-0.018125\" qy=\"-0.005010\" qz=\"-0.002461\" qw=\"0.999820\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.014011\" qy=\"0.000902\" qz=\"0.012531\" qw=\"-0.999823\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000571\" y=\"0.206779\" z=\"0.000556\" qx=\"0.041513\" qy=\"0.000325\" qz=\"-0.006545\" qw=\"-0.999116\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179065\" qy=\"-0.038646\" qz=\"-0.039434\" qw=\"-0.982287\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000025\" y=\"0.112744\" z=\"-0.015813\" qx=\"0.072695\" qy=\"-0.026150\" qz=\"0.070019\" qw=\"-0.994550\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021288\" qy=\"0.003460\" qz=\"0.141611\" qw=\"0.989687\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.027841\" qy=\"0.001268\" qz=\"-0.199662\" qw=\"0.979468\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016797\" qy=\"-0.012872\" qz=\"-0.020362\" qw=\"-0.999569\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226479\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.016808\" qy=\"-0.025082\" qz=\"0.006571\" qw=\"-0.999523\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044882\" qy=\"0.015551\" qz=\"-0.109581\" qw=\"0.992842\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.043617\" qy=\"0.014029\" qz=\"0.177786\" qw=\"0.983002\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022144\" qy=\"0.003817\" qz=\"0.017341\" qw=\"-0.999597\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229221\" y=\"-0.000032\" z=\"-0.000153\" qx=\"-0.022135\" qy=\"0.001478\" qz=\"-0.002538\" qw=\"-0.999751\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.037006\" qy=\"0.016668\" qz=\"0.048428\" qw=\"0.998002\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.104605\" qy=\"-0.047969\" qz=\"-0.045133\" qw=\"0.992330\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000161\" y=\"-0.430962\" z=\"0.000803\" qx=\"-0.124206\" qy=\"0.116519\" qz=\"-0.012467\" qw=\"0.985312\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013573\" qy=\"-0.004968\" qz=\"-0.036766\" qw=\"0.999219\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.182283\" qy=\"-0.057932\" qz=\"0.002168\" qw=\"0.981536\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000394\" y=\"-0.428942\" z=\"0.000244\" qx=\"-0.147942\" qy=\"-0.048524\" qz=\"0.057309\" qw=\"0.986141\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000728\" qy=\"-0.002415\" qz=\"0.000617\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022619\" qy=\"0.007995\" qz=\"-0.000818\" qw=\"-0.999712\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            case 293: return "<?xml version=\"1.0\" ?><Stream><Skeletons><Skeleton ID=\"7\"><Bone ID=\"458753\" Name=\"Trent_Hip\" x=\"1.042605\" y=\"0.940981\" z=\"0.997826\" qx=\"-0.018212\" qy=\"-0.005143\" qz=\"-0.002576\" qw=\"0.999818\" /><Bone ID=\"458754\" Name=\"Trent_Ab\" x=\"-0.000000\" y=\"0.076079\" z=\"0.000000\" qx=\"-0.014500\" qy=\"0.001096\" qz=\"0.012823\" qw=\"-0.999812\" /><Bone ID=\"458755\" Name=\"Trent_Chest\" x=\"-0.000572\" y=\"0.206794\" z=\"0.000556\" qx=\"0.042254\" qy=\"0.000399\" qz=\"-0.006778\" qw=\"-0.999084\" /><Bone ID=\"458756\" Name=\"Trent_Neck\" x=\"-0.000000\" y=\"0.203011\" z=\"0.018456\" qx=\"-0.179224\" qy=\"-0.037256\" qz=\"-0.037790\" qw=\"-0.982376\" /><Bone ID=\"458757\" Name=\"Trent_Head\" x=\"-0.000024\" y=\"0.112564\" z=\"-0.015787\" qx=\"0.073886\" qy=\"-0.025063\" qz=\"0.068787\" qw=\"-0.994576\" /><Bone ID=\"458758\" Name=\"Trent_LShoulder\" x=\"0.037239\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.021433\" qy=\"0.003467\" qz=\"0.141459\" qw=\"0.989706\" /><Bone ID=\"458759\" Name=\"Trent_LUArm\" x=\"0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.028968\" qy=\"0.001440\" qz=\"-0.199270\" qw=\"0.979515\" /><Bone ID=\"458760\" Name=\"Trent_LFArm\" x=\"0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"0.016990\" qy=\"-0.012989\" qz=\"-0.020470\" qw=\"-0.999562\" /><Bone ID=\"458761\" Name=\"Trent_LHand\" x=\"0.226494\" y=\"-0.000142\" z=\"-0.000041\" qx=\"0.017002\" qy=\"-0.024865\" qz=\"0.008365\" qw=\"-0.999511\" /><Bone ID=\"458762\" Name=\"Trent_RShoulder\" x=\"-0.036927\" y=\"0.180833\" z=\"-0.001992\" qx=\"0.044907\" qy=\"0.015601\" qz=\"-0.110237\" qw=\"0.992768\" /><Bone ID=\"458763\" Name=\"Trent_RUArm\" x=\"-0.118945\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.044462\" qy=\"0.013854\" qz=\"0.177428\" qw=\"0.983031\" /><Bone ID=\"458764\" Name=\"Trent_RFArm\" x=\"-0.286052\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.022337\" qy=\"0.003486\" qz=\"0.017317\" qw=\"-0.999595\" /><Bone ID=\"458765\" Name=\"Trent_RHand\" x=\"-0.229237\" y=\"-0.000031\" z=\"-0.000153\" qx=\"-0.022328\" qy=\"0.001669\" qz=\"-0.005523\" qw=\"-0.999734\" /><Bone ID=\"458766\" Name=\"Trent_LThigh\" x=\"0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"0.037063\" qy=\"0.016334\" qz=\"0.048515\" qw=\"0.998001\" /><Bone ID=\"458767\" Name=\"Trent_LShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.104547\" qy=\"-0.047228\" qz=\"-0.044996\" qw=\"0.992378\" /><Bone ID=\"458768\" Name=\"Trent_LFoot\" x=\"-0.000158\" y=\"-0.431028\" z=\"0.000795\" qx=\"-0.124087\" qy=\"0.116222\" qz=\"-0.012655\" qw=\"0.985360\" /><Bone ID=\"458770\" Name=\"Trent_RThigh\" x=\"-0.092780\" y=\"0.000000\" z=\"0.000000\" qx=\"-0.013581\" qy=\"-0.004839\" qz=\"-0.036566\" qw=\"0.999227\" /><Bone ID=\"458771\" Name=\"Trent_RShin\" x=\"-0.000000\" y=\"-0.407353\" z=\"0.000000\" qx=\"0.182226\" qy=\"-0.058086\" qz=\"0.002143\" qw=\"0.981537\" /><Bone ID=\"458772\" Name=\"Trent_RFoot\" x=\"-0.000395\" y=\"-0.429057\" z=\"0.000249\" qx=\"-0.147883\" qy=\"-0.048428\" qz=\"0.057265\" qw=\"0.986157\" /><Bone ID=\"458769\" Name=\"Trent_LToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"-0.000696\" qy=\"-0.002456\" qz=\"0.000628\" qw=\"-0.999997\" /><Bone ID=\"458773\" Name=\"Trent_RToe\" x=\"-0.000000\" y=\"-0.060307\" z=\"0.139170\" qx=\"0.022568\" qy=\"0.007970\" qz=\"-0.000816\" qw=\"-0.999713\" /></Skeleton></Skeletons><RigidBodies /></Stream>";
            default: return "";
        }
    }
}
